import { Change } from "../change-observer";
import { ExpressionExecutor, ExpressionObject, ExpressionResult } from "../expression";
import { AbstractChangeHandler } from "./abstract-change-handler";
import { ExpressionEffectorFactory } from "../expression-effector";
import { ViewModel, ViewModelState } from "../viewmodel";
export declare class EntityStoreCurrentChangeHandler extends AbstractChangeHandler {
    protected viewModel: ViewModel<ViewModelState>;
    protected expressionExecutor: ExpressionExecutor;
    private expressionResult;
    protected effectorFactory: ExpressionEffectorFactory;
    constructor(viewModel: ViewModel<ViewModelState>, expressionExecutor: ExpressionExecutor, expressionResult: ExpressionResult, effectorFactory: ExpressionEffectorFactory);
    handle(change: Change<any>, expressionObjects: ExpressionObject[]): void;
    private effect;
    /**
     * 根据变更过滤表达式
     * @param change 变更
     * @param expressionObjects 表达式集合
     * @returns 过滤后的表达式
     * @description
     * 过滤出以下表达式：
     * 1、依赖实体的从从表表达式
     * 2、依赖实体的元素表达式
     */
    private filter;
    private filterElementExpressions;
    private resolveChangePath;
}
