import { EntityChangeType, StateChange, UIStateChangeType } from "../store";
export declare enum ChangeSource {
    StateMachine = "StateMachine",
    UIState = "UIState",
    EntityState = "EntityState",
    Expression = "Expression"
}
export declare enum StateMachineChangeType {
    StateMachineChange = "StateMachineChange"
}
export declare enum ExpressionResultChangeType {
    ExpressionResultChange = "ExpressionResultChange"
}
export type ChangeType = EntityChangeType | StateMachineChangeType | UIStateChangeType | ExpressionResultChangeType;
export interface Change<T> {
    /**
     * 命名空间，组合表单场景使用
     */
    ns?: string;
    source: ChangeSource;
    type?: ChangeType;
    detail: StateChange<T> | T;
    /**
     * 视图模型id，仅变量变更场景有效
     */
    viewModelId?: string;
}
