import { Injector } from '../common';
import { Command } from './command';
import { CommandHandlerFactory } from './command-handler-factory';
/**
 * 命令总线
 */
declare class CommandBus {
    private injector;
    private handlerFactory;
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 构造函数
     */
    constructor(injector: Injector, handlerFactory: CommandHandlerFactory);
    /**
     * 派发命令
     */
    dispatch(command: Command): Promise<any>;
    /**
     * 执行命令
     */
    private handleCommand;
    /**
     * 构造命令上下文
     */
    private buildCommandContext;
    private transformParameters;
    private transformParameter;
}
export { CommandBus };
