import { Injector } from '../common/index';
import { CommandHandler } from './command-handler';
import { CommandHandlerRegistry } from './command-handler-registry';
/**
 * 命令处理器工厂
 */
declare class CommandHandlerFactory {
    private injector;
    private handlerRegistry;
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 构造函数
     */
    constructor(injector: Injector, handlerRegistry: CommandHandlerRegistry);
    /**
     * 创建命令处理器
     */
    create(commandName: string): CommandHandler;
}
export { CommandHandlerFactory };
