import { Injector } from '../common';
import { CommandHandler } from './command-handler';
/**
 * 命令处理注册器
 */
declare class CommandHandlerRegistry {
    private injector;
    /**
     * CommandHandler集合
     */
    private handlerMap;
    /**
     * 构造函数
     */
    constructor(injector: Injector);
    /**
     * 初始化
     */
    private init;
    /**
     * 获取CommandHandler
     */
    get(commandName: string): CommandHandler;
    /**
     * 注册CommandHandler
     */
    register(commandHandler: CommandHandler): void;
}
export { CommandHandlerRegistry };
