import { CommandContext } from './command-context';
/**
 * 命令处理抽象类
 */
declare abstract class CommandHandler {
    /**
     * 命令名称
     */
    abstract commandName: string;
    /**
     * 构造函数
     */
    constructor();
    /**
     * 命令执行
     */
    abstract execute(context: CommandContext): any;
}
/**
 * 命令处理器注入Token
 */
declare const COMMAND_HANDLERS_TOKEN: import("../common").InjectionToken<any>;
export { CommandHandler, COMMAND_HANDLERS_TOKEN };
