import { TypeDecorator } from '../../common/index';
/**
 * CommandHandler元数据名称
 */
declare const COMMAND_HANDLER_META_NAME = "COMMAND_HANDLER_META";
/**
 * CommandHandler元数据
 */
interface CommandHandlerMeta {
    commandName: string;
    deps: any[];
}
/**
 * CommandHandler元数据工厂
 */
declare const commandHandlerMetaFactory: (meta: CommandHandlerMeta) => CommandHandlerMeta;
/**
 * CommandHandler装饰器工厂类型
 */
interface CommandHandlerDecoratorFactory {
    (meta: CommandHandlerMeta): TypeDecorator;
}
/**
 * CommandHandler装饰器工厂
 */
declare function FdCommandHandler(meta: CommandHandlerMeta): TypeDecorator;
export { COMMAND_HANDLER_META_NAME, CommandHandlerMeta, commandHandlerMetaFactory, CommandHandlerDecoratorFactory, FdCommandHandler };
