import { CommandHandlerConfig, CommandTaskLinkConfig } from './configs/command-config';
import { CommandContext } from './command-context';
import { CommandHandler } from './command-handler';
import { TaskLinkFunc, TaskLink } from './taskflow/index';
/**
 * 动态命令处理器
 */
declare class DynamicCommandHandler extends CommandHandler {
    /**
     * 配置信息
     */
    private config;
    /**
     * 命令名称
     */
    commandName: string;
    /**
     * 构造函数
     */
    constructor(config: CommandHandlerConfig);
    /**
     * 执行方法
     */
    execute(commandContext: CommandContext): Promise<any>;
    /**
     * 创建TaskFlow
     */
    private createTaskFlow;
    /**
     * 创建任务函数
     */
    private createTaskFunc;
    /**
     * 获取服务实例
     */
    private getServiceInstance;
    /**
     * 获取外部服务
     */
    private getExternalServiceInstance;
    /**
     * 获取方法参数
     */
    private getMethodParams;
    /**
     * 获取服务注入Token
     */
    private getServiceToken;
    /**
     * 创建任务连接
     */
    createTaskLinks(taskLinkConfigs: CommandTaskLinkConfig[]): TaskLink[];
    /**
     * 创建连接函数
     */
    createTaskLinkFunc(conditions: any): TaskLinkFunc;
    /**
     * 获取变量解析服务
     */
    private getVariableParseService;
    /**
     * 获取变量解析上下文
     */
    private getVariableParseContext;
}
export { DynamicCommandHandler };
