import { TaskFlowContext } from './task-flow-context';
/**
 * 连接函数类型
 */
type TaskLinkFunc = (context: TaskFlowContext) => boolean;
/**
 * 任务连接
 */
declare class TaskLink {
    /**
     * 下一个任务的名称
     */
    private nextTaskName;
    /**
     * 连接方法
     */
    private linkFunc;
    /**
     * 构造函数
     */
    constructor(nextTaskName: string, linkFunc: TaskLinkFunc);
    /**
     * 是否允许连接
     */
    canLink(context: TaskFlowContext): boolean;
    /**
     * 获取下一个任务名称
     */
    getNextTaskName(): string;
}
export { TaskLinkFunc, TaskLink };
