import { TaskFlowContext } from './task-flow-context';
import { TaskLink } from './task-link';
/**
 * 任务函数
 */
type TaskFunc = (context: TaskFlowContext) => any;
/**
 * 任务节点
 */
declare class TaskNode {
    /**
     * 任务名称
     */
    name: string;
    /**
     * 任务方法
     */
    func: TaskFunc;
    /**
     * 任务连接
     */
    links: TaskLink[];
    /**
     * 构造函数
     */
    constructor(name: string, func: TaskFunc, links: TaskLink[]);
    /**
     * 执行任务
     */
    execute(taskFlowContext: TaskFlowContext): any;
    /**
     * 获取下一任务
     */
    getNextTaskName(taskFlowContext: TaskFlowContext): string | null;
}
export { TaskFunc, TaskNode };
