import { Effect } from "../effect/effect";
/**
 * 副作用管理
 */
declare class EffectManager<T> {
    /**
     * 副作用集合
     */
    private innerEffects;
    /**
     * 构造函数
     */
    constructor();
    /**
     * 添加副作用
     */
    addEffect(effect: Effect<T>): void;
    /**
     * 删除副作用
     */
    removeEffect(effect: Effect<T>): void;
    /**
     * 获取全部副作用
     */
    getEffects(): Effect<T>[];
    /**
     * 执行全部副作用
     */
    trigger(change: T): void;
}
export { EffectManager };
