import { PropsMetadatas, SameNamePropsMetadatas } from './types';
/**
 * 类型元数据读取器
 */
declare class TypeMetadataReader {
    /**
     * 获取所有的元数据
     */
    static getMetas(constructor: any): any;
    /**
     * 根据名称获取元数据
     */
    static getMataByName(constructor: any, metaName: string): any;
}
/**
 * 属性元数据读取器
 */
declare class PropMetadataReader {
    /**
     * 获取所有属性的所有类型元数据
     */
    static getPropsMetas(constructor: any): PropsMetadatas;
    /**
     * 获取所有属性某一类型的元数据
     */
    static getPropsMetasByName<T>(constructor: any, metaName: string): SameNamePropsMetadatas<T>;
}
export { TypeMetadataReader, PropMetadataReader };
