import { Entity } from "../store";
export interface Type<T> extends Function {
    new (...args: any[]): T;
}
export declare const Type: FunctionConstructor;
export interface ExceptionHandler {
    handle(error: any): any;
}
export interface RenderEngine {
    /**
     * 获取组件实例
     * @param id
     * @param schema
     */
    getComponentById(id: string): any;
    /**
     * 调用组件方法
     * @param id
     * @param methodName
     * @param args
     */
    invokeMethod(id: string, methodName: string, ...args: any[]): any;
    /**
     * 重新渲染组件
     * @param id
     */
    rerender(id: string): any;
    /**
     * 更新组件属性
     * @param componentId
     * @param props
     */
    setProps(componentId: string, props: Record<string, any>): any;
    /**
     * 获取组件属性
     * @param componentId
     */
    getProps(componentId: string): any;
    /**
     * 更新组件schema
     * @param id
     * @param schema
     */
    setSchema(componentId: string, schema: Record<string, any>): any;
    /**
     * 获取组件schema
     * @param componentId
     */
    getSchema(componentId: string): Record<string, any>;
    /**
     * 获取当前控件的值
     * @param controlId 控件标识
     */
    getControlValue(controlId: string): any;
}
export type Callable<T = any, U extends any[] = any[]> = (...args: U) => T;
export declare const ENTITY_STORE_SUFFIX = "-entitystore";
export declare enum ValidationState {
    Initialize = 0,
    Validating = 1,
    Reset = 2
}
export interface FormValidator {
    validate(entities: Entity[]): void;
}
