import { VariableParseContext } from '../variable/index';
import { ConditionConfig } from './types';
/**
 * 条件求值器
 */
declare class ConditionEvaluator {
    /**
     * 模块
     */
    private module;
    /**
     * 上下文
     */
    private context;
    /**
     * 解析服务
     */
    private variableParseServce;
    /**
     * 构造函数
     */
    constructor(context: VariableParseContext);
    /**
     * 求值
     */
    evaluate(conditions: ConditionConfig[]): boolean;
    /**
     * 解析条件
     */
    private mergeConditions;
    /**
     * 比较Source和Target的值
     */
    private compareSourceAndTarget;
    /**
     * 解析括号字符串
     */
    private splitBracketString;
    /**
     * 解析值
     */
    private parseValue;
    /**
     * 比较值
     */
    private compareValue;
    /**
     * 计算表达式
     */
    private evaluateExpression;
    /**
     * 处理括号
     */
    private handleBracekets;
    /**
     * 处理逻辑 与
     */
    private handleLogicalAnd;
    /**
     * 处理逻辑 或
     */
    private handleLogicalOr;
}
export { ConditionEvaluator };
