import { App } from 'vue';
import { StaticProvider, Injector } from './common/index';
import { Module } from './module/index';
/**
 * Devkit注入Token
 */
export declare const DEVKIT_INJECTION_TOKEN: unique symbol;
/**
 * Devkit配置
 */
export interface DevkitConfig {
    /**
     * 注入配置
     */
    providers: StaticProvider[];
}
/**
 * Devkit定义
 */
export declare class Devkit {
    /**
     * 配置对象
     */
    private config;
    /**
     * 注入器
     */
    private injector;
    /**
     * 模块集合
     */
    private modules;
    /**
     * 全局变量
     */
    params: any;
    /**
     * 构造函数
     */
    constructor(config: DevkitConfig);
    /**
     * 安装Devkit
     */
    install(app: App): void;
    /**
     * 获取Injector
     */
    getInjector(): Injector;
    /**
     * 获取Module
     */
    getModule(id: string): Module | undefined;
    /**
     * 注册Module
     */
    regitsterModule(id: string, module: Module): void;
    /**
     * 创建Injector
     */
    private createInjector;
}
/**
 * 创建Devkit
 */
export declare function createDevkit(config: DevkitConfig): Devkit;
/**
 * 使用Devkit
 */
export declare function useDevkit(): Devkit;
