import { ViewModel, ViewModelState } from '../viewmodel';
import { Resolver } from './types';
export declare class EntityExpressionDependencyResolver implements Resolver {
    private viewModel;
    constructor(viewModel: ViewModel<ViewModelState>);
    /**
     * 解析用户表达式中的实体依赖
     * @param expression 用户配置的完整表达式
     * @returns
     */
    resolve(expression: string): string[];
    /**
     * 获取所有实体依赖
     * @param expression 表达式字符串
     * @returns
     */
    private getEntityDependency;
    private getGroupFunctionDependency;
    private getEntityPaths;
}
