import { ExpressionEventEmitter } from "./expression-event-emitter";
import { ExpressionRegistry } from "./expression-registry";
import { ExpressionDependencyResolverRegistry, ExpressionDependencyResolver } from "../expression-dependency-resolver";
import { ExpressionObject } from "./types";
import { ChangeHandler } from "../change-handler";
import { ExpressionExecutor } from "./expression-executor";
import { ExpressionResult } from "./expression-result";
import { ViewModel, ViewModelState } from "../viewmodel";
export declare class ExpressionEngineProxy {
    private changeHandlers;
    private expressionEventEmitter;
    private expressionRegistry;
    private expressionDependencyResolverRegistry;
    private expressionDependencyResolver;
    private expressionExccutor;
    private expressionResult;
    private viewModel;
    constructor(changeHandlers: ChangeHandler[], expressionEventEmitter: ExpressionEventEmitter, expressionRegistry: ExpressionRegistry, expressionDependencyResolverRegistry: ExpressionDependencyResolverRegistry, expressionDependencyResolver: ExpressionDependencyResolver, expressionExccutor: ExpressionExecutor, expressionResult: ExpressionResult, viewModel: ViewModel<ViewModelState>);
    private attachEvent;
    private resolveDependency;
    private evaluateExpressions;
    private evaluateExpression;
    protected convertBooleanTypeExpressionResult(expressionObject: ExpressionObject, result: any): any;
    protected isBooleanTypeExpression(expressionObject: ExpressionObject): boolean;
    private isReadonlyExpression;
    private isVisibleExpression;
    private isValidateExpression;
    private isRequiredExpression;
    private isDependencyExpression;
    private isButtonVisibleExpression;
    private isButtonDisabledExpression;
    private isContainerVisibleExpression;
}
