import { AxiosRequestConfig, AxiosResponse } from 'axios';
import { HttpMethod, HttpHeaders, HttpResponse, HttpRequestConfig } from './types';
declare class HttpUtil {
    /**
     * 追加Header
     */
    static appendHeader(headers: HttpHeaders, key: string, value: string): HttpHeaders;
    /**
     * 向RequestConfig中追加body
     */
    static appendBodyToRequestConfig(body: any, requestConfig: HttpRequestConfig): HttpRequestConfig;
    /**
     * 构造AxiosReqeustConfig
     */
    static buildAxiosRequestConfig(method: HttpMethod, url: string, requestConfig: HttpRequestConfig): AxiosRequestConfig;
    /**
     * 构造Http响应信息
     */
    static buildHttpResponse(axiosResponse: AxiosResponse): HttpResponse;
}
export { HttpUtil };
