import { EntityStoreConfig, UIStoreConfig, FormStoreConfig, FormArrayStoreConfig, StateMachineConfig } from '../../store/index';
import { RepositoryConfig } from '../../repository/index';
import { ViewModelConfig } from '../../viewmodel/index';
import { ModuleConfig } from './module-config';
/**
 * ModuleConfig管理器
 */
declare class ModuleConfigManager {
    /**
     * module配置
     */
    config: ModuleConfig;
    /**
     * 构造函数
     */
    constructor(moduleConfig: ModuleConfig);
    /**
     * 获取模块配置
     */
    getModuleConfig(): ModuleConfig;
    /**
     * 获取所有视图模型配置
     */
    getViewModelConfigs(): ViewModelConfig[];
    /**
     * 获取ViewModel配置
     */
    getViewModelConfig(id: string): ViewModelConfig | undefined;
    /**
     * 获取根视图模型配置
     */
    getRootViewModelConfig(): ViewModelConfig;
    /**
     * 获取根视图模型配置
     */
    getChildViewModelConfigs(parentId: string): ViewModelConfig[];
    /**
     * 获取实体仓库配置
     */
    getEntityStoreConfig(storeId: string): EntityStoreConfig | undefined;
    /**
     * 获取UI仓库配置
     */
    getUIStoreConfig(storeId: string): UIStoreConfig | undefined;
    /**
     * 获取表单仓库配置
     */
    getFormStoreConfig(storeId: string): FormStoreConfig | undefined;
    /**
     * 获取表单仓库配置
     */
    getFormArrayStoreConfig(storeId: string): FormArrayStoreConfig | undefined;
    /**
     * 获取状态机配置
     */
    getStateMachineConfig(storeId: string): StateMachineConfig | undefined;
    /**
     * 获取远程实体仓库配置
     */
    getRepositoryConfig(storeId: string): RepositoryConfig | undefined;
    /**
     * 获取StoreConfig
     */
    private getStoreConfig;
}
export { ModuleConfigManager };
