import { Type, StaticProvider } from '../../common/index';
import { RepositoryConfig } from '../../repository';
import { EntityStoreConfig, StateMachineConfig, UIStoreConfig, FormStoreConfig, FormArrayStoreConfig } from '../../store/index';
import { ViewModelConfig } from '../../viewmodel/index';
import { Module } from '../module';
import { ExpressionConfig } from '../../expression';
/**
 * Module配置
 */
interface ModuleConfig {
    id: string;
    type?: Type<Module>;
    deps?: any[];
    providers?: StaticProvider[];
    repositories: RepositoryConfig[];
    entityStores: EntityStoreConfig[];
    uiStores: UIStoreConfig[];
    stateMachines: StateMachineConfig[];
    formStores: FormStoreConfig[];
    formArrayStores: FormArrayStoreConfig[];
    viewModels: ViewModelConfig[];
    expressions?: ExpressionConfig[] | null;
}
export { ModuleConfig };
