import { TypeDecorator } from '../../common/index';
/**
 * 实体远程仓库元数据名称
 */
declare const REPOSITORY_META_NAME = "REPOSITORY_META";
/**
 * 实体远程仓库元数据
 */
interface RepositoryMeta {
    id: string;
    deps?: any[];
    entityStore: string;
    [key: string]: any;
}
/**
 * 实体远程仓库元数据工厂
 */
declare const RepositoryMetaFactory: (meta: RepositoryMeta) => RepositoryMeta;
/**
 * 实体远程仓库装饰器工厂类型
 */
interface RepositoryDecoratorFactory {
    (meta: RepositoryMeta): TypeDecorator;
}
/**
 * 实体远程仓库装饰器工厂
 */
declare function FdRepository(meta: RepositoryMeta): TypeDecorator;
export { REPOSITORY_META_NAME, RepositoryMeta, RepositoryMetaFactory, RepositoryDecoratorFactory, FdRepository };
