import { Type } from '../../../common/index';
import { EntityStoreConfig } from './entity-store-config';
import { Entity } from '../entity';
import { EntityState, EntityStore } from '../entity-store';
/**
 * EntityStore配置构造器
 */
declare class EntityStoreConfigBuilder {
    /**
     * 构造函数
     */
    constructor();
    /**
     * 构造EntityStore配置
     */
    build(entityStoreType: Type<EntityStore<EntityState<Entity>>>): EntityStoreConfig;
    /**
     * 构造Entity配置
     */
    private buildEntityConfig;
    /**
     * 构造Primitive字段配置
     */
    private appendPrimitiveFieldConfigs;
    /**
    * 获取EntityStore元数据
    */
    private getEntityStoreMeta;
    /**
     * 获取PrimitiveField元数据
     */
    private getPrimitiveFieldMetas;
}
export { EntityStoreConfigBuilder };
