import { Type, PropDecorator } from '../../../common/index';
import { Entity } from '../entity';
/**
 * 实体列表字段元数据
 */
interface EntityListFieldMeta {
    /**
     * 列表内实体的类型
     */
    entityType: Type<Entity>;
}
/**
 * 实体列表字段元数据名称
 */
declare const ENTITY_LIST_FIELD_META_NAME = "ENTITY_LIST_FIELD";
/**
 * 实体列表字段元数据工厂方法
 */
declare const entitylistFieldMetaFactory: (meta: EntityListFieldMeta) => EntityListFieldMeta;
/**
 * 实体列表字段装饰器类型
 */
interface EntityListFieldDecoratorFactory {
    (meta?: EntityListFieldMeta): PropDecorator;
}
/**
 * 实体列表字段装饰器工厂
 */
declare const FdEntityListField: EntityListFieldDecoratorFactory;
export { EntityListFieldMeta, ENTITY_LIST_FIELD_META_NAME, entitylistFieldMetaFactory, EntityListFieldDecoratorFactory, FdEntityListField };
