import { PropDecorator } from '../../../common/index';
/**
 * 简单字段元数据
 */
interface PrimitiveFieldMeta {
    /**
     * 是否为主键
     */
    primary?: boolean;
}
/**
 * 简单字段元数据名称
 */
declare const PRIMITIVE_FIELD_META_NAME = "PRIMITIVE_FIELD";
/**
 * 简单字段元数据工厂方法
 */
declare const primitiveFieldMetaFactory: (meta: PrimitiveFieldMeta) => PrimitiveFieldMeta;
/**
 * 简单字段装饰器类型
 */
interface PrimitiveFieldDecoratorFactory {
    (meta?: PrimitiveFieldMeta): PropDecorator;
}
/**
 * 简单字段装饰器工厂
 */
declare const FdField: PrimitiveFieldDecoratorFactory;
export { PrimitiveFieldMeta, PRIMITIVE_FIELD_META_NAME, primitiveFieldMetaFactory, PrimitiveFieldDecoratorFactory, FdField };
