import { EntityChange } from './entity-change';
/**
 * 实体状态变更历史
 */
declare class EntityChangeHistory {
    /**
     * 变更集合
     */
    private changes;
    /**
     * 构造函数
     */
    constructor();
    /**
     * 获取全部变更
     */
    getChanges(): EntityChange[];
    /**
     * 获取合并
     */
    getMergedChanges(): EntityChange[];
    /**
     * 添加变更
     */
    addChange(change: EntityChange): void;
    /**
     * 暂存变更
     */
    stageChanges(): void;
    /**
     * 提交变更
     */
    commitChanges(): void;
    /**
     * 取消变更
     */
    cancelChanges(): void;
}
export { EntityChangeHistory };
