import { ChangeValueChange, UpdateEntityChange, RemoveEntityChange, EntityChange } from './entity-change';
/**
 * 实体变更合并器
 */
declare class EntityChangeMerger {
    /**
     * 合并前的变更
     */
    changes: EntityChange[];
    /**
     * 合并后的变更
     */
    mergedChagnes: EntityChange[];
    /**
     * 构造函数
     */
    constructor(changes: EntityChange[]);
    /**
     * 合并变更
     */
    mergeChanges(): EntityChange[];
    private mergeChange;
    /**
     * 合并值变更
     */
    mergeChangeValueChange(change: ChangeValueChange): void;
    /**
     * 合并更新变更
     */
    mergeUpdateChange(change: UpdateEntityChange): void;
    /**
     * 合并删除变更
     */
    mergeRemoveChange(change: RemoveEntityChange): void;
    /**
     * 转换为值变更
     */
    private convertToChangeValueChange;
}
export { EntityChangeMerger };
