import { EntitySchema } from './entity-schema/index';
import { EntityNode } from './entity-node';
import { Entity } from './entity';
/**
 * 实体列表
 */
declare class EntityList<T extends Entity> extends EntityNode {
    /**
     * 实体描述
     */
    private entitySchema;
    /**
     * 实体集合
     */
    private entities;
    /**
     * 当前实体ID
     */
    private currentId;
    /**
     * 构造函数
     */
    constructor(entitySchema: EntitySchema);
    /**
     * 加载数据
     */
    loadData(entityDatas: any[]): void;
    /**
     * 加载实体
     */
    loadEntities(entities: T[]): void;
    /**
     * 批量追加实体
     */
    appendEntities(entities: T[]): void;
    /**
     * 追加实体
     */
    appendEntity(entity: T, changeCurrentId?: boolean): void;
    /**
     * 获取全部实体
     */
    getEntities(): T[];
    /**
     * 获取当前实体
     */
    getCurrentEntity(): T;
    /**
     * 获取实体
     */
    setCurrentId(id: string | null): void;
    /**
     * 获取实体
     */
    getEntityById(id: string): T | undefined;
    /**
     * 删除实体
     */
    removeEntityById(id: string): void;
    /**
     * 批量删除实体
     */
    removeEntityByIds(ids: string[]): void;
    /**
     * 转换为JSON对象
     */
    toJSON(): any[];
    /**
     * 创建空实体
     */
    private createEmpltyEntity;
}
export { EntityList };
