/**
 * 实体路径节点类型
 */
declare enum EntityPathNodeType {
    /**
     * 主键值
     */
    IdValue = "IdValue",
    /**
     * 属性名称
     */
    PropName = "PropName"
}
/**
 * 实体路径节点
 */
declare class EntityPathNode {
    /**
     * 类型
     */
    private nodeType;
    /**
     * 节点值
     */
    private nodeValue;
    /**
     * 上一路径节点
     */
    private prevNode;
    /**
     * 下一路径节点
     */
    private nextNode;
    /**
     * 构造函数
     */
    constructor(nodeType: EntityPathNodeType, nodeValue: string);
    /**
     * 获取节点类型
     */
    getNodeType(): EntityPathNodeType;
    /**
     * 获取节点值
     */
    getNodeValue(): string;
    /**
     * 设置节点值
     */
    setNodeValue(nodeValue: any): void;
    /**
     * 获取上一节点
     */
    getPrevNode(): EntityPathNode | null;
    /**
     * 获取下一节点
     */
    getNextNode(): EntityPathNode | null;
    /**
     * 设置上一节点
     */
    setPrevNode(prevNode: EntityPathNode | null): void;
    /**
     * 设置下一节点
     */
    setNextNode(nextNode: EntityPathNode | null): void;
}
export { EntityPathNodeType, EntityPathNode };
