import { EntitySchema } from './entity-schema';
import { EntityNode } from './entity-node';
/**
 * 实体
 */
declare class Entity extends EntityNode {
    /**
     * 实体描述
     */
    private entitySchema;
    /**
     * 数据加载器
     */
    private entityDataLoader;
    /**
     * 数据提取器
     */
    private entityDataPeeker;
    /**
     * 主键
     */
    get idKey(): string;
    /**
     * 主键值
     */
    get idValue(): any;
    /**
     * 构造函数
     */
    constructor(schema: EntitySchema);
    /**
     * 获取实体描述
     */
    getSchema(): EntitySchema;
    /**
     * 加载数据
     */
    loadData(data: any): void;
    /**
     * 获取属性值
     */
    getValue(name: string): any;
    /**
     * 根据路径获取属性值
     */
    getValueByPath(path: string): any;
    /**
     * 转换为JSON对象
     */
    toJSON(): any;
}
export { Entity };
