import { FormControlConfig, FormArrayStateConfig, FormArrayStoreConfig } from './form-store-config';
/**
 * 表单数组仓库配置管理
 */
declare class FormArrayStoreConfigManager {
    /**
     * 表单配置
     */
    private config;
    /**
     * 构造函数
     */
    constructor();
    /**
     * 初始化配置
     */
    initConfig(config: FormArrayStoreConfig): void;
    /**
     * 获取全部配置
     */
    getStoreConfig(): FormArrayStoreConfig;
    /**
     * 获取表单配置
     */
    getFormStateConfig(): FormArrayStateConfig;
    /**
     * 获取全部表单控件配置
     */
    getControlConfigs(): FormControlConfig[];
    /**
     * 获取表单控件配置
     */
    getControlConfig(name: string): FormControlConfig | undefined;
}
export { FormArrayStoreConfigManager };
