import { FormControlConfig, FormStateConfig, FormStoreConfig } from './form-store-config';
/**
 * 状态机配置管理
 */
declare class FormStoreConfigManager {
    /**
     * 表单配置
     */
    private config;
    /**
     * 构造函数
     */
    constructor();
    /**
     * 初始化配置
     */
    initConfig(config: FormStoreConfig): void;
    /**
     * 获取全部配置
     */
    getStoreConfig(): FormStoreConfig;
    /**
     * 获取表单配置
     */
    getFormStateConfig(): FormStateConfig;
    /**
     * 获取表单控件配置
     */
    getControlConfigs(): FormControlConfig[];
    /**
     * 获取表单控件配置
     */
    getControlConfig(name: string): FormControlConfig | undefined;
}
export { FormStoreConfigManager };
