import { Type } from '../../../common/index';
import { StoreConfig } from '../../store/index';
import { ValidationRule } from '../validation/index';
import { FormState, FormArrayState } from '../form-state';
import { FormStore } from '../form-store';
import { FormArrayStore } from '../form-array-store';
/**
 * 表单控件配置
 */
interface FormControlConfig {
    /**
     * 控件名称
     */
    name: string;
    /**
     * 显示名称
     */
    displayName: string;
    /**
     * 绑定类型
     */
    bindingType: string;
    /**
     * 绑定路径
     */
    bindingPath: string;
    /**
     * 验证规则
     */
    validationRules: ValidationRule[];
}
/**
 * 表单状态配置
 */
interface FormStateConfig {
    controls: FormControlConfig[];
}
/**
 * 表单仓库配置
 */
interface FormStoreConfig extends StoreConfig {
    /**
     * ID
     */
    id: string;
    /**
     * 类型
     */
    type?: Type<FormStore<FormState>>;
    /**
     * 显示名称
     */
    displayName: string;
    /**
     * 绑定路径
     */
    bindingPath: string;
    /**
     * 状态配置
     */
    state: FormStateConfig;
}
/**
 * 表单数组状态配置
 */
interface FormArrayStateConfig {
    /**
     * 控件配置
     */
    controls: FormControlConfig[];
}
/**
 * 表单数组仓库配置
 */
interface FormArrayStoreConfig extends StoreConfig {
    /**
     * ID
     */
    id: string;
    /**
     * 类型
     */
    type?: Type<FormArrayStore<FormArrayState>>;
    /**
     * 显示名称
     */
    displayName: string;
    /**
     * 绑定路径
     */
    bindingPath: string;
    /**
     * 绑定状态
     */
    state: FormStateConfig;
}
export { FormControlConfig, FormStateConfig, FormStoreConfig, FormArrayStateConfig, FormArrayStoreConfig };
