import { FormArrayState } from './form-state';
import { FormArrayStore } from './form-array-store';
/**
 * 表单初始化
 */
declare class FormArrayStoreInitializer {
    /**
     * 模块
     */
    private module;
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 表单数组实例
     */
    private formArrayStore;
    /**
     * 表单配置管理
     */
    private configManager;
    /**
     * 表单构造器
     */
    private formBuilder;
    /**
     * 表单数据构造器
     */
    private formDataBuilder;
    /**
     * 构造函数
     */
    constructor(formArrayStore: FormArrayStore<FormArrayState>);
    /**
     * 初始化
     */
    init(): void;
    /**
     * 初始化状态
     */
    private initFormArray;
    /**
     * 同步Form数据
     */
    private watchDataSource;
    /**
     * 全量更新表单数据
     */
    private updateFormArrayStore;
    /**
     * 获取表单实体集合
     */
    private getEntities;
    /**
     * 获取视图模型
     */
    private getViewModel;
    /**
     * 获取带索引的实体集合
     */
    private getIndexedEntities;
    /**
     * 获取带索引的从从实体集合
     */
    private getIndexedGrandChildEntities;
    /**
     * 是否是从从表
     */
    private isGrandChildBindingPath;
    /**
     * 获取父绑定路径
     */
    private getChildBindingPath;
}
export { FormArrayStoreInitializer };
