import { FormControlConfig } from './configs/index';
import { FormValue } from './types';
import { FormControl } from './form-control';
import { Form } from './form';
import { FormArray } from './form-array';
/**
 * 表单构造器
 */
declare class FormBuilder {
    /**
     * 创建表单数组
     */
    buildFormArray(formIndexes: number[], formKeys: string[], formValues: FormValue[], controlConfigs: FormControlConfig[]): FormArray;
    /**
     * 批量创建表单
     */
    buildForms(formIndexes: number[], formKeys: string[], formValues: FormValue[], controlConfigs: FormControlConfig[]): Form[];
    /**
     * 创建表单
     */
    buildForm(formIndex: any, formKey: string, formValue: FormValue, controlConfigs: FormControlConfig[]): Form;
    /**
     * 批量创建控件
     */
    buildControls(formValue: FormValue, controlConfigs: FormControlConfig[]): {
        [key: string]: FormControl;
    };
    /**
     * 创建控件
     */
    buildControl(controlValue: any, controlConfig: FormControlConfig): FormControl;
}
export { FormBuilder };
