import { ValidationRule, ValidationError } from './validation/index';
/**
 * 表单控件
 */
declare class FormControl {
    /**
     * 验证服务
     */
    private validationService;
    /**
     * 验证函数集合
     */
    private rules;
    /**
     * 控件值
     */
    readonly value: any;
    /**
     * 是否校验通过
     */
    readonly valid: boolean;
    /**
     * 校验错误信息
     */
    readonly error: ValidationError;
    /**
     * 构造函数
     */
    constructor(value: any, rules: ValidationRule[]);
    /**
     * 获取验证规则
     */
    getRules(): ValidationRule[];
    /**
     * 设置值
     */
    setValue(value: any): void;
    /**
     * 设置控件验证规则
     */
    setControlRules(rules: ValidationRule[]): void;
    /**
     * 校验值
     */
    validate(): ValidationError | null;
}
export { FormControl };
