import { ViewModel, ViewModelState } from '../../viewmodel/index';
import { Entity } from '../entity-store/index';
import { FormValue } from './types';
import { FormControlConfig } from './configs/index';
/**
 * 表单数据构造器
 */
declare class FormDataBuilder {
    /**
     * 模块
     */
    private module;
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 实体仓库
     */
    private entityStore;
    /**
     * UI仓库
     */
    private uiStore;
    /**
     * 构造函数
     */
    constructor(viewModel: ViewModel<ViewModelState>);
    /**
     * 获取表单标志集合
     */
    buildFormKeys(entities: Entity[]): string[];
    /**
     * 构造表单标志
     */
    buildFormKey(entity: Entity): string;
    /**
     * 获取表单数据集合
     */
    buildFormArrayData(entities: Entity[], controlConfigs: FormControlConfig[]): FormValue[];
    /**
     * 获取表单数据
     */
    buildFormData(entity: Entity, controlConfigs: FormControlConfig[]): FormValue;
    /**
     * 获取控件值
     */
    getControlValue(entity: Entity, controlConfig: FormControlConfig): any;
    /**
     * 获取实体
     */
    private getEntity;
    /**
     * 获取实体集合
     */
    private getEntities;
}
export { FormDataBuilder };
