import { ValidationError } from './validation/index';
import { FormError, FormArrayError } from './types';
import { FormState, FormArrayState } from './form-state';
import { FormStore } from './form-store';
import { FormArrayStore } from './form-array-store';
/**
 * 补充了控件信息的验证错误
 */
interface FlattenedControlError extends ValidationError {
    formKey: string;
    formIndex?: number;
    formDisplayName: string;
    controlDisplayName: string;
}
/**
 * 表单验证错误格式化器
 */
declare class FormErrorFormatter {
    /**
     * 格式化错误信息
     */
    flattenFormError(formStore: FormStore<FormState>, formError: FormError): FlattenedControlError[];
    /**
     * 输出错误信息
     */
    flattenFormArrayError(formArrayStore: FormArrayStore<FormArrayState>, formArrayError: FormArrayError): FlattenedControlError[];
}
export { FlattenedControlError, FormErrorFormatter };
