import { FormState } from './form-state';
import { FormStore } from './form-store';
/**
 * 表单初始化
 */
declare class FormStoreInitializer {
    /**
     * 模块
     */
    private module;
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 表单
     */
    private formStore;
    /**
     * 表单配置管理
     */
    private configManager;
    /**
     * 表单构造器
     */
    private formBuilder;
    /**
     * 表单数据构造器
     */
    private formDataBuilder;
    /**
     * 构造函数
     */
    constructor(formStore: FormStore<FormState>);
    /**
     * 初始化
     */
    init(): void;
    /**
     * 初始化状态
     */
    private initState;
    /**
     * 获取表单数据
     */
    private getFormValue;
    /**
     * 同步Form数据
     */
    private watchDataSource;
    /**
     * 全量更新表单
     */
    private updateFormStore;
    /**
     * 设置表单标志
     */
    private updateFormKey;
    /**
     * 批量设置控件值
     */
    private updateControlValues;
    /**
     * 获取实体数据
     */
    private getCurrentEntity;
    /**
     * 获取视图模型
     */
    private getViewModel;
}
export { FormStoreInitializer };
