import { ValidationError } from './validation/index';
/**
 * 绑定类型
 */
declare enum FormControlBindingType {
    /**
     * 实体状态
     */
    EntityState = "EntityState",
    /**
     * UI状态
     */
    UIState = "UIState"
}
/**
 * 表单所有控件值
 */
type FormValue = {
    [controlName: string]: any;
};
/**
 * 表单所有控件的错误信息
 */
type FormError = {
    [controlName: string]: ValidationError;
};
/**
 * 表单数组内单个表单的值
 */
type FormArrayItemValue = {
    formKey: string;
    formIndex: number;
    formValue: FormValue;
};
/**
 * 表单数组内所有表单的值集合
 */
type FormArrayValue = Array<FormArrayItemValue>;
/**
 * 表单数组内单个表单的错误
 */
type FormArrayItemError = {
    formKey: string;
    formIndex: number;
    formError: FormError;
};
/**
 * 表单内所有表单的错误集合
 */
type FormArrayError = Array<FormArrayItemError>;
export { FormControlBindingType, FormValue, FormError, FormArrayItemValue, FormArrayValue, FormArrayItemError, FormArrayError };
