import { Type } from '../../../common/index';
import { StateMachineConfig } from './state-machine-config';
import { StateMachineState, StateMachine } from '../state-machine';
/**
 * 状态机配置构造器
 */
declare class StateMachineConfigBuilder {
    /**
     * 构造状态机配置
     */
    build(stateMachineType: Type<StateMachine<StateMachineState>>): StateMachineConfig;
    /**
     * 构造页面状态配置
     */
    private buildPageStateConfigs;
    /**
     * 构造迁移动作配置
     */
    private buildTransitionActionConfigs;
    /**
     * 构造状态机状态配置
     */
    private buildStateConfig;
    /**
     * 获取状态机元数据
     */
    private getStateMachineMeta;
    /**
     * 获取页面状态元数据
     */
    private getPageStateMetas;
    /**
     * 获取迁移动作元数据
     */
    private getTransitionActionMetas;
    /**
     * 获取可视化状态元数据
     */
    private getRenderStateMetas;
}
export { StateMachineConfigBuilder };
