import { PageStateConfig, RenderStateConfig, TransitionActionConfig, StateMachineConfig } from './state-machine-config';
/**
 * 状态机配置管理
 */
declare class StateMachineConfigManager {
    /**
     * 状态机配置
     */
    private config;
    /**
     * 构造函数
     */
    constructor(config: StateMachineConfig);
    /**
     * 获取全部配置
     */
    getConfig(): StateMachineConfig;
    /**
     * 获取初始化页面状态
     */
    getInitPageState(): string;
    /**
     * 根据name获取页面状态配置
     */
    getPageStateConfigByName(name: string): PageStateConfig | undefined;
    /**
     * 根据全部可视化状态配置
     */
    getRenderStateConfigs(): RenderStateConfig[];
    /**
     * 根据name获取可视化状态配置
     */
    getRenderStateConfigByName(name: string): RenderStateConfig | undefined;
    /**
     * 根据全部动作配置
     */
    getTransitionActionConfigs(): TransitionActionConfig[];
    /**
     * 根据name获取动作配置
     */
    getTransitionActionConfigByName(name: string): TransitionActionConfig | undefined;
}
export { StateMachineConfigManager };
