import { Type, TypeDecorator } from '../../../common/index';
import { StoreMeta } from '../../store/index';
import { StateMachineState } from '../state-machine';
/**
 * 状态机元数据名称
 */
declare const STATE_MACHINE_META_NAME = "STATE_MACHINE_META";
/**
 * 状态机元数据
 */
interface StateMachineMeta extends StoreMeta {
    stateType: Type<StateMachineState>;
    initPageState: string;
}
/**
 * 状态机元数据工厂
 */
declare const stateMachineMetaFactory: (meta: StateMachineMeta) => StateMachineMeta;
/**
 * 状态机装饰器工厂类型
 */
interface StateMachineDecoratorFactory {
    (meta: StateMachineMeta): TypeDecorator;
}
/**
 * 状态机装饰器工厂
 */
declare function FdStateMachine(meta: StateMachineMeta): TypeDecorator;
export { STATE_MACHINE_META_NAME, StateMachineMeta, stateMachineMetaFactory, StateMachineDecoratorFactory, FdStateMachine };
