import { StateMachineConfigManager } from './configs/index';
import { StateMachineState, StateMachine } from './state-machine';
import { ConditionEvaluator } from '../../condition/index';
/**
 * 状态机初始化器
 */
declare class StateMachineInitializer {
    /**
     * 状态机实例
     */
    private stateMachine;
    /**
     * 配置管理器
     */
    configManager: StateMachineConfigManager;
    /**
     * 渲染条件求值器
     */
    conditionEvaluator: ConditionEvaluator;
    /**
     * 构造函数
     */
    constructor(stateMachine: StateMachine<StateMachineState>);
    /**
     * 初始化
     */
    init(): void;
    /**
     * 初始化状态
     */
    private initState;
    /**
     * 初始化可视化状态
     */
    private initRenderStates;
    /**
     * 初始化渲染方法
     */
    private initRenders;
    /**
     * 初始化迁移动作
     */
    private initActions;
}
export { StateMachineInitializer };
