import { StateMachineConfigManager } from './configs/index';
import { StateMachine, StateMachineState } from './state-machine';
/**
 * 外部状态监听器
 */
declare class StateMachineWatcher {
    /**
     * 模块
     */
    private module;
    /**
     * 状态机
     */
    private stateMachine;
    /**
     * 状态机配置管理器
     */
    configManager: StateMachineConfigManager;
    /**
     * 构造函数
     */
    constructor(stateMachine: StateMachine<StateMachineState>);
    /**
     * 监听变量变化
     */
    watch(): void;
    /**
     * 获取条件中的所有变量
     */
    private getVariables;
    /**
     * 监听关联的实体状态
     */
    watchEntityStores(variables: string[]): void;
    /**
     * 监听关联的UI状态
     */
    private watchUIStores;
}
export { StateMachineWatcher };
