import { Type } from '../../../common/index';
import { UIState, UIStore } from '../ui-store';
import { UIStoreConfig } from './ui-config';
/**
 * UIStore配置构造器
 */
declare class UIStoreConfigBuilder {
    /**
     * 构造UIStore配置
     */
    build(uiStoreType: Type<UIStore<UIState>>): UIStoreConfig;
    /**
     * 构造UIState配置
     */
    private buildUIStateConfig;
    /**
     * 获取UIStore元数据
     */
    private getUIStoreMeta;
    /**
     * 获取UIStateProp元数据
     */
    private getUIStatePropMetas;
}
export { UIStoreConfigBuilder };
