import { PropDecorator } from '../../../common/index';
/**
 * UI属性元数据名称
 */
declare const UISTATE_META_NAME = "UISTATE_META";
/**
 * UI属性元数据
 */
interface UIStateMeta {
    /**
     * 属性名称
     */
    name?: string;
}
/**
 * UI属性工厂方法
 */
declare const uiStateMetaFactory: (meta: UIStateMeta) => UIStateMeta;
/**
 * UI属性装饰器类型
 */
interface UIStateMetaDecoratorFactory {
    (meta?: UIStateMeta): PropDecorator;
}
/**
 * UI属性饰器工厂
 */
declare const FdUIState: UIStateMetaDecoratorFactory;
export { UIStateMeta, UISTATE_META_NAME, uiStateMetaFactory, UIStateMetaDecoratorFactory, FdUIState };
