import { Type, TypeDecorator } from '../../../common/index';
import { StoreMeta } from '../../store/index';
import { UIState } from '../ui-store';
/**
 * UIStore元数据名称
 */
declare const UI_STORE_META_NAME = "UI_STORE_META";
/**
 * UIStore元数据
 */
interface UIStoreMeta extends StoreMeta {
    stateType: Type<UIState>;
}
/**
 * UIStore元数据工厂
 */
declare const uiStoreMetaFactory: (meta: UIStoreMeta) => UIStoreMeta;
/**
 * UIStore装饰器工厂类型
 */
interface UIStoreDecoratorFactory {
    (meta: UIStoreMeta): TypeDecorator;
}
/**
 * UIStore装饰器工厂类型
 */
declare function FdUIStore(meta: UIStoreMeta): TypeDecorator;
export { UI_STORE_META_NAME, UIStoreMeta, uiStoreMetaFactory, UIStoreDecoratorFactory, FdUIStore };
