import { Module } from '../../module/index';
import { Store } from '../store/index';
import { UIStoreConfig } from './configs/index';
/**
 * UIState定义
 */
declare class UIState {
    [stateName: string]: any;
}
/**
 * UIStore定义
 */
declare class UIStore<S extends UIState> extends Store<S> {
    /**
     * 构造函数
     */
    constructor(module: Module);
    /**
     * 初始化
     */
    init(config: UIStoreConfig): void;
    /**
     * 初始化属性
     */
    private initState;
    /**
     * 根据name获取状态值
     */
    getValue(name: string): any;
    /**
     * 根据path获取状态值
     */
    getValueByPath(path: string): any;
    /**
     * 根据name设置状态值
     */
    setValue(name: string, newValue: any): void;
    /**
     * 根据path设置状态值
     */
    setValueByPath(path: string, newValue: any): void;
    /**
     * 检查路径合法性
     */
    private checkPath;
}
export { UIState, UIStore };
