import { VariablePath, VariableParser, VariableParseContext } from './types';
/**
 * 状态变量解析基类
 */
declare abstract class BaseStateVariableParser implements VariableParser {
    /**
     * 状态路径（全局）
     */
    protected abstract VARIABLE_PATTERN_G: RegExp;
    /**
     * 状态路径（局部）
     */
    protected abstract VARIABLE_PATTERN: RegExp;
    /**
     * 变量前缀
     */
    protected abstract VARIABLE_PREFIX: string;
    /**
     * 替换表达式中的变量
     */
    protected abstract getVariableValue(variablePath: VariablePath, context: VariableParseContext): any;
    /**
     * 解析变量
     */
    parse(expression: string, context: VariableParseContext): any;
    /**
     * 从表达式中提取变量路径
     */
    protected extractVariablePaths(expression: string): VariablePath[];
    /**
     * 获取视图模型
     */
    protected getViewModel(viewModelId: string, context: VariableParseContext): import("../../viewmodel/viewmodel").ViewModel<import("../../viewmodel/viewmodel").ViewModelState>;
}
export { BaseStateVariableParser };
