import { VariableParseContext, VariableParser } from './types';
/**
 * 命令变量解析
 * @summary
 * 变量格式形如：
 * 1、命令参数变量：{Command~/params/key}
 * 2、操作执行结果变量：{Command~/results/taskName}
 */
declare class CommandVariableParser implements VariableParser {
    /**
     * 解析变量
     */
    parse(expression: string, context: VariableParseContext): any;
    /**
     * 获取上下文
     */
    private getTaskFlowContext;
    /**
     * 提取变量路径
     */
    private extractPaths;
    /**
     * 获取变量值
     */
    private getValue;
}
export { CommandVariableParser };
