import { VariableParseContext, VariablePath } from './types';
import { BaseStateVariableParser } from './base-state-variable-parser';
/**
 * EntityState变量解析
 * @summary
 * 变量格式形如：
 * 1、简单字段：{DATA~/id}
 * 2、关联字段：{DATA~/departmentInfo/id}
 * 3、从表简单字段：{DATA~/eduInfos/id}
 * 4、从表关联字段：{DATA~/eduInfos/schoolInfo/id}
 */
declare class EntityVariableParser extends BaseStateVariableParser {
    protected VARIABLE_PATTERN_G: RegExp;
    protected VARIABLE_PATTERN: RegExp;
    protected VARIABLE_PREFIX: string;
    /**
     * 获取实体变量值
     */
    protected getVariableValue(variablePath: VariablePath, context: VariableParseContext): any;
    /**
     * 获取实体状态仓库
     */
    private getEntityStore;
}
export { EntityVariableParser };
