import { VariableParseContext, VariableParser } from './types';
/**
 * 数据变量解析
 */
declare class FrameIdVariableParser implements VariableParser {
    context: VariableParseContext;
    /**
     * 解析变量
     * @param expression 形如：/#{root-component}/stateName
     * @param context 上下文
     */
    parse(expression: string, context: VariableParseContext): any;
    /**
     * 计算表达式的值
     * @param expression like #{root-component}
     */
    private getVariableValue;
    private extractVariables;
    /**
     * 获取补全的frameId
     * @param frameId frameId
     */
    private getFullFrameId;
}
export { FrameIdVariableParser };
