import { VariableParseContext, VariablePath } from './types';
import { BaseStateVariableParser } from './base-state-variable-parser';
/**
 * 状态机变量解析
 * @summary
 * 变量的格式如下：
 * 当前页面状态：{STATEMACHINE~/currentPageState}
 * 可视化状态：{STATEMACHINE~/canSave}
 */
declare class StateMachineVariableParser extends BaseStateVariableParser {
    protected VARIABLE_PATTERN_G: RegExp;
    protected VARIABLE_PATTERN: RegExp;
    protected VARIABLE_PREFIX: string;
    /**
     * 获取状态机变量值
     */
    protected getVariableValue(variablePath: VariablePath, context: VariableParseContext): any;
    /**
     * 获取状态机
     */
    private getStateMachine;
}
export { StateMachineVariableParser };
