import { VariableParseContext, VariablePath } from './types';
import { BaseStateVariableParser } from './base-state-variable-parser';
/**
 * UI状态变量解析
 * @summary
 * 变量的格式如下：
 * 1、简单变量：{UIState~/currentTab}、{UIState~/#{storeId}/currentTab}
 * 2、嵌套变量：{UIState~/filterState/keyword}、{UIState~/#{storeId}/filterState/keyword}
 * 3、其他变量：暂不支持数组的解析
 */
declare class UIVariableParser extends BaseStateVariableParser {
    protected VARIABLE_PATTERN_G: RegExp;
    protected VARIABLE_PATTERN: RegExp;
    protected VARIABLE_PREFIX: string;
    /**
     * 获取UI变量值
     */
    protected getVariableValue(variablePath: VariablePath, context: VariableParseContext): any;
    /**
     * 获取UI状态仓库
     */
    private getUIStore;
}
export { UIVariableParser };
