import { Type } from '../../common/index';
import { ViewModelState, ViewModel } from '../viewmodel';
import { ViewModelConfig } from './viewmodel-config';
/**
 * ViewModel配置构造器
 */
declare class ViewModelConfigBuilder {
    /**
     * 构造ViewModel配置
     */
    build(viewModelType: Type<ViewModel<ViewModelState>>): ViewModelConfig;
    /**
     * 构造Command配置
     */
    private buildCommandConfigs;
    /**
     * 构造Command参数配置
     */
    private buildCommandParamConfigs;
    /**
     * 构造CommandHandler配置
     */
    private buildCommandHandlerConfigs;
    /**
     * 获取ViewModel元数据
     */
    private getViewModelMeta;
    /**
     * 获取Command元数据
     */
    private getCommandActionMetas;
    /**
     * 获取CommandHandler元数据
     */
    private getCommandHandlerMeta;
}
export { ViewModelConfigBuilder };
