import { StaticProvider, Type, TypeDecorator } from '../../common/index';
import { CommandHandler } from '../../command/index';
/**
 * 视图模型元数据名称
 */
declare const VIEWMODEL_META_NAME = "VIEWMODEL_META";
/**
 * ViewModel元数据
 */
interface ViewModelMeta {
    id: string;
    deps?: any[];
    providers?: StaticProvider[];
    entityStore?: string;
    uiStore?: string;
    formStore?: string;
    formArrayStore?: string;
    stateMachine?: string;
    repository?: string;
    commandHandlers?: Type<CommandHandler>[];
}
/**
 * 视图模型元数据工厂
 */
declare const viewModelMetaFactory: (meta: ViewModelMeta) => ViewModelMeta;
/**
 * 视图模型装饰器工厂类型
 */
interface ViewModelDecoratorFactory {
    (meta: ViewModelMeta): TypeDecorator;
}
/**
 * 视图模型装饰器工厂
 */
declare function FdViewModel(meta: ViewModelMeta): TypeDecorator;
export { VIEWMODEL_META_NAME, ViewModelMeta, viewModelMetaFactory, ViewModelDecoratorFactory, FdViewModel };
