import { ViewModelState, ViewModel } from './viewmodel';
/**
 * 视图模型初始化器
 */
declare class ViewModelInitializer {
    /**
     * 所属模块
     */
    private module;
    /**
     * 注入器
     */
    private injector;
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 视图模型配置
     */
    private config;
    /**
     * 构造函数
     */
    constructor(viewModel: ViewModel<ViewModelState>);
    /**
     * 初始化
     */
    init(): void;
    /**
     * 初始化状态
     */
    private initState;
    /**
     * 初始化命令总线
     */
    private initCommandBus;
    /**
     * 初始化实体仓库
     */
    private initEntityStore;
    /**
     * 初始化UI仓库
     */
    private initUIStore;
    /**
     * 初始化状态机
     */
    private initStateMachine;
    /**
     * 初始化表单仓库
     */
    private initFormStore;
    /**
     * 初始化表单仓库集合
     */
    private initFormArrayStore;
    /**
     * 初始化远程实体仓库
     */
    private initRepository;
    /**
     * 初始化命令动作
     */
    private initCommandAction;
    private initExpression;
}
export { ViewModelInitializer };
