(function(global2, factory) {
  typeof exports === "object" && typeof module !== "undefined" ? factory(exports, require("axios"), require("vue")) : typeof define === "function" && define.amd ? define(["exports", "axios", "vue"], factory) : (global2 = typeof globalThis !== "undefined" ? globalThis : global2 || self, factory(global2.FarrisDevkitVue = {}, global2.axios, global2.Vue));
})(this, function(exports2, axios, vue) {
  "use strict";var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};

  const Type = Function;
  const ENTITY_STORE_SUFFIX = "-entitystore";
  var ValidationState = /* @__PURE__ */ ((ValidationState2) => {
    ValidationState2[ValidationState2["Initialize"] = 0] = "Initialize";
    ValidationState2[ValidationState2["Validating"] = 1] = "Validating";
    ValidationState2[ValidationState2["Reset"] = 2] = "Reset";
    return ValidationState2;
  })(ValidationState || {});
  function isType(v) {
    return typeof v === "function";
  }
  var InjectFlags = /* @__PURE__ */ ((InjectFlags2) => {
    InjectFlags2[InjectFlags2["Default"] = 0] = "Default";
    InjectFlags2[InjectFlags2["Self"] = 1] = "Self";
    InjectFlags2[InjectFlags2["SkipSelf"] = 2] = "SkipSelf";
    InjectFlags2[InjectFlags2["Optional"] = 4] = "Optional";
    return InjectFlags2;
  })(InjectFlags || {});
  var OptionFlags = /* @__PURE__ */ ((OptionFlags2) => {
    OptionFlags2[OptionFlags2["Optional"] = 1] = "Optional";
    OptionFlags2[OptionFlags2["CheckSelf"] = 2] = "CheckSelf";
    OptionFlags2[OptionFlags2["CheckParent"] = 4] = "CheckParent";
    OptionFlags2[OptionFlags2["Default"] = 6] = "Default";
    return OptionFlags2;
  })(OptionFlags || {});
  const EMPTY = [];
  const IDENT = function(value) {
    return value;
  };
  const CIRCULAR = IDENT;
  const MULTI_PROVIDER_FN = function() {
    return Array.prototype.slice.call(arguments);
  };
  const NEW_LINE = /\n/gm;
  const NO_NEW_LINE = "ɵ";
  const _THROW_IF_NOT_FOUND = {};
  const THROW_IF_NOT_FOUND = _THROW_IF_NOT_FOUND;
  const NG_TEMP_TOKEN_PATH = "ngTempTokenPath";
  function stringify(token) {
    if (typeof token === "string") {
      return token;
    }
    if (Array.isArray(token)) {
      return "[" + token.map(stringify).join(", ") + "]";
    }
    if (token == null) {
      return "" + token;
    }
    if (token.overriddenName) {
      return `${token.overriddenName}`;
    }
    if (token.name) {
      return `${token.name}`;
    }
    const res = token.toString();
    if (res == null) {
      return "" + res;
    }
    const newLineIndex = res.indexOf("\n");
    return newLineIndex === -1 ? res : res.substring(0, newLineIndex);
  }
  function getClosureSafeProperty(objWithPropertyToExtract) {
    for (const key in objWithPropertyToExtract) {
      if (objWithPropertyToExtract[key] === getClosureSafeProperty) {
        return key;
      }
    }
    throw Error("Could not find renamed property on target object.");
  }
  function formatError(text, obj, injectorErrorName, source = null) {
    text = text && text.charAt(0) === "\n" && text.charAt(1) == NO_NEW_LINE ? text.substr(2) : text;
    let context = stringify(obj);
    if (Array.isArray(obj)) {
      context = obj.map(stringify).join(" -> ");
    } else if (typeof obj === "object") {
      const parts = [];
      for (const key in obj) {
        if (obj.hasOwnProperty(key)) {
          const value = obj[key];
          parts.push(
            key + ":" + (typeof value === "string" ? JSON.stringify(value) : stringify(value))
          );
        }
      }
      context = `{${parts.join(", ")}}`;
    }
    return `${injectorErrorName}${source ? "(" + source + ")" : ""}[${context}]: ${text.replace(NEW_LINE, "\n  ")}`;
  }
  function staticError(text, obj) {
    return new Error(formatError(text, obj, "StaticInjectorError"));
  }
  function ɵɵdefineInjectable(opts) {
    return {
      token: opts.token,
      providedIn: opts.providedIn || null,
      factory: opts.factory,
      value: void 0
    };
  }
  const NG_PROV_DEF = getClosureSafeProperty({ ɵprov: getClosureSafeProperty });
  getClosureSafeProperty({ ɵinj: getClosureSafeProperty });
  const NG_INJECTABLE_DEF = getClosureSafeProperty({ ngInjectableDef: getClosureSafeProperty });
  function getOwnDefinition(type, def) {
    return def && def.token === type ? def : null;
  }
  function getInjectableDef(type) {
    return getOwnDefinition(type, type[NG_PROV_DEF]) || getOwnDefinition(type, type[NG_INJECTABLE_DEF]);
  }
  class InjectionToken {
    constructor(_desc, options) {
      __publicField(this, "ngMetadataName", "InjectionToken");
      __publicField(this, "ɵprov");
      this._desc = _desc;
      this.ɵprov = void 0;
      if (typeof options === "number") {
        this.__NG_ELEMENT_ID__ = options;
      } else if (options !== void 0) {
        this.ɵprov = ɵɵdefineInjectable({
          token: this,
          providedIn: options.providedIn || "root",
          factory: options.factory
        });
      }
    }
    toString() {
      return `InjectionToken ${this._desc}`;
    }
  }
  function createInjectionToken(token) {
    return new InjectionToken(token);
  }
  class Injector {
  }
  class NullInjector {
    get(token, notFoundValue = THROW_IF_NOT_FOUND) {
      if (notFoundValue === THROW_IF_NOT_FOUND) {
        const error = new Error(`NullInjectorError: No provider for ${stringify(token)}!`);
        error.name = "NullInjectorError";
        throw error;
      }
      return notFoundValue;
    }
  }
  const NULL_INJECTOR = new NullInjector();
  const __forward_ref__ = getClosureSafeProperty({ __forward_ref__: getClosureSafeProperty });
  function resolveForwardRef(type) {
    return isForwardRef(type) ? type() : type;
  }
  function forwardRef(forwardRefFn) {
    forwardRefFn.__forward_ref__ = forwardRef;
    forwardRefFn.toString = function() {
      return stringify(this());
    };
    return forwardRefFn;
  }
  function isForwardRef(fn) {
    return typeof fn === "function" && fn.hasOwnProperty(__forward_ref__) && fn.__forward_ref__ === forwardRef;
  }
  const INJECTOR = new InjectionToken("INJECTOR", -1);
  const USE_VALUE = getClosureSafeProperty({ provide: String, useValue: getClosureSafeProperty });
  let _currentInjector = void 0;
  function setCurrentInjector(injector) {
    const former = _currentInjector;
    _currentInjector = injector;
    return former;
  }
  class StaticInjector {
    constructor(providers, parent = NULL_INJECTOR, source = null) {
      __publicField(this, "parent");
      __publicField(this, "source");
      __publicField(this, "scope");
      __publicField(this, "_records");
      parent = parent ? parent : NULL_INJECTOR;
      this.parent = parent;
      this.source = source;
      const records = this._records = /* @__PURE__ */ new Map();
      records.set(Injector, { token: Injector, fn: IDENT, deps: EMPTY, value: this, useNew: false });
      records.set(INJECTOR, { token: INJECTOR, fn: IDENT, deps: EMPTY, value: this, useNew: false });
      this.scope = recursivelyProcessProviders(records, providers);
    }
    get(token, notFoundValue, flags = InjectFlags.Default) {
      const records = this._records;
      let record = records.get(token);
      if (record === void 0) {
        const injectableDef = getInjectableDef(token);
        if (injectableDef) {
          const providedIn = injectableDef && injectableDef.providedIn;
          if (providedIn === "any" || providedIn != null && providedIn === this.scope) {
            records.set(
              token,
              record = resolveProvider({ provide: token, useFactory: injectableDef.factory, deps: EMPTY })
            );
          }
        }
        if (record === void 0) {
          records.set(token, null);
        }
      }
      const lastInjector = setCurrentInjector(this);
      try {
        return tryResolveToken(token, record, records, this.parent, notFoundValue, flags);
      } catch (e) {
        throw e;
      } finally {
        setCurrentInjector(lastInjector);
      }
    }
    toString() {
      const tokens = [];
      const records = this._records;
      records.forEach((v, token) => tokens.push(stringify(token)));
      return `StaticInjector[${tokens.join(", ")}]`;
    }
  }
  function multiProviderMixError(token) {
    return staticError("Cannot mix multi providers and regular providers", token);
  }
  const INJECTOR_SCOPE = new InjectionToken("Set Injector scope.");
  function recursivelyProcessProviders(records, provider) {
    let scope = null;
    if (provider) {
      provider = resolveForwardRef(provider);
      if (Array.isArray(provider)) {
        for (let i = 0; i < provider.length; i++) {
          scope = recursivelyProcessProviders(records, provider[i]) || scope;
        }
      } else if (typeof provider === "function") {
        throw staticError("Function/Class not supported", provider);
      } else if (provider && typeof provider === "object" && provider.provide) {
        let token = resolveForwardRef(provider.provide);
        const resolvedProvider = resolveProvider(provider);
        if (provider.multi === true) {
          let multiProvider = records.get(token);
          if (multiProvider) {
            if (multiProvider.fn !== MULTI_PROVIDER_FN) {
              throw multiProviderMixError(token);
            }
          } else {
            records.set(token, multiProvider = {
              token: provider.provide,
              deps: [],
              useNew: false,
              fn: MULTI_PROVIDER_FN,
              value: EMPTY
            });
          }
          token = provider;
          multiProvider.deps.push({ token, options: OptionFlags.Default });
        }
        const record = records.get(token);
        if (record && record.fn === MULTI_PROVIDER_FN) {
          throw multiProviderMixError(token);
        }
        if (token === INJECTOR_SCOPE) {
          scope = resolvedProvider.value;
        }
        records.set(token, resolvedProvider);
      } else {
        throw staticError("Unexpected provider", provider);
      }
    }
    return scope;
  }
  function resolveProvider(provider) {
    const deps = computeDeps(provider);
    let fn = IDENT;
    let value = EMPTY;
    let useNew = false;
    const provide = resolveForwardRef(provider.provide);
    if (USE_VALUE in provider) {
      value = provider.useValue;
    } else if (provider.useFactory) {
      fn = provider.useFactory;
    } else if (provider.useExisting)
      ;
    else if (provider.useClass) {
      useNew = true;
      fn = resolveForwardRef(provider.useClass);
    } else if (typeof provide === "function") {
      useNew = true;
      fn = provide;
    } else {
      throw staticError(
        "StaticProvider does not have [useValue|useFactory|useExisting|useClass] or [provide] is not newable",
        provider
      );
    }
    return { deps, fn, useNew, value };
  }
  function computeDeps(provider) {
    let deps = EMPTY;
    const providerDeps = provider.deps;
    if (providerDeps && providerDeps.length) {
      deps = [];
      for (let i = 0; i < providerDeps.length; i++) {
        const options = OptionFlags.Default;
        const token = resolveForwardRef(providerDeps[i]);
        deps.push({ token, options });
      }
    } else if (provider.useExisting) {
      const token = resolveForwardRef(provider.useExisting);
      deps = [{ token, options: OptionFlags.Default }];
    } else if (!providerDeps && !(USE_VALUE in provider)) {
      throw staticError("'deps' required", provider);
    }
    return deps;
  }
  function tryResolveToken(token, record, records, parent, notFoundValue, flags) {
    try {
      return resolveToken(token, record, records, parent, notFoundValue, flags);
    } catch (e) {
      const path = e[NG_TEMP_TOKEN_PATH] = e[NG_TEMP_TOKEN_PATH] || [];
      path.unshift(token);
      if (record && record.value === CIRCULAR) {
        record.value = EMPTY;
      }
      throw e;
    }
  }
  function resolveToken(token, record, records, parent, notFoundValue, flags) {
    let value;
    if (record && !(flags & InjectFlags.SkipSelf)) {
      value = record.value;
      if (value === CIRCULAR) {
        throw Error(NO_NEW_LINE + "Circular dependency");
      } else if (value === EMPTY) {
        record.value = CIRCULAR;
        const useNew = record.useNew;
        const fn = record.fn;
        const depRecords = record.deps;
        let deps = EMPTY;
        if (depRecords.length) {
          deps = [];
          for (let i = 0; i < depRecords.length; i++) {
            const depRecord = depRecords[i];
            const options = depRecord.options;
            const childRecord = options & OptionFlags.CheckSelf ? records.get(depRecord.token) : void 0;
            deps.push(
              tryResolveToken(
                depRecord.token,
                childRecord,
                records,
                !childRecord && !(options & OptionFlags.CheckParent) ? NULL_INJECTOR : parent,
                options & OptionFlags.Optional ? null : THROW_IF_NOT_FOUND,
                InjectFlags.Default
              )
            );
          }
        }
        record.value = value = useNew ? new fn(...deps) : fn.apply(void 0, deps);
      }
    } else if (!(flags & InjectFlags.Self)) {
      value = parent.get(token, notFoundValue, InjectFlags.Default);
    } else if (!(flags & InjectFlags.Optional)) {
      value = NULL_INJECTOR.get(token, notFoundValue);
    } else {
      value = NULL_INJECTOR.get(token, typeof notFoundValue !== "undefined" ? notFoundValue : null);
    }
    return value;
  }
  function INJECTOR_IMPL__PRE_R3__(providers, parent, name) {
    return new StaticInjector(providers, parent, name);
  }
  const INJECTOR_IMPL = INJECTOR_IMPL__PRE_R3__;
  function createInjector(options, parent) {
    if (Array.isArray(options)) {
      return INJECTOR_IMPL(options, parent, "");
    } else {
      return INJECTOR_IMPL(options.providers, options.parent, options.name || "");
    }
  }
  const ANNOTATIONS = "__annotations__";
  const PROP_METADATA = "__prop__metadata__";
  function makeMetaCtor(metaFactory) {
    return function ctor(...args) {
      if (metaFactory) {
        const values = metaFactory(...args);
        for (const propName in values) {
          this[propName] = values[propName];
        }
      }
    };
  }
  function makeTypeMetadataDecorator(name, props, parentClass, chainFn, typeFn) {
    const metaCtor = makeMetaCtor(props);
    function DecoratorFactory(...args) {
      if (this instanceof DecoratorFactory) {
        metaCtor.call(this, ...args);
        return this;
      }
      const annotationInstance = new DecoratorFactory(...args);
      const typeDecorator = function createTypeDecorator(cls) {
        typeFn && typeFn(cls, ...args);
        const annotations = cls.hasOwnProperty(ANNOTATIONS) ? cls[ANNOTATIONS] : Object.defineProperty(cls, ANNOTATIONS, { value: [] })[ANNOTATIONS];
        annotations.push(annotationInstance);
        return cls;
      };
      if (chainFn) {
        chainFn(typeDecorator);
      }
      return typeDecorator;
    }
    if (parentClass) {
      DecoratorFactory.prototype = Object.create(parentClass.prototype);
    }
    DecoratorFactory.prototype.ngMetadataName = name;
    DecoratorFactory.annotationCls = DecoratorFactory;
    return DecoratorFactory;
  }
  function getAllPropMetas(target) {
    const constructor = target.constructor;
    let allPropMetas = null;
    if (constructor.hasOwnProperty(PROP_METADATA)) {
      allPropMetas = constructor[PROP_METADATA];
    } else {
      allPropMetas = Object.defineProperty(constructor, PROP_METADATA, { value: {} })[PROP_METADATA];
    }
    return allPropMetas;
  }
  function getSinglePropMetas(target, propName) {
    const allPropMetas = getAllPropMetas(target);
    if (allPropMetas.hasOwnProperty(propName)) {
      return allPropMetas[propName];
    }
    return [];
  }
  function makePropMetadataDecorator(name, metaFactory, parentClass) {
    const metaCtor = makeMetaCtor(metaFactory);
    function PropDecoratorFactory(...args) {
      if (this instanceof PropDecoratorFactory) {
        metaCtor.apply(this, args);
        return this;
      }
      const decoratorInstance = new PropDecoratorFactory(...args);
      function PropDecorator(target, propName) {
        const allPropMetas = getAllPropMetas(target);
        allPropMetas[propName] = getSinglePropMetas(target, propName);
        allPropMetas[propName].unshift(decoratorInstance);
      }
      return PropDecorator;
    }
    if (parentClass) {
      PropDecoratorFactory.prototype = Object.create(parentClass.prototype);
    }
    PropDecoratorFactory.prototype.metadataName = name;
    PropDecoratorFactory.annotationClass = PropDecoratorFactory;
    return PropDecoratorFactory;
  }
  class TypeMetadataReader {
    /**
     * 获取所有的元数据
     */
    static getMetas(constructor) {
      const metas = constructor[ANNOTATIONS];
      if (!metas) {
        return {};
      }
      return metas;
    }
    /**
     * 根据名称获取元数据
     */
    static getMataByName(constructor, metaName) {
      const metas = this.getMetas(constructor);
      if (!metas) {
        return {};
      }
      const targetMeta = metas.find((meta) => {
        return meta.ngMetadataName = metaName;
      });
      return targetMeta;
    }
  }
  class PropMetadataReader {
    /**
     * 获取所有属性的所有类型元数据
     */
    static getPropsMetas(constructor) {
      const propsMetas = constructor[PROP_METADATA];
      if (!propsMetas) {
        return {};
      }
      return propsMetas;
    }
    /**
     * 获取所有属性某一类型的元数据
     */
    static getPropsMetasByName(constructor, metaName) {
      const propsMetas = this.getPropsMetas(constructor);
      if (!propsMetas) {
        return {};
      }
      const sameNamePropsMetas = {};
      Object.keys(propsMetas).forEach((propName) => {
        const propMetas = propsMetas[propName];
        const targetPropMeta = propMetas.find((propMeta) => {
          return propMeta.metadataName === metaName;
        });
        if (!targetPropMeta) {
          return;
        }
        sameNamePropsMetas[propName] = targetPropMeta;
      });
      return sameNamePropsMetas;
    }
  }
  class Effect {
    /**
     * 副作用构造器
     * @param effectFunction 副作用方法
     */
    constructor(effectFunction) {
      /**
       * 副作用方法
       */
      __publicField(this, "internalFunction");
      this.effectFunction = effectFunction;
      this.internalFunction = this.effectFunction;
    }
    /**
     * 执行副作用
     * @param change 变更 
     */
    run(change) {
      this.internalFunction(change);
    }
  }
  class EffectManager {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * 副作用集合
       */
      __publicField(this, "innerEffects", []);
    }
    /**
     * 添加副作用
     */
    addEffect(effect) {
      if (this.innerEffects.indexOf(effect) > -1) {
        return;
      }
      this.innerEffects.push(effect);
    }
    /**
     * 删除副作用
     */
    removeEffect(effect) {
      this.innerEffects = this.innerEffects.filter((internalEffect) => effect !== internalEffect);
    }
    /**
     * 获取全部副作用
     */
    getEffects() {
      return this.innerEffects;
    }
    /**
     * 执行全部副作用
     */
    trigger(change) {
      this.innerEffects.forEach((effect) => {
        effect.run(change);
      });
    }
  }
  const _Token = class _Token {
    static create(redix) {
      const timestamp = Date.now().valueOf();
      let uuid = 0;
      if (timestamp > _Token.previous) {
        _Token.previous = timestamp;
        uuid = timestamp;
      } else {
        _Token.previous = _Token.previous + 100;
        uuid = _Token.previous;
      }
      return uuid.toString(redix);
    }
  };
  __publicField(_Token, "previous", 0);
  let Token = _Token;
  const EXCEPTION_HANDLER_TOKEN = new InjectionToken("@farris/exception_handler_token");
  const RENDER_ENGINE_TOKEN = new InjectionToken("@farris/render_engine_token");
  const NAMESPACE_TOKEN = new InjectionToken("@farris/namespace_token");
  const MODULE_CONFIG_ID_TOKEN = new InjectionToken("@farris/module_config_id_token");
  const RESPONSE_REQUIRED_VALIDATOR_TOKEN = new InjectionToken("@farris/response_required_validator_token");
  const EXPRESSION_VALIDATOR_TOKEN = new InjectionToken("@farris/expression_validator_token");
  class TypeUtil {
    /**
     * 是否为Promsie对象
     */
    static isPromise(obj) {
      return obj instanceof Promise && Object.getPrototypeOf(obj) === Promise.prototype;
    }
  }
  class ObjectUtil {
    /**
     * 是否是对象
     */
    static isObject(value) {
      return value && typeof value === "object";
    }
    /**
     * 判断对象是否为空
     */
    static isEmpty(value) {
      if (value === null || value === void 0) {
        return true;
      }
      if (typeof value === "object" && Object.keys(value).length === 0) {
        return true;
      }
      return false;
    }
  }
  class StringUtil {
    /**
     * 是否为字符串
     */
    static isString(value) {
      return typeof value === "string";
    }
    /**
     * 判断为空字符串
     */
    static isEmptyString(value) {
      if (value === void 0 || value == null) {
        return true;
      }
      if (this.isString(value) === true) {
        return value.length === 0;
      }
      return false;
    }
  }
  class NumberUtil {
    /**
     * 是否为字符串
     */
    static isNumber(value) {
      return typeof value === "number";
    }
    /**
     * 是否为空数字
     */
    static isEmptyNumber(value) {
      return value === void 0 || value == null;
    }
  }
  function toDate(argument) {
    const argStr = Object.prototype.toString.call(argument);
    if (argument instanceof Date || typeof argument === "object" && argStr === "[object Date]") {
      return new argument.constructor(+argument);
    } else if (typeof argument === "number" || argStr === "[object Number]" || typeof argument === "string" || argStr === "[object String]") {
      return new Date(argument);
    } else {
      return /* @__PURE__ */ new Date(NaN);
    }
  }
  function constructFrom(date, value) {
    if (date instanceof Date) {
      return new date.constructor(value);
    } else {
      return new Date(value);
    }
  }
  const millisecondsInWeek = 6048e5;
  const millisecondsInDay = 864e5;
  const millisecondsInMinute = 6e4;
  const millisecondsInHour = 36e5;
  let defaultOptions = {};
  function getDefaultOptions() {
    return defaultOptions;
  }
  function startOfWeek(date, options) {
    var _a, _b, _c, _d;
    const defaultOptions2 = getDefaultOptions();
    const weekStartsOn = (options == null ? void 0 : options.weekStartsOn) ?? ((_b = (_a = options == null ? void 0 : options.locale) == null ? void 0 : _a.options) == null ? void 0 : _b.weekStartsOn) ?? defaultOptions2.weekStartsOn ?? ((_d = (_c = defaultOptions2.locale) == null ? void 0 : _c.options) == null ? void 0 : _d.weekStartsOn) ?? 0;
    const _date = toDate(date);
    const day = _date.getDay();
    const diff = (day < weekStartsOn ? 7 : 0) + day - weekStartsOn;
    _date.setDate(_date.getDate() - diff);
    _date.setHours(0, 0, 0, 0);
    return _date;
  }
  function startOfISOWeek(date) {
    return startOfWeek(date, { weekStartsOn: 1 });
  }
  function getISOWeekYear(date) {
    const _date = toDate(date);
    const year = _date.getFullYear();
    const fourthOfJanuaryOfNextYear = constructFrom(date, 0);
    fourthOfJanuaryOfNextYear.setFullYear(year + 1, 0, 4);
    fourthOfJanuaryOfNextYear.setHours(0, 0, 0, 0);
    const startOfNextYear = startOfISOWeek(fourthOfJanuaryOfNextYear);
    const fourthOfJanuaryOfThisYear = constructFrom(date, 0);
    fourthOfJanuaryOfThisYear.setFullYear(year, 0, 4);
    fourthOfJanuaryOfThisYear.setHours(0, 0, 0, 0);
    const startOfThisYear = startOfISOWeek(fourthOfJanuaryOfThisYear);
    if (_date.getTime() >= startOfNextYear.getTime()) {
      return year + 1;
    } else if (_date.getTime() >= startOfThisYear.getTime()) {
      return year;
    } else {
      return year - 1;
    }
  }
  function startOfDay(date) {
    const _date = toDate(date);
    _date.setHours(0, 0, 0, 0);
    return _date;
  }
  function getTimezoneOffsetInMilliseconds(date) {
    const _date = toDate(date);
    const utcDate = new Date(
      Date.UTC(
        _date.getFullYear(),
        _date.getMonth(),
        _date.getDate(),
        _date.getHours(),
        _date.getMinutes(),
        _date.getSeconds(),
        _date.getMilliseconds()
      )
    );
    utcDate.setUTCFullYear(_date.getFullYear());
    return +date - +utcDate;
  }
  function differenceInCalendarDays(dateLeft, dateRight) {
    const startOfDayLeft = startOfDay(dateLeft);
    const startOfDayRight = startOfDay(dateRight);
    const timestampLeft = +startOfDayLeft - getTimezoneOffsetInMilliseconds(startOfDayLeft);
    const timestampRight = +startOfDayRight - getTimezoneOffsetInMilliseconds(startOfDayRight);
    return Math.round((timestampLeft - timestampRight) / millisecondsInDay);
  }
  function startOfISOWeekYear(date) {
    const year = getISOWeekYear(date);
    const fourthOfJanuary = constructFrom(date, 0);
    fourthOfJanuary.setFullYear(year, 0, 4);
    fourthOfJanuary.setHours(0, 0, 0, 0);
    return startOfISOWeek(fourthOfJanuary);
  }
  function isDate(value) {
    return value instanceof Date || typeof value === "object" && Object.prototype.toString.call(value) === "[object Date]";
  }
  function isValid(date) {
    if (!isDate(date) && typeof date !== "number") {
      return false;
    }
    const _date = toDate(date);
    return !isNaN(Number(_date));
  }
  function startOfYear(date) {
    const cleanDate = toDate(date);
    const _date = constructFrom(date, 0);
    _date.setFullYear(cleanDate.getFullYear(), 0, 1);
    _date.setHours(0, 0, 0, 0);
    return _date;
  }
  const formatDistanceLocale = {
    lessThanXSeconds: {
      one: "less than a second",
      other: "less than {{count}} seconds"
    },
    xSeconds: {
      one: "1 second",
      other: "{{count}} seconds"
    },
    halfAMinute: "half a minute",
    lessThanXMinutes: {
      one: "less than a minute",
      other: "less than {{count}} minutes"
    },
    xMinutes: {
      one: "1 minute",
      other: "{{count}} minutes"
    },
    aboutXHours: {
      one: "about 1 hour",
      other: "about {{count}} hours"
    },
    xHours: {
      one: "1 hour",
      other: "{{count}} hours"
    },
    xDays: {
      one: "1 day",
      other: "{{count}} days"
    },
    aboutXWeeks: {
      one: "about 1 week",
      other: "about {{count}} weeks"
    },
    xWeeks: {
      one: "1 week",
      other: "{{count}} weeks"
    },
    aboutXMonths: {
      one: "about 1 month",
      other: "about {{count}} months"
    },
    xMonths: {
      one: "1 month",
      other: "{{count}} months"
    },
    aboutXYears: {
      one: "about 1 year",
      other: "about {{count}} years"
    },
    xYears: {
      one: "1 year",
      other: "{{count}} years"
    },
    overXYears: {
      one: "over 1 year",
      other: "over {{count}} years"
    },
    almostXYears: {
      one: "almost 1 year",
      other: "almost {{count}} years"
    }
  };
  const formatDistance = (token, count, options) => {
    let result;
    const tokenValue = formatDistanceLocale[token];
    if (typeof tokenValue === "string") {
      result = tokenValue;
    } else if (count === 1) {
      result = tokenValue.one;
    } else {
      result = tokenValue.other.replace("{{count}}", count.toString());
    }
    if (options == null ? void 0 : options.addSuffix) {
      if (options.comparison && options.comparison > 0) {
        return "in " + result;
      } else {
        return result + " ago";
      }
    }
    return result;
  };
  function buildFormatLongFn(args) {
    return (options = {}) => {
      const width = options.width ? String(options.width) : args.defaultWidth;
      const format2 = args.formats[width] || args.formats[args.defaultWidth];
      return format2;
    };
  }
  const dateFormats = {
    full: "EEEE, MMMM do, y",
    long: "MMMM do, y",
    medium: "MMM d, y",
    short: "MM/dd/yyyy"
  };
  const timeFormats = {
    full: "h:mm:ss a zzzz",
    long: "h:mm:ss a z",
    medium: "h:mm:ss a",
    short: "h:mm a"
  };
  const dateTimeFormats = {
    full: "{{date}} 'at' {{time}}",
    long: "{{date}} 'at' {{time}}",
    medium: "{{date}}, {{time}}",
    short: "{{date}}, {{time}}"
  };
  const formatLong = {
    date: buildFormatLongFn({
      formats: dateFormats,
      defaultWidth: "full"
    }),
    time: buildFormatLongFn({
      formats: timeFormats,
      defaultWidth: "full"
    }),
    dateTime: buildFormatLongFn({
      formats: dateTimeFormats,
      defaultWidth: "full"
    })
  };
  const formatRelativeLocale = {
    lastWeek: "'last' eeee 'at' p",
    yesterday: "'yesterday at' p",
    today: "'today at' p",
    tomorrow: "'tomorrow at' p",
    nextWeek: "eeee 'at' p",
    other: "P"
  };
  const formatRelative = (token, _date, _baseDate, _options) => formatRelativeLocale[token];
  function buildLocalizeFn(args) {
    return (value, options) => {
      const context = (options == null ? void 0 : options.context) ? String(options.context) : "standalone";
      let valuesArray;
      if (context === "formatting" && args.formattingValues) {
        const defaultWidth = args.defaultFormattingWidth || args.defaultWidth;
        const width = (options == null ? void 0 : options.width) ? String(options.width) : defaultWidth;
        valuesArray = args.formattingValues[width] || args.formattingValues[defaultWidth];
      } else {
        const defaultWidth = args.defaultWidth;
        const width = (options == null ? void 0 : options.width) ? String(options.width) : args.defaultWidth;
        valuesArray = args.values[width] || args.values[defaultWidth];
      }
      const index = args.argumentCallback ? args.argumentCallback(value) : value;
      return valuesArray[index];
    };
  }
  const eraValues = {
    narrow: ["B", "A"],
    abbreviated: ["BC", "AD"],
    wide: ["Before Christ", "Anno Domini"]
  };
  const quarterValues = {
    narrow: ["1", "2", "3", "4"],
    abbreviated: ["Q1", "Q2", "Q3", "Q4"],
    wide: ["1st quarter", "2nd quarter", "3rd quarter", "4th quarter"]
  };
  const monthValues = {
    narrow: ["J", "F", "M", "A", "M", "J", "J", "A", "S", "O", "N", "D"],
    abbreviated: [
      "Jan",
      "Feb",
      "Mar",
      "Apr",
      "May",
      "Jun",
      "Jul",
      "Aug",
      "Sep",
      "Oct",
      "Nov",
      "Dec"
    ],
    wide: [
      "January",
      "February",
      "March",
      "April",
      "May",
      "June",
      "July",
      "August",
      "September",
      "October",
      "November",
      "December"
    ]
  };
  const dayValues = {
    narrow: ["S", "M", "T", "W", "T", "F", "S"],
    short: ["Su", "Mo", "Tu", "We", "Th", "Fr", "Sa"],
    abbreviated: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
    wide: [
      "Sunday",
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday",
      "Saturday"
    ]
  };
  const dayPeriodValues = {
    narrow: {
      am: "a",
      pm: "p",
      midnight: "mi",
      noon: "n",
      morning: "morning",
      afternoon: "afternoon",
      evening: "evening",
      night: "night"
    },
    abbreviated: {
      am: "AM",
      pm: "PM",
      midnight: "midnight",
      noon: "noon",
      morning: "morning",
      afternoon: "afternoon",
      evening: "evening",
      night: "night"
    },
    wide: {
      am: "a.m.",
      pm: "p.m.",
      midnight: "midnight",
      noon: "noon",
      morning: "morning",
      afternoon: "afternoon",
      evening: "evening",
      night: "night"
    }
  };
  const formattingDayPeriodValues = {
    narrow: {
      am: "a",
      pm: "p",
      midnight: "mi",
      noon: "n",
      morning: "in the morning",
      afternoon: "in the afternoon",
      evening: "in the evening",
      night: "at night"
    },
    abbreviated: {
      am: "AM",
      pm: "PM",
      midnight: "midnight",
      noon: "noon",
      morning: "in the morning",
      afternoon: "in the afternoon",
      evening: "in the evening",
      night: "at night"
    },
    wide: {
      am: "a.m.",
      pm: "p.m.",
      midnight: "midnight",
      noon: "noon",
      morning: "in the morning",
      afternoon: "in the afternoon",
      evening: "in the evening",
      night: "at night"
    }
  };
  const ordinalNumber = (dirtyNumber, _options) => {
    const number = Number(dirtyNumber);
    const rem100 = number % 100;
    if (rem100 > 20 || rem100 < 10) {
      switch (rem100 % 10) {
        case 1:
          return number + "st";
        case 2:
          return number + "nd";
        case 3:
          return number + "rd";
      }
    }
    return number + "th";
  };
  const localize = {
    ordinalNumber,
    era: buildLocalizeFn({
      values: eraValues,
      defaultWidth: "wide"
    }),
    quarter: buildLocalizeFn({
      values: quarterValues,
      defaultWidth: "wide",
      argumentCallback: (quarter) => quarter - 1
    }),
    month: buildLocalizeFn({
      values: monthValues,
      defaultWidth: "wide"
    }),
    day: buildLocalizeFn({
      values: dayValues,
      defaultWidth: "wide"
    }),
    dayPeriod: buildLocalizeFn({
      values: dayPeriodValues,
      defaultWidth: "wide",
      formattingValues: formattingDayPeriodValues,
      defaultFormattingWidth: "wide"
    })
  };
  function buildMatchFn(args) {
    return (string, options = {}) => {
      const width = options.width;
      const matchPattern = width && args.matchPatterns[width] || args.matchPatterns[args.defaultMatchWidth];
      const matchResult = string.match(matchPattern);
      if (!matchResult) {
        return null;
      }
      const matchedString = matchResult[0];
      const parsePatterns = width && args.parsePatterns[width] || args.parsePatterns[args.defaultParseWidth];
      const key = Array.isArray(parsePatterns) ? findIndex(parsePatterns, (pattern) => pattern.test(matchedString)) : (
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- I challange you to fix the type
        findKey(parsePatterns, (pattern) => pattern.test(matchedString))
      );
      let value;
      value = args.valueCallback ? args.valueCallback(key) : key;
      value = options.valueCallback ? (
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- I challange you to fix the type
        options.valueCallback(value)
      ) : value;
      const rest = string.slice(matchedString.length);
      return { value, rest };
    };
  }
  function findKey(object, predicate) {
    for (const key in object) {
      if (Object.prototype.hasOwnProperty.call(object, key) && predicate(object[key])) {
        return key;
      }
    }
    return void 0;
  }
  function findIndex(array, predicate) {
    for (let key = 0; key < array.length; key++) {
      if (predicate(array[key])) {
        return key;
      }
    }
    return void 0;
  }
  function buildMatchPatternFn(args) {
    return (string, options = {}) => {
      const matchResult = string.match(args.matchPattern);
      if (!matchResult)
        return null;
      const matchedString = matchResult[0];
      const parseResult = string.match(args.parsePattern);
      if (!parseResult)
        return null;
      let value = args.valueCallback ? args.valueCallback(parseResult[0]) : parseResult[0];
      value = options.valueCallback ? options.valueCallback(value) : value;
      const rest = string.slice(matchedString.length);
      return { value, rest };
    };
  }
  const matchOrdinalNumberPattern = /^(\d+)(th|st|nd|rd)?/i;
  const parseOrdinalNumberPattern = /\d+/i;
  const matchEraPatterns = {
    narrow: /^(b|a)/i,
    abbreviated: /^(b\.?\s?c\.?|b\.?\s?c\.?\s?e\.?|a\.?\s?d\.?|c\.?\s?e\.?)/i,
    wide: /^(before christ|before common era|anno domini|common era)/i
  };
  const parseEraPatterns = {
    any: [/^b/i, /^(a|c)/i]
  };
  const matchQuarterPatterns = {
    narrow: /^[1234]/i,
    abbreviated: /^q[1234]/i,
    wide: /^[1234](th|st|nd|rd)? quarter/i
  };
  const parseQuarterPatterns = {
    any: [/1/i, /2/i, /3/i, /4/i]
  };
  const matchMonthPatterns = {
    narrow: /^[jfmasond]/i,
    abbreviated: /^(jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec)/i,
    wide: /^(january|february|march|april|may|june|july|august|september|october|november|december)/i
  };
  const parseMonthPatterns = {
    narrow: [
      /^j/i,
      /^f/i,
      /^m/i,
      /^a/i,
      /^m/i,
      /^j/i,
      /^j/i,
      /^a/i,
      /^s/i,
      /^o/i,
      /^n/i,
      /^d/i
    ],
    any: [
      /^ja/i,
      /^f/i,
      /^mar/i,
      /^ap/i,
      /^may/i,
      /^jun/i,
      /^jul/i,
      /^au/i,
      /^s/i,
      /^o/i,
      /^n/i,
      /^d/i
    ]
  };
  const matchDayPatterns = {
    narrow: /^[smtwf]/i,
    short: /^(su|mo|tu|we|th|fr|sa)/i,
    abbreviated: /^(sun|mon|tue|wed|thu|fri|sat)/i,
    wide: /^(sunday|monday|tuesday|wednesday|thursday|friday|saturday)/i
  };
  const parseDayPatterns = {
    narrow: [/^s/i, /^m/i, /^t/i, /^w/i, /^t/i, /^f/i, /^s/i],
    any: [/^su/i, /^m/i, /^tu/i, /^w/i, /^th/i, /^f/i, /^sa/i]
  };
  const matchDayPeriodPatterns = {
    narrow: /^(a|p|mi|n|(in the|at) (morning|afternoon|evening|night))/i,
    any: /^([ap]\.?\s?m\.?|midnight|noon|(in the|at) (morning|afternoon|evening|night))/i
  };
  const parseDayPeriodPatterns = {
    any: {
      am: /^a/i,
      pm: /^p/i,
      midnight: /^mi/i,
      noon: /^no/i,
      morning: /morning/i,
      afternoon: /afternoon/i,
      evening: /evening/i,
      night: /night/i
    }
  };
  const match = {
    ordinalNumber: buildMatchPatternFn({
      matchPattern: matchOrdinalNumberPattern,
      parsePattern: parseOrdinalNumberPattern,
      valueCallback: (value) => parseInt(value, 10)
    }),
    era: buildMatchFn({
      matchPatterns: matchEraPatterns,
      defaultMatchWidth: "wide",
      parsePatterns: parseEraPatterns,
      defaultParseWidth: "any"
    }),
    quarter: buildMatchFn({
      matchPatterns: matchQuarterPatterns,
      defaultMatchWidth: "wide",
      parsePatterns: parseQuarterPatterns,
      defaultParseWidth: "any",
      valueCallback: (index) => index + 1
    }),
    month: buildMatchFn({
      matchPatterns: matchMonthPatterns,
      defaultMatchWidth: "wide",
      parsePatterns: parseMonthPatterns,
      defaultParseWidth: "any"
    }),
    day: buildMatchFn({
      matchPatterns: matchDayPatterns,
      defaultMatchWidth: "wide",
      parsePatterns: parseDayPatterns,
      defaultParseWidth: "any"
    }),
    dayPeriod: buildMatchFn({
      matchPatterns: matchDayPeriodPatterns,
      defaultMatchWidth: "any",
      parsePatterns: parseDayPeriodPatterns,
      defaultParseWidth: "any"
    })
  };
  const enUS = {
    code: "en-US",
    formatDistance,
    formatLong,
    formatRelative,
    localize,
    match,
    options: {
      weekStartsOn: 0,
      firstWeekContainsDate: 1
    }
  };
  function getDayOfYear(date) {
    const _date = toDate(date);
    const diff = differenceInCalendarDays(_date, startOfYear(_date));
    const dayOfYear = diff + 1;
    return dayOfYear;
  }
  function getISOWeek(date) {
    const _date = toDate(date);
    const diff = +startOfISOWeek(_date) - +startOfISOWeekYear(_date);
    return Math.round(diff / millisecondsInWeek) + 1;
  }
  function getWeekYear(date, options) {
    var _a, _b, _c, _d;
    const _date = toDate(date);
    const year = _date.getFullYear();
    const defaultOptions2 = getDefaultOptions();
    const firstWeekContainsDate = (options == null ? void 0 : options.firstWeekContainsDate) ?? ((_b = (_a = options == null ? void 0 : options.locale) == null ? void 0 : _a.options) == null ? void 0 : _b.firstWeekContainsDate) ?? defaultOptions2.firstWeekContainsDate ?? ((_d = (_c = defaultOptions2.locale) == null ? void 0 : _c.options) == null ? void 0 : _d.firstWeekContainsDate) ?? 1;
    const firstWeekOfNextYear = constructFrom(date, 0);
    firstWeekOfNextYear.setFullYear(year + 1, 0, firstWeekContainsDate);
    firstWeekOfNextYear.setHours(0, 0, 0, 0);
    const startOfNextYear = startOfWeek(firstWeekOfNextYear, options);
    const firstWeekOfThisYear = constructFrom(date, 0);
    firstWeekOfThisYear.setFullYear(year, 0, firstWeekContainsDate);
    firstWeekOfThisYear.setHours(0, 0, 0, 0);
    const startOfThisYear = startOfWeek(firstWeekOfThisYear, options);
    if (_date.getTime() >= startOfNextYear.getTime()) {
      return year + 1;
    } else if (_date.getTime() >= startOfThisYear.getTime()) {
      return year;
    } else {
      return year - 1;
    }
  }
  function startOfWeekYear(date, options) {
    var _a, _b, _c, _d;
    const defaultOptions2 = getDefaultOptions();
    const firstWeekContainsDate = (options == null ? void 0 : options.firstWeekContainsDate) ?? ((_b = (_a = options == null ? void 0 : options.locale) == null ? void 0 : _a.options) == null ? void 0 : _b.firstWeekContainsDate) ?? defaultOptions2.firstWeekContainsDate ?? ((_d = (_c = defaultOptions2.locale) == null ? void 0 : _c.options) == null ? void 0 : _d.firstWeekContainsDate) ?? 1;
    const year = getWeekYear(date, options);
    const firstWeek = constructFrom(date, 0);
    firstWeek.setFullYear(year, 0, firstWeekContainsDate);
    firstWeek.setHours(0, 0, 0, 0);
    const _date = startOfWeek(firstWeek, options);
    return _date;
  }
  function getWeek(date, options) {
    const _date = toDate(date);
    const diff = +startOfWeek(_date, options) - +startOfWeekYear(_date, options);
    return Math.round(diff / millisecondsInWeek) + 1;
  }
  function addLeadingZeros(number, targetLength) {
    const sign = number < 0 ? "-" : "";
    const output = Math.abs(number).toString().padStart(targetLength, "0");
    return sign + output;
  }
  const lightFormatters = {
    // Year
    y(date, token) {
      const signedYear = date.getFullYear();
      const year = signedYear > 0 ? signedYear : 1 - signedYear;
      return addLeadingZeros(token === "yy" ? year % 100 : year, token.length);
    },
    // Month
    M(date, token) {
      const month = date.getMonth();
      return token === "M" ? String(month + 1) : addLeadingZeros(month + 1, 2);
    },
    // Day of the month
    d(date, token) {
      return addLeadingZeros(date.getDate(), token.length);
    },
    // AM or PM
    a(date, token) {
      const dayPeriodEnumValue = date.getHours() / 12 >= 1 ? "pm" : "am";
      switch (token) {
        case "a":
        case "aa":
          return dayPeriodEnumValue.toUpperCase();
        case "aaa":
          return dayPeriodEnumValue;
        case "aaaaa":
          return dayPeriodEnumValue[0];
        case "aaaa":
        default:
          return dayPeriodEnumValue === "am" ? "a.m." : "p.m.";
      }
    },
    // Hour [1-12]
    h(date, token) {
      return addLeadingZeros(date.getHours() % 12 || 12, token.length);
    },
    // Hour [0-23]
    H(date, token) {
      return addLeadingZeros(date.getHours(), token.length);
    },
    // Minute
    m(date, token) {
      return addLeadingZeros(date.getMinutes(), token.length);
    },
    // Second
    s(date, token) {
      return addLeadingZeros(date.getSeconds(), token.length);
    },
    // Fraction of second
    S(date, token) {
      const numberOfDigits = token.length;
      const milliseconds = date.getMilliseconds();
      const fractionalSeconds = Math.trunc(
        milliseconds * Math.pow(10, numberOfDigits - 3)
      );
      return addLeadingZeros(fractionalSeconds, token.length);
    }
  };
  const dayPeriodEnum = {
    am: "am",
    pm: "pm",
    midnight: "midnight",
    noon: "noon",
    morning: "morning",
    afternoon: "afternoon",
    evening: "evening",
    night: "night"
  };
  const formatters = {
    // Era
    G: function(date, token, localize2) {
      const era = date.getFullYear() > 0 ? 1 : 0;
      switch (token) {
        case "G":
        case "GG":
        case "GGG":
          return localize2.era(era, { width: "abbreviated" });
        case "GGGGG":
          return localize2.era(era, { width: "narrow" });
        case "GGGG":
        default:
          return localize2.era(era, { width: "wide" });
      }
    },
    // Year
    y: function(date, token, localize2) {
      if (token === "yo") {
        const signedYear = date.getFullYear();
        const year = signedYear > 0 ? signedYear : 1 - signedYear;
        return localize2.ordinalNumber(year, { unit: "year" });
      }
      return lightFormatters.y(date, token);
    },
    // Local week-numbering year
    Y: function(date, token, localize2, options) {
      const signedWeekYear = getWeekYear(date, options);
      const weekYear = signedWeekYear > 0 ? signedWeekYear : 1 - signedWeekYear;
      if (token === "YY") {
        const twoDigitYear = weekYear % 100;
        return addLeadingZeros(twoDigitYear, 2);
      }
      if (token === "Yo") {
        return localize2.ordinalNumber(weekYear, { unit: "year" });
      }
      return addLeadingZeros(weekYear, token.length);
    },
    // ISO week-numbering year
    R: function(date, token) {
      const isoWeekYear = getISOWeekYear(date);
      return addLeadingZeros(isoWeekYear, token.length);
    },
    // Extended year. This is a single number designating the year of this calendar system.
    // The main difference between `y` and `u` localizers are B.C. years:
    // | Year | `y` | `u` |
    // |------|-----|-----|
    // | AC 1 |   1 |   1 |
    // | BC 1 |   1 |   0 |
    // | BC 2 |   2 |  -1 |
    // Also `yy` always returns the last two digits of a year,
    // while `uu` pads single digit years to 2 characters and returns other years unchanged.
    u: function(date, token) {
      const year = date.getFullYear();
      return addLeadingZeros(year, token.length);
    },
    // Quarter
    Q: function(date, token, localize2) {
      const quarter = Math.ceil((date.getMonth() + 1) / 3);
      switch (token) {
        case "Q":
          return String(quarter);
        case "QQ":
          return addLeadingZeros(quarter, 2);
        case "Qo":
          return localize2.ordinalNumber(quarter, { unit: "quarter" });
        case "QQQ":
          return localize2.quarter(quarter, {
            width: "abbreviated",
            context: "formatting"
          });
        case "QQQQQ":
          return localize2.quarter(quarter, {
            width: "narrow",
            context: "formatting"
          });
        case "QQQQ":
        default:
          return localize2.quarter(quarter, {
            width: "wide",
            context: "formatting"
          });
      }
    },
    // Stand-alone quarter
    q: function(date, token, localize2) {
      const quarter = Math.ceil((date.getMonth() + 1) / 3);
      switch (token) {
        case "q":
          return String(quarter);
        case "qq":
          return addLeadingZeros(quarter, 2);
        case "qo":
          return localize2.ordinalNumber(quarter, { unit: "quarter" });
        case "qqq":
          return localize2.quarter(quarter, {
            width: "abbreviated",
            context: "standalone"
          });
        case "qqqqq":
          return localize2.quarter(quarter, {
            width: "narrow",
            context: "standalone"
          });
        case "qqqq":
        default:
          return localize2.quarter(quarter, {
            width: "wide",
            context: "standalone"
          });
      }
    },
    // Month
    M: function(date, token, localize2) {
      const month = date.getMonth();
      switch (token) {
        case "M":
        case "MM":
          return lightFormatters.M(date, token);
        case "Mo":
          return localize2.ordinalNumber(month + 1, { unit: "month" });
        case "MMM":
          return localize2.month(month, {
            width: "abbreviated",
            context: "formatting"
          });
        case "MMMMM":
          return localize2.month(month, {
            width: "narrow",
            context: "formatting"
          });
        case "MMMM":
        default:
          return localize2.month(month, { width: "wide", context: "formatting" });
      }
    },
    // Stand-alone month
    L: function(date, token, localize2) {
      const month = date.getMonth();
      switch (token) {
        case "L":
          return String(month + 1);
        case "LL":
          return addLeadingZeros(month + 1, 2);
        case "Lo":
          return localize2.ordinalNumber(month + 1, { unit: "month" });
        case "LLL":
          return localize2.month(month, {
            width: "abbreviated",
            context: "standalone"
          });
        case "LLLLL":
          return localize2.month(month, {
            width: "narrow",
            context: "standalone"
          });
        case "LLLL":
        default:
          return localize2.month(month, { width: "wide", context: "standalone" });
      }
    },
    // Local week of year
    w: function(date, token, localize2, options) {
      const week = getWeek(date, options);
      if (token === "wo") {
        return localize2.ordinalNumber(week, { unit: "week" });
      }
      return addLeadingZeros(week, token.length);
    },
    // ISO week of year
    I: function(date, token, localize2) {
      const isoWeek = getISOWeek(date);
      if (token === "Io") {
        return localize2.ordinalNumber(isoWeek, { unit: "week" });
      }
      return addLeadingZeros(isoWeek, token.length);
    },
    // Day of the month
    d: function(date, token, localize2) {
      if (token === "do") {
        return localize2.ordinalNumber(date.getDate(), { unit: "date" });
      }
      return lightFormatters.d(date, token);
    },
    // Day of year
    D: function(date, token, localize2) {
      const dayOfYear = getDayOfYear(date);
      if (token === "Do") {
        return localize2.ordinalNumber(dayOfYear, { unit: "dayOfYear" });
      }
      return addLeadingZeros(dayOfYear, token.length);
    },
    // Day of week
    E: function(date, token, localize2) {
      const dayOfWeek = date.getDay();
      switch (token) {
        case "E":
        case "EE":
        case "EEE":
          return localize2.day(dayOfWeek, {
            width: "abbreviated",
            context: "formatting"
          });
        case "EEEEE":
          return localize2.day(dayOfWeek, {
            width: "narrow",
            context: "formatting"
          });
        case "EEEEEE":
          return localize2.day(dayOfWeek, {
            width: "short",
            context: "formatting"
          });
        case "EEEE":
        default:
          return localize2.day(dayOfWeek, {
            width: "wide",
            context: "formatting"
          });
      }
    },
    // Local day of week
    e: function(date, token, localize2, options) {
      const dayOfWeek = date.getDay();
      const localDayOfWeek = (dayOfWeek - options.weekStartsOn + 8) % 7 || 7;
      switch (token) {
        case "e":
          return String(localDayOfWeek);
        case "ee":
          return addLeadingZeros(localDayOfWeek, 2);
        case "eo":
          return localize2.ordinalNumber(localDayOfWeek, { unit: "day" });
        case "eee":
          return localize2.day(dayOfWeek, {
            width: "abbreviated",
            context: "formatting"
          });
        case "eeeee":
          return localize2.day(dayOfWeek, {
            width: "narrow",
            context: "formatting"
          });
        case "eeeeee":
          return localize2.day(dayOfWeek, {
            width: "short",
            context: "formatting"
          });
        case "eeee":
        default:
          return localize2.day(dayOfWeek, {
            width: "wide",
            context: "formatting"
          });
      }
    },
    // Stand-alone local day of week
    c: function(date, token, localize2, options) {
      const dayOfWeek = date.getDay();
      const localDayOfWeek = (dayOfWeek - options.weekStartsOn + 8) % 7 || 7;
      switch (token) {
        case "c":
          return String(localDayOfWeek);
        case "cc":
          return addLeadingZeros(localDayOfWeek, token.length);
        case "co":
          return localize2.ordinalNumber(localDayOfWeek, { unit: "day" });
        case "ccc":
          return localize2.day(dayOfWeek, {
            width: "abbreviated",
            context: "standalone"
          });
        case "ccccc":
          return localize2.day(dayOfWeek, {
            width: "narrow",
            context: "standalone"
          });
        case "cccccc":
          return localize2.day(dayOfWeek, {
            width: "short",
            context: "standalone"
          });
        case "cccc":
        default:
          return localize2.day(dayOfWeek, {
            width: "wide",
            context: "standalone"
          });
      }
    },
    // ISO day of week
    i: function(date, token, localize2) {
      const dayOfWeek = date.getDay();
      const isoDayOfWeek = dayOfWeek === 0 ? 7 : dayOfWeek;
      switch (token) {
        case "i":
          return String(isoDayOfWeek);
        case "ii":
          return addLeadingZeros(isoDayOfWeek, token.length);
        case "io":
          return localize2.ordinalNumber(isoDayOfWeek, { unit: "day" });
        case "iii":
          return localize2.day(dayOfWeek, {
            width: "abbreviated",
            context: "formatting"
          });
        case "iiiii":
          return localize2.day(dayOfWeek, {
            width: "narrow",
            context: "formatting"
          });
        case "iiiiii":
          return localize2.day(dayOfWeek, {
            width: "short",
            context: "formatting"
          });
        case "iiii":
        default:
          return localize2.day(dayOfWeek, {
            width: "wide",
            context: "formatting"
          });
      }
    },
    // AM or PM
    a: function(date, token, localize2) {
      const hours = date.getHours();
      const dayPeriodEnumValue = hours / 12 >= 1 ? "pm" : "am";
      switch (token) {
        case "a":
        case "aa":
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "abbreviated",
            context: "formatting"
          });
        case "aaa":
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "abbreviated",
            context: "formatting"
          }).toLowerCase();
        case "aaaaa":
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "narrow",
            context: "formatting"
          });
        case "aaaa":
        default:
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "wide",
            context: "formatting"
          });
      }
    },
    // AM, PM, midnight, noon
    b: function(date, token, localize2) {
      const hours = date.getHours();
      let dayPeriodEnumValue;
      if (hours === 12) {
        dayPeriodEnumValue = dayPeriodEnum.noon;
      } else if (hours === 0) {
        dayPeriodEnumValue = dayPeriodEnum.midnight;
      } else {
        dayPeriodEnumValue = hours / 12 >= 1 ? "pm" : "am";
      }
      switch (token) {
        case "b":
        case "bb":
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "abbreviated",
            context: "formatting"
          });
        case "bbb":
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "abbreviated",
            context: "formatting"
          }).toLowerCase();
        case "bbbbb":
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "narrow",
            context: "formatting"
          });
        case "bbbb":
        default:
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "wide",
            context: "formatting"
          });
      }
    },
    // in the morning, in the afternoon, in the evening, at night
    B: function(date, token, localize2) {
      const hours = date.getHours();
      let dayPeriodEnumValue;
      if (hours >= 17) {
        dayPeriodEnumValue = dayPeriodEnum.evening;
      } else if (hours >= 12) {
        dayPeriodEnumValue = dayPeriodEnum.afternoon;
      } else if (hours >= 4) {
        dayPeriodEnumValue = dayPeriodEnum.morning;
      } else {
        dayPeriodEnumValue = dayPeriodEnum.night;
      }
      switch (token) {
        case "B":
        case "BB":
        case "BBB":
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "abbreviated",
            context: "formatting"
          });
        case "BBBBB":
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "narrow",
            context: "formatting"
          });
        case "BBBB":
        default:
          return localize2.dayPeriod(dayPeriodEnumValue, {
            width: "wide",
            context: "formatting"
          });
      }
    },
    // Hour [1-12]
    h: function(date, token, localize2) {
      if (token === "ho") {
        let hours = date.getHours() % 12;
        if (hours === 0)
          hours = 12;
        return localize2.ordinalNumber(hours, { unit: "hour" });
      }
      return lightFormatters.h(date, token);
    },
    // Hour [0-23]
    H: function(date, token, localize2) {
      if (token === "Ho") {
        return localize2.ordinalNumber(date.getHours(), { unit: "hour" });
      }
      return lightFormatters.H(date, token);
    },
    // Hour [0-11]
    K: function(date, token, localize2) {
      const hours = date.getHours() % 12;
      if (token === "Ko") {
        return localize2.ordinalNumber(hours, { unit: "hour" });
      }
      return addLeadingZeros(hours, token.length);
    },
    // Hour [1-24]
    k: function(date, token, localize2) {
      let hours = date.getHours();
      if (hours === 0)
        hours = 24;
      if (token === "ko") {
        return localize2.ordinalNumber(hours, { unit: "hour" });
      }
      return addLeadingZeros(hours, token.length);
    },
    // Minute
    m: function(date, token, localize2) {
      if (token === "mo") {
        return localize2.ordinalNumber(date.getMinutes(), { unit: "minute" });
      }
      return lightFormatters.m(date, token);
    },
    // Second
    s: function(date, token, localize2) {
      if (token === "so") {
        return localize2.ordinalNumber(date.getSeconds(), { unit: "second" });
      }
      return lightFormatters.s(date, token);
    },
    // Fraction of second
    S: function(date, token) {
      return lightFormatters.S(date, token);
    },
    // Timezone (ISO-8601. If offset is 0, output is always `'Z'`)
    X: function(date, token, _localize) {
      const timezoneOffset = date.getTimezoneOffset();
      if (timezoneOffset === 0) {
        return "Z";
      }
      switch (token) {
        case "X":
          return formatTimezoneWithOptionalMinutes(timezoneOffset);
        case "XXXX":
        case "XX":
          return formatTimezone(timezoneOffset);
        case "XXXXX":
        case "XXX":
        default:
          return formatTimezone(timezoneOffset, ":");
      }
    },
    // Timezone (ISO-8601. If offset is 0, output is `'+00:00'` or equivalent)
    x: function(date, token, _localize) {
      const timezoneOffset = date.getTimezoneOffset();
      switch (token) {
        case "x":
          return formatTimezoneWithOptionalMinutes(timezoneOffset);
        case "xxxx":
        case "xx":
          return formatTimezone(timezoneOffset);
        case "xxxxx":
        case "xxx":
        default:
          return formatTimezone(timezoneOffset, ":");
      }
    },
    // Timezone (GMT)
    O: function(date, token, _localize) {
      const timezoneOffset = date.getTimezoneOffset();
      switch (token) {
        case "O":
        case "OO":
        case "OOO":
          return "GMT" + formatTimezoneShort(timezoneOffset, ":");
        case "OOOO":
        default:
          return "GMT" + formatTimezone(timezoneOffset, ":");
      }
    },
    // Timezone (specific non-location)
    z: function(date, token, _localize) {
      const timezoneOffset = date.getTimezoneOffset();
      switch (token) {
        case "z":
        case "zz":
        case "zzz":
          return "GMT" + formatTimezoneShort(timezoneOffset, ":");
        case "zzzz":
        default:
          return "GMT" + formatTimezone(timezoneOffset, ":");
      }
    },
    // Seconds timestamp
    t: function(date, token, _localize) {
      const timestamp = Math.trunc(date.getTime() / 1e3);
      return addLeadingZeros(timestamp, token.length);
    },
    // Milliseconds timestamp
    T: function(date, token, _localize) {
      const timestamp = date.getTime();
      return addLeadingZeros(timestamp, token.length);
    }
  };
  function formatTimezoneShort(offset, delimiter = "") {
    const sign = offset > 0 ? "-" : "+";
    const absOffset = Math.abs(offset);
    const hours = Math.trunc(absOffset / 60);
    const minutes = absOffset % 60;
    if (minutes === 0) {
      return sign + String(hours);
    }
    return sign + String(hours) + delimiter + addLeadingZeros(minutes, 2);
  }
  function formatTimezoneWithOptionalMinutes(offset, delimiter) {
    if (offset % 60 === 0) {
      const sign = offset > 0 ? "-" : "+";
      return sign + addLeadingZeros(Math.abs(offset) / 60, 2);
    }
    return formatTimezone(offset, delimiter);
  }
  function formatTimezone(offset, delimiter = "") {
    const sign = offset > 0 ? "-" : "+";
    const absOffset = Math.abs(offset);
    const hours = addLeadingZeros(Math.trunc(absOffset / 60), 2);
    const minutes = addLeadingZeros(absOffset % 60, 2);
    return sign + hours + delimiter + minutes;
  }
  const dateLongFormatter = (pattern, formatLong2) => {
    switch (pattern) {
      case "P":
        return formatLong2.date({ width: "short" });
      case "PP":
        return formatLong2.date({ width: "medium" });
      case "PPP":
        return formatLong2.date({ width: "long" });
      case "PPPP":
      default:
        return formatLong2.date({ width: "full" });
    }
  };
  const timeLongFormatter = (pattern, formatLong2) => {
    switch (pattern) {
      case "p":
        return formatLong2.time({ width: "short" });
      case "pp":
        return formatLong2.time({ width: "medium" });
      case "ppp":
        return formatLong2.time({ width: "long" });
      case "pppp":
      default:
        return formatLong2.time({ width: "full" });
    }
  };
  const dateTimeLongFormatter = (pattern, formatLong2) => {
    const matchResult = pattern.match(/(P+)(p+)?/) || [];
    const datePattern = matchResult[1];
    const timePattern = matchResult[2];
    if (!timePattern) {
      return dateLongFormatter(pattern, formatLong2);
    }
    let dateTimeFormat;
    switch (datePattern) {
      case "P":
        dateTimeFormat = formatLong2.dateTime({ width: "short" });
        break;
      case "PP":
        dateTimeFormat = formatLong2.dateTime({ width: "medium" });
        break;
      case "PPP":
        dateTimeFormat = formatLong2.dateTime({ width: "long" });
        break;
      case "PPPP":
      default:
        dateTimeFormat = formatLong2.dateTime({ width: "full" });
        break;
    }
    return dateTimeFormat.replace("{{date}}", dateLongFormatter(datePattern, formatLong2)).replace("{{time}}", timeLongFormatter(timePattern, formatLong2));
  };
  const longFormatters = {
    p: timeLongFormatter,
    P: dateTimeLongFormatter
  };
  const dayOfYearTokenRE = /^D+$/;
  const weekYearTokenRE = /^Y+$/;
  const throwTokens = ["D", "DD", "YY", "YYYY"];
  function isProtectedDayOfYearToken(token) {
    return dayOfYearTokenRE.test(token);
  }
  function isProtectedWeekYearToken(token) {
    return weekYearTokenRE.test(token);
  }
  function warnOrThrowProtectedError(token, format2, input) {
    const _message = message(token, format2, input);
    console.warn(_message);
    if (throwTokens.includes(token))
      throw new RangeError(_message);
  }
  function message(token, format2, input) {
    const subject = token[0] === "Y" ? "years" : "days of the month";
    return `Use \`${token.toLowerCase()}\` instead of \`${token}\` (in \`${format2}\`) for formatting ${subject} to the input \`${input}\`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md`;
  }
  const formattingTokensRegExp = /[yYQqMLwIdDecihHKkms]o|(\w)\1*|''|'(''|[^'])+('|$)|./g;
  const longFormattingTokensRegExp = /P+p+|P+|p+|''|'(''|[^'])+('|$)|./g;
  const escapedStringRegExp = /^'([^]*?)'?$/;
  const doubleQuoteRegExp = /''/g;
  const unescapedLatinCharacterRegExp = /[a-zA-Z]/;
  function format(date, formatStr, options) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const defaultOptions2 = getDefaultOptions();
    const locale = (options == null ? void 0 : options.locale) ?? defaultOptions2.locale ?? enUS;
    const firstWeekContainsDate = (options == null ? void 0 : options.firstWeekContainsDate) ?? ((_b = (_a = options == null ? void 0 : options.locale) == null ? void 0 : _a.options) == null ? void 0 : _b.firstWeekContainsDate) ?? defaultOptions2.firstWeekContainsDate ?? ((_d = (_c = defaultOptions2.locale) == null ? void 0 : _c.options) == null ? void 0 : _d.firstWeekContainsDate) ?? 1;
    const weekStartsOn = (options == null ? void 0 : options.weekStartsOn) ?? ((_f = (_e = options == null ? void 0 : options.locale) == null ? void 0 : _e.options) == null ? void 0 : _f.weekStartsOn) ?? defaultOptions2.weekStartsOn ?? ((_h = (_g = defaultOptions2.locale) == null ? void 0 : _g.options) == null ? void 0 : _h.weekStartsOn) ?? 0;
    const originalDate = toDate(date);
    if (!isValid(originalDate)) {
      throw new RangeError("Invalid time value");
    }
    let parts = formatStr.match(longFormattingTokensRegExp).map((substring) => {
      const firstCharacter = substring[0];
      if (firstCharacter === "p" || firstCharacter === "P") {
        const longFormatter = longFormatters[firstCharacter];
        return longFormatter(substring, locale.formatLong);
      }
      return substring;
    }).join("").match(formattingTokensRegExp).map((substring) => {
      if (substring === "''") {
        return { isToken: false, value: "'" };
      }
      const firstCharacter = substring[0];
      if (firstCharacter === "'") {
        return { isToken: false, value: cleanEscapedString(substring) };
      }
      if (formatters[firstCharacter]) {
        return { isToken: true, value: substring };
      }
      if (firstCharacter.match(unescapedLatinCharacterRegExp)) {
        throw new RangeError(
          "Format string contains an unescaped latin alphabet character `" + firstCharacter + "`"
        );
      }
      return { isToken: false, value: substring };
    });
    if (locale.localize.preprocessor) {
      parts = locale.localize.preprocessor(originalDate, parts);
    }
    const formatterOptions = {
      firstWeekContainsDate,
      weekStartsOn,
      locale
    };
    return parts.map((part) => {
      if (!part.isToken)
        return part.value;
      const token = part.value;
      if (!(options == null ? void 0 : options.useAdditionalWeekYearTokens) && isProtectedWeekYearToken(token) || !(options == null ? void 0 : options.useAdditionalDayOfYearTokens) && isProtectedDayOfYearToken(token)) {
        warnOrThrowProtectedError(token, formatStr, String(date));
      }
      const formatter = formatters[token[0]];
      return formatter(originalDate, token, locale.localize, formatterOptions);
    }).join("");
  }
  function cleanEscapedString(input) {
    const matched = input.match(escapedStringRegExp);
    if (!matched) {
      return input;
    }
    return matched[1].replace(doubleQuoteRegExp, "'");
  }
  function parseISO(argument, options) {
    const additionalDigits = (options == null ? void 0 : options.additionalDigits) ?? 2;
    const dateStrings = splitDateString(argument);
    let date;
    if (dateStrings.date) {
      const parseYearResult = parseYear(dateStrings.date, additionalDigits);
      date = parseDate(parseYearResult.restDateString, parseYearResult.year);
    }
    if (!date || isNaN(date.getTime())) {
      return /* @__PURE__ */ new Date(NaN);
    }
    const timestamp = date.getTime();
    let time = 0;
    let offset;
    if (dateStrings.time) {
      time = parseTime(dateStrings.time);
      if (isNaN(time)) {
        return /* @__PURE__ */ new Date(NaN);
      }
    }
    if (dateStrings.timezone) {
      offset = parseTimezone(dateStrings.timezone);
      if (isNaN(offset)) {
        return /* @__PURE__ */ new Date(NaN);
      }
    } else {
      const dirtyDate = new Date(timestamp + time);
      const result = /* @__PURE__ */ new Date(0);
      result.setFullYear(
        dirtyDate.getUTCFullYear(),
        dirtyDate.getUTCMonth(),
        dirtyDate.getUTCDate()
      );
      result.setHours(
        dirtyDate.getUTCHours(),
        dirtyDate.getUTCMinutes(),
        dirtyDate.getUTCSeconds(),
        dirtyDate.getUTCMilliseconds()
      );
      return result;
    }
    return new Date(timestamp + time + offset);
  }
  const patterns = {
    dateTimeDelimiter: /[T ]/,
    timeZoneDelimiter: /[Z ]/i,
    timezone: /([Z+-].*)$/
  };
  const dateRegex = /^-?(?:(\d{3})|(\d{2})(?:-?(\d{2}))?|W(\d{2})(?:-?(\d{1}))?|)$/;
  const timeRegex = /^(\d{2}(?:[.,]\d*)?)(?::?(\d{2}(?:[.,]\d*)?))?(?::?(\d{2}(?:[.,]\d*)?))?$/;
  const timezoneRegex = /^([+-])(\d{2})(?::?(\d{2}))?$/;
  function splitDateString(dateString) {
    const dateStrings = {};
    const array = dateString.split(patterns.dateTimeDelimiter);
    let timeString;
    if (array.length > 2) {
      return dateStrings;
    }
    if (/:/.test(array[0])) {
      timeString = array[0];
    } else {
      dateStrings.date = array[0];
      timeString = array[1];
      if (patterns.timeZoneDelimiter.test(dateStrings.date)) {
        dateStrings.date = dateString.split(patterns.timeZoneDelimiter)[0];
        timeString = dateString.substr(
          dateStrings.date.length,
          dateString.length
        );
      }
    }
    if (timeString) {
      const token = patterns.timezone.exec(timeString);
      if (token) {
        dateStrings.time = timeString.replace(token[1], "");
        dateStrings.timezone = token[1];
      } else {
        dateStrings.time = timeString;
      }
    }
    return dateStrings;
  }
  function parseYear(dateString, additionalDigits) {
    const regex = new RegExp(
      "^(?:(\\d{4}|[+-]\\d{" + (4 + additionalDigits) + "})|(\\d{2}|[+-]\\d{" + (2 + additionalDigits) + "})$)"
    );
    const captures = dateString.match(regex);
    if (!captures)
      return { year: NaN, restDateString: "" };
    const year = captures[1] ? parseInt(captures[1]) : null;
    const century = captures[2] ? parseInt(captures[2]) : null;
    return {
      year: century === null ? year : century * 100,
      restDateString: dateString.slice((captures[1] || captures[2]).length)
    };
  }
  function parseDate(dateString, year) {
    if (year === null)
      return /* @__PURE__ */ new Date(NaN);
    const captures = dateString.match(dateRegex);
    if (!captures)
      return /* @__PURE__ */ new Date(NaN);
    const isWeekDate = !!captures[4];
    const dayOfYear = parseDateUnit(captures[1]);
    const month = parseDateUnit(captures[2]) - 1;
    const day = parseDateUnit(captures[3]);
    const week = parseDateUnit(captures[4]);
    const dayOfWeek = parseDateUnit(captures[5]) - 1;
    if (isWeekDate) {
      if (!validateWeekDate(year, week, dayOfWeek)) {
        return /* @__PURE__ */ new Date(NaN);
      }
      return dayOfISOWeekYear(year, week, dayOfWeek);
    } else {
      const date = /* @__PURE__ */ new Date(0);
      if (!validateDate(year, month, day) || !validateDayOfYearDate(year, dayOfYear)) {
        return /* @__PURE__ */ new Date(NaN);
      }
      date.setUTCFullYear(year, month, Math.max(dayOfYear, day));
      return date;
    }
  }
  function parseDateUnit(value) {
    return value ? parseInt(value) : 1;
  }
  function parseTime(timeString) {
    const captures = timeString.match(timeRegex);
    if (!captures)
      return NaN;
    const hours = parseTimeUnit(captures[1]);
    const minutes = parseTimeUnit(captures[2]);
    const seconds = parseTimeUnit(captures[3]);
    if (!validateTime(hours, minutes, seconds)) {
      return NaN;
    }
    return hours * millisecondsInHour + minutes * millisecondsInMinute + seconds * 1e3;
  }
  function parseTimeUnit(value) {
    return value && parseFloat(value.replace(",", ".")) || 0;
  }
  function parseTimezone(timezoneString) {
    if (timezoneString === "Z")
      return 0;
    const captures = timezoneString.match(timezoneRegex);
    if (!captures)
      return 0;
    const sign = captures[1] === "+" ? -1 : 1;
    const hours = parseInt(captures[2]);
    const minutes = captures[3] && parseInt(captures[3]) || 0;
    if (!validateTimezone(hours, minutes)) {
      return NaN;
    }
    return sign * (hours * millisecondsInHour + minutes * millisecondsInMinute);
  }
  function dayOfISOWeekYear(isoWeekYear, week, day) {
    const date = /* @__PURE__ */ new Date(0);
    date.setUTCFullYear(isoWeekYear, 0, 4);
    const fourthOfJanuaryDay = date.getUTCDay() || 7;
    const diff = (week - 1) * 7 + day + 1 - fourthOfJanuaryDay;
    date.setUTCDate(date.getUTCDate() + diff);
    return date;
  }
  const daysInMonths = [31, null, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
  function isLeapYearIndex(year) {
    return year % 400 === 0 || year % 4 === 0 && year % 100 !== 0;
  }
  function validateDate(year, month, date) {
    return month >= 0 && month <= 11 && date >= 1 && date <= (daysInMonths[month] || (isLeapYearIndex(year) ? 29 : 28));
  }
  function validateDayOfYearDate(year, dayOfYear) {
    return dayOfYear >= 1 && dayOfYear <= (isLeapYearIndex(year) ? 366 : 365);
  }
  function validateWeekDate(_year, week, day) {
    return week >= 1 && week <= 53 && day >= 0 && day <= 6;
  }
  function validateTime(hours, minutes, seconds) {
    if (hours === 24) {
      return minutes === 0 && seconds === 0;
    }
    return seconds >= 0 && seconds < 60 && minutes >= 0 && minutes < 60 && hours >= 0 && hours < 25;
  }
  function validateTimezone(_hours, minutes) {
    return minutes >= 0 && minutes <= 59;
  }
  class DateUtil {
    /**
     * 是否为日期对象
     */
    static isDate(date) {
      return isDate(date);
    }
    /**
     * 是否为空日期
     */
    static isEmptyDate(date) {
      if (!date) {
        return true;
      }
      if (StringUtil.isString(date) && date.startsWith("0001-01-01")) {
        return true;
      }
      return false;
    }
    /**
     * 解析日期字符串
     */
    static parse(date) {
      if (this.isEmptyDate(date) === true) {
        return null;
      }
      if (this.isDate(date) === true) {
        return date;
      }
      const parsedDate = parseISO(date);
      if (isNaN(parsedDate.getTime())) {
        return null;
      }
      return parsedDate;
    }
    /**
     * 将日期（或日期字符串）转换为指定格式的字符串
     */
    static format(date, dateFormat) {
      if (this.isEmptyDate(date) === true) {
        return null;
      }
      date = this.parse(date);
      dateFormat = dateFormat ? dateFormat : this.defaultDisplayFormat;
      return format(date, dateFormat);
    }
  }
  __publicField(DateUtil, "defaultISOFormat", `yyyy-MM-dd'T'HH:mm:ssxxx`);
  __publicField(DateUtil, "defaultDisplayFormat", "yyyy-MM-dd HH:mm:ss");
  __publicField(DateUtil, "defaultDateFormat", "yyyy-MM-dd");
  __publicField(DateUtil, "defaultTimeFormat", "HH:mm:ss");
  class EventBus {
    constructor() {
      __publicField(this, "events");
      this.events = /* @__PURE__ */ new Map();
    }
    /**
     * 订阅事件
     * @param event 事件名称
     * @param handler 事件处理函数
     */
    on(event, handler) {
      if (!this.events.has(event)) {
        this.events.set(event, /* @__PURE__ */ new Set());
      }
      this.events.get(event).add(handler);
    }
    /**
     * 取消订阅事件
     * @param event 事件名称
     * @param handler 事件处理函数
     */
    off(event, handler) {
      const handlers = this.events.get(event);
      if (handlers) {
        handlers.delete(handler);
        if (handlers.size === 0) {
          this.events.delete(event);
        }
      }
    }
    /**
     * 发布事件
     * @param event 事件名称
     * @param args 事件参数
     */
    emit(event, ...args) {
      const handlers = this.events.get(event);
      if (handlers) {
        handlers.forEach((handler) => {
          try {
            handler(...args);
          } catch (error) {
            console.error(`Error in event handler for ${event}:`, error);
          }
        });
      }
    }
    /**
     * 只订阅一次事件
     * @param event 事件名称
     * @param handler 事件处理函数
     */
    once(event, handler) {
      const onceHandler = (...args) => {
        handler(...args);
        this.off(event, onceHandler);
      };
      this.on(event, onceHandler);
    }
    /**
     * 清除指定事件的所有处理函数
     * @param event 事件名称
     */
    clear(event) {
      this.events.delete(event);
    }
    /**
     * 清除所有事件
     */
    clearAll() {
      this.events.clear();
    }
  }
  const VARIABLE_PARSERS_TOKEN = createInjectionToken("VARIABLE_PARSERS");
  class StateVariableUtil {
    /**
     * 获取变量路径
     */
    static getVariablePath(variable, variablePrefix) {
      const variablePathString = this.trimVariablePrefixAndSuffix(variable, variablePrefix);
      const variablePath = {
        viewModelId: "",
        propPath: "",
        variable
      };
      if (variablePathString.startsWith("/#{")) {
        let viewModelId = this.getViewModelId(variablePathString, variablePrefix);
        const viewModelIdLength = viewModelId ? viewModelId.length : -1;
        if (viewModelId && viewModelId.startsWith("#{") && viewModelId.endsWith("}")) {
          viewModelId = viewModelId.slice(2, viewModelId.length - 1);
        }
        variablePath.viewModelId = viewModelId;
        variablePath.propPath = variablePathString.slice(viewModelIdLength + 1);
      } else {
        variablePath.viewModelId = "";
        variablePath.propPath = variablePathString;
      }
      return variablePath;
    }
    /**
     * 移除变量的前缀和后缀
     */
    static trimVariablePrefixAndSuffix(variable, variablePrefix) {
      const prefix = `{${variablePrefix}~`;
      const suffix = "}";
      const startIndex = prefix.length;
      const endIndex = variable.length - suffix.length;
      const trimedVariable = variable.slice(startIndex, endIndex);
      return trimedVariable;
    }
    /**
     * 从变量字符串中获取视图模型ID
     */
    static getViewModelId(variablePathString, variablePrefix) {
      const variablePathSegs = variablePathString.split("/");
      if (variablePathSegs.length <= 1 || variablePathSegs[0] !== "") {
        throw new Error("Variable path can not be empty and must start with a slash");
      }
      const viewModelId = variablePathSegs[1];
      return viewModelId;
    }
  }
  class BaseStateVariableParser {
    /**
     * 解析变量 
     */
    parse(expression, context) {
      const variablePaths = this.extractVariablePaths(expression);
      if (variablePaths.length === 1 && expression === variablePaths[0].variable) {
        return this.getVariableValue(variablePaths[0], context);
      }
      variablePaths.forEach((variablePath) => {
        const searchValue = variablePath.variable;
        const replaceValue = this.getVariableValue(variablePath, context);
        expression = expression.replace(searchValue, replaceValue);
      });
      return expression;
    }
    /**
     * 从表达式中提取变量路径
     */
    extractVariablePaths(expression) {
      const variablePaths = [];
      const variables = expression.match(this.VARIABLE_PATTERN_G);
      if (variables === null) {
        return [];
      }
      variables.forEach((variable) => {
        const variablePath = StateVariableUtil.getVariablePath(variable, this.VARIABLE_PREFIX);
        variablePaths.push(variablePath);
      });
      return variablePaths;
    }
    /**
     * 获取视图模型
     */
    getViewModel(viewModelId, context) {
      let viewModel = context.viewModel;
      if (viewModelId) {
        viewModel = context.module.getViewModel(viewModelId);
      }
      if (!viewModel) {
        throw new Error("Can not find the ViewModel");
      }
      return viewModel;
    }
  }
  class EntityVariableParser extends BaseStateVariableParser {
    constructor() {
      super(...arguments);
      __publicField(this, "VARIABLE_PATTERN_G", /\{DATA~(\/#{\S+?})?\/(\S+?)\}/g);
      __publicField(this, "VARIABLE_PATTERN", /\{DATA~(\/#{\S+?})?\/(\S+?)\}/);
      __publicField(this, "VARIABLE_PREFIX", "DATA");
    }
    /**
     * 获取实体变量值
     */
    getVariableValue(variablePath, context) {
      const { viewModelId, propPath } = variablePath;
      const entityStore = this.getEntityStore(viewModelId, context);
      const variableValue = entityStore.getValueByPath(propPath);
      return variableValue;
    }
    /**
     * 获取实体状态仓库
     */
    getEntityStore(viewModelId, context) {
      let viewModel = this.getViewModel(viewModelId, context);
      const entityStore = viewModel.entityStore;
      if (!entityStore) {
        throw new Error("Can not find the EntityStore");
      }
      return entityStore;
    }
  }
  class UIVariableParser extends BaseStateVariableParser {
    constructor() {
      super(...arguments);
      __publicField(this, "VARIABLE_PATTERN_G", /\{UISTATE~(\/#{\S+?})?\/(\S+?)\}/g);
      __publicField(this, "VARIABLE_PATTERN", /\{UISTATE~(\/#{\S+?})?\/(\S+?)\}/);
      __publicField(this, "VARIABLE_PREFIX", "UISTATE");
    }
    /**
     * 获取UI变量值
     */
    getVariableValue(variablePath, context) {
      const { viewModelId, propPath } = variablePath;
      const uiStore = this.getUIStore(viewModelId, context);
      const variableValue = uiStore.getValueByPath(propPath);
      return variableValue;
    }
    /**
     * 获取UI状态仓库
     */
    getUIStore(viewModelId, context) {
      let viewModel = context.viewModel;
      if (viewModelId) {
        viewModel = context.module.getViewModel(viewModelId);
      }
      if (!viewModel) {
        throw new Error("Can not find the ViewModel");
      }
      const uiStore = viewModel.uiStore;
      if (!uiStore) {
        throw new Error("Can not find the UIStore");
      }
      return uiStore;
    }
  }
  class StateMachineVariableParser extends BaseStateVariableParser {
    constructor() {
      super(...arguments);
      __publicField(this, "VARIABLE_PATTERN_G", /\{STATEMACHINE~(\/#{\S+?})?\/(\S+?)\}/g);
      __publicField(this, "VARIABLE_PATTERN", /\{STATEMACHINE~(\/#{\S+?})?\/(\S+?)\}/);
      __publicField(this, "VARIABLE_PREFIX", "STATEMACHINE");
    }
    /**
     * 获取状态机变量值
     */
    getVariableValue(variablePath, context) {
      const { viewModelId, propPath } = variablePath;
      const propName = propPath.slice(1);
      const stateMachine = this.getStateMachine(viewModelId, context);
      const variableValue = stateMachine.getValue(propName);
      return variableValue;
    }
    /**
     * 获取状态机
     */
    getStateMachine(storeId, context) {
      const viewModel = this.getViewModel(storeId, context);
      const stateMachine = viewModel.stateMachine;
      if (!stateMachine) {
        throw new Error("Can not find the StateMachine");
      }
      return stateMachine;
    }
  }
  class CommandVariableParser {
    /**
     * 解析变量
     */
    parse(expression, context) {
      const taskFlowContext = this.getTaskFlowContext(context);
      if (!taskFlowContext) {
        return expression;
      }
      const variablePaths = this.extractPaths(expression);
      if (variablePaths.length === 1 && expression === `{COMMAND~${variablePaths[0]}}`) {
        return this.getValue(variablePaths[0], taskFlowContext);
      }
      variablePaths.forEach((path) => {
        const searchValue = `{COMMAND~${path}}`;
        const replaceValue = this.getValue(path, taskFlowContext);
        expression = expression.replace(searchValue, replaceValue);
      });
      return expression;
    }
    /**
     * 获取上下文
     */
    getTaskFlowContext(context) {
      if (!context) {
        throw new Error("The context can not be empty");
      }
      return context.extraContext;
    }
    /**
     * 提取变量路径
     */
    extractPaths(expression) {
      const variablePaths = [];
      const COMMAND_PATTERN_G = /\{COMMAND~(\S+?)\}/g;
      const variables = expression.match(COMMAND_PATTERN_G);
      if (variables === null) {
        return [];
      }
      const COMMAND_PATTERN = /\{COMMAND~(\S+?)\}/;
      variables.forEach((variable) => {
        const pathMatches = variable.match(COMMAND_PATTERN);
        if (pathMatches != null && pathMatches.length === 2) {
          variablePaths.push(pathMatches[1]);
        }
      });
      return variablePaths;
    }
    /**
     * 获取变量值
     */
    getValue(path, taskFlowContext) {
      const pathSegments = path.split("/").slice(1);
      const [type, name] = pathSegments;
      if (type === "params") {
        const params = taskFlowContext.commandContext.command.params;
        if (!params) {
          throw new Error("The params of command does not exist");
        }
        const targetParam = params.find((param) => {
          return param.name === name;
        });
        return targetParam ? targetParam.value : void 0;
      } else if (type === "results") {
        const results = taskFlowContext.taskResults;
        return results.get(name);
      }
    }
  }
  const EVENT_PARAMS_EXP = /\{EVENTPARAM~\/(\S+?)\}/g;
  const EVENT_PARAM_EXP = /\{EVENTPARAM~\/(\S+?)\}/;
  class EventParamVariableParser {
    constructor() {
      __publicField(this, "context");
    }
    parse(expression, context) {
      const eventParams = context.eventParams || {};
      this.context = context;
      const variables = this.extractVariables(expression);
      if (!variables || variables.length < 1) {
        return expression;
      }
      variables.forEach((variableExpression) => {
        const exprs = variableExpression.match(EVENT_PARAM_EXP);
        if (exprs && exprs.length === 2) {
          const variable = exprs[1];
          const value = this.getValue(variable, eventParams);
          expression = expression.replace(EVENT_PARAM_EXP, value);
        }
      });
      return expression;
    }
    /**
     * 匹配表达式中的符合正则表达式的项
     * @param expression 表达式
     * @returns 
     */
    extractVariables(expression) {
      if (!expression) {
        return null;
      }
      const variables = expression.match(EVENT_PARAMS_EXP);
      if (!variables || variables.length < 1) {
        return null;
      }
      return variables;
    }
    /**
     * 获取变量的值
     * @param variable 变量
     */
    getValue(variable, eventParam) {
      if (!eventParam || !variable) {
        return null;
      }
      const variables = variable.split("/").filter((p) => p);
      const result = variables.reduce((target, key) => {
        if (target) {
          return target[key];
        } else {
          return null;
        }
      }, eventParam);
      return result;
    }
  }
  const VARIABLE_MATCHER = /#{\S+?}/g;
  class FrameIdVariableParser {
    constructor() {
      __publicField(this, "context");
    }
    /**
     * 解析变量
     * @param expression 形如：/#{root-component}/stateName
     * @param context 上下文
     */
    parse(expression, context) {
      this.context = context;
      const variables = this.extractVariables(expression);
      if (!variables || variables.length < 1) {
        return expression;
      }
      variables.forEach((exp) => {
        const frameId = this.getVariableValue(exp);
        expression = expression.replace(VARIABLE_MATCHER, frameId);
      });
      return expression;
    }
    /**
     * 计算表达式的值
     * @param expression like #{root-component}
     */
    getVariableValue(expression) {
      const relativeFrameId = expression.substring(2, expression.length - 1);
      return this.getFullFrameId(relativeFrameId);
    }
    extractVariables(expression) {
      if (!expression) {
        return [];
      }
      return expression.match(VARIABLE_MATCHER);
    }
    /**
     * 获取补全的frameId
     * @param frameId frameId
     */
    getFullFrameId(frameId) {
      return frameId;
    }
  }
  class VariableParseService {
    /**
     * 构造函数
     */
    constructor(parsers) {
      /**
       * 解析器集合
       */
      __publicField(this, "parsers");
      this.parsers = parsers;
    }
    /**
     * 变量解析
     */
    parse(target, context) {
      if (typeof target === "string" && target.length > 0) {
        return this.parseExpression(target, context);
      } else if (Array.isArray(target)) {
        target.forEach((item, itemIndex) => {
          if (typeof item === "string") {
            target[itemIndex] = this.parseExpression(item, context);
          } else {
            target[itemIndex] = this.parse(item, context);
          }
        });
      } else if (typeof target === "object" && target !== null) {
        const keys2 = Object.keys(target);
        keys2.forEach((key) => {
          if (typeof target[key] === "string") {
            target[key] = this.parseExpression(target[key], context);
          } else {
            target[key] = this.parse(target[key], context);
          }
        });
      }
      return target;
    }
    /**
     * 表达式求值
     */
    evaluate(expression, context) {
      const parsedExpression = this.parse(expression, context);
      return new Function("return " + parsedExpression)();
    }
    /**
     * 表达式解析
     */
    parseExpression(expression, context) {
      if (expression === "") {
        return "";
      }
      this.parsers.forEach((parser) => {
        if (typeof expression === "string") {
          expression = parser.parse(expression, context);
        }
      });
      return expression;
    }
  }
  const variableProviders = [
    { provide: VARIABLE_PARSERS_TOKEN, useClass: EntityVariableParser, multi: true, deps: [] },
    { provide: VARIABLE_PARSERS_TOKEN, useClass: UIVariableParser, multi: true, deps: [] },
    { provide: VARIABLE_PARSERS_TOKEN, useClass: StateMachineVariableParser, multi: true, deps: [] },
    { provide: VARIABLE_PARSERS_TOKEN, useClass: CommandVariableParser, multi: true, deps: [] },
    { provide: VARIABLE_PARSERS_TOKEN, useClass: EventParamVariableParser, multi: true, deps: [] },
    { provide: VARIABLE_PARSERS_TOKEN, useClass: FrameIdVariableParser, multi: true, deps: [] },
    { provide: VariableParseService, useClass: VariableParseService, deps: [VARIABLE_PARSERS_TOKEN] }
  ];
  class ConditionEvaluator {
    /**
     * 构造函数
     */
    constructor(context) {
      /**
       * 模块
       */
      __publicField(this, "module");
      /**
       * 上下文
       */
      __publicField(this, "context");
      /**
       * 解析服务
       */
      __publicField(this, "variableParseServce");
      this.context = context;
      this.module = context.module;
      const moduleInjector = this.module.getInjector();
      this.variableParseServce = moduleInjector.get(VariableParseService);
    }
    /**
     * 求值
     */
    evaluate(conditions) {
      const tokens = this.mergeConditions(conditions);
      const result = this.evaluateExpression(tokens);
      return result;
    }
    /**
     * 解析条件
     */
    mergeConditions(conditions) {
      let tokens = [];
      const conditionCount = conditions.length;
      conditions.forEach((condition, index) => {
        const leftBrackets = this.splitBracketString(condition.lBraceket);
        const rightBrackets = this.splitBracketString(condition.rBraceket);
        const comparisonResult = this.compareSourceAndTarget(condition.source, condition.target, condition.compare);
        const relation = index === conditionCount - 1 ? [] : [condition.relation];
        tokens = tokens.concat(...leftBrackets, comparisonResult, ...rightBrackets, ...relation);
      });
      return tokens;
    }
    /**
     * 比较Source和Target的值
     */
    compareSourceAndTarget(source, target, operator) {
      const sourceValue = this.parseValue(source);
      const targetValue = this.parseValue(target);
      const result = this.compareValue(sourceValue, targetValue, operator);
      return result;
    }
    /**
     * 解析括号字符串
     */
    splitBracketString(bracketString) {
      if (!bracketString) {
        return [];
      }
      let brackets = [];
      if (bracketString.indexOf("(") !== -1) {
        brackets = bracketString.split("");
      } else {
        brackets = bracketString.split("");
      }
      return brackets;
    }
    /**
     * 解析值
     */
    parseValue(expression) {
      const parsedExpression = this.variableParseServce.parse(expression, this.context);
      return parsedExpression;
    }
    /**
     * 比较值
     */
    compareValue(sourceValue, targetValue, operator) {
      switch (operator) {
        case "===":
          return sourceValue === targetValue;
        case "!==":
          return sourceValue !== targetValue;
        case ">":
          return sourceValue > targetValue;
        case ">=":
          return sourceValue >= targetValue;
        case "<":
          return sourceValue < targetValue;
        case "<=":
          return sourceValue <= targetValue;
        default:
          throw new Error("Invalid operator");
      }
    }
    /**
     * 计算表达式
     */
    evaluateExpression(tokens) {
      tokens = this.handleBracekets(tokens);
      tokens = this.handleLogicalAnd(tokens);
      tokens = this.handleLogicalOr(tokens);
      const result = tokens[0];
      return typeof result === "string" ? parseFloat(result) : result;
    }
    /**
     * 处理括号
     */
    handleBracekets(tokens) {
      const result = [];
      let count = 0;
      let startIndex = 0;
      for (let i = 0; i < tokens.length; i++) {
        if (tokens[i] === "(") {
          count++;
          if (count === 1) {
            startIndex = i;
          }
        } else if (tokens[i] === ")") {
          count--;
          if (count === 0) {
            const subTokens = tokens.slice(startIndex + 1, i);
            result.push(this.evaluateExpression(subTokens));
            startIndex = i + 1;
          }
        } else if (count === 0) {
          result.push(tokens[i]);
        }
      }
      return result;
    }
    /**
     * 处理逻辑 与
     */
    handleLogicalAnd(tokens) {
      const result = [];
      for (let i = 0; i < tokens.length; i++) {
        result.push(tokens[i]);
        if (tokens[i] === "and") {
          const leftOperand = result[result.length - 2];
          const rightOperand = tokens[i + 1];
          const value = leftOperand && rightOperand;
          result.pop();
          result.pop();
          result.push(value);
          i++;
        }
      }
      return result;
    }
    /**
     * 处理逻辑 或
     */
    handleLogicalOr(tokens) {
      const result = [];
      for (let i = 0; i < tokens.length; i++) {
        result.push(tokens[i]);
        if (tokens[i] === "or") {
          const leftOperand = result[result.length - 2];
          const rightOperand = tokens[i + 1];
          const value = leftOperand || rightOperand;
          result.pop();
          result.pop();
          result.push(value);
          i++;
        }
      }
      return result;
    }
  }
  class HttpMethods {
  }
  __publicField(HttpMethods, "GET", "GET");
  __publicField(HttpMethods, "DELETE", "DELETE");
  __publicField(HttpMethods, "HEAD", "HEAD");
  __publicField(HttpMethods, "OPTIONS", "OPTIONS");
  __publicField(HttpMethods, "POST", "POST");
  __publicField(HttpMethods, "PUT", "PUT");
  __publicField(HttpMethods, "PATCH", "PATCH");
  __publicField(HttpMethods, "LINK", "LINK");
  __publicField(HttpMethods, "UNLINK", "UNLINK");
  class HttpUtil {
    /**
     * 追加Header
     */
    static appendHeader(headers, key, value) {
      headers = Object.assign({}, headers, { [key]: value });
      return headers;
    }
    /**
     * 向RequestConfig中追加body
     */
    static appendBodyToRequestConfig(body, requestConfig) {
      if (!requestConfig) {
        requestConfig = {};
      }
      requestConfig = Object.assign({}, requestConfig, { body });
      return requestConfig;
    }
    /**
     * 构造AxiosReqeustConfig
     */
    static buildAxiosRequestConfig(method, url, requestConfig) {
      requestConfig = requestConfig || {};
      const axiosRequestConfig = {
        url,
        method,
        params: requestConfig.params || null,
        headers: requestConfig.headers || null,
        responseType: requestConfig.responseType || "json",
        data: requestConfig.body || null,
        withCredentials: true
      };
      return axiosRequestConfig;
    }
    /**
     * 构造Http响应信息
     */
    static buildHttpResponse(axiosResponse) {
      const httpResponse = {
        body: axiosResponse.data,
        headers: axiosResponse.headers,
        status: axiosResponse.status,
        statusText: axiosResponse.statusText
      };
      return httpResponse;
    }
  }
  class HttpClient {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * axios实例
       */
      __publicField(this, "axiosInstance");
      this.axiosInstance = axios.create();
    }
    /**
     * 发送GET请求
     */
    get(url, requestConfig) {
      return this.request("GET", url, requestConfig);
    }
    /**
     * 发送POST请求
     */
    post(url, body, requestConfig) {
      requestConfig = HttpUtil.appendBodyToRequestConfig(body, requestConfig);
      return this.request("POST", url, requestConfig);
    }
    /**
     * 发送PUT请求
     */
    put(url, body, requestConfig) {
      requestConfig = HttpUtil.appendBodyToRequestConfig(body, requestConfig);
      return this.request("PUT", url, requestConfig);
    }
    /**
     * 发送PATCH请求
     */
    patch(url, body, requestConfig) {
      requestConfig = HttpUtil.appendBodyToRequestConfig(body, requestConfig);
      return this.request("PATCH", url, requestConfig);
    }
    /**
     * 发送DELETE请求
     */
    delete(url, requestConfig) {
      return this.request("DELETE", url, requestConfig);
    }
    /**
     * 发送请求
     */
    request(method, url, requestConfig) {
      const axiosRequestConfig = HttpUtil.buildAxiosRequestConfig(method, url, requestConfig);
      const responsePromise = this.axiosInstance.request(axiosRequestConfig).then((axiosResponse) => {
        const httpResponse = HttpUtil.buildHttpResponse(axiosResponse);
        return requestConfig.observe === "response" ? httpResponse : axiosResponse.data;
      });
      return responsePromise;
    }
  }
  const httpProviders = [
    { provide: HttpClient, useClass: HttpClient, deps: [] }
  ];
  class Store {
    /**
     * 构造函数
     */
    constructor(module2) {
      /**
       * 所属Module
       */
      __publicField(this, "module");
      /**
       * Store配置
       */
      __publicField(this, "config");
      /**
       * Store状态
       */
      __publicField(this, "state");
      /**
       * 副作用管理
       */
      __publicField(this, "effectManager");
      this.effectManager = new EffectManager();
      this.module = module2;
    }
    /**
     * 初始化
     */
    init(storeConfig) {
      this.config = storeConfig;
    }
    /**
     * 获取ID
     */
    getId() {
      return this.config.id;
    }
    /**
     * 获取状态
     */
    getState() {
      return this.state;
    }
    /**
     * 更新状态
     */
    setState(newState) {
      const oldState = this.state;
      this.state = newState;
      const stateChange = {
        oldState,
        newState
      };
      this.triggerChange(stateChange);
    }
    /**
     * 获取模块
     */
    getModule() {
      return this.module;
    }
    /**
     * 获取模块注入器
     */
    getModuleInjector() {
      return this.module.getInjector();
    }
    /**
     * 触发变更
     */
    triggerChange(change) {
      this.effectManager.trigger(change);
    }
    /**
     * 监听变更
     */
    watchChange(changeEffectFunc) {
      const changeEffect = new Effect(changeEffectFunc);
      this.effectManager.addEffect(changeEffect);
      const stopWatch = () => {
        this.effectManager.removeEffect(changeEffect);
      };
      return stopWatch;
    }
  }
  const PRIMITIVE_FIELD_META_NAME = "PRIMITIVE_FIELD";
  const primitiveFieldMetaFactory = (meta) => {
    return meta;
  };
  const FdField = makePropMetadataDecorator(PRIMITIVE_FIELD_META_NAME, primitiveFieldMetaFactory);
  const ENTITY_FIELD_META_NAME = "ENTITY_FIELD";
  const entityFieldMetaFactory = (meta) => {
    return meta;
  };
  const FdEntityField = makePropMetadataDecorator(ENTITY_FIELD_META_NAME, entityFieldMetaFactory);
  const ENTITY_LIST_FIELD_META_NAME = "ENTITY_LIST_FIELD";
  const entitylistFieldMetaFactory = (meta) => {
    return meta;
  };
  const FdEntityListField = makePropMetadataDecorator(ENTITY_LIST_FIELD_META_NAME, entitylistFieldMetaFactory);
  const ENTITY_STORE_META_NAME = "ENITY_STORE_META";
  const entityStoreMetaFactory = (meta) => {
    return meta;
  };
  function FdEntityStore(meta) {
    const decoratorFactory = makeTypeMetadataDecorator(ENTITY_STORE_META_NAME, entityStoreMetaFactory);
    return decoratorFactory(meta);
  }
  class EntityStoreConfigBuilder {
    /**
     * 构造函数
     */
    constructor() {
    }
    /**
     * 构造EntityStore配置
     */
    build(entityStoreType) {
      const entityStoreMeta = this.getEntityStoreMeta(entityStoreType);
      const id = entityStoreMeta.id;
      const entityConfig = this.buildEntityConfig(entityStoreMeta.entityType);
      const entityStoreConfig = {
        id,
        type: entityStoreType,
        state: {
          entity: entityConfig
        }
      };
      return entityStoreConfig;
    }
    /**
     * 构造Entity配置
     */
    buildEntityConfig(entityType) {
      const entityConfig = {
        idKey: "",
        fields: [],
        code: ""
        // TODO: 支持生成型
      };
      this.appendPrimitiveFieldConfigs(entityConfig, entityType);
      return entityConfig;
    }
    /**
     * 构造Primitive字段配置
     */
    appendPrimitiveFieldConfigs(entityConfig, entityType) {
      const fieldMetas = this.getPrimitiveFieldMetas(entityType);
      const fieldConfigs = [];
      Object.keys(fieldMetas).forEach((propName) => {
        const fieldMeta = fieldMetas[propName];
        const fieldConfig = {
          type: "Primitive",
          name: propName
        };
        entityConfig.fields.push(fieldConfig);
        if (fieldMeta.primary) {
          entityConfig.idKey = propName;
        }
      });
      return fieldConfigs;
    }
    /**
    * 获取EntityStore元数据
    */
    getEntityStoreMeta(entityStoreType) {
      const entityStoreMeta = TypeMetadataReader.getMataByName(entityStoreType, ENTITY_STORE_META_NAME);
      return entityStoreMeta;
    }
    /**
     * 获取PrimitiveField元数据
     */
    getPrimitiveFieldMetas(entityType) {
      const fieldMetas = PropMetadataReader.getPropsMetasByName(entityType, PRIMITIVE_FIELD_META_NAME);
      return fieldMetas;
    }
  }
  var FieldType = /* @__PURE__ */ ((FieldType2) => {
    FieldType2["Primitive"] = "Primitive";
    FieldType2["Entity"] = "Entity";
    FieldType2["EntityList"] = "EntityList";
    return FieldType2;
  })(FieldType || {});
  var EntityPathNodeType = /* @__PURE__ */ ((EntityPathNodeType2) => {
    EntityPathNodeType2["IdValue"] = "IdValue";
    EntityPathNodeType2["PropName"] = "PropName";
    return EntityPathNodeType2;
  })(EntityPathNodeType || {});
  class EntityPathNode {
    /**
     * 构造函数
     */
    constructor(nodeType, nodeValue) {
      /**
       * 类型
       */
      __publicField(this, "nodeType");
      /**
       * 节点值
       */
      __publicField(this, "nodeValue");
      /**
       * 上一路径节点
       */
      __publicField(this, "prevNode");
      /**
       * 下一路径节点
       */
      __publicField(this, "nextNode");
      this.nodeType = nodeType;
      this.nodeValue = nodeValue;
    }
    /**
     * 获取节点类型
     */
    getNodeType() {
      return this.nodeType;
    }
    /**
     * 获取节点值
     */
    getNodeValue() {
      return this.nodeValue;
    }
    /**
     * 设置节点值
     */
    setNodeValue(nodeValue) {
      this.nodeValue = nodeValue;
    }
    /**
     * 获取上一节点
     */
    getPrevNode() {
      return this.prevNode;
    }
    /**
     * 获取下一节点
     */
    getNextNode() {
      return this.nextNode;
    }
    /**
     * 设置上一节点
     */
    setPrevNode(prevNode) {
      this.prevNode = prevNode;
    }
    /**
     * 设置下一节点
     */
    setNextNode(nextNode) {
      this.nextNode = nextNode;
    }
  }
  class EntityPath {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * 路径节点集合
       */
      __publicField(this, "nodes");
      this.nodes = [];
    }
    /**
     * 获取路径节点
     */
    getNodes() {
      return this.nodes;
    }
    /**
     * 获取第一个节点
     */
    getFirstNode() {
      return this.nodes[0];
    }
    /**
     * 获取最后一个节点
     */
    getLastNode() {
      return this.nodes[this.nodes.length - 1];
    }
    /**
     * 获取父实体路径
     */
    getParentEntityPath() {
      const parentEntityPath = new EntityPath();
      const parentPathNodes = this.nodes.concat([]);
      parentPathNodes.pop();
      parentPathNodes.forEach((parentPathNode) => {
        parentEntityPath.appendNode(parentPathNode);
      });
      return parentEntityPath;
    }
    /**
     * 添加节点
     */
    appendNode(node) {
      const prevNode = this.nodes.length === 0 ? null : this.nodes[0];
      if (prevNode) {
        prevNode.setNextNode(node);
      }
      node.setPrevNode(prevNode);
      this.nodes.push(node);
    }
    /**
     * 是否和当前路径相等
     */
    isSame(entityPath) {
      const targetNodes = entityPath.getNodes();
      if (this.nodes.length !== targetNodes.length) {
        return false;
      }
      const isDifferent = this.nodes.some((node, index) => {
        const targetNode = targetNodes[index];
        const isDifferentType = node.getNodeType() !== targetNode.getNodeType();
        const isDifferentValue = node.getNodeValue() !== targetNode.getNodeValue();
        if (isDifferentType || isDifferentValue) {
          return true;
        }
      });
      return !isDifferent;
    }
    /**
     * 是否为当前路径的祖先路径
     */
    isAncestor(ancestorPath) {
      const ancestorNodes = ancestorPath.getNodes();
      const descendantNodes = this.nodes;
      if (ancestorNodes.length >= descendantNodes.length) {
        return false;
      }
      const isDifferent = ancestorNodes.some((ancestorNode, index) => {
        const descendantNode = descendantNodes[index];
        const isDifferentType = ancestorNode.getNodeValue() !== descendantNode.getNodeType();
        const isDifferentValue = ancestorNode.getNodeValue() !== descendantNode.getNodeValue();
        if (isDifferentType || isDifferentValue) {
          return true;
        }
      });
      return !isDifferent;
    }
    /**
     * 是否为当前路径的父路径
     */
    isParent(parentPath) {
      const ancestorNodes = parentPath.getNodes();
      const descendantNodes = this.nodes;
      if (ancestorNodes.length !== descendantNodes.length - 1) {
        return false;
      }
      return this.isAncestor(parentPath);
    }
    /**
     * 克隆路径
     */
    clone() {
      const clonedEntityPath = new EntityPath();
      this.nodes.forEach((node) => {
        const type = node.getNodeType();
        const value = node.getNodeValue();
        const clonedNode = new EntityPathNode(type, value);
        clonedEntityPath.appendNode(clonedNode);
      });
      return clonedEntityPath;
    }
    /**
     * 转换为短路径
     * @returns 
     */
    toShortPath() {
      return "/" + this.nodes.filter((node) => node.getNodeType() === EntityPathNodeType.PropName).map((node) => node.getNodeValue()).join("/");
    }
  }
  class EntityPathBuilder {
    /**
     * 构造函数
     */
    constructor(entityStore) {
      /**
       * 实体状态
       */
      __publicField(this, "entityStore");
      this.entityStore = entityStore;
    }
    /**
     * 构造实体路径
     */
    build(path, isEntityListPath = false) {
      if (path instanceof EntityPath) {
        return path;
      }
      this.checkPath(path);
      const entityList = this.entityStore.getEntityList();
      const pathArray = this.convertToPathArray(path);
      const longPathArray = this.convertToLongPath(pathArray, entityList, isEntityListPath);
      const entityPath = this.buildEntityPath(longPathArray);
      return entityPath;
    }
    /**
     * 根据长路径数组构造实体路径对象
     */
    buildEntityPath(longPathArray) {
      const entityPath = new EntityPath();
      longPathArray.forEach((pathItem) => {
        const isIdPathItem = this.isIdPathItem(pathItem);
        const nodeType = isIdPathItem ? EntityPathNodeType.IdValue : EntityPathNodeType.PropName;
        let nodeValue;
        if (isIdPathItem) {
          nodeValue = pathItem.slice(1).slice(0, -1);
        } else {
          nodeValue = pathItem;
        }
        const pathNode = new EntityPathNode(nodeType, nodeValue);
        entityPath.appendNode(pathNode);
      });
      return entityPath;
    }
    /**
     * 转换为长路径
     * 短路径：/childs/grands/assoInfo/name
     * 长路径：/[id]/childs/[childId]/assoInfo/name
     */
    convertToLongPath(pathArray, entityList, isEntityListPath = false) {
      if (this.isShortPath(pathArray) === false) {
        return pathArray;
      }
      const pathArrayLen = pathArray.length;
      const longPathArray = [];
      if (isEntityListPath && pathArray.length === 0) {
        return longPathArray;
      }
      let currentEntity = entityList.getCurrentEntity();
      const currentId = currentEntity.idValue;
      longPathArray.push(`[${currentId}]`);
      pathArray.forEach((pathItem, pathIndex) => {
        const entitySchema = currentEntity.getSchema();
        const fieldSchema = entitySchema.getFieldSchemaByName(pathItem);
        if (!fieldSchema) {
          throw new Error(`${pathItem} not exist`);
        }
        if (fieldSchema.type === FieldType.EntityList) {
          const childEntityList = currentEntity[pathItem];
          const currentChildEntity = childEntityList.getCurrentEntity();
          longPathArray.push(pathItem);
          if (isEntityListPath && pathIndex === pathArrayLen - 1) {
            return;
          }
          longPathArray.push(`[${currentChildEntity.idValue}]`);
          currentEntity = currentChildEntity;
        } else if (fieldSchema.type === FieldType.Entity) {
          longPathArray.push(pathItem);
          currentEntity = currentEntity[pathItem];
        } else {
          longPathArray.push(pathItem);
        }
      });
      return longPathArray;
    }
    /**
     * 转换为路径数据
     */
    convertToPathArray(path) {
      if (Array.isArray(path)) {
        return path;
      }
      const pathArray = path.split("/").filter((pathItem) => {
        return pathItem;
      });
      return pathArray;
    }
    /**
     * 检查路径是否合法
     */
    checkPath(path) {
      if (!path) {
        throw new Error("path can not be empty");
      }
      if (Array.isArray(path) === true) {
        return;
      }
      if (typeof path !== "string") {
        throw new Error("path must be an string or array");
      }
      if (path.startsWith("/") === false) {
        throw new Error("path must be starts with /");
      }
    }
    /**
     * 检查是否为长路径
     */
    isShortPath(pathArray) {
      const firstPathItem = pathArray[0];
      if (firstPathItem && firstPathItem.startsWith("[")) {
        return false;
      }
      return true;
    }
    /**
     * 检查是否为ID路径片段
     */
    isIdPathItem(pathItem) {
      return pathItem.startsWith("[");
    }
  }
  class EntitySchema {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * 字段描述集合
       */
      __publicField(this, "fieldSchemaMap");
      /**
       * 主键值
       */
      __publicField(this, "idKey");
      /**
       * 实体编号
       */
      __publicField(this, "code");
      this.fieldSchemaMap = /* @__PURE__ */ new Map();
    }
    /**
     * 获取全部字段描述
     */
    getFieldSchemas() {
      const fieldSchemas = Array.from(this.fieldSchemaMap.values());
      return fieldSchemas;
    }
    /**
     * 根据字段Type获取字段描述
     */
    getFieldSchemasByType(type) {
      const fieldSchemas = this.getFieldSchemas();
      const targetFieldSchemas = fieldSchemas.filter((fieldSchema) => {
        return fieldSchema.type === type;
      });
      return targetFieldSchemas;
    }
    /**
     * 根据字段Name获取字段描述
     */
    getFieldSchemaByName(name) {
      if (!this.fieldSchemaMap.has(name)) {
        return;
      }
      const targetFieldSchema = this.fieldSchemaMap.get(name);
      return targetFieldSchema;
    }
    /**
     * 根据字段Path获取字段描述
     */
    getFieldSchemaByPath(entityPath) {
      const entityPathNodes = entityPath.getNodes();
      let currentEntitySchema = this;
      let currentFieldSchema;
      entityPathNodes.forEach((entityPathNode) => {
        const pathNodeType = entityPathNode.getNodeType();
        const pathNodeValue = entityPathNode.getNodeValue();
        if (pathNodeType === EntityPathNodeType.IdValue) {
          return;
        }
        currentFieldSchema = currentEntitySchema.getFieldSchemaByName(pathNodeValue);
        if (!currentFieldSchema) {
          throw new Error(`FieldSchem(name=${pathNodeValue})`);
        }
        if (currentFieldSchema.type === FieldType.Entity) {
          currentEntitySchema = currentFieldSchema.entitySchema;
        } else if (currentFieldSchema.type === FieldType.EntityList) {
          currentEntitySchema = currentFieldSchema.entitySchema;
        }
      });
      return currentFieldSchema;
    }
    /**
     * 添加字段信息
     */
    addFieldSchema(fieldSchema) {
      this.fieldSchemaMap.set(fieldSchema.name, fieldSchema);
    }
    /**
     * 设置主键字段
     */
    setIdKey(primaryKey) {
      this.idKey = primaryKey;
    }
    /**
     * 获取主键字段
     */
    getIdKey() {
      return this.idKey;
    }
    setCode(code) {
      this.code = code;
    }
    getCode() {
      return this.code;
    }
    /**
     * 解析实体路径
     * @param path 实体路径
     * @returns 
     */
    resolvePath(path) {
      const paths = typeof path === "string" ? path.split("/").filter((p) => p) : path;
      const entityPaths = [];
      const propertyPaths = [];
      const nodeCodes = [];
      if (!paths) {
        throw new Error(`Invalid argument: path=${JSON.stringify(path)}`);
      }
      let currentSchemaMap = this.fieldSchemaMap;
      for (let index = 0; index < paths.length; index++) {
        const pathName = paths[index];
        const fieldSchema = currentSchemaMap.get(pathName);
        if (fieldSchema && fieldSchema.type === FieldType.EntityList) {
          const entitySchema = fieldSchema == null ? void 0 : fieldSchema.entitySchema;
          currentSchemaMap = entitySchema == null ? void 0 : entitySchema.fieldSchemaMap;
          entityPaths.push(fieldSchema.name);
          nodeCodes.push(entitySchema.code);
        } else {
          if (!fieldSchema) {
            break;
          }
          propertyPaths.push(fieldSchema.name);
          if (fieldSchema.type !== FieldType.Entity) {
            break;
          }
          const entityFieldSchema = fieldSchema;
          currentSchemaMap = entityFieldSchema.entitySchema.fieldSchemaMap;
        }
      }
      return {
        entityPaths,
        propertyPaths,
        nodeCodes
      };
    }
  }
  class EntitySchemaCreator {
    /**
     * 构造函数
     */
    constructor(entityConfig) {
      /**
       * 实体配置
       */
      __publicField(this, "entityConfig");
      /**
       * 实体描述
       */
      __publicField(this, "entitySchema");
      this.entityConfig = entityConfig;
      this.entitySchema = new EntitySchema();
    }
    /**
     * 创建实体描述
     */
    create() {
      this.addFieldSchemas();
      this.setIdKey();
      this.setCode();
      return this.entitySchema;
    }
    /**
     * 设置主键
     */
    setIdKey() {
      const idKey = this.entityConfig.idKey;
      this.entitySchema.setIdKey(idKey);
    }
    /**
     * 设置实体编号
     */
    setCode() {
      const code = this.entityConfig.code;
      this.entitySchema.setCode(code);
    }
    /**
     * 添加实体
     */
    addFieldSchemas() {
      const fieldConfigs = this.entityConfig.fields;
      fieldConfigs.forEach((fieldConfig) => {
        if (fieldConfig.type === "Primitive") {
          this.addPrimitiveFieldSchema(fieldConfig);
        } else if (fieldConfig.type === "Entity") {
          this.addEntityFieldSchema(fieldConfig);
        } else if (fieldConfig.type === "EntityList") {
          this.addEntityListFieldSchema(fieldConfig);
        } else {
          throw new Error(`Unknow field type(${fieldConfig.type})`);
        }
      });
    }
    /**
     * 添加简单字段描述
     */
    addPrimitiveFieldSchema(fieldConfig) {
      const fieldSchema = {
        type: FieldType.Primitive,
        name: fieldConfig.name
      };
      this.entitySchema.addFieldSchema(fieldSchema);
    }
    /**
     * 添加实体字段描述
     */
    addEntityFieldSchema(fieldConfig) {
      const entitySchema = createEntitySchema(fieldConfig.entityConfig);
      const fieldSchema = {
        type: FieldType.Entity,
        name: fieldConfig.name,
        entitySchema
      };
      this.entitySchema.addFieldSchema(fieldSchema);
    }
    /**
     * 添加实体列表字段描述
     */
    addEntityListFieldSchema(fieldConfig) {
      const childEntitySchema = createEntitySchema(fieldConfig.childEntityConfig);
      const fieldSchema = {
        type: FieldType.EntityList,
        name: fieldConfig.name,
        entitySchema: childEntitySchema
      };
      this.entitySchema.addFieldSchema(fieldSchema);
    }
  }
  function createEntitySchema(entityConfig) {
    const schemaCreator = new EntitySchemaCreator(entityConfig);
    const schema = schemaCreator.create();
    return schema;
  }
  class EntityNode {
    constructor() {
      /**
       * 父节点
       */
      __publicField(this, "parentEntityNode");
    }
    /**
     * 设置父实体节点
     */
    setParentEntityNode(parentEntityNode) {
      this.parentEntityNode = parentEntityNode;
    }
    /**
     * 获取父实体节点
     */
    getParentEntityNode() {
      return this.parentEntityNode;
    }
  }
  function createEntityBySchema(entitySchema, entityData) {
    if (!entitySchema) {
      throw new Error(`The entitySchema parameter can't be empty`);
    }
    if (!entityData) {
      throw new Error(`The entityData parameter should be an array`);
    }
    const entity = new Entity(entitySchema);
    entity.loadData(entityData);
    return entity;
  }
  function createEntitiesBySchema(entitySchema, entityDatas) {
    if (!entitySchema) {
      throw new Error(`The entitySchema parameter can't be empty`);
    }
    if (!Array.isArray(entityDatas)) {
      throw new Error(`The entityDatas parameter should be an array`);
    }
    const entities = entityDatas.map((entityData) => {
      const entity = createEntityBySchema(entitySchema, entityData);
      return entity;
    });
    return entities;
  }
  class EntityList extends EntityNode {
    /**
     * 构造函数
     */
    constructor(entitySchema) {
      super();
      /**
       * 实体描述
       */
      __publicField(this, "entitySchema");
      /**
       * 实体集合
       */
      __publicField(this, "entities");
      /**
       * 当前实体ID
       */
      __publicField(this, "currentId");
      this.entitySchema = entitySchema;
      this.entities = [];
    }
    /**
     * 加载数据
     */
    loadData(entityDatas) {
      if (!Array.isArray(entityDatas)) {
        throw new Error("The entityDatas parameter should be an array");
      }
      const entities = createEntitiesBySchema(this.entitySchema, entityDatas);
      this.loadEntities(entities);
    }
    /**
     * 加载实体
     */
    loadEntities(entities) {
      this.entities = [];
      entities.forEach((entity) => {
        this.appendEntity(entity, false);
      });
      if (entities.length === 0) {
        this.currentId = null;
      } else {
        let newCurrentId = null;
        const currentEntity = this.getCurrentEntity();
        if (currentEntity.idValue) {
          newCurrentId = currentEntity.idValue;
        } else {
          const firstEntity = this.entities[0];
          newCurrentId = firstEntity.idValue;
        }
        this.setCurrentId(newCurrentId);
      }
    }
    /**
     * 批量追加实体
     */
    appendEntities(entities) {
      if (Array.isArray(entities) !== true) {
        return;
      }
      entities.forEach((entity) => {
        entity.setParentEntityNode(entity);
        this.entities.push(entity);
      });
      if (this.entities.length > 0) {
        const lastEntity = this.entities[this.entities.length - 1];
        this.setCurrentId(lastEntity.idValue);
      }
    }
    /**
     * 追加实体
     */
    appendEntity(entity, changeCurrentId = true) {
      entity.setParentEntityNode(entity);
      this.entities.push(entity);
      if (this.entities.length > 0 && changeCurrentId) {
        const lastEntity = this.entities[this.entities.length - 1];
        this.setCurrentId(lastEntity.idValue);
      }
    }
    /**
     * 获取全部实体
     */
    getEntities() {
      return this.entities;
    }
    /**
     * 获取当前实体
     */
    getCurrentEntity() {
      if (!this.currentId) {
        return this.createEmpltyEntity();
      }
      const currentEntity = this.getEntityById(this.currentId);
      if (!currentEntity) {
        return this.createEmpltyEntity();
      }
      return currentEntity;
    }
    /**
     * 获取实体
     */
    setCurrentId(id) {
      const currentEntity = this.entities.find((entity) => {
        return entity.idValue === id;
      });
      if (!currentEntity) {
        this.currentId = null;
        return;
      }
      this.currentId = currentEntity.idValue;
    }
    /**
     * 获取实体
     */
    getEntityById(id) {
      const targetEntity = this.entities.find((entity) => {
        return entity.idValue === id;
      });
      return targetEntity;
    }
    /**
     * 删除实体
     */
    removeEntityById(id) {
      const targetIndex = this.entities.findIndex((entity) => {
        return entity.idValue === id;
      });
      if (targetIndex === -1) {
        return;
      }
      const currentEntity = this.getCurrentEntity();
      if (currentEntity.idValue === id) {
        let newCurrentIndex = null;
        if (targetIndex === this.entities.length - 1) {
          newCurrentIndex = targetIndex - 1;
        } else {
          newCurrentIndex = targetIndex + 1;
        }
        const newCurrentEntity = this.entities[newCurrentIndex];
        if (newCurrentEntity) {
          this.setCurrentId(newCurrentEntity.idValue);
        } else {
          this.setCurrentId(null);
        }
      }
      this.entities.splice(targetIndex, 1);
    }
    /**
     * 批量删除实体
     */
    removeEntityByIds(ids) {
      if (!Array.isArray(ids)) {
        return;
      }
      ids.forEach((id) => {
        this.removeEntityById(id);
      });
    }
    /**
     * 转换为JSON对象
     */
    toJSON() {
      const entityListData = this.entities.map((entity) => {
        return entity.toJSON();
      });
      return entityListData;
    }
    /**
     * 创建空实体
     */
    createEmpltyEntity() {
      const emptyEntity = createEntityBySchema(this.entitySchema, {});
      return emptyEntity;
    }
  }
  function createEntityListBySchema(entitySchema, entityDatas) {
    if (!entitySchema) {
      throw new Error(`The entitySchema parameter can't be empty`);
    }
    if (!Array.isArray(entityDatas)) {
      throw new Error(`The entityDatas parameter should be an array`);
    }
    const entityList = new EntityList(entitySchema);
    entityList.loadData(entityDatas);
    return entityList;
  }
  class EntityDataLoader {
    /**
     * 构造函数
     */
    constructor(entity) {
      /**
       * 实体
       */
      __publicField(this, "entity");
      /**
       * 实体描述
       */
      __publicField(this, "entitySchema");
      this.entity = entity;
      this.entitySchema = entity.getSchema();
    }
    /**
     * 加载数据
     */
    load(entityData) {
      this.loadPrimitiveFields(entityData);
      this.loadEntityFields(entityData);
      this.loadEntityListFields(entityData);
    }
    /**
     * 加载简单字段数据
     */
    loadPrimitiveFields(entityData) {
      const entity = this.entity;
      const fieldSchemas = this.entitySchema.getFieldSchemasByType(FieldType.Primitive);
      fieldSchemas.forEach((fieldSchema) => {
        const propName = fieldSchema.name;
        entity[propName] = entityData[propName];
      });
    }
    /**
     * 加载实体字段数据
     */
    loadEntityFields(entityData) {
      const entity = this.entity;
      const fieldSchemas = this.entitySchema.getFieldSchemasByType(FieldType.Entity);
      fieldSchemas.forEach((fieldSchema) => {
        const propName = fieldSchema.name;
        const childEntitySchema = fieldSchema.entitySchema;
        const childEntityData = entityData[propName] || {};
        const childEntity = createEntityBySchema(childEntitySchema, childEntityData);
        childEntity.setParentEntityNode(entity);
        entity[propName] = childEntity;
      });
    }
    /**
     * 加载实体列表字段数据
     */
    loadEntityListFields(entityData) {
      const entity = this.entity;
      const fieldSchemas = this.entitySchema.getFieldSchemasByType(FieldType.EntityList);
      fieldSchemas.forEach((fieldSchema) => {
        const propName = fieldSchema.name;
        const childEntitySchema = fieldSchema.entitySchema;
        const childEntityListData = entityData[propName] || [];
        const childEntityList = createEntityListBySchema(childEntitySchema, childEntityListData);
        childEntityList.setParentEntityNode(entity);
        entity[propName] = childEntityList;
      });
    }
  }
  class EntityDataPeeker {
    /**
     * 构造函数
     */
    constructor(entity) {
      /**
       * 实体
       */
      __publicField(this, "entity");
      /**
       * 实体描述
       */
      __publicField(this, "entitySchema");
      this.entity = entity;
      this.entitySchema = entity.getSchema();
    }
    /**
     * 提取数据
     */
    peek() {
      const entityData = {};
      this.peekPrimitiveFields(entityData);
      this.peekEntityFields(entityData);
      this.peekEntityListFields(entityData);
      return entityData;
    }
    /**
     * 提取简单字段数据
     */
    peekPrimitiveFields(entityData) {
      const entity = this.entity;
      const fieldSchemas = this.entitySchema.getFieldSchemasByType(FieldType.Primitive);
      fieldSchemas.forEach((fieldSchema) => {
        const propName = fieldSchema.name;
        entityData[propName] = entity[propName];
      });
    }
    /**
     * 提取实体字段数据
     */
    peekEntityFields(entityData) {
      const entity = this.entity;
      const fieldSchemas = this.entitySchema.getFieldSchemasByType(FieldType.Entity);
      fieldSchemas.forEach((fieldSchema) => {
        const propName = fieldSchema.name;
        const childEntity = entity[propName];
        const childEntityData = childEntity ? childEntity.toJSON() : {};
        entityData[propName] = childEntityData;
      });
    }
    /**
     * 提取实体列表字段数据
     */
    peekEntityListFields(entityData) {
      const entity = this.entity;
      const fieldSchemas = this.entitySchema.getFieldSchemasByType(FieldType.EntityList);
      fieldSchemas.forEach((fieldSchema) => {
        const propName = fieldSchema.name;
        const childEntityList = entity[propName];
        const childEntityListData = childEntityList ? childEntityList.toJSON() : [];
        entityData[propName] = childEntityListData;
      });
    }
  }
  class Entity extends EntityNode {
    /**
     * 构造函数
     */
    constructor(schema) {
      super();
      /**
       * 实体描述
       */
      __publicField(this, "entitySchema");
      /**
       * 数据加载器
       */
      __publicField(this, "entityDataLoader");
      /**
       * 数据提取器
       */
      __publicField(this, "entityDataPeeker");
      this.entitySchema = schema;
      this.entityDataLoader = new EntityDataLoader(this);
      this.entityDataPeeker = new EntityDataPeeker(this);
    }
    /**
     * 主键
     */
    get idKey() {
      return this.entitySchema.getIdKey();
    }
    /**
     * 主键值
     */
    get idValue() {
      return this[this.idKey];
    }
    /**
     * 获取实体描述
     */
    getSchema() {
      return this.entitySchema;
    }
    /**
     * 加载数据
     */
    loadData(data) {
      this.entityDataLoader.load(data);
    }
    /**
     * 获取属性值
     */
    getValue(name) {
      return this[name];
    }
    /**
     * 根据路径获取属性值
     */
    getValueByPath(path) {
      const pathSegs = path.split("/").filter((pathSeg) => {
        return pathSeg;
      });
      let currentValue = this;
      pathSegs.forEach((pathSeg) => {
        currentValue = currentValue ? currentValue[pathSeg] : void 0;
      });
      return currentValue;
    }
    /**
     * 转换为JSON对象
     */
    toJSON() {
      const data = this.entityDataPeeker.peek();
      return data;
    }
  }
  var EntityChangeType = /* @__PURE__ */ ((EntityChangeType2) => {
    EntityChangeType2["Load"] = "Load";
    EntityChangeType2["Append"] = "Append";
    EntityChangeType2["Remove"] = "Remove";
    EntityChangeType2["Update"] = "Update";
    EntityChangeType2["ValueChange"] = "ValueChange";
    EntityChangeType2["CurrentChange"] = "CurrentChange";
    return EntityChangeType2;
  })(EntityChangeType || {});
  var EntityChangeStatus = /* @__PURE__ */ ((EntityChangeStatus2) => {
    EntityChangeStatus2["New"] = "New";
    EntityChangeStatus2["Staged"] = "Staged";
    EntityChangeStatus2["Committed"] = "Commited";
    EntityChangeStatus2["Canceled"] = "Canceled";
    return EntityChangeStatus2;
  })(EntityChangeStatus || {});
  class EntityChangeMerger {
    /**
     * 构造函数
     */
    constructor(changes) {
      /**
       * 合并前的变更
       */
      __publicField(this, "changes");
      /**
       * 合并后的变更
       */
      __publicField(this, "mergedChagnes");
      this.changes = changes;
      this.mergedChagnes = [];
    }
    /**
     * 合并变更
     */
    mergeChanges() {
      this.changes.forEach((change) => {
        this.mergeChange(change);
      });
      return this.mergedChagnes;
    }
    mergeChange(change) {
      if (change.status !== EntityChangeStatus.New) {
        return;
      }
      const clonedChange = Object.assign({}, change);
      switch (clonedChange.type) {
        case EntityChangeType.ValueChange:
          this.mergeChangeValueChange(change);
          break;
        case EntityChangeType.Update:
          this.mergeUpdateChange(change);
          break;
        case EntityChangeType.Remove:
          this.mergeRemoveChange(change);
          break;
      }
    }
    /**
     * 合并值变更
     */
    mergeChangeValueChange(change) {
      const existedMergedChange = this.mergedChagnes.find((mergedChange) => {
        const isSameType = mergedChange.type === EntityChangeType.ValueChange;
        const isSamePath = mergedChange.path.isSame(change.path);
        if (isSameType && isSamePath) {
          return true;
        }
        return false;
      });
      if (existedMergedChange) {
        existedMergedChange.newValue = change.newValue;
      } else {
        this.mergedChagnes.push(change);
      }
    }
    /**
     * 合并更新变更
     */
    mergeUpdateChange(change) {
      Object.keys(change.newEntityData).forEach((propName) => {
        const changeValueChange = this.convertToChangeValueChange(change, propName);
        this.mergeChangeValueChange(changeValueChange);
      });
    }
    /**
     * 合并删除变更
     */
    mergeRemoveChange(change) {
      this.mergedChagnes = this.mergedChagnes.filter((mergedChange) => {
        return mergedChange.path.isAncestor(change.path) === false;
      });
    }
    /**
     * 转换为值变更
     */
    convertToChangeValueChange(change, propName) {
      const oldValue = change.oldEntityData[propName];
      const newValue = change.newEntityData[propName];
      const path = change.path.clone();
      path.appendNode(new EntityPathNode(EntityPathNodeType.PropName, propName));
      const changeValueChange = {
        type: EntityChangeType.ValueChange,
        path,
        oldValue,
        newValue,
        status: change.status,
        snapshot: change.snapshot
      };
      return changeValueChange;
    }
  }
  class EntityChangeHistory {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * 变更集合
       */
      __publicField(this, "changes");
      this.changes = [];
    }
    /**
     * 获取全部变更
     */
    getChanges() {
      return this.changes;
    }
    /**
     * 获取合并
     */
    getMergedChanges() {
      const merger = new EntityChangeMerger(this.changes);
      const mergedChanges = merger.mergeChanges();
      return mergedChanges;
    }
    /**
     * 添加变更
     */
    addChange(change) {
      change.status = EntityChangeStatus.New;
      this.changes.push(change);
    }
    /**
     * 暂存变更
     */
    stageChanges() {
      this.changes.forEach((change) => {
        if (change.status === EntityChangeStatus.New) {
          change.status = EntityChangeStatus.Staged;
        }
      });
    }
    /**
     * 提交变更
     */
    commitChanges() {
      this.changes.forEach((change) => {
        if (change.status === EntityChangeStatus.New || change.status === EntityChangeStatus.Staged) {
          change.status = EntityChangeStatus.Committed;
        }
      });
    }
    /**
     * 取消变更
     */
    cancelChanges() {
      this.changes.forEach((change) => {
        if (change.status === EntityChangeStatus.New || change.status === EntityChangeStatus.Staged) {
          change.status = EntityChangeStatus.Canceled;
        }
      });
    }
  }
  class EntityStateQuery {
    /**
     * 构造函数
     */
    constructor(entityStore) {
      /**
       * 实体类型
       */
      __publicField(this, "entityStore");
      /**
       * 实体集合
       */
      __publicField(this, "entityList");
      this.entityStore = entityStore;
      this.entityList = entityStore.getEntityList();
    }
    /**
     * 获取实体数组
     */
    getEntities() {
      return this.entityList.getEntities();
    }
    /**
     * 根据Path获取实体数组
     */
    getEntitiesByPath(path) {
      const entityList = this.getEntityNode(path);
      const entities = entityList.getEntities();
      return entities;
    }
    /**
     * 获取实体列表
     */
    getEntityList() {
      return this.entityList;
    }
    /**
     * 根据Path获取实体列表
     */
    getEntityListByPath(path) {
      const entityList = this.getEntityNode(path);
      return entityList;
    }
    /**
     * 根据ID获取根实体
     */
    getEntityById(id) {
      const entity = this.entityList.getEntityById(id);
      return entity;
    }
    /**
     * 根据Path获取实体
     */
    getEntityByPath(path) {
      const entity = this.getEntityNode(path);
      if (!entity) {
        return;
      }
      return entity;
    }
    /**
     * 获取根当前实体
     */
    getCurrentEntity() {
      const currentEntity = this.entityList.getCurrentEntity();
      return currentEntity;
    }
    /**
     * 根据Path获取当前实体
     */
    getCurrentEntityByPath(path) {
      const entityList = this.getEntityListByPath(path);
      const currentEntity = entityList.getCurrentEntity();
      return currentEntity;
    }
    /**
     * 根据字段名获取根实体字段值
     */
    getValue(name) {
      const currentEntity = this.getCurrentEntity();
      return currentEntity[name];
    }
    /**
     * 根据路径获取字段值
     */
    getValueByPath(path) {
      const value = this.getEntityNode(path);
      return value;
    }
    /**
     * 根据路径获取实体、实体集合、属性值
     */
    getEntityNode(path) {
      const entityPathNodes = path.getNodes();
      let currentEntityNode = this.entityList;
      entityPathNodes.forEach((entityPathNode) => {
        const pathNodeType = entityPathNode.getNodeType();
        const pathNodeValue = entityPathNode.getNodeValue();
        if (pathNodeType === EntityPathNodeType.IdValue) {
          currentEntityNode = currentEntityNode.getEntityById(pathNodeValue) || currentEntityNode.getCurrentEntity();
        } else {
          currentEntityNode = currentEntityNode[pathNodeValue];
        }
      });
      return currentEntityNode;
    }
  }
  class EntityStateUpdater {
    /**
     * 构造函数
     */
    constructor(entityStore) {
      /**
       * 实体类型
       */
      __publicField(this, "entityStore");
      /**
       * 实体集合
       */
      __publicField(this, "entityList");
      /**
       * 实体查询器
       */
      __publicField(this, "entityQuery");
      this.entityStore = entityStore;
      this.entityList = entityStore.getEntityList();
      this.entityQuery = entityStore.entityQuery;
    }
    /**
     * 根据path加载实体集合
     */
    loadEntitesByPath(path, entities) {
      const entityList = this.entityQuery.getEntityListByPath(path);
      entityList.loadEntities(entities);
      const pagination = this.entityStore.getPaginationByPath(path);
      const change = {
        type: EntityChangeType.Load,
        path,
        entities,
        pagination
      };
      this.entityStore.triggerChange(change);
    }
    /**
     * 根据path追加实体集合
     */
    appendEntitesByPath(path, entities) {
      const entityList = this.entityQuery.getEntityListByPath(path);
      entityList.appendEntities(entities);
      const change = {
        type: EntityChangeType.Append,
        path,
        entities
      };
      this.entityStore.triggerChange(change);
    }
    /**
     * 根据Path批量删除实体
     */
    removeEntitiesByPath(path, ids, emitCurrentChangeEvent = true) {
      const entityList = this.entityQuery.getEntityListByPath(path);
      const entities = entityList.getEntities();
      const entitiesToRemove = entities.filter((entity) => {
        return ids.includes(entity.idValue);
      });
      const previousEntity = entityList.getCurrentEntity();
      entityList.removeEntityByIds(ids);
      const change = {
        type: EntityChangeType.Remove,
        path,
        entities: entitiesToRemove
      };
      this.entityStore.triggerChange(change);
      if (!emitCurrentChangeEvent) {
        return;
      }
      const currentEntity = entityList.getCurrentEntity();
      if (previousEntity.idValue !== currentEntity.idValue) {
        const change2 = {
          type: EntityChangeType.CurrentChange,
          path,
          oldCurrentEntity: previousEntity,
          newCurrentEntity: currentEntity
        };
        this.entityStore.triggerChange(change2);
      }
    }
    /**
     * 根据实体path，更新实体
     */
    updateEntityByPath(path, newValues) {
      const entity = this.entityQuery.getEntityByPath(path);
      if (!entity) {
        return;
      }
      const changedOldValues = {};
      const changedNewValues = {};
      entity.loadData(newValues);
      const change = {
        type: EntityChangeType.Update,
        path,
        oldEntityData: changedOldValues,
        newEntityData: changedNewValues
      };
      this.entityStore.triggerChange(change);
    }
    /**
     * 根据属性Path，更新属性值
     */
    setValueByPath(path, newValue) {
      const parentPath = path.getParentEntityPath();
      const entity = this.entityQuery.getEntityByPath(parentPath);
      const fieldPathNode = path.getLastNode();
      const fieldName = fieldPathNode.getNodeValue();
      const oldValue = entity[fieldName];
      if (oldValue === newValue) {
        return;
      }
      entity[fieldName] = newValue;
      const change = {
        type: EntityChangeType.ValueChange,
        path,
        oldValue,
        newValue
      };
      this.entityStore.triggerChange(change);
    }
    /**
     * 根据Paht和ID改变当前实体
     */
    changeCurrentEntityByPath(path, id) {
      const entityList = this.entityQuery.getEntityListByPath(path);
      const newCurrentEntity = entityList.getEntityById(id);
      if (!newCurrentEntity) {
        return;
      }
      const oldCurrentEntity = this.entityQuery.getCurrentEntityByPath(path);
      if (oldCurrentEntity === newCurrentEntity) {
        return;
      }
      entityList.setCurrentId(id);
      const change = {
        type: EntityChangeType.CurrentChange,
        path,
        oldCurrentEntity,
        newCurrentEntity
      };
      this.entityStore.triggerChange(change);
    }
  }
  class EntityState {
    constructor() {
      __publicField(this, "entities");
      __publicField(this, "currentEntity");
    }
  }
  class EntityStore extends Store {
    /**
     * 构造函数
     */
    constructor(module2) {
      super(module2);
      /**
       * 分页信息
       */
      __publicField(this, "entityPagination");
      /**
       * 实体描述
       */
      __publicField(this, "entitySchema");
      /**
       * 根实体列表
       */
      __publicField(this, "entityList");
      /**
      * 实体状态查询器
      */
      __publicField(this, "entityQuery");
      /**
       * 实体更新器
       */
      __publicField(this, "entityUpdater");
      /**
       * 变更历史记录
       */
      __publicField(this, "entityChangeHistory");
    }
    /**
     * 初始化
     */
    init(config2) {
      super.init(config2);
      const entityConfig = config2.state.entity;
      this.entitySchema = createEntitySchema(entityConfig);
      this.entityList = createEntityListBySchema(this.entitySchema, []);
      this.entityQuery = new EntityStateQuery(this);
      this.entityUpdater = new EntityStateUpdater(this);
      this.entityChangeHistory = new EntityChangeHistory();
      this.refreshState();
    }
    /**
     * 获取实体列表
     */
    getEntityList() {
      return this.entityList;
    }
    /**
     * 根据path获取实体列表
     */
    getEntityListByPath(path) {
      const entityPath = this.createPath(path, true);
      return this.entityQuery.getEntityListByPath(entityPath);
    }
    /**
     * 获取根实体集合
     */
    getEntities() {
      return this.entityList.getEntities();
    }
    /**
     * 根据Path获取根实体集合
     */
    getEntitiesByPath(path) {
      const entityPath = this.createPath(path, true);
      return this.entityQuery.getEntitiesByPath(entityPath);
    }
    /**
     * 根据ID获取根实体
     */
    getEntityById(id) {
      return this.entityQuery.getEntityById(id);
    }
    /**
     * 根据Path获取实体
     */
    getEntityByPath(path) {
      const entityPath = this.createPath(path);
      return this.entityQuery.getEntityByPath(entityPath);
    }
    /**
     * 根据Path获取字段值
     * @param path 字段路径
     * @returns 
     */
    getValueByPath(path) {
      const entityPath = this.createPath(path);
      return this.entityQuery.getValueByPath(entityPath);
    }
    /**
     * 根据ID获取根实体
     */
    getCurrentEntity() {
      return this.entityQuery.getCurrentEntity();
    }
    /**
     * 根据Path获取实体
     */
    getCurrentEntityByPath(path) {
      const entityPath = this.createPath(path, true);
      return this.entityQuery.getCurrentEntityByPath(entityPath);
    }
    /**
     * 加载根实体集合
     */
    loadEntities(entities) {
      const entityPath = this.createPath("/", true);
      this.entityUpdater.loadEntitesByPath(entityPath, entities);
    }
    /**
     * 根据Path加载实体集合
     */
    loadEntitesByPath(path, entities) {
      const entityPath = this.createPath(path, true);
      this.entityUpdater.loadEntitesByPath(entityPath, entities);
    }
    /**
     * 加载根实体集合
     */
    appendEntities(entities) {
      const entityPath = this.createPath("/", true);
      this.entityUpdater.appendEntitesByPath(entityPath, entities);
    }
    /**
     * 根据Path加载实体集合
     */
    appendEntitesByPath(path, entities) {
      const entityPath = this.createPath(path, true);
      this.entityUpdater.appendEntitesByPath(entityPath, entities);
    }
    /**
     * 根据ID删除根实体
     */
    removeEntityById(id, emitCurrentChangeEvent = true) {
      const entityPath = this.createPath("/", true);
      this.entityUpdater.removeEntitiesByPath(entityPath, [id], emitCurrentChangeEvent);
    }
    /**
     * 根据父Paht和ID删除实体
     */
    removeEntityByPath(path, id) {
      const entityPath = this.createPath(path, true);
      this.entityUpdater.removeEntitiesByPath(entityPath, [id]);
    }
    /**
     * 根据ID批量删除根实体
     */
    removeEntitiesByIds(ids) {
      const entityPath = this.createPath("/", true);
      this.entityUpdater.removeEntitiesByPath(entityPath, ids);
    }
    /**
     * 根据path和ID批量删除实体
     */
    removeEntitiesByPath(path, ids) {
      const entityPath = this.createPath(path, true);
      this.entityUpdater.removeEntitiesByPath(entityPath, ids);
    }
    /**
     * 根据ID更新实体
     */
    updateEntityById(id, values) {
      const entityPath = this.createPath(`/[${id}]`);
      this.entityUpdater.updateEntityByPath(entityPath, values);
    }
    /**
     * 根据Path更新实体
     */
    updateEntityByPath(path, values) {
      const entityPath = this.createPath(path);
      this.entityUpdater.updateEntityByPath(entityPath, values);
    }
    /**
     * 根据path更新字段值
     */
    setValueByPath(path, value) {
      const entityPath = this.createPath(path);
      this.entityUpdater.setValueByPath(entityPath, value);
    }
    /**
     * 设置当前根实体
     */
    changeCurrentEntityById(id) {
      const entityListPath = this.createPath("/", true);
      this.entityUpdater.changeCurrentEntityByPath(entityListPath, id);
    }
    /**
     * 根据Path设置当前实体
     */
    changeCurrentEntityByPath(path, id) {
      const enityListPath = this.createPath(path, true);
      this.entityUpdater.changeCurrentEntityByPath(enityListPath, id);
    }
    /**
     * 构造实体路径
     */
    createPath(path, isEntityListPath = false) {
      const entityPathCreator = new EntityPathBuilder(this);
      const entityPath = entityPathCreator.build(path, isEntityListPath);
      return entityPath;
    }
    /**
     * 获取实体结构描述
     */
    getEntitySchema() {
      return this.entitySchema;
    }
    /**
     * 更新实体分页配置
     */
    setEntityPagination(entityPagination) {
      this.entityPagination = entityPagination;
    }
    /**
     * 获取实体分页配置
     */
    getEntityPagination() {
      return this.entityPagination;
    }
    /**
     * 更新指定实体分页信息
     */
    setPaginationByPath(path, pagination) {
      if (Array.isArray(path)) {
        path = `/${path.join("/")}`;
      } else if (path instanceof EntityPath) {
        path = path.toShortPath();
      }
      const previousPagination = this.getPaginationByPath(path);
      this.entityPagination[path] = Object.assign({}, previousPagination, pagination);
    }
    /**
     * 获取分页信息
     */
    getPaginationByPath(path) {
      if (Array.isArray(path)) {
        path = `/${path.join("/")}`;
      } else if (path instanceof EntityPath) {
        path = path.toShortPath();
      }
      return this.entityPagination && this.entityPagination[path];
    }
    /**
     * 刷新State
     */
    refreshState() {
      const latestState = {
        entities: this.entityList.getEntities(),
        currentEntity: this.entityList.getCurrentEntity()
      };
      this.state = latestState;
    }
    /**
     * 触发变更
     */
    triggerChange(change) {
      this.refreshState();
      this.entityChangeHistory.addChange(change);
      super.triggerChange(change);
    }
    /**
     * 转换为JSON
     */
    toJSON() {
      const entityStateJson = {
        entityList: this.entityList.toJSON(),
        currentEntity: this.entityList.getCurrentEntity().toJSON()
      };
      return entityStateJson;
    }
  }
  const UISTATE_META_NAME = "UISTATE_META";
  const uiStateMetaFactory = (meta) => {
    return meta;
  };
  const FdUIState = makePropMetadataDecorator(UISTATE_META_NAME, uiStateMetaFactory);
  const UI_STORE_META_NAME = "UI_STORE_META";
  const uiStoreMetaFactory = (meta) => {
    return meta;
  };
  function FdUIStore(meta) {
    const decoratorFactory = makeTypeMetadataDecorator(UI_STORE_META_NAME, uiStoreMetaFactory);
    return decoratorFactory(meta);
  }
  class UIStoreConfigBuilder {
    /**
     * 构造UIStore配置
     */
    build(uiStoreType) {
      const uiStoreMeta = this.getUIStoreMeta(uiStoreType);
      const id = uiStoreMeta.id;
      const uiStateConfig = this.buildUIStateConfig(uiStoreMeta.stateType);
      const uiStoreConfig = {
        id,
        state: uiStateConfig,
        type: uiStoreType
      };
      return uiStoreConfig;
    }
    /**
     * 构造UIState配置
     */
    buildUIStateConfig(uiStateType) {
      const propMetas = this.getUIStatePropMetas(uiStateType);
      const propConfigs = [];
      Object.keys(propMetas).forEach((propName) => {
        const propConfig = {
          name: propName
        };
        propConfigs.push(propConfig);
      });
      const uiStateConfig = {
        props: propConfigs
      };
      return uiStateConfig;
    }
    /**
     * 获取UIStore元数据
     */
    getUIStoreMeta(uiStoreType) {
      const uiStoreMeta = TypeMetadataReader.getMataByName(uiStoreType, UI_STORE_META_NAME);
      return uiStoreMeta;
    }
    /**
     * 获取UIStateProp元数据
     */
    getUIStatePropMetas(uiStateType) {
      const propsMetas = PropMetadataReader.getPropsMetasByName(uiStateType, UISTATE_META_NAME);
      return propsMetas;
    }
  }
  var UIStateChangeType = /* @__PURE__ */ ((UIStateChangeType2) => {
    UIStateChangeType2["ValueChange"] = "ValueChange";
    return UIStateChangeType2;
  })(UIStateChangeType || {});
  class UIState {
  }
  class UIStore extends Store {
    /**
     * 构造函数
     */
    constructor(module2) {
      super(module2);
    }
    /**
     * 初始化
     */
    init(config2) {
      super.init(config2);
      this.initState(config2);
    }
    /**
     * 初始化属性
     */
    initState(config2) {
      const state = {};
      const statePropConfigs = config2.state.props;
      statePropConfigs.forEach((statePropConfig) => {
        const { name, defaultValue = void 0 } = statePropConfig;
        state[name] = defaultValue;
      });
      this.state = state;
    }
    /**
     * 根据name获取状态值
     */
    getValue(name) {
      return this.state[name];
    }
    /**
     * 根据path获取状态值
     */
    getValueByPath(path) {
      this.checkPath(path);
      const pathSegs = path.split("/").slice(1);
      const value = pathSegs.reduce((currentValue, pathSeg) => {
        if (!currentValue) {
          throw new Error(`Can not read property of empty object( reading ${pathSeg})`);
        }
        return currentValue[pathSeg];
      }, this.state);
      return value;
    }
    /**
     * 根据name设置状态值
     */
    setValue(name, newValue) {
      const oldValue = this.getValue(name);
      if (oldValue === newValue) {
        return;
      }
      const state = this.state;
      state[name] = newValue;
      const change = {
        type: UIStateChangeType.ValueChange,
        path: `/${name}`,
        oldValue,
        newValue
      };
      this.triggerChange(change);
    }
    /**
     * 根据path设置状态值
     */
    setValueByPath(path, newValue) {
      const oldValue = this.getValue(path);
      if (oldValue === newValue) {
        return;
      }
      const pathSegs = path.split("/").slice(1);
      pathSegs.reduce((previouseValue, currentPathSeg, currentPathSegIndex) => {
        if (!previouseValue) {
          throw new Error(`Can not read property of empty object( reading ${currentPathSeg})`);
        }
        previouseValue[currentPathSeg] = newValue;
      }, this.state);
      const change = {
        type: UIStateChangeType.ValueChange,
        path,
        oldValue,
        newValue
      };
      this.triggerChange(change);
    }
    /**
     * 检查路径合法性
     */
    checkPath(path) {
      if (!path || typeof path !== "string") {
        throw new Error("The path must be a non-empty string.");
      }
      if (path.startsWith("/") === false) {
        throw new Error("The path must be started with slash.");
      }
      if (path.length < 1) {
        throw new Error("It must contain at least one character other than a slash");
      }
      const pathSegs = path.split("/").slice(1);
      if (!pathSegs) {
        throw new Error("The path must be a non-empty string.");
      }
      const emptyPathSegIndex = pathSegs.findIndex((pathItem) => {
        return !pathItem;
      });
      if (emptyPathSegIndex > -1) {
        throw new Error("The path can not contain empty segment ");
      }
    }
  }
  const RENDER_STATE_META_NAME = "RENDER_STATE_META";
  const renderStateMetaFactory = (meta) => {
    return meta;
  };
  const FdRenderState = makePropMetadataDecorator(RENDER_STATE_META_NAME, renderStateMetaFactory);
  const PAGE_STATE_META_NAME = "PAGE_STATE_META";
  const PageStateMetaFactory = (meta) => {
    return meta;
  };
  const FdPageState = makePropMetadataDecorator(PAGE_STATE_META_NAME, PageStateMetaFactory);
  const TRANSITION_ACTION_META_NAME = "TRANSITION_ACTION_META";
  const transitionActionMetaFactory = (meta) => {
    return meta;
  };
  const FdTransitionAction = makePropMetadataDecorator(TRANSITION_ACTION_META_NAME, transitionActionMetaFactory);
  const STATE_MACHINE_META_NAME = "STATE_MACHINE_META";
  const stateMachineMetaFactory = (meta) => {
    return meta;
  };
  function FdStateMachine(meta) {
    const decoratorFactory = makeTypeMetadataDecorator(STATE_MACHINE_META_NAME, stateMachineMetaFactory);
    return decoratorFactory(meta);
  }
  class StateMachineConfigBuilder {
    /**
     * 构造状态机配置 
     */
    build(stateMachineType) {
      const stateMachineMeta = this.getStateMachineMeta(stateMachineType);
      const pageStateConfigs = this.buildPageStateConfigs(stateMachineType);
      const transitionActionConfigs = this.buildTransitionActionConfigs(stateMachineType);
      const stateConfig = this.buildStateConfig(stateMachineMeta.stateType);
      const stateMachineConfig = {
        id: stateMachineMeta.id,
        type: stateMachineType,
        pageStates: pageStateConfigs,
        initPageState: stateMachineMeta.initPageState,
        transitionActions: transitionActionConfigs,
        state: stateConfig
      };
      return stateMachineConfig;
    }
    /**
     * 构造页面状态配置
     */
    buildPageStateConfigs(stateMachineType) {
      const pageStateMetas = this.getPageStateMetas(stateMachineType);
      const pageStateConfigs = [];
      Object.keys(pageStateMetas).forEach((propName) => {
        const pageStateConfig = {
          name: propName
        };
        pageStateConfigs.push(pageStateConfig);
      });
      return pageStateConfigs;
    }
    /**
     * 构造迁移动作配置
     */
    buildTransitionActionConfigs(stateMachineType) {
      const actionMetas = this.getTransitionActionMetas(stateMachineType);
      const actionConfigs = [];
      Object.keys(actionMetas).forEach((propName) => {
        const actionMeta = actionMetas[propName];
        const actionConfig = {
          name: propName,
          transitionTo: actionMeta.transitionTo
        };
        actionConfigs.push(actionConfig);
      });
      return actionConfigs;
    }
    /**
     * 构造状态机状态配置
     */
    buildStateConfig(stateType) {
      const renderStateMetas = this.getRenderStateMetas(stateType);
      const renderStateConfigs = [];
      Object.keys(renderStateMetas).forEach((propName) => {
        const renderStateMeta = renderStateMetas[propName];
        const renderStateConfig = {
          name: propName,
          conditions: renderStateMeta.conditions
        };
        renderStateConfigs.push(renderStateConfig);
      });
      const stateConfig = {
        renderStates: renderStateConfigs
      };
      return stateConfig;
    }
    /**
     * 获取状态机元数据
     */
    getStateMachineMeta(stateMachineType) {
      const stateMachineMeta = TypeMetadataReader.getMataByName(stateMachineType, STATE_MACHINE_META_NAME);
      return stateMachineMeta;
    }
    /**
     * 获取页面状态元数据
     */
    getPageStateMetas(stateMachineType) {
      const pageStateMetas = PropMetadataReader.getPropsMetasByName(stateMachineType, PAGE_STATE_META_NAME);
      return pageStateMetas;
    }
    /**
     * 获取迁移动作元数据
     */
    getTransitionActionMetas(stateMachineType) {
      const actionMetas = PropMetadataReader.getPropsMetasByName(stateMachineType, TRANSITION_ACTION_META_NAME);
      return actionMetas;
    }
    /**
     * 获取可视化状态元数据
     */
    getRenderStateMetas(stateType) {
      const renderStateMetas = PropMetadataReader.getPropsMetasByName(stateType, RENDER_STATE_META_NAME);
      return renderStateMetas;
    }
  }
  class StateMachineConfigManager {
    /**
     * 构造函数
     */
    constructor(config2) {
      /**
       * 状态机配置
       */
      __publicField(this, "config");
      this.config = config2;
    }
    /**
     * 获取全部配置
     */
    getConfig() {
      return this.config;
    }
    /**
     * 获取初始化页面状态
     */
    getInitPageState() {
      return this.config.initPageState;
    }
    /**
     * 根据name获取页面状态配置
     */
    getPageStateConfigByName(name) {
      if (!Array.isArray(this.config.pageStates)) {
        return;
      }
      const targetPageStateConfig = this.config.pageStates.find((pageStateConfig) => {
        return pageStateConfig.name === name;
      });
      return targetPageStateConfig;
    }
    /**
     * 根据全部可视化状态配置
     */
    getRenderStateConfigs() {
      if (!this.config.state || !Array.isArray(this.config.state.renderStates)) {
        return [];
      }
      return this.config.state.renderStates;
    }
    /**
     * 根据name获取可视化状态配置
     */
    getRenderStateConfigByName(name) {
      if (!this.config.state || !Array.isArray(this.config.state.renderStates)) {
        return;
      }
      const targetRenderStateConfig = this.config.state.renderStates.find((renderStateConfig) => {
        return renderStateConfig.name === name;
      });
      return targetRenderStateConfig;
    }
    /**
     * 根据全部动作配置
     */
    getTransitionActionConfigs() {
      if (!Array.isArray(this.config.transitionActions)) {
        return [];
      }
      return this.config.transitionActions;
    }
    /**
     * 根据name获取动作配置
     */
    getTransitionActionConfigByName(name) {
      if (!Array.isArray(this.config.transitionActions)) {
        return;
      }
      const targetActionsConfig = this.config.transitionActions.find((actionConfig) => {
        return actionConfig.name === name;
      });
      return targetActionsConfig;
    }
  }
  class StateMachineInitializer {
    /**
     * 构造函数
     */
    constructor(stateMachine) {
      /**
       * 状态机实例
       */
      __publicField(this, "stateMachine");
      /**
       * 配置管理器
       */
      __publicField(this, "configManager");
      /**
       * 渲染条件求值器
       */
      __publicField(this, "conditionEvaluator");
      this.stateMachine = stateMachine;
      this.configManager = stateMachine.configManager;
      const module2 = this.stateMachine.getModule();
      const context = {
        module: module2
      };
      this.conditionEvaluator = new ConditionEvaluator(context);
    }
    /**
     * 初始化
     */
    init() {
      this.initState();
      this.initActions();
    }
    /**
     * 初始化状态
     */
    initState() {
      const state = new StateMachineState();
      this.initRenderStates(state);
      this.initRenders();
      this.stateMachine.setState(state);
    }
    /**
     * 初始化可视化状态
     */
    initRenderStates(state) {
      const renderStateConfigs = this.configManager.getRenderStateConfigs();
      renderStateConfigs.forEach((renderStateConfig) => {
        const name = renderStateConfig.name;
        state[name] = false;
      });
    }
    /**
     * 初始化渲染方法
     */
    initRenders() {
      const renderStateConfigs = this.configManager.getRenderStateConfigs();
      renderStateConfigs.forEach((renderStateConfig) => {
        const name = renderStateConfig.name;
        const conditions = renderStateConfig.conditions;
        const render = () => {
          return this.conditionEvaluator.evaluate(conditions);
        };
        this.stateMachine.registerRender(name, render);
      });
    }
    /**
     * 初始化迁移动作
     */
    initActions() {
      const actionConfigs = this.configManager.getTransitionActionConfigs();
      actionConfigs.forEach((actionConfig) => {
        const actionName = actionConfig.name;
        const actionMethod = () => {
          const nextPageState = actionConfig.transitionTo;
          const nextPageStateConfig = this.configManager.getPageStateConfigByName(nextPageState);
          if (!nextPageStateConfig) {
            throw new Error("PageStateConfig(name=${nextPageState}) does not exist");
          }
          this.stateMachine.transitTo(nextPageState);
        };
        this.stateMachine[actionName] = actionMethod;
      });
    }
  }
  class StateMachineWatcher {
    /**
     * 构造函数
     */
    constructor(stateMachine) {
      /**
       * 模块
       */
      __publicField(this, "module");
      /**
       * 状态机
       */
      __publicField(this, "stateMachine");
      /**
       * 状态机配置管理器
       */
      __publicField(this, "configManager");
      this.stateMachine = stateMachine;
      this.module = stateMachine.getModule();
      this.configManager = stateMachine.configManager;
    }
    /**
     * 监听变量变化
     */
    watch() {
      const variables = this.getVariables();
      this.watchEntityStores(variables);
      this.watchUIStores(variables);
    }
    /**
     * 获取条件中的所有变量
     */
    getVariables() {
      const variableSet = /* @__PURE__ */ new Set();
      const renderStateConfigs = this.configManager.getRenderStateConfigs();
      renderStateConfigs.forEach((renderStateConfig) => {
        const conditions = renderStateConfig.conditions;
        conditions.forEach((condition) => {
          variableSet.add(condition.source);
        });
      });
      return Array.from(variableSet);
    }
    /**
     * 监听关联的实体状态
     */
    watchEntityStores(variables) {
      const entityStores = /* @__PURE__ */ new Set();
      const entityVariablePrefix = "DATA";
      variables.forEach((variable) => {
        if (!variable.startsWith("{" + entityVariablePrefix)) {
          return;
        }
        const variablePath = StateVariableUtil.getVariablePath(variable, entityVariablePrefix);
        const viewModel = this.module.getViewModel(variablePath.viewModelId);
        if (viewModel && viewModel.entityStore) {
          entityStores.add(viewModel.entityStore);
        }
      });
      entityStores.forEach((entityStore) => {
        entityStore.watchChange(() => {
          this.stateMachine.refreshState();
        });
      });
    }
    /**
     * 监听关联的UI状态
     */
    watchUIStores(variables) {
      const uiStores = /* @__PURE__ */ new Set();
      const uiVariablePrefix = "UISTATE";
      variables.forEach((variable) => {
        if (!variable.startsWith("{" + uiVariablePrefix)) {
          return;
        }
        const variablePath = StateVariableUtil.getVariablePath(variable, uiVariablePrefix);
        const viewModel = this.module.getViewModel(variablePath.viewModelId);
        if (viewModel && viewModel.uiStore) {
          uiStores.add(viewModel.uiStore);
        }
      });
      uiStores.forEach((entityStore) => {
        entityStore.watchChange(() => {
          this.stateMachine.refreshState();
        });
      });
    }
  }
  class StateMachineState {
    constructor() {
      /**
       * 当前页面状态
       */
      __publicField(this, "currentPageState");
    }
  }
  class StateMachine extends Store {
    /**
     * 构造函数
     */
    constructor(module2) {
      super(module2);
      /**
       * 状态渲染器
       */
      __publicField(this, "renders");
      /**
       * 配置管理器
       */
      __publicField(this, "configManager");
      /**
       * 外部状态监听器
       */
      __publicField(this, "stateWatcher");
      this.renders = /* @__PURE__ */ new Map();
    }
    /**
     * 初始化
     */
    init(config2) {
      super.init(config2);
      this.configManager = new StateMachineConfigManager(config2);
      const initializer = new StateMachineInitializer(this);
      initializer.init();
      this.stateWatcher = new StateMachineWatcher(this);
      this.stateWatcher.watch();
    }
    /**
     * 获取状态值
     */
    getValue(name) {
      return this.state[name];
    }
    /**
     * 迁移到初始状态
     */
    transitToInitState() {
      const initPageState = this.configManager.getInitPageState();
      this.transitTo(initPageState);
    }
    /**
     * 迁移状态
     */
    transitTo(nextPageState) {
      const nextPageStateConfig = this.configManager.getPageStateConfigByName(nextPageState);
      if (!nextPageStateConfig) {
        throw new Error(`PageStateConfig(name=${nextPageState}) does not exist`);
      }
      const oldPageState = this.state.currentPageState;
      if (oldPageState === nextPageState) {
        return;
      }
      this.refreshState(nextPageState);
    }
    /**
     * 注册渲染器
     */
    registerRender(name, render) {
      this.renders.set(name, render);
    }
    /**
     * 刷新状态
     */
    refreshState(nextPageState) {
      const changedValues = {};
      const oldState = { ...this.state };
      const newState = {};
      const currentState = this.state;
      if (nextPageState) {
        newState.currentPageState = nextPageState;
        currentState.currentPageState = newState.currentPageState;
        if (newState.currentPageState !== oldState.currentPageState) {
          changedValues.currentPageState = newState.currentPageState;
        }
      } else {
        newState.currentPageState = oldState.currentPageState;
      }
      this.renders.forEach((render, renderStateName) => {
        newState[renderStateName] = render();
        currentState[renderStateName] = newState[renderStateName];
        if (newState[renderStateName] !== oldState[renderStateName]) {
          changedValues[renderStateName] = newState[renderStateName];
        }
      });
      this.state = newState;
      const stateChange = {
        oldState,
        newState,
        changedValues
      };
      this.triggerChange(stateChange);
    }
  }
  var FormControlBindingType = /* @__PURE__ */ ((FormControlBindingType2) => {
    FormControlBindingType2["EntityState"] = "EntityState";
    FormControlBindingType2["UIState"] = "UIState";
    return FormControlBindingType2;
  })(FormControlBindingType || {});
  class FormStoreConfigManager {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * 表单配置
       */
      __publicField(this, "config");
    }
    /**
     * 初始化配置
     */
    initConfig(config2) {
      this.config = config2;
    }
    /**
     * 获取全部配置
     */
    getStoreConfig() {
      return this.config;
    }
    /**
     * 获取表单配置
     */
    getFormStateConfig() {
      const stateConfig = this.config.state;
      return stateConfig;
    }
    /**
     * 获取表单控件配置
     */
    getControlConfigs() {
      const stateConfig = this.getFormStateConfig();
      const controlConfigs = stateConfig.controls;
      return controlConfigs;
    }
    /**
     * 获取表单控件配置
     */
    getControlConfig(name) {
      const controlConfigs = this.getControlConfigs();
      const targetControlConfig = controlConfigs.find((controlConfig) => {
        return controlConfig.name === name;
      });
      return targetControlConfig;
    }
  }
  class FormArrayStoreConfigManager {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * 表单配置
       */
      __publicField(this, "config");
    }
    /**
     * 初始化配置
     */
    initConfig(config2) {
      this.config = config2;
    }
    /**
     * 获取全部配置
     */
    getStoreConfig() {
      return this.config;
    }
    /**
     * 获取表单配置
     */
    getFormStateConfig() {
      const stateConfig = this.config.state;
      return stateConfig;
    }
    /**
     * 获取全部表单控件配置
     */
    getControlConfigs() {
      const stateConfig = this.getFormStateConfig();
      const controlConfigs = stateConfig.controls;
      return controlConfigs;
    }
    /**
     * 获取表单控件配置
     */
    getControlConfig(name) {
      const controlConfigs = this.getControlConfigs();
      const targetControlConfig = controlConfigs.find((controlConfig) => {
        return controlConfig.name === name;
      });
      return targetControlConfig;
    }
  }
  class ValidatorUtil {
    /**
     * 是否有合法的length属性
     */
    static hasValidLength(value) {
      return value != null && typeof value.length === "number";
    }
    /**
     * 是否为空输入
     */
    static isEmptyInput(value) {
      if (value === null || value === void 0 || value === "") {
        return true;
      }
      return false;
    }
    /**
     * 是否是类字符串的值
     */
    static isStringLike(value) {
      if (typeof value !== "string" && typeof value !== "number" && typeof value !== "boolean") {
        return false;
      }
      if (typeof value === "number" && isNaN(value)) {
        return false;
      }
      return true;
    }
    /**
     * 是否是类似数字的值
     */
    static isNumberLike(value) {
      if (typeof value !== "string" && typeof value !== "number") {
        return false;
      }
      return true;
    }
  }
  class BaseValidator {
  }
  class RequiredValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "required");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (ValidatorUtil.isEmptyInput(value)) {
        const name = rule.name;
        const message2 = rule.message || "输入的值不能为空";
        const error = { name, message: message2, actualValue: value };
        return error;
      }
      return null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      return true;
    }
  }
  class StaticValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "static");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (rule.valid === true) {
        return null;
      }
      const name = rule.name;
      const message2 = rule.message || "输入的值不符合要求";
      const error = { name, message: message2, actualValue: value };
      return error;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      return true;
    }
  }
  class MaxLengthValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
      * 名称
      */
      __publicField(this, "name", "maxLength");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (ValidatorUtil.isEmptyInput(value)) {
        return null;
      }
      if (!ValidatorUtil.isStringLike(value)) {
        return null;
      }
      value = "" + value;
      const maxLength = rule.maxLength;
      const actualLength = value.length;
      if (actualLength > maxLength) {
        const name = rule.name;
        const message2 = rule.message || `输入的值不应超过${maxLength}个字符`;
        const error = { name, message: message2, actualLength, maxLength };
        return error;
      }
      return null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { maxLength } = rule;
      if (!maxLength || typeof maxLength !== "number" || isNaN(maxLength) || maxLength === 0) {
        return false;
      }
      return true;
    }
  }
  class MinLengthValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
      * 名称
      */
      __publicField(this, "name", "minLength");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (ValidatorUtil.isEmptyInput(value)) {
        return null;
      }
      if (!ValidatorUtil.isStringLike(value)) {
        return null;
      }
      const actualLength = value.length;
      const minLength = rule.minLength;
      if (actualLength < minLength) {
        const name = rule.name;
        const message2 = rule.message || `输入的值不应小于${minLength}个字符`;
        const error = { name, message: message2, actualLength, minLength };
        return error;
      }
      return null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { minLength } = rule;
      if (!minLength || typeof minLength !== "number" || isNaN(minLength) || minLength === 0) {
        return false;
      }
      return true;
    }
  }
  class MaxValueValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "maxValue");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (ValidatorUtil.isEmptyInput(value)) {
        return null;
      }
      if (!ValidatorUtil.isNumberLike(value)) {
        return null;
      }
      if (typeof value !== "number") {
        value = parseFloat(value);
      }
      if (isNaN(value) === true) {
        return null;
      }
      const { name, maxValue } = rule;
      const message2 = rule.message || `输入的值不应大于${maxValue}`;
      const error = { name, message: message2, maxValue, actualValue: value };
      return value > maxValue ? error : null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { maxValue } = rule;
      if (typeof maxValue !== "number" || isNaN(maxValue)) {
        return false;
      }
      return true;
    }
  }
  class MinValueValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "minValue");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (ValidatorUtil.isEmptyInput(value)) {
        return null;
      }
      if (!ValidatorUtil.isNumberLike(value)) {
        return null;
      }
      if (typeof value !== "number") {
        value = parseFloat(value);
      }
      if (isNaN(value) === true) {
        return null;
      }
      const { name, minValue } = rule;
      const message2 = rule.message || `输入的值不应小于${minValue}`;
      const error = { name, message: message2, minValue, actualValue: value };
      return value < minValue ? error : null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { minValue } = rule;
      if (typeof minValue !== "number" || isNaN(minValue)) {
        return false;
      }
      return true;
    }
  }
  class MaxDateValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "maxDate");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (ValidatorUtil.isEmptyInput(value)) {
        return null;
      }
      if (typeof value !== "string") {
        return null;
      }
      let { name, maxDate, message: message2 } = rule;
      value = DateUtil.parse(value);
      maxDate = DateUtil.parse(maxDate);
      if (!value || !maxDate) {
        return null;
      }
      if (value.getTime() > maxDate.getTime()) {
        const formattedActualDate = DateUtil.format(value);
        const formattedMaxDate = DateUtil.format(maxDate);
        message2 = message2 || `输入的值不应晚于${formattedMaxDate}`;
        return { name, message: message2, actualDate: formattedActualDate, maxDate: formattedMaxDate };
      }
      return null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { maxDate } = rule;
      if (!maxDate || typeof maxDate !== "string") {
        return false;
      }
      const minDateObj = DateUtil.parse(maxDate);
      if (!minDateObj) {
        return false;
      }
      return true;
    }
  }
  class MinDateValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "minDate");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (ValidatorUtil.isEmptyInput(value)) {
        return null;
      }
      if (typeof value !== "string") {
        return null;
      }
      let { name, minDate, message: message2 } = rule;
      value = DateUtil.parse(value);
      minDate = DateUtil.parse(minDate);
      if (!value || !minDate) {
        return null;
      }
      if (value.getTime() < minDate.getTime()) {
        const formattedActualDate = DateUtil.format(value);
        const formattedMinDate = DateUtil.format(minDate);
        message2 = message2 || `输入的值不应早于${formattedMinDate}`;
        return { name, message: message2, actualDate: formattedActualDate, minDate: formattedMinDate };
      }
      return null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { minDate } = rule;
      if (!minDate || typeof minDate !== "string") {
        return false;
      }
      const minDateObj = DateUtil.parse(minDate);
      if (!minDateObj) {
        return false;
      }
      return true;
    }
  }
  class ForamtValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "stringFormat");
      /**
       * 格式正则
       */
      __publicField(this, "formatConfigs", {
        mobilePhone: {
          pattern: "^1[0-9]{10}$",
          message: "请输入有效的手机号"
        },
        landlinePhone: {
          pattern: "^(0[0-9]{2,3}\\-)?([2-9][0-9]{6,7})+(\\-[0-9]{1,4})?$",
          message: "请输入有效的座机号/传真号"
        },
        mobileOrLandlinePhone: {
          pattern: "^(0[0-9]{2,3}\\-)?([2-9][0-9]{6,7})+(\\-[0-9]{1,4})?$|^1[0-9]{10}$",
          message: "请输入有效的手机号/座机号/传真号"
        },
        postcode: {
          pattern: "^[1-9]\\d{5}(?!\\d)$",
          message: "请输入有效的邮政编码"
        },
        email: {
          pattern: "^[A-Za-z\\d]+([-_.][A-Za-z\\d]+)*@([A-Za-z\\d]+[-.])+[A-Za-z]{2,5}$",
          message: "请输入有效的电子邮箱"
        },
        idCardNumber: {
          pattern: "^[1-9]\\d{5}[1-9]\\d{3}((0[1-9])|(1[0-2]))(0[1-9]|([1|2][0-9])|3[0-1])((\\d{4})|\\d{3}X)$",
          message: "请输入有效的身份证号码"
        },
        carNumber: {
          pattern: "^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-HJ-NP-Z0-9]{4}[A-HJ-NP-Z0-9挂学警港澳]{1}$",
          message: "请输入有效的车牌号"
        },
        subjectCode: {
          pattern: "^\\d{10}$",
          message: "请输入有效的会计科目代码"
        }
      });
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      let { name, format: format2 } = rule;
      const formatConfig = this.formatConfigs[format2];
      const regexStr = formatConfig.pattern;
      const regex = new RegExp(regexStr);
      if (!regex.test(value)) {
        const message2 = rule.message || formatConfig.message;
        return { name, message: message2, actualValue: value };
      }
      return null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { format: format2 } = rule;
      if (!format2) {
        return false;
      }
      const formatConfig = this.formatConfigs[rule.foramt];
      if (!formatConfig) {
        return false;
      }
      return true;
    }
  }
  class PatternValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "pattern");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      if (ValidatorUtil.isEmptyInput(value)) {
        return null;
      }
      if (!ValidatorUtil.isStringLike(value)) {
        return null;
      }
      value = "" + value;
      let { name, pattern } = rule;
      if (!pattern) {
        return null;
      }
      let regex;
      if (StringUtil.isString(pattern)) {
        let regexStr = pattern;
        regex = new RegExp(regexStr);
      } else {
        regex = pattern;
      }
      if (!regex.test(value)) {
        const message2 = rule.message || "输入的值不符合要求";
        return { name, message: message2, actualValue: value };
      }
      return null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { pattern } = rule;
      if (!pattern || typeof pattern !== "string") {
        return false;
      }
      return true;
    }
  }
  class CustomFunctionValidator extends BaseValidator {
    constructor() {
      super(...arguments);
      /**
       * 名称
       */
      __publicField(this, "name", "customFunction");
    }
    /**
     * 验证方法
     */
    validate(value, rule) {
      if (!this.checkRule(rule)) {
        return null;
      }
      const { name, customFn } = rule;
      if (customFn(value) === false) {
        const message2 = rule.message || "输入值不符合要求";
        return { name, message: message2, actualValue: value };
      }
      return null;
    }
    /**
     * 检查规则是否合法
     */
    checkRule(rule) {
      if (!rule || rule.name !== this.name) {
        return false;
      }
      const { customFn } = rule;
      if (!customFn || typeof customFn !== "function") {
        return false;
      }
      return true;
    }
  }
  const validatorTypes = [
    RequiredValidator,
    StaticValidator,
    MaxLengthValidator,
    MinLengthValidator,
    MaxValueValidator,
    MinValueValidator,
    MaxDateValidator,
    MinDateValidator,
    ForamtValidator,
    PatternValidator,
    CustomFunctionValidator
  ];
  class ValidatorFactory {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * 验证器集合
       */
      __publicField(this, "validators");
      this.initValidators();
    }
    /**
     * 初始化验证器
     */
    initValidators() {
      this.validators = /* @__PURE__ */ new Map();
      validatorTypes.forEach((validatorType) => {
        const validator = new validatorType();
        this.validators.set(validator.name, validator);
      });
    }
    /**
     * 创建验证规则
     */
    create(rule) {
      const { name } = rule;
      const validator = this.validators.get(name);
      if (!validator) {
        throw new Error(`Validator(name=${name} not found)`);
      }
      return validator;
    }
  }
  const _ValidationService = class _ValidationService {
    /**
     * 构造函数
     */
    constructor() {
      /**
       * 验证器工厂
       */
      __publicField(this, "validatorFactory");
      this.validatorFactory = new ValidatorFactory();
    }
    /**
     * 获取验证服务实例
     */
    static getInstance() {
      if (!this.instance) {
        this.instance = new _ValidationService();
      }
      return this.instance;
    }
    /**
     * 执行验证
     */
    validate(value, rules) {
      if (!Array.isArray(rules)) {
        return null;
      }
      let firstError = null;
      rules.some((rule) => {
        const validator = this.validatorFactory.create(rule);
        const error = validator.validate(value, rule);
        if (error) {
          firstError = error;
          return true;
        }
      });
      return firstError;
    }
  };
  /**
   * 验证服务实例
   */
  __publicField(_ValidationService, "instance");
  let ValidationService = _ValidationService;
  class FormControl {
    /**
     * 构造函数
     */
    constructor(value, rules) {
      /**
       * 验证服务
       */
      __publicField(this, "validationService");
      /**
       * 验证函数集合
       */
      __publicField(this, "rules");
      /**
       * 控件值
       */
      __publicField(this, "value");
      /**
       * 是否校验通过
       */
      __publicField(this, "valid");
      /**
       * 校验错误信息
       */
      __publicField(this, "error");
      this.validationService = ValidationService.getInstance();
      this.value = value;
      this.rules = rules;
      this.valid = true;
      this.error = null;
    }
    /**
     * 获取验证规则
     */
    getRules() {
      const rules = [...this.rules];
      return rules;
    }
    /**
     * 设置值
     */
    setValue(value) {
      this.value = value;
      this.validate();
    }
    /**
     * 设置控件验证规则
     */
    setControlRules(rules) {
      this.rules = rules;
      this.validate();
    }
    /**
     * 校验值
     */
    validate() {
      const error = this.validationService.validate(this.value, this.rules);
      this.valid = error ? false : true;
      this.error = error;
      return error;
    }
  }
  class Form {
    /**
     * 构造函数
     */
    constructor(index, key, controls) {
      /**
       * 表单索引
       */
      __publicField(this, "index");
      /**
       * 表单唯一标识
       */
      __publicField(this, "key");
      /**
       * 表单值
       */
      __publicField(this, "value");
      /**
       * 校验状态
       */
      __publicField(this, "valid");
      /**
       * 校验错误
       */
      __publicField(this, "error");
      /**
       * 控件集合
       */
      __publicField(this, "controls");
      this.index = index;
      this.key = key;
      this.value = {};
      this.valid = true;
      this.error = null;
      this.controls = controls;
    }
    /**
     * 获取全部控件
     */
    getControls() {
      return this.controls;
    }
    /**
     * 获取单个控件
     */
    getControl(name) {
      return this.controls[name] || null;
    }
    /**
     * 获取控件值
     */
    getControlValue(name) {
      const control = this.getControl(name);
      if (!control) {
        throw new Error(`FormControl(name=${name}) not found`);
      }
      return control.value;
    }
    /**
     * 获取控件验证规则
     */
    getControlRules(name) {
      const control = this.getControl(name);
      if (!control) {
        throw new Error(`FormControl(name=${name}) not found`);
      }
      return control.getRules();
    }
    /**
     * 设置唯一标识
     */
    setKey(key) {
      this.key = key;
    }
    /**
     * 设置索引
     */
    setIndex(index) {
      this.index = index;
    }
    /**
     * 批量设置控件值
     */
    setControlValues(values) {
      Object.keys(values).forEach((name) => {
        const control = this.controls[name];
        const value = values[name];
        control.setValue(value);
      });
      this.refresh();
    }
    /**
     * 设置控件值
     */
    setControlValue(name, value) {
      const control = this.controls[name];
      control.setValue(value);
      this.refresh();
    }
    /**
     * 设置控件规则
     */
    setControlRules(name, rules) {
      const control = this.getControl(name);
      if (!control) {
        throw new Error(`FormControl(name=${name}) not found`);
      }
      control.setControlRules(rules);
      this.refresh();
    }
    /**
     * 校验表单
     */
    validate() {
      Object.keys(this.controls).forEach((controlName) => {
        const control = this.controls[controlName];
        control.validate();
      });
      this.refresh();
      return this.error;
    }
    /**
     * 校验单个控件
     */
    validateControl(name) {
      const control = this.getControl(name);
      if (!control) {
        return null;
      }
      const controlError = control.validate();
      this.refresh();
      return controlError;
    }
    /**
     * 刷新表单
     */
    refresh() {
      const formValue = {};
      const formError = {};
      Object.keys(this.controls).forEach((name) => {
        const control = this.controls[name];
        formValue[name] = control.value;
        if (control.error) {
          formError[name] = control.error;
        }
      });
      const formInvalid = Object.keys(formError).some((name) => {
        return formError[name];
      });
      this.value = formValue;
      this.valid = !formInvalid;
      this.error = formInvalid ? formError : null;
    }
  }
  class FormArray {
    /**
     * 构造函数
     */
    constructor(forms) {
      /**
       * 表单数组值
       */
      __publicField(this, "value");
      /**
       * 表单数组校验结果
       */
      __publicField(this, "valid");
      /**
       * 表单数组校验错误
       */
      __publicField(this, "error");
      /**
       * 表单集合
       */
      __publicField(this, "forms");
      this.value = [];
      this.valid = true;
      this.error = [];
      this.forms = forms;
    }
    /**
     * 获取Form集合
     */
    getForms() {
      return this.forms;
    }
    /**
     * 获取Form
     */
    getForm(formKey) {
      const form = this.forms.find((form2) => {
        return form2.key === formKey;
      });
      return form || null;
    }
    /**
     * 获取控件验证规则
     */
    getControlRules(formKey, controlName) {
      const form = this.getForm(formKey);
      if (!form) {
        throw new Error(`Form(key=${formKey}) not found`);
      }
      return form.getControlRules(controlName);
    }
    /**
     * 加载Form集合
     */
    loadForms(forms) {
      this.forms = forms;
      this.validate();
      this.refresh();
    }
    /**
     * 设置控件验证规则
     */
    setControlRules(formKey, controlName, rules) {
      const form = this.getForm(formKey);
      if (!form) {
        throw new Error(`Form(key=${formKey}) not found`);
      }
      form.setControlRules(controlName, rules);
      form.validateControl(controlName);
      this.refresh();
    }
    /**
     * 校验FormArray
     */
    validate() {
      this.forms.forEach((form) => {
        form.validate();
      });
      this.refresh();
      return this.error;
    }
    /**
     * 校验下级Form
     */
    validateForm(formKey) {
      const form = this.getForm(formKey);
      if (!form) {
        return null;
      }
      const formError = form.validate();
      this.refresh();
      return formError;
    }
    /**
     * 刷新状态
     */
    refresh() {
      const formArrayValue = [];
      const formArrayError = [];
      this.forms.forEach((form) => {
        const { index: formIndex, key: formKey, value: formValue, error: formError } = form;
        formArrayValue.push({ formKey, formIndex, formValue });
        if (formError) {
          formArrayError.push({ formKey, formIndex, formError });
        }
      });
      this.value = formArrayValue;
      this.valid = formArrayError.length === 0;
      this.error = formArrayError.length === 0 ? null : formArrayError;
    }
  }
  class FormBuilder {
    /**
     * 创建表单数组
     */
    buildFormArray(formIndexes, formKeys, formValues, controlConfigs) {
      const forms = this.buildForms(formIndexes, formKeys, formValues, controlConfigs);
      const formArray = new FormArray(forms);
      return formArray;
    }
    /**
     * 批量创建表单
     */
    buildForms(formIndexes, formKeys, formValues, controlConfigs) {
      const forms = formValues.map((formData, formDataIndex) => {
        const formIndex = formIndexes[formDataIndex];
        const formKey = formKeys[formIndex];
        return this.buildForm(formIndex, formKey, formData, controlConfigs);
      });
      return forms;
    }
    /**
     * 创建表单
     */
    buildForm(formIndex, formKey, formValue, controlConfigs) {
      const controls = this.buildControls(formValue, controlConfigs);
      const form = new Form(formIndex, formKey, controls);
      return form;
    }
    /**
     * 批量创建控件
     */
    buildControls(formValue, controlConfigs) {
      const controls = {};
      controlConfigs.forEach((controlConfig) => {
        const name = controlConfig.name;
        const value = formValue[name];
        controls[name] = this.buildControl(value, controlConfig);
      });
      return controls;
    }
    /**
     * 创建控件
     */
    buildControl(controlValue, controlConfig) {
      const validationRules = controlConfig.validationRules;
      const control = new FormControl(controlValue, validationRules);
      return control;
    }
  }
  class FormDataBuilder {
    /**
     * 构造函数
     */
    constructor(viewModel) {
      /**
       * 模块
       */
      __publicField(this, "module");
      /**
       * 视图模型
       */
      __publicField(this, "viewModel");
      /**
       * 实体仓库
       */
      __publicField(this, "entityStore");
      /**
       * UI仓库
       */
      __publicField(this, "uiStore");
      this.viewModel = viewModel;
      this.module = viewModel.getModule();
      this.entityStore = viewModel.entityStore;
      this.uiStore = viewModel.uiStore;
    }
    /**
     * 获取表单标志集合
     */
    buildFormKeys(entities) {
      const keys2 = entities.map((entity) => {
        return entity.idValue;
      });
      return keys2;
    }
    /**
     * 构造表单标志
     */
    buildFormKey(entity) {
      return entity.idValue;
    }
    /**
     * 获取表单数据集合
     */
    buildFormArrayData(entities, controlConfigs) {
      const formDatas = entities.map((entity) => {
        return this.buildFormData(entity, controlConfigs);
      });
      return formDatas;
    }
    /**
     * 获取表单数据
     */
    buildFormData(entity, controlConfigs) {
      const formData = {};
      controlConfigs.forEach((controlConfig) => {
        const { name } = controlConfig;
        const value = this.getControlValue(entity, controlConfig);
        formData[name] = value;
      });
      return formData;
    }
    /**
     * 获取控件值
     */
    getControlValue(entity, controlConfig) {
      let controlValue;
      const { bindingType, bindingPath } = controlConfig;
      if (bindingType === FormControlBindingType.EntityState) {
        controlValue = entity ? entity.getValueByPath(bindingPath) : void 0;
      } else if (bindingType === FormControlBindingType.UIState) {
        controlValue = this.uiStore ? this.uiStore.getValueByPath(controlConfig.bindingPath) : void 0;
      } else {
        throw new Error(`BindingType(${controlConfig.bindingType}) not supported`);
      }
      return controlValue;
    }
    /**
     * 获取实体
     */
    getEntity(bindingPath) {
      if (!this.entityStore) {
        return null;
      }
      const entity = this.entityStore.getCurrentEntityByPath(bindingPath);
      return entity;
    }
    /**
     * 获取实体集合
     */
    getEntities(bindingPath) {
      if (!this.entityStore) {
        return null;
      }
      const entities = this.entityStore.getEntitiesByPath(bindingPath);
      return entities;
    }
  }
  class FormStoreInitializer {
    /**
     * 构造函数
     */
    constructor(formStore) {
      /**
       * 模块
       */
      __publicField(this, "module");
      /**
       * 视图模型
       */
      __publicField(this, "viewModel");
      /**
       * 表单
       */
      __publicField(this, "formStore");
      /**
       * 表单配置管理
       */
      __publicField(this, "configManager");
      /**
       * 表单构造器
       */
      __publicField(this, "formBuilder");
      /**
       * 表单数据构造器
       */
      __publicField(this, "formDataBuilder");
      this.module = formStore.getModule();
      this.viewModel = this.getViewModel();
      this.formStore = formStore;
      this.configManager = formStore.configManager;
      this.formBuilder = new FormBuilder();
      this.formDataBuilder = new FormDataBuilder(this.viewModel);
    }
    /**
     * 初始化
     */
    init() {
      this.initState();
      this.watchDataSource();
    }
    /**
     * 初始化状态
     */
    initState() {
      const controlConfigs = this.configManager.getControlConfigs();
      const currentEntity = this.getCurrentEntity();
      const formIndex = 0;
      const formKey = this.formDataBuilder.buildFormKey(currentEntity);
      const formData = this.formDataBuilder.buildFormData(currentEntity, controlConfigs);
      this.formStore.form = this.formBuilder.buildForm(formIndex, formKey, formData, controlConfigs);
    }
    /**
     * 获取表单数据
     */
    getFormValue() {
      const currentEntity = this.getCurrentEntity();
      const controlConfigs = this.configManager.getControlConfigs();
      const formData = this.formDataBuilder.buildFormData(currentEntity, controlConfigs);
      return formData;
    }
    /**
     * 同步Form数据
     */
    watchDataSource() {
      const controlConfigs = this.configManager.getControlConfigs();
      const { entityStore, uiStore } = this.viewModel;
      if (!entityStore || !uiStore) {
        return;
      }
      entityStore.watchChange((change) => {
        controlConfigs.forEach((controlConfig) => {
          this.updateFormStore();
        });
      });
      uiStore.watchChange((change) => {
        controlConfigs.forEach((controlConfig) => {
          this.updateFormStore();
        });
      });
    }
    /**
     * 全量更新表单
     */
    updateFormStore() {
      this.updateFormKey();
      this.updateControlValues();
    }
    /**
     * 设置表单标志
     */
    updateFormKey() {
      const currentEntity = this.getCurrentEntity();
      const newKey = currentEntity.idValue;
      this.formStore.setFormKey(newKey);
    }
    /**
     * 批量设置控件值
     */
    updateControlValues() {
      const formData = this.getFormValue();
      this.formStore.setControlValues(formData);
    }
    /**
     * 获取实体数据
     */
    getCurrentEntity() {
      const { entityStore } = this.viewModel;
      if (!entityStore) {
        return null;
      }
      const storeConfig = this.configManager.getStoreConfig();
      const bindingPath = storeConfig.bindingPath;
      const currentEntity = entityStore.getCurrentEntityByPath(bindingPath);
      return currentEntity;
    }
    /**
     * 获取视图模型
     */
    getViewModel() {
      const viewModels = this.module.getViewModels();
      return viewModels[0];
    }
  }
  class FormStateBuilder {
    /**
     * 构造FormArray状态
     */
    buildFormArrayState(formArray) {
      const formArrayState = {
        valid: formArray.valid,
        formStates: []
      };
      const forms = formArray.getForms();
      forms.forEach((form) => {
        const formState = this.buildFormState(form);
        formArrayState.formStates.push(formState);
      });
      return formArrayState;
    }
    /**
     * 构造Form状态
     */
    buildFormState(form) {
      const formState = {
        key: form.key,
        valid: form.valid,
        controlStates: {}
      };
      const controls = form.getControls();
      Object.keys(controls).forEach((name) => {
        const control = controls[name];
        const controlState = this.buildControlState(control);
        formState.controlStates[name] = controlState;
      });
      return formState;
    }
    /**
     * 构造FormControl状态
     */
    buildControlState(control) {
      const { value, valid, error } = control;
      const controlState = {
        value,
        valid,
        error
      };
      return controlState;
    }
  }
  class FormStateUtil {
    /**
     * 获取FormState变更
     */
    static diffFormState(oldFormState, newFormState) {
      if (!oldFormState) {
        return newFormState;
      }
      const changedFormProps = {};
      if (oldFormState.valid !== newFormState.valid) {
        changedFormProps["valid"] = newFormState.valid;
      }
      const changedControlStates = {};
      Object.keys(oldFormState.controlStates).forEach((name) => {
        const oldControlState = oldFormState.controlStates[name];
        const newControlState = newFormState.controlStates[name];
        const changedControlProps = this.diffControlState(oldControlState, newControlState);
        if (changedControlProps) {
          changedControlStates[name] = changedControlProps;
        }
      });
      if (!ObjectUtil.isEmpty(changedControlStates)) {
        changedFormProps["controlStates"] = changedControlStates;
      }
      if (ObjectUtil.isEmpty(changedFormProps)) {
        return null;
      } else {
        changedFormProps.key = newFormState.key;
      }
      return changedFormProps;
    }
    /**
     * 获取FormControlState变更
     */
    static diffControlState(oldControlState, newControlState) {
      const changedControlProps = {};
      if (oldControlState.valid !== newControlState.valid) {
        changedControlProps.valid = newControlState.valid;
      }
      if (oldControlState.value !== newControlState.value) {
        changedControlProps.value = newControlState.value;
      }
      const oldError = oldControlState.error || {};
      const newError = newControlState.error || {};
      if (oldError.message !== newError.message) {
        changedControlProps.error = newError;
      }
      if (ObjectUtil.isEmpty(changedControlProps)) {
        return null;
      }
      return changedControlProps;
    }
  }
  class FormStore extends Store {
    /**
     * 构造函数
     */
    constructor(module2) {
      super(module2);
      /**
       * 配置管理器
       */
      __publicField(this, "configManager");
      /**
       * 状态构造器
       */
      __publicField(this, "stateBuilder");
      /**
       * 表单实例
       */
      __publicField(this, "form");
      this.configManager = new FormStoreConfigManager();
      this.stateBuilder = new FormStateBuilder();
    }
    /**
     * 初始化
     */
    init(config2) {
      super.init(config2);
      this.configManager.initConfig(config2);
      const initializer = new FormStoreInitializer(this);
      initializer.init();
      this.refreshState();
    }
    /**
     * 获取唯一标识
     */
    getKey() {
      return this.form.key;
    }
    /**
     * 获取错误值
     */
    getValue() {
      return this.form.value;
    }
    /**
     * 获取错误集合
     */
    getError() {
      return this.form.error;
    }
    /**
     * 获取控件验证规则
     */
    getControlRules(name) {
      return this.form.getControlRules(name);
    }
    /**
     * 设置表单唯一标识
     */
    setFormKey(key) {
      const oldKey = this.form.key;
      if (oldKey === key) {
        return;
      }
      this.form.setKey(key);
    }
    /**
     * 设置表单值
     */
    setControlValues(values) {
      this.form.setControlValues(values);
      this.refreshState();
    }
    /**
     * 设置控件值
     */
    setControlValue(name, value) {
      const oldValue = this.form.getControlValue(name);
      if (oldValue === value) {
        return;
      }
      this.form.setControlValue(name, value);
      this.refreshState();
    }
    /**
     * 设置控件验证规则
     */
    setControlRules(name, rules) {
      this.form.setControlRules(name, rules);
      this.refreshState();
    }
    /**
     * 校验整个表单
     */
    validate() {
      this.form.validate();
      this.refreshState();
      return this.form.error;
    }
    /**
     * 校验控件
     */
    validateControl(name) {
      const control = this.form.getControl(name);
      const controlError = control.validate();
      this.refreshState();
      return controlError;
    }
    /**
     * 获取配置管理器
     */
    getConfigManager() {
      return this.configManager;
    }
    /**
     * 刷新状态
     */
    refreshState() {
      const oldState = this.state;
      const latestState = this.getLatestState();
      this.state = latestState;
      const changedStates = FormStateUtil.diffFormState(oldState, latestState);
      if (!changedStates) {
        return;
      }
      const change = {
        changedStates
      };
      this.triggerChange(change);
    }
    /**
     * 获取最新状态
     */
    getLatestState() {
      this.form.refresh();
      const formState = this.stateBuilder.buildFormState(this.form);
      return formState;
    }
  }
  class FormArrayStoreInitializer {
    /**
     * 构造函数
     */
    constructor(formArrayStore) {
      /**
       * 模块
       */
      __publicField(this, "module");
      /**
       * 视图模型
       */
      __publicField(this, "viewModel");
      /**
       * 表单数组实例
       */
      __publicField(this, "formArrayStore");
      /**
       * 表单配置管理
       */
      __publicField(this, "configManager");
      /**
       * 表单构造器
       */
      __publicField(this, "formBuilder");
      /**
       * 表单数据构造器
       */
      __publicField(this, "formDataBuilder");
      this.module = formArrayStore.getModule();
      this.viewModel = this.getViewModel();
      this.formArrayStore = formArrayStore;
      this.configManager = formArrayStore.getConfigManager();
      this.formBuilder = new FormBuilder();
      this.formDataBuilder = new FormDataBuilder(this.viewModel);
    }
    /**
     * 初始化
     */
    init() {
      this.initFormArray();
      this.watchDataSource();
    }
    /**
     * 初始化状态
     */
    initFormArray() {
      const controlConfigs = this.configManager.getControlConfigs();
      const formArray = this.formBuilder.buildFormArray([], [], [], controlConfigs);
      this.formArrayStore.initFormArray(formArray);
    }
    /**
     * 同步Form数据
     */
    watchDataSource() {
      const { entityStore, uiStore } = this.viewModel;
      if (!entityStore || !uiStore) {
        return;
      }
      entityStore.watchChange((change) => {
        this.updateFormArrayStore();
      });
    }
    /**
     * 全量更新表单数据
     */
    updateFormArrayStore() {
      const controlConfigs = this.configManager.getControlConfigs();
      const indexedEntities = this.getEntities();
      const oldForms = this.formArrayStore.getForms();
      const newForms = [];
      indexedEntities.forEach((indexedEntity) => {
        const formIndex = indexedEntity.index;
        const formKey = indexedEntity.id;
        const formData = this.formDataBuilder.buildFormData(indexedEntity.entity, controlConfigs);
        const oldForm = oldForms.find((oldForm2) => {
          return oldForm2.key === formKey;
        });
        if (oldForm) {
          oldForm.setIndex(formIndex);
          oldForm.setControlValues(formData);
          newForms.push(oldForm);
        } else {
          const newForm = this.formBuilder.buildForm(formIndex, formKey, formData, controlConfigs);
          newForms.push(newForm);
        }
      });
      this.formArrayStore.loadForms(newForms);
    }
    /**
     * 获取表单实体集合
     */
    getEntities() {
      const { entityStore } = this.viewModel;
      if (!entityStore) {
        return null;
      }
      const storeConfig = this.configManager.getStoreConfig();
      const bindingPath = storeConfig.bindingPath;
      let indexedEntites = [];
      if (this.isGrandChildBindingPath(bindingPath)) {
        indexedEntites = this.getIndexedGrandChildEntities(bindingPath, entityStore);
      } else {
        indexedEntites = this.getIndexedEntities(bindingPath, entityStore);
      }
      return indexedEntites;
    }
    /**
     * 获取视图模型
     */
    getViewModel() {
      const viewModels = this.module.getViewModels();
      return viewModels[0];
    }
    /**
     * 获取带索引的实体集合
     */
    getIndexedEntities(bindingPath, entityStore) {
      const entities = entityStore.getEntitiesByPath(bindingPath);
      const indexedEntities = entities.map((entity, index) => {
        const indexedEntity = {
          index,
          id: entity.idValue,
          entity
        };
        return indexedEntity;
      });
      return indexedEntities;
    }
    /**
     * 获取带索引的从从实体集合
     */
    getIndexedGrandChildEntities(grandBindingPath, entityStore) {
      const childBindingPath = this.getChildBindingPath(grandBindingPath);
      const grandName = grandBindingPath.replace(childBindingPath + "/", "");
      const childEntites = entityStore.getEntitiesByPath(childBindingPath);
      const allIndexedGrandEntities = [];
      childEntites.forEach((childEntity) => {
        const grandEntityList = childEntity[grandName];
        const grandEntities = grandEntityList.getEntities();
        grandEntities.forEach((grandEntity, grandIndex) => {
          allIndexedGrandEntities.push({
            index: grandIndex,
            id: grandEntity.idValue,
            entity: grandEntity
          });
        });
      });
      return allIndexedGrandEntities;
    }
    /**
     * 是否是从从表
     */
    isGrandChildBindingPath(bindingPath) {
      const bindingPathSegs = bindingPath.split("/").filter((bindingPathSeg) => {
        return !!bindingPathSeg;
      });
      return bindingPathSegs.length === 2;
    }
    /**
     * 获取父绑定路径
     */
    getChildBindingPath(bindingPath) {
      const bindingPathSegs = bindingPath.split("/").filter((bindingPathSeg) => {
        return !!bindingPathSeg;
      });
      bindingPathSegs.pop();
      return "/" + bindingPathSegs.join("/");
    }
  }
  class FormArrayStore extends Store {
    /**
      * 构造函数
      */
    constructor(module2) {
      super(module2);
      /**
       * 配置管理器
       */
      __publicField(this, "configManager");
      /**
       * 表单状态构造器
       */
      __publicField(this, "stateBuilder");
      /**
       * 表单数组
       */
      __publicField(this, "formArray");
      this.configManager = new FormArrayStoreConfigManager();
      this.stateBuilder = new FormStateBuilder();
    }
    /**
     * 初始化
     */
    init(config2) {
      super.init(config2);
      this.configManager.initConfig(config2);
      const initializer = new FormArrayStoreInitializer(this);
      initializer.init();
      this.refreshState();
    }
    /**
     * 初始化FormArray
     */
    initFormArray(formArray) {
      this.formArray = formArray;
    }
    /**
     * 获取FormArray的值
     */
    getValue() {
      return this.formArray.value || [];
    }
    /**
     * 获取FormArray的错误信息
     */
    getError() {
      if (this.formArray.valid === true) {
        return null;
      }
      return this.formArray.error;
    }
    /**
     * 获取控件验证规则
     */
    getControlRules(formKey, controlName) {
      return this.formArray.getControlRules(formKey, controlName);
    }
    /**
     * 获取表单数组
     */
    getForms() {
      return this.formArray.getForms();
    }
    /**
     * 向FormArray加载Form
     */
    loadForms(forms) {
      this.formArray.loadForms(forms);
      this.refreshState();
    }
    /**
     * 设置控件验证规则
     */
    setControlRules(formKey, controlName, rules) {
      this.formArray.setControlRules(formKey, controlName, rules);
      this.refreshState();
    }
    /**
     * 校验FormArray
     */
    validate() {
      this.formArray.validate();
      this.refreshState();
      return this.formArray.error;
    }
    /**
     * 校验Form
     */
    validateForm(key) {
      const formError = this.formArray.validateForm(key);
      this.refreshState();
      return formError;
    }
    /**
     * 获取配置管理器
     */
    getConfigManager() {
      return this.configManager;
    }
    /**
     * 刷新状态
     */
    refreshState() {
      this.formArray.refresh();
      const latestState = this.getLatestState();
      this.state = latestState;
      const change = {
        changedStates: latestState
      };
      this.triggerChange(change);
    }
    /**
     * 获取最新的状态
     */
    getLatestState() {
      this.formArray.refresh();
      const formArrayState = this.stateBuilder.buildFormArrayState(this.formArray);
      return formArrayState;
    }
  }
  class FormErrorFormatter {
    /**
     * 格式化错误信息
     */
    flattenFormError(formStore, formError) {
      if (!formError) {
        return [];
      }
      const configManager = formStore.getConfigManager();
      const storeConfig = configManager.getStoreConfig();
      const formKey = formStore.getKey();
      const formDisplayName = storeConfig.displayName;
      const errors = [];
      Object.keys(formError).forEach((controlName) => {
        const controlConfig = configManager.getControlConfig(controlName);
        if (!controlConfig) {
          throw new Error(`FormControlConfig(name=${controlName}) not found`);
        }
        const controlDisplayName = controlConfig.displayName;
        const controlError = formError[controlName];
        const formattedControlError = Object.assign({
          formKey,
          formDisplayName,
          controlDisplayName
        }, controlError);
        errors.push(formattedControlError);
      });
      return errors;
    }
    /**
     * 输出错误信息
     */
    flattenFormArrayError(formArrayStore, formArrayError) {
      if (!formArrayError) {
        return [];
      }
      const configManager = formArrayStore.getConfigManager();
      const storeConfig = configManager.getStoreConfig();
      const formDisplayName = storeConfig.displayName;
      const errors = [];
      formArrayError.forEach((formArrayItemError) => {
        const { formKey, formIndex, formError } = formArrayItemError;
        Object.keys(formError).forEach((controlName) => {
          const controlConfig = configManager.getControlConfig(controlName);
          if (!controlConfig) {
            throw new Error(`FormControlConfig(name=${controlName}) not found`);
          }
          const controlDisplayName = controlConfig.displayName;
          const controlError = formError[controlName];
          const error = Object.assign({
            formKey,
            formIndex,
            formDisplayName,
            controlDisplayName
          }, controlError);
          errors.push(error);
        });
      });
      return errors;
    }
  }
  const COMMAND_HANDLER_META_NAME = "COMMAND_HANDLER_META";
  const commandHandlerMetaFactory = (meta) => {
    return meta;
  };
  function FdCommandHandler(meta) {
    const decoratorFactory = makeTypeMetadataDecorator(COMMAND_HANDLER_META_NAME, commandHandlerMetaFactory);
    return decoratorFactory(meta);
  }
  class CommandHandler {
    /**
     * 构造函数
     */
    constructor() {
    }
  }
  const COMMAND_HANDLERS_TOKEN = createInjectionToken("COMMAND_HANDLERS_TOKEN");
  class TaskNode {
    /**
     * 构造函数
     */
    constructor(name, func, links) {
      /**
       * 任务名称
       */
      __publicField(this, "name");
      /**
       * 任务方法
       */
      __publicField(this, "func");
      /**
       * 任务连接
       */
      __publicField(this, "links");
      this.name = name;
      this.func = func;
      this.links = links;
    }
    /**
     * 执行任务
     */
    execute(taskFlowContext) {
      const result = this.func(taskFlowContext);
      return result;
    }
    /**
     * 获取下一任务
     */
    getNextTaskName(taskFlowContext) {
      if (!Array.isArray(this.links)) {
        return null;
      }
      const targetTaskLink = this.links.find((link) => {
        return link.canLink(taskFlowContext);
      });
      if (!targetTaskLink) {
        return null;
      }
      return targetTaskLink.getNextTaskName();
    }
  }
  class TaskLink {
    /**
     * 构造函数
     */
    constructor(nextTaskName, linkFunc) {
      /**
       * 下一个任务的名称
       */
      __publicField(this, "nextTaskName");
      /**
       * 连接方法
       */
      __publicField(this, "linkFunc");
      this.nextTaskName = nextTaskName;
      this.linkFunc = linkFunc;
    }
    /**
     * 是否允许连接
     */
    canLink(context) {
      return this.linkFunc(context);
    }
    /**
     * 获取下一个任务名称
     */
    getNextTaskName() {
      return this.nextTaskName;
    }
  }
  class TaskFlowContext {
    /**
     * 构造函数
     */
    constructor(commandContext) {
      /**
       * 命令上下文
       */
      __publicField(this, "commandContext");
      /**
       * 任务执行结果
       */
      __publicField(this, "taskResults");
      this.commandContext = commandContext;
      this.taskResults = /* @__PURE__ */ new Map();
    }
    /**
     * 设置执行结果
     */
    setTaskResult(taskName, taskResult) {
      this.taskResults.set(taskName, taskResult);
    }
  }
  class TaskFlow {
    /**
     * 构造函数
     */
    constructor(commandContext) {
      /**
       * 上下文
       */
      __publicField(this, "context");
      /**
       * 任务节点
       */
      __publicField(this, "taskNodes", []);
      this.context = this.buildContext(commandContext);
    }
    /**
     * 执行任务流
     */
    async execute() {
      let currentTask = this.getFistTask();
      let rejectedOrHasException = false;
      let lastResult = void 0;
      while (currentTask && !rejectedOrHasException) {
        try {
          const currentTaskResult = await currentTask.execute(this.context);
          lastResult = currentTaskResult;
          this.context.setTaskResult(currentTask.name, currentTaskResult);
          currentTask = this.getNextTask(currentTask);
        } catch (error) {
          if (error) {
            console.error(error);
          }
          rejectedOrHasException = true;
        }
      }
      return !rejectedOrHasException ? lastResult : void 0;
    }
    /**
     * 添加任务
     */
    addTask(taskName, taskFunc, taskLinks) {
      const taskNode = new TaskNode(taskName, taskFunc, taskLinks);
      this.taskNodes.push(taskNode);
    }
    /**
     * 获取开始任务
     */
    getFistTask() {
      return this.taskNodes[0];
    }
    /**
     * 获取下一个任务
     */
    getNextTask(currentTask) {
      const nextTaskName = currentTask.getNextTaskName(this.context);
      const nextTask = this.taskNodes.find((task) => {
        return task.name === nextTaskName;
      });
      return nextTask;
    }
    /**
     * 构造上下文
     */
    buildContext(commandContext) {
      const context = new TaskFlowContext(commandContext);
      return context;
    }
  }
  class DynamicCommandHandler extends CommandHandler {
    /**
     * 构造函数
     */
    constructor(config2) {
      super();
      /**
       * 配置信息
       */
      __publicField(this, "config");
      /**
       * 命令名称
       */
      __publicField(this, "commandName");
      this.config = config2;
      this.commandName = config2.commandName;
    }
    /**
     * 执行方法
     */
    execute(commandContext) {
      const taskFlow = this.createTaskFlow(commandContext);
      return taskFlow.execute();
    }
    /**
     * 创建TaskFlow
     */
    createTaskFlow(context) {
      const taskFlow = new TaskFlow(context);
      const taskConfigs = this.config.tasks;
      if (!taskConfigs) {
        throw new Error("There must be at least one task.");
      }
      taskConfigs.forEach((taskConfig) => {
        const taskName = taskConfig.name;
        const taskFunc = this.createTaskFunc(taskConfig);
        const taskLinks = this.createTaskLinks(taskConfig.links);
        taskFlow.addTask(taskName, taskFunc, taskLinks);
      });
      return taskFlow;
    }
    /**
     * 创建任务函数
     */
    createTaskFunc(taskConfig) {
      const taskFunc = (taskFlowContext) => {
        const methodName = taskConfig.method;
        const methodParams = this.getMethodParams(taskConfig.params, taskFlowContext);
        const serviceInstancePromise = this.getServiceInstance(taskConfig, taskFlowContext.commandContext);
        if (TypeUtil.isPromise(serviceInstancePromise)) {
          return serviceInstancePromise.then((serviceInstance) => {
            serviceInstance["context"] = taskFlowContext.commandContext;
            return serviceInstance[methodName](...methodParams);
          });
        } else {
          const serviceInstance = serviceInstancePromise;
          serviceInstance["context"] = taskFlowContext.commandContext;
          return serviceInstance[methodName](...methodParams);
        }
      };
      return taskFunc;
    }
    /**
     * 获取服务实例
     */
    getServiceInstance(taskConfig, commandContext) {
      const injector = commandContext.getViewModelInjector();
      const serviceName = taskConfig.service;
      const serviceUrl = taskConfig.serviceUrl;
      const serviceDeps = taskConfig.serviceDeps || [];
      const serviceToken = this.getServiceToken(serviceName, commandContext);
      if (!serviceToken && serviceUrl) {
        return this.getExternalServiceInstance(serviceName, serviceUrl, serviceDeps, injector);
      }
      return injector.get(serviceToken);
    }
    /**
     * 获取外部服务
     */
    getExternalServiceInstance(serviceName, serviceUrl, serviceDeps, parentInjector) {
      const promise = System.import(serviceUrl).then((module2) => {
        const serviceClass = module2[serviceName];
        const provider = {
          provide: serviceClass,
          useClass: serviceClass,
          deps: serviceDeps
        };
        const injector = createInjector([provider], parentInjector);
        const serviceInstance = injector.get(serviceClass);
        const serviceRecord = injector._records.get(serviceClass);
        parentInjector._records.set(serviceClass, serviceRecord);
        return serviceInstance;
      });
      return promise;
    }
    /**
     * 获取方法参数
     */
    getMethodParams(taskParamConfigs, taskFlowContext) {
      const params = taskParamConfigs.map((taskParamConfig) => {
        return taskParamConfig.value;
      });
      const variableParserService = this.getVariableParseService(taskFlowContext);
      const variableParseContext = this.getVariableParseContext(taskFlowContext);
      const parsedParams = variableParserService.parse(params, variableParseContext);
      return parsedParams;
    }
    /**
     * 获取服务注入Token
     */
    getServiceToken(serviceName, context) {
      const injector = context.getViewModelInjector();
      const tokens = Array.from(injector._records.keys());
      const serviceToken = tokens.find((token) => {
        return token && token.name === serviceName;
      });
      return serviceToken;
    }
    /**
     * 创建任务连接
     */
    createTaskLinks(taskLinkConfigs) {
      if (!Array.isArray(taskLinkConfigs)) {
        return [];
      }
      const taskLinks = [];
      taskLinkConfigs.forEach((taskLinkConfig) => {
        const nextTaskName = taskLinkConfig.nextTaskName;
        const taskLinkFunc = this.createTaskLinkFunc(taskLinkConfig.conditions);
        const taskLink = new TaskLink(nextTaskName, taskLinkFunc);
        taskLinks.push(taskLink);
      });
      return taskLinks;
    }
    /**
     * 创建连接函数
     */
    createTaskLinkFunc(conditions) {
      let linkFunc;
      if (typeof conditions === "boolean") {
        linkFunc = () => {
          return true;
        };
      } else if (typeof conditions === "string") {
        linkFunc = (taskFlowContext) => {
          const variableParserService = this.getVariableParseService(taskFlowContext);
          const variableParseContext = this.getVariableParseContext(taskFlowContext);
          return variableParserService.evaluate(conditions, variableParseContext);
        };
      } else if (Array.isArray(conditions)) {
        linkFunc = (taskFlowContext) => {
          const variableParseContext = this.getVariableParseContext(taskFlowContext);
          const conditionEvaluator = new ConditionEvaluator(variableParseContext);
          return conditionEvaluator.evaluate(conditions);
        };
      } else {
        linkFunc = () => {
          return false;
        };
      }
      return linkFunc;
    }
    /**
     * 获取变量解析服务
     */
    getVariableParseService(taskFlowContext) {
      const commandContext = taskFlowContext.commandContext;
      const variableParserService = commandContext.getVariableParseService();
      return variableParserService;
    }
    /**
     * 获取变量解析上下文
     */
    getVariableParseContext(taskFlowContext) {
      const commandContext = taskFlowContext.commandContext;
      const viewModel = commandContext.viewModel;
      const variableParseContext = {
        module: viewModel.getModule(),
        viewModel,
        extraContext: taskFlowContext
      };
      return variableParseContext;
    }
  }
  const GETTER_PROP_META_NAME = "GETTER";
  const getterMetaFactory = (meta) => {
    return meta;
  };
  const FdGetter = makePropMetadataDecorator(GETTER_PROP_META_NAME, getterMetaFactory);
  const ACTION_META_NAME = "ACTION_META";
  const actionMetaFactory = (meta) => {
    return meta;
  };
  const FdAction = makePropMetadataDecorator(ACTION_META_NAME, actionMetaFactory);
  const COMMAND_ACTION_META_NAME = "COMMAND_ACTION_META";
  const commandActionMetaFactory = (meta) => {
    return meta;
  };
  const FdCommandAction = makePropMetadataDecorator(COMMAND_ACTION_META_NAME, commandActionMetaFactory);
  const VIEWMODEL_META_NAME = "VIEWMODEL_META";
  const viewModelMetaFactory = (meta) => {
    return meta;
  };
  function FdViewModel(meta) {
    const decoratorFactory = makeTypeMetadataDecorator(VIEWMODEL_META_NAME, viewModelMetaFactory);
    return decoratorFactory(meta);
  }
  class ViewModelConfigManager {
    /**
     * 构造函数
     */
    constructor(config2) {
      /**
       * ViewModel配置
       */
      __publicField(this, "config");
      this.config = config2;
    }
    /**
     * 获取ViewModel配置
     */
    getViewModelConfig() {
      return this.config;
    }
  }
  class ViewModelConfigBuilder {
    /**
     * 构造ViewModel配置
     */
    build(viewModelType) {
      const viewmodelMeta = this.getViewModelMeta(viewModelType);
      const commandConfigs = this.buildCommandConfigs(viewModelType);
      const commandHandlerTypes = viewmodelMeta.commandHandlers || [];
      const commandHandlerConfigs = this.buildCommandHandlerConfigs(commandHandlerTypes);
      const viewModelConfig = {
        id: viewmodelMeta.id,
        type: viewModelType,
        deps: viewmodelMeta.deps || [],
        providers: viewmodelMeta.providers || [],
        entityStore: viewmodelMeta.entityStore,
        uiStore: viewmodelMeta.uiStore,
        formStore: viewmodelMeta.formStore,
        formArrayStore: viewmodelMeta.formArrayStore,
        stateMachine: viewmodelMeta.stateMachine,
        repository: viewmodelMeta.repository,
        commands: commandConfigs,
        commandHandlers: commandHandlerConfigs
      };
      return viewModelConfig;
    }
    /**
     * 构造Command配置
     */
    buildCommandConfigs(viewModelType) {
      const commandActionMetas = this.getCommandActionMetas(viewModelType);
      const commandConfigs = [];
      Object.keys(commandActionMetas).forEach((propName) => {
        const commandActionMeta = commandActionMetas[propName];
        const commandParamConfigs = this.buildCommandParamConfigs(commandActionMeta.params);
        const commandConfig = {
          name: propName,
          params: commandParamConfigs
        };
        commandConfigs.push(commandConfig);
      });
      return commandConfigs;
    }
    /**
     * 构造Command参数配置
     */
    buildCommandParamConfigs(commandActionParams) {
      if (!commandActionParams) {
        return [];
      }
      const commandConfigs = [];
      Object.keys(commandActionParams).forEach((name) => {
        const value = commandActionParams[name];
        const commandParamConfig = { name, value };
        commandConfigs.push(commandParamConfig);
      });
      return commandConfigs;
    }
    /**
     * 构造CommandHandler配置
     */
    buildCommandHandlerConfigs(commandHandlerTypes) {
      const configs = [];
      commandHandlerTypes.forEach((commandHandlerType) => {
        const meta = this.getCommandHandlerMeta(commandHandlerType);
        const deps = meta.deps || [];
        const config2 = {
          commandName: meta.commandName,
          type: commandHandlerType,
          deps: [...deps]
        };
        configs.push(config2);
      });
      return configs;
    }
    /**
     * 获取ViewModel元数据
     */
    getViewModelMeta(viewModelType) {
      const viewModelMeta = TypeMetadataReader.getMataByName(viewModelType, VIEWMODEL_META_NAME);
      return viewModelMeta;
    }
    /**
     * 获取Command元数据
     */
    getCommandActionMetas(viewModelType) {
      const metas = PropMetadataReader.getPropsMetasByName(viewModelType, COMMAND_ACTION_META_NAME);
      return metas;
    }
    /**
     * 获取CommandHandler元数据
     */
    getCommandHandlerMeta(commandHandlerType) {
      const meta = TypeMetadataReader.getMataByName(commandHandlerType, COMMAND_HANDLER_META_NAME);
      return meta;
    }
  }
  const MODULE_META_NAME = "MODULE";
  const moduleMetaFactory = (meta) => {
    return meta;
  };
  function FdModule(meta) {
    const decoratorFactory = makeTypeMetadataDecorator(MODULE_META_NAME, moduleMetaFactory);
    return decoratorFactory(meta);
  }
  class ModuleConfigManager {
    /**
     * 构造函数
     */
    constructor(moduleConfig) {
      /**
       * module配置
       */
      __publicField(this, "config");
      this.config = moduleConfig;
    }
    /**
     * 获取模块配置
     */
    getModuleConfig() {
      return this.config;
    }
    /**
     * 获取所有视图模型配置
     */
    getViewModelConfigs() {
      return this.config.viewModels;
    }
    /**
     * 获取ViewModel配置
     */
    getViewModelConfig(id) {
      const viewModelConfigs = this.config.viewModels;
      const targetViewModelConfig = viewModelConfigs.find((viewModelConfig) => {
        return viewModelConfig.id === id;
      });
      return targetViewModelConfig;
    }
    /**
     * 获取根视图模型配置
     */
    getRootViewModelConfig() {
      const viewModelConfigs = this.getViewModelConfigs();
      const rootViewModelConfig = viewModelConfigs.find((viewModelConfig) => {
        return !viewModelConfig.parentId;
      });
      return rootViewModelConfig;
    }
    /**
     * 获取根视图模型配置
     */
    getChildViewModelConfigs(parentId) {
      const viewModelConfigs = this.getViewModelConfigs();
      const childViewModelConfigs = viewModelConfigs.filter((viewModelConfig) => {
        return viewModelConfig.parentId === parentId;
      });
      return childViewModelConfigs;
    }
    /**
     * 获取实体仓库配置
     */
    getEntityStoreConfig(storeId) {
      const storeConfigs = this.config.entityStores;
      const storeConfig = this.getStoreConfig(storeConfigs, storeId);
      return storeConfig;
    }
    /**
     * 获取UI仓库配置
     */
    getUIStoreConfig(storeId) {
      const storeConfigs = this.config.uiStores;
      const storeConfig = this.getStoreConfig(storeConfigs, storeId);
      return storeConfig;
    }
    /**
     * 获取表单仓库配置
     */
    getFormStoreConfig(storeId) {
      const storeConfigs = this.config.formStores;
      const storeConfig = this.getStoreConfig(storeConfigs, storeId);
      return storeConfig;
    }
    /**
     * 获取表单仓库配置
     */
    getFormArrayStoreConfig(storeId) {
      const storeConfigs = this.config.formArrayStores;
      const storeConfig = this.getStoreConfig(storeConfigs, storeId);
      return storeConfig;
    }
    /**
     * 获取状态机配置
     */
    getStateMachineConfig(storeId) {
      const storeConfigs = this.config.stateMachines;
      const storeConfig = this.getStoreConfig(storeConfigs, storeId);
      return storeConfig;
    }
    /**
     * 获取远程实体仓库配置
     */
    getRepositoryConfig(storeId) {
      const repositoryConfigs = this.config.repositories;
      const targetRepositoryConfig = repositoryConfigs.find((repositoryConfig) => {
        return repositoryConfig.id === storeId;
      });
      return targetRepositoryConfig;
    }
    /**
     * 获取StoreConfig
     */
    getStoreConfig(storeConfigs, storeId) {
      const targetStoreConfig = storeConfigs.find((storeConfig) => {
        return storeConfig.id === storeId;
      });
      return targetStoreConfig;
    }
  }
  const REPOSITORY_META_NAME = "REPOSITORY_META";
  const RepositoryMetaFactory = (meta) => {
    return meta;
  };
  function FdRepository(meta) {
    const decoratorFactory = makeTypeMetadataDecorator(REPOSITORY_META_NAME, RepositoryMetaFactory);
    return decoratorFactory(meta);
  }
  class RepositoryConfigBuilder {
    /**
     * 构造配置
     */
    build(repositoryType) {
      const repositoryMeta = this.getRepositoryMeta(repositoryType);
      const extendConfig = this.buildExtendConfig(repositoryMeta);
      const repositoryConfig = {
        id: repositoryMeta.id,
        type: repositoryType,
        deps: repositoryMeta.deps,
        isDynamic: false,
        entityStore: repositoryMeta.entityStore,
        ...extendConfig
      };
      return repositoryConfig;
    }
    /**
     * 追加扩展配置
     */
    buildExtendConfig(repositoryMeta) {
      const buildInProps = ["id", "type", "deps", "entityStore"];
      const extendConfig = {};
      Object.keys(repositoryMeta).forEach((propName) => {
        if (buildInProps.includes(propName)) {
          return;
        }
        extendConfig[propName] = repositoryMeta[propName];
      });
      return extendConfig;
    }
    /**
     * 获取元数据
     */
    getRepositoryMeta(repositoryType) {
      const repositoryMeta = TypeMetadataReader.getMataByName(repositoryType, REPOSITORY_META_NAME);
      return repositoryMeta;
    }
  }
  const dynamicRepositoryTokens = /* @__PURE__ */ new Map();
  function getDynamicRepositoryToken(id) {
    let token = dynamicRepositoryTokens.get(id);
    if (token) {
      return token;
    }
    token = createInjectionToken(`DYNAMIC_REPOSITORIES_TOKEN_${id}`);
    dynamicRepositoryTokens.set(id, token);
    return token;
  }
  class Repository {
    /**
     * 构造函数
     */
    constructor(module2) {
      /**
       * 所属模块
       */
      __publicField(this, "module");
      /**
       * 实体描述
       */
      __publicField(this, "entitySchema");
      /**
       * 实体仓库
       */
      __publicField(this, "entityStore");
      /**
       * ID
       */
      __publicField(this, "id");
      /**
       * 配置
       */
      __publicField(this, "config");
      this.module = module2;
    }
    /**
     * 初始化
     */
    init(config2) {
      this.id = config2.id;
      this.entityStore = this.module.createEntityStore(config2.entityStore);
      this.entitySchema = this.entityStore.getEntitySchema();
    }
    /**
     * 批量创建实体
     */
    buildEntites(entityDatas) {
      const entities = createEntitiesBySchema(this.entitySchema, entityDatas);
      return entities;
    }
    /**
     * 创建实体
     */
    buildEntity(entityData) {
      const entity = createEntityBySchema(this.entitySchema, entityData);
      return entity;
    }
    /**
     * 获取实体仓库
     */
    getEntityStore() {
      return this.entityStore;
    }
  }
  const DEVKIT_INJECTION_TOKEN = Symbol("DEVKIT");
  class Devkit {
    /**
     * 构造函数
     */
    constructor(config2) {
      /**
       * 配置对象
       */
      __publicField(this, "config");
      /**
       * 注入器
       */
      __publicField(this, "injector");
      /**
       * 模块集合
       */
      __publicField(this, "modules");
      /**
       * 全局变量
       */
      __publicField(this, "params", /* @__PURE__ */ new Map());
      this.config = config2;
      this.modules = /* @__PURE__ */ new Map();
      this.injector = this.createInjector();
    }
    /**
     * 安装Devkit
     */
    install(app) {
      app.provide(DEVKIT_INJECTION_TOKEN, this);
    }
    /**
     * 获取Injector 
     */
    getInjector() {
      return this.injector;
    }
    /**
     * 获取Module
     */
    getModule(id) {
      return this.modules.get(id);
    }
    /**
     * 注册Module
     */
    regitsterModule(id, module2) {
      this.modules.set(id, module2);
    }
    /**
     * 创建Injector
     */
    createInjector() {
      const providers = [
        { provide: Devkit, useValue: this },
        ...httpProviders,
        ...variableProviders,
        ...this.config.providers
      ];
      const injector = createInjector(providers);
      return injector;
    }
  }
  let devkit;
  function createDevkit(config2) {
    devkit = new Devkit(config2);
    return devkit;
  }
  function useDevkit() {
    if (!devkit) {
      throw new Error("Please create Devkit before using it");
    }
    return devkit;
  }
  class Context {
    constructor() {
      /**
       * 上下文变量
       */
      __publicField(this, "params", /* @__PURE__ */ new Map());
    }
    /**
     * 获取变量
     */
    getParam(key) {
      return this.params.get(key);
    }
    /**
     * 设置变量
     */
    setParam(key, value) {
      this.params.set(key, value);
    }
  }
  const MODULE_INJECTION_TOKEN = Symbol("Module");
  class Module {
    /**
     * 构造函数
     */
    constructor(injector) {
      /**
       * 模块ID
       */
      __publicField(this, "id");
      /**
       * 注入器
       */
      __publicField(this, "injector");
      /**
       * 配置管理
       */
      __publicField(this, "configManager");
      /**
       * 实体仓库集合
       */
      __publicField(this, "entityStores");
      /**
       * UI仓库集合
       */
      __publicField(this, "uiStores");
      /**
       * 表单仓库集合
       */
      __publicField(this, "formStores");
      /**
       * 表单数组仓库集合
       */
      __publicField(this, "formArrayStores");
      /**
       * 状态机集合
       */
      __publicField(this, "stateMachines");
      /**
       * 远程实体仓库集合
       */
      __publicField(this, "repositories");
      /**
       * 视图模型集合
       */
      __publicField(this, "viewModels");
      /**
       * 上下文
       */
      __publicField(this, "context");
      /**
       * 事件总线
       */
      __publicField(this, "eventBus");
      this.injector = injector;
      this.entityStores = /* @__PURE__ */ new Map();
      this.uiStores = /* @__PURE__ */ new Map();
      this.stateMachines = /* @__PURE__ */ new Map();
      this.formStores = /* @__PURE__ */ new Map();
      this.formArrayStores = /* @__PURE__ */ new Map();
      this.repositories = /* @__PURE__ */ new Map();
      this.viewModels = /* @__PURE__ */ new Map();
      this.context = new Context();
      this.id = (/* @__PURE__ */ new Date()).getTime().toString();
      this.eventBus = new EventBus();
    }
    /**
     * 初始化
     */
    init(config2) {
      if (!config2) {
        throw new Error("Module must be initialized using ModuleConfig");
      }
      this.configManager = new ModuleConfigManager(config2);
      this.id = config2.id;
    }
    /**
     * 获取注入器
     */
    getInjector() {
      return this.injector;
    }
    /**
     * 获取配置管理器
     */
    getConfigManager() {
      return this.configManager;
    }
    /**
     * 获取视图模型
     */
    getViewModel(id) {
      const viewModel = this.viewModels.get(id);
      if (!viewModel) {
        return null;
      }
      return viewModel;
    }
    /**
     * 获取全部视图模型
     */
    getViewModels() {
      return Array.from(this.viewModels.values());
    }
    /**
     * 获取当前module的根视图模型
     * @returns 
     */
    getRootViewModel() {
      return Array.from(this.viewModels.values()).find((viewModel) => !viewModel.getParent());
    }
    /**
     * 获取实体仓库
     */
    getEntityStore(id) {
      const entityStore = this.entityStores.get(id);
      if (!entityStore) {
        return null;
      }
      return entityStore;
    }
    /**
     * 获取全部实体仓库
     */
    getEntityStores() {
      return Array.from(this.entityStores.values());
    }
    /**
     * 获取UI仓库
     */
    getUIStore(id) {
      const uiStore = this.uiStores.get(id);
      if (!uiStore) {
        return null;
      }
      return uiStore;
    }
    /**
     * 获取全部UI仓库
     */
    getUIStores() {
      return Array.from(this.uiStores.values());
    }
    /**
     * 获取Form仓库
     */
    getFormStore(id) {
      const formStore = this.formStores.get(id);
      if (!formStore) {
        return null;
      }
      return formStore;
    }
    /**
     * 获取全部Form仓库
     */
    getFormStores() {
      return Array.from(this.formStores.values());
    }
    /**
     * 获取Form仓库
     */
    getFormArrayStore(id) {
      const formArrayStore = this.formArrayStores.get(id);
      if (!formArrayStore) {
        return null;
      }
      return formArrayStore;
    }
    /**
     * 获取全部Form仓库
     */
    getFormArrayStores() {
      return Array.from(this.formArrayStores.values());
    }
    /**
     * 获取状态机
     */
    getStateMachine(id) {
      const stateMachine = this.stateMachines.get(id);
      if (!stateMachine) {
        return null;
      }
      return stateMachine;
    }
    /**
     * 获取全部状态机
     */
    getStateMachines() {
      return Array.from(this.stateMachines.values());
    }
    /**
     * 获取远程实体仓库
     */
    getRepository(id) {
      const repository = this.repositories.get(id);
      if (!repository) {
        return null;
      }
      return repository;
    }
    /**
     * 注册视图模型
     */
    registerViewModel(id, viewModel) {
      this.viewModels.set(id, viewModel);
    }
    /**
     * 构造实体仓库
     */
    createEntityStore(id) {
      let store = this.getEntityStore(id);
      if (store) {
        return store;
      }
      const storeConfig = this.configManager.getEntityStoreConfig(id);
      if (!storeConfig) {
        throw new Error(`StoreConfig(id=${id}) does not exist`);
      }
      if (storeConfig.type) {
        store = this.injector.get(storeConfig.type);
      } else {
        store = new EntityStore(this);
      }
      store.init(storeConfig);
      this.entityStores.set(id, store);
      return store;
    }
    /**
     * 创建UI仓库
     */
    createUIStore(id) {
      let store = this.getUIStore(id);
      if (store) {
        return store;
      }
      const storeConfig = this.configManager.getUIStoreConfig(id);
      if (!storeConfig) {
        throw new Error(`StoreConfig(id=${id}) does not exist`);
      }
      if (storeConfig.type) {
        store = this.injector.get(storeConfig.type);
      } else {
        store = new UIStore(this);
      }
      store.init(storeConfig);
      this.uiStores.set(id, store);
      return store;
    }
    /**
     * 创建表单仓库
     */
    createFormStore(id) {
      let store = this.getFormStore(id);
      if (store) {
        return store;
      }
      const storeConfig = this.configManager.getFormStoreConfig(id);
      if (!storeConfig) {
        throw new Error(`StoreConfig(id=${id}) does not exist`);
      }
      if (storeConfig.type) {
        store = this.injector.get(storeConfig.type);
      } else {
        store = new FormStore(this);
      }
      store.init(storeConfig);
      this.formStores.set(id, store);
      return store;
    }
    /**
     * 创建表单数组仓库
     */
    createFormArrayStore(id) {
      let store = this.getFormArrayStore(id);
      if (store) {
        return store;
      }
      const storeConfig = this.configManager.getFormArrayStoreConfig(id);
      if (!storeConfig) {
        throw new Error(`StoreConfig(id=${id}) does not exist`);
      }
      if (storeConfig.type) {
        store = this.injector.get(storeConfig.type);
      } else {
        store = new FormArrayStore(this);
      }
      store.init(storeConfig);
      this.formArrayStores.set(id, store);
      return store;
    }
    /**
     * 创建状态机
     */
    createStateMachine(id) {
      let store = this.getStateMachine(id);
      if (store) {
        return store;
      }
      const storeConfig = this.configManager.getStateMachineConfig(id);
      if (!storeConfig) {
        throw new Error(`StoreConfig(id=${id}) does not exist`);
      }
      if (storeConfig.type) {
        store = this.injector.get(storeConfig.type);
      } else {
        store = new StateMachine(this);
      }
      store.init(storeConfig);
      this.stateMachines.set(id, store);
      return store;
    }
    /**
     * 创建模块
     */
    createRepository(id) {
      let repository = this.getRepository(id);
      if (repository) {
        return repository;
      }
      const repositoryConfig = this.configManager.getRepositoryConfig(id);
      if (!repositoryConfig) {
        throw new Error(`RepositoryConfig(id=${id}) does not exist`);
      }
      if (repositoryConfig.isDynamic) {
        const dynamicRepositoryToken = getDynamicRepositoryToken(id);
        repository = this.injector.get(dynamicRepositoryToken);
      } else {
        repository = this.injector.get(repositoryConfig.type);
      }
      repository.init(repositoryConfig);
      this.repositories.set(id, repository);
      return repository;
    }
    /**
     * module上下文
     * @returns 
     */
    getContext() {
      return this.context;
    }
    getId() {
      return this.id;
    }
    getEventBus() {
      return this.eventBus;
    }
  }
  function useModule(id) {
    const devkit2 = useDevkit();
    const module2 = devkit2.getModule(id);
    if (!module2) {
      throw new Error("Please create Module before using it");
    }
    return module2;
  }
  class ModuleConfigBuilder {
    /**
     * 构造模块配置
     */
    build(moduleType) {
      const moduleMeta = this.getModuleMeta(moduleType);
      const entityStoreConfigs = this.buildEntityStoreConfigs(moduleMeta.entityStores);
      const uiStoreConfigs = this.buildUIStoreConfigs(moduleMeta.uiStores);
      const stateMachineConfigs = this.buildStateMachineConfigs(moduleMeta.stateMachines);
      const formStoreConfigs = this.buildFormStoreConfigs(moduleMeta.formStores);
      const formArrayStoreConfigs = this.buildFormArrayStoreConfigs(moduleMeta.formArrayStores);
      const repositoryConfigs = this.buildRepositoryConfigs(moduleMeta.repositorys);
      const viewModelConfigs = this.buildViewModelConfigs(moduleMeta.viewModels);
      const moduleConfig = {
        id: moduleMeta.id,
        type: moduleType,
        deps: moduleMeta.deps || [],
        providers: moduleMeta.providers || [],
        repositories: repositoryConfigs,
        entityStores: entityStoreConfigs,
        uiStores: uiStoreConfigs,
        stateMachines: stateMachineConfigs,
        formStores: formStoreConfigs,
        formArrayStores: formArrayStoreConfigs,
        viewModels: viewModelConfigs
      };
      this.appendModuleProviders(moduleConfig);
      return moduleConfig;
    }
    /**
     * 构造远程实体仓库配置
     */
    buildRepositoryConfigs(repositoryTypes) {
      if (!Array.isArray(repositoryTypes) || repositoryTypes.length === 0) {
        return [];
      }
      const repositoryConfigs = [];
      const repositoryConfigBuilder = new RepositoryConfigBuilder();
      repositoryTypes.forEach((repositoryType) => {
        const repositoryConfig = repositoryConfigBuilder.build(repositoryType);
        repositoryConfigs.push(repositoryConfig);
      });
      return repositoryConfigs;
    }
    /**
     * 构造实体仓库配置
     */
    buildEntityStoreConfigs(entityStoreTypes) {
      if (!Array.isArray(entityStoreTypes) || entityStoreTypes.length === 0) {
        return [];
      }
      const entityStoreConfigs = [];
      const entityStoreConfigBuilder = new EntityStoreConfigBuilder();
      entityStoreTypes.forEach((entityStoreType) => {
        const entityStoreConfig = entityStoreConfigBuilder.build(entityStoreType);
        entityStoreConfigs.push(entityStoreConfig);
      });
      return entityStoreConfigs;
    }
    /**
     * 构造UI仓库配置
     */
    buildUIStoreConfigs(uiStoreTypes) {
      if (!Array.isArray(uiStoreTypes) || uiStoreTypes.length === 0) {
        return [];
      }
      const uiStoreConfigs = [];
      const uiStoreConfigBuilder = new UIStoreConfigBuilder();
      uiStoreTypes.forEach((uiStoreType) => {
        const uiStoreConfig = uiStoreConfigBuilder.build(uiStoreType);
        uiStoreConfigs.push(uiStoreConfig);
      });
      return uiStoreConfigs;
    }
    /**
     * 构造状态机配置
     */
    buildStateMachineConfigs(stateMachineTypes) {
      if (!Array.isArray(stateMachineTypes) || stateMachineTypes.length === 0) {
        return [];
      }
      const stateMachineConfigs = [];
      const stateMachineConfigBuilder = new StateMachineConfigBuilder();
      stateMachineTypes.forEach((stateMachineType) => {
        const stateMachineConfig = stateMachineConfigBuilder.build(stateMachineType);
        stateMachineConfigs.push(stateMachineConfig);
      });
      return stateMachineConfigs;
    }
    /**
     * 构造表单仓库配置
     */
    buildFormStoreConfigs(formStoreTypes) {
      return [];
    }
    /**
     * 构造表单数组仓库配置
     */
    buildFormArrayStoreConfigs(formArrayStoreTypes) {
      return [];
    }
    /**
     * 构造视图模型配置
     */
    buildViewModelConfigs(viewModelTypes) {
      if (!Array.isArray(viewModelTypes) || viewModelTypes.length === 0) {
        return [];
      }
      const viewModelConfigs = [];
      const viewModelConfigBuilder = new ViewModelConfigBuilder();
      viewModelTypes.forEach((viewModelType) => {
        const viewModelConfig = viewModelConfigBuilder.build(viewModelType);
        viewModelConfigs.push(viewModelConfig);
      });
      return viewModelConfigs;
    }
    /**
     * 获取模块元数据
     */
    getModuleMeta(moduleType) {
      if (!moduleType) {
        throw new Error("moduleType can not be empty");
      }
      const moduleMeta = TypeMetadataReader.getMataByName(moduleType, MODULE_META_NAME);
      if (!moduleMeta) {
        throw new Error("moduleMeta can not be empty");
      }
      return moduleMeta;
    }
    /**
     * 追加Store对应的providers
     * @summary
     * 除了通过注解提供的providers，还需要追加Modlue、Repository、Store对应的Provider，以便静态模式下通过依赖注入创建实例
     */
    appendModuleProviders(moduleConfig) {
      const repositoryProviders = this.createRepositoryProviders(moduleConfig.repositories);
      const entityStoreProviders = this.createStoreProviders(moduleConfig.entityStores);
      const uiStoreProviders = this.createStoreProviders(moduleConfig.uiStores);
      const extraProvider = moduleConfig.providers || [];
      const providers = [
        { provide: Module, useClass: moduleConfig.type, deps: [Injector] },
        ...repositoryProviders,
        ...entityStoreProviders,
        ...uiStoreProviders,
        ...extraProvider
      ];
      moduleConfig.providers = providers;
    }
    /**
     * 创建远程仓库的注入配置
     */
    createRepositoryProviders(repositoryConfigs) {
      if (!repositoryConfigs || !Array.isArray(repositoryConfigs)) {
        return [];
      }
      const providers = [];
      repositoryConfigs.forEach((repositoryConfig) => {
        if (!repositoryConfig || !repositoryConfig.type) {
          throw new Error("StoreConfig for a static store must specify the type of store");
        }
        const deps = repositoryConfig.deps || [];
        const provider = { provide: repositoryConfig.type, deps: [...deps] };
        providers.push(provider);
      });
      return providers;
    }
    /**
     * 创建实体仓库的注入配置
     */
    createStoreProviders(storeConfigs) {
      if (!storeConfigs || !Array.isArray(storeConfigs)) {
        return [];
      }
      const providers = [];
      storeConfigs.forEach((storeConfig) => {
        if (!storeConfig || !storeConfig.type) {
          throw new Error("StoreConfig for a static store must specify the type of store");
        }
        const deps = storeConfig.deps || [];
        const provider = { provide: storeConfig.type, deps: [...deps] };
        providers.push(provider);
      });
      return providers;
    }
  }
  var ExpressionBindingType = /* @__PURE__ */ ((ExpressionBindingType2) => {
    ExpressionBindingType2["State"] = "State";
    ExpressionBindingType2["Field"] = "Field";
    ExpressionBindingType2["Button"] = "Button";
    ExpressionBindingType2["Container"] = "Container";
    return ExpressionBindingType2;
  })(ExpressionBindingType || {});
  var ExpressionType = /* @__PURE__ */ ((ExpressionType2) => {
    ExpressionType2["Required"] = "required";
    ExpressionType2["Readonly"] = "readonly";
    ExpressionType2["Compute"] = "compute";
    ExpressionType2["Dependency"] = "dependency";
    ExpressionType2["Visible"] = "visible";
    ExpressionType2["Relative"] = "relative";
    ExpressionType2["Validate"] = "validate";
    ExpressionType2["DataPicking"] = "dataPicking";
    ExpressionType2["Disabled"] = "disabled";
    return ExpressionType2;
  })(ExpressionType || {});
  var ExpressionMessageType = /* @__PURE__ */ ((ExpressionMessageType2) => {
    ExpressionMessageType2["error"] = "error";
    ExpressionMessageType2["info"] = "info";
    ExpressionMessageType2["warning"] = "warning";
    return ExpressionMessageType2;
  })(ExpressionMessageType || {});
  const DEFAULT_EXPRESSION_VALIDATE_MESSAGE = {
    "zh-CHS": {
      required: `请输入'$property'`,
      validate: `'$property'校验不通过`,
      dataPicking: "帮助前表达式校验不通过"
    },
    "en": {
      required: `Please input '$property'`,
      validate: `'$property' calibration failed`,
      dataPicking: "Failed to verify the expression before help"
    },
    "zh-CHT": {
      required: `請輸入'$property'`,
      validate: `'$property'校驗不通過`,
      dataPicking: "幫助前表達式校驗不通過"
    }
  };
  const EXPRESSIONS_TOKEN = new InjectionToken("@farris/expressions_token");
  var isNumeric = /^-?(?:\d+(?:\.\d*)?|\.\d+)(?:e[+-]?\d+)?$/i, mathceil = Math.ceil, mathfloor = Math.floor, bignumberError = "[BigNumber Error] ", tooManyDigits = bignumberError + "Number primitive has more than 15 significant digits: ", BASE = 1e14, LOG_BASE = 14, MAX_SAFE_INTEGER$2 = 9007199254740991, POWS_TEN = [1, 10, 100, 1e3, 1e4, 1e5, 1e6, 1e7, 1e8, 1e9, 1e10, 1e11, 1e12, 1e13], SQRT_BASE = 1e7, MAX = 1e9;
  function clone(configObject) {
    var div, convertBase, parseNumeric, P = BigNumber2.prototype = { constructor: BigNumber2, toString: null, valueOf: null }, ONE = new BigNumber2(1), DECIMAL_PLACES = 20, ROUNDING_MODE = 4, TO_EXP_NEG = -7, TO_EXP_POS = 21, MIN_EXP = -1e7, MAX_EXP = 1e7, CRYPTO = false, MODULO_MODE = 1, POW_PRECISION = 0, FORMAT = {
      prefix: "",
      groupSize: 3,
      secondaryGroupSize: 0,
      groupSeparator: ",",
      decimalSeparator: ".",
      fractionGroupSize: 0,
      fractionGroupSeparator: " ",
      // non-breaking space
      suffix: ""
    }, ALPHABET = "0123456789abcdefghijklmnopqrstuvwxyz", alphabetHasNormalDecimalDigits = true;
    function BigNumber2(v, b) {
      var alphabet, c, caseChanged, e, i, isNum, len, str, x = this;
      if (!(x instanceof BigNumber2))
        return new BigNumber2(v, b);
      if (b == null) {
        if (v && v._isBigNumber === true) {
          x.s = v.s;
          if (!v.c || v.e > MAX_EXP) {
            x.c = x.e = null;
          } else if (v.e < MIN_EXP) {
            x.c = [x.e = 0];
          } else {
            x.e = v.e;
            x.c = v.c.slice();
          }
          return;
        }
        if ((isNum = typeof v == "number") && v * 0 == 0) {
          x.s = 1 / v < 0 ? (v = -v, -1) : 1;
          if (v === ~~v) {
            for (e = 0, i = v; i >= 10; i /= 10, e++)
              ;
            if (e > MAX_EXP) {
              x.c = x.e = null;
            } else {
              x.e = e;
              x.c = [v];
            }
            return;
          }
          str = String(v);
        } else {
          if (!isNumeric.test(str = String(v)))
            return parseNumeric(x, str, isNum);
          x.s = str.charCodeAt(0) == 45 ? (str = str.slice(1), -1) : 1;
        }
        if ((e = str.indexOf(".")) > -1)
          str = str.replace(".", "");
        if ((i = str.search(/e/i)) > 0) {
          if (e < 0)
            e = i;
          e += +str.slice(i + 1);
          str = str.substring(0, i);
        } else if (e < 0) {
          e = str.length;
        }
      } else {
        intCheck(b, 2, ALPHABET.length, "Base");
        if (b == 10 && alphabetHasNormalDecimalDigits) {
          x = new BigNumber2(v);
          return round(x, DECIMAL_PLACES + x.e + 1, ROUNDING_MODE);
        }
        str = String(v);
        if (isNum = typeof v == "number") {
          if (v * 0 != 0)
            return parseNumeric(x, str, isNum, b);
          x.s = 1 / v < 0 ? (str = str.slice(1), -1) : 1;
          if (BigNumber2.DEBUG && str.replace(/^0\.0*|\./, "").length > 15) {
            throw Error(tooManyDigits + v);
          }
        } else {
          x.s = str.charCodeAt(0) === 45 ? (str = str.slice(1), -1) : 1;
        }
        alphabet = ALPHABET.slice(0, b);
        e = i = 0;
        for (len = str.length; i < len; i++) {
          if (alphabet.indexOf(c = str.charAt(i)) < 0) {
            if (c == ".") {
              if (i > e) {
                e = len;
                continue;
              }
            } else if (!caseChanged) {
              if (str == str.toUpperCase() && (str = str.toLowerCase()) || str == str.toLowerCase() && (str = str.toUpperCase())) {
                caseChanged = true;
                i = -1;
                e = 0;
                continue;
              }
            }
            return parseNumeric(x, String(v), isNum, b);
          }
        }
        isNum = false;
        str = convertBase(str, b, 10, x.s);
        if ((e = str.indexOf(".")) > -1)
          str = str.replace(".", "");
        else
          e = str.length;
      }
      for (i = 0; str.charCodeAt(i) === 48; i++)
        ;
      for (len = str.length; str.charCodeAt(--len) === 48; )
        ;
      if (str = str.slice(i, ++len)) {
        len -= i;
        if (isNum && BigNumber2.DEBUG && len > 15 && (v > MAX_SAFE_INTEGER$2 || v !== mathfloor(v))) {
          throw Error(tooManyDigits + x.s * v);
        }
        if ((e = e - i - 1) > MAX_EXP) {
          x.c = x.e = null;
        } else if (e < MIN_EXP) {
          x.c = [x.e = 0];
        } else {
          x.e = e;
          x.c = [];
          i = (e + 1) % LOG_BASE;
          if (e < 0)
            i += LOG_BASE;
          if (i < len) {
            if (i)
              x.c.push(+str.slice(0, i));
            for (len -= LOG_BASE; i < len; ) {
              x.c.push(+str.slice(i, i += LOG_BASE));
            }
            i = LOG_BASE - (str = str.slice(i)).length;
          } else {
            i -= len;
          }
          for (; i--; str += "0")
            ;
          x.c.push(+str);
        }
      } else {
        x.c = [x.e = 0];
      }
    }
    BigNumber2.clone = clone;
    BigNumber2.ROUND_UP = 0;
    BigNumber2.ROUND_DOWN = 1;
    BigNumber2.ROUND_CEIL = 2;
    BigNumber2.ROUND_FLOOR = 3;
    BigNumber2.ROUND_HALF_UP = 4;
    BigNumber2.ROUND_HALF_DOWN = 5;
    BigNumber2.ROUND_HALF_EVEN = 6;
    BigNumber2.ROUND_HALF_CEIL = 7;
    BigNumber2.ROUND_HALF_FLOOR = 8;
    BigNumber2.EUCLID = 9;
    BigNumber2.config = BigNumber2.set = function(obj) {
      var p, v;
      if (obj != null) {
        if (typeof obj == "object") {
          if (obj.hasOwnProperty(p = "DECIMAL_PLACES")) {
            v = obj[p];
            intCheck(v, 0, MAX, p);
            DECIMAL_PLACES = v;
          }
          if (obj.hasOwnProperty(p = "ROUNDING_MODE")) {
            v = obj[p];
            intCheck(v, 0, 8, p);
            ROUNDING_MODE = v;
          }
          if (obj.hasOwnProperty(p = "EXPONENTIAL_AT")) {
            v = obj[p];
            if (v && v.pop) {
              intCheck(v[0], -MAX, 0, p);
              intCheck(v[1], 0, MAX, p);
              TO_EXP_NEG = v[0];
              TO_EXP_POS = v[1];
            } else {
              intCheck(v, -MAX, MAX, p);
              TO_EXP_NEG = -(TO_EXP_POS = v < 0 ? -v : v);
            }
          }
          if (obj.hasOwnProperty(p = "RANGE")) {
            v = obj[p];
            if (v && v.pop) {
              intCheck(v[0], -MAX, -1, p);
              intCheck(v[1], 1, MAX, p);
              MIN_EXP = v[0];
              MAX_EXP = v[1];
            } else {
              intCheck(v, -MAX, MAX, p);
              if (v) {
                MIN_EXP = -(MAX_EXP = v < 0 ? -v : v);
              } else {
                throw Error(bignumberError + p + " cannot be zero: " + v);
              }
            }
          }
          if (obj.hasOwnProperty(p = "CRYPTO")) {
            v = obj[p];
            if (v === !!v) {
              if (v) {
                if (typeof crypto != "undefined" && crypto && (crypto.getRandomValues || crypto.randomBytes)) {
                  CRYPTO = v;
                } else {
                  CRYPTO = !v;
                  throw Error(bignumberError + "crypto unavailable");
                }
              } else {
                CRYPTO = v;
              }
            } else {
              throw Error(bignumberError + p + " not true or false: " + v);
            }
          }
          if (obj.hasOwnProperty(p = "MODULO_MODE")) {
            v = obj[p];
            intCheck(v, 0, 9, p);
            MODULO_MODE = v;
          }
          if (obj.hasOwnProperty(p = "POW_PRECISION")) {
            v = obj[p];
            intCheck(v, 0, MAX, p);
            POW_PRECISION = v;
          }
          if (obj.hasOwnProperty(p = "FORMAT")) {
            v = obj[p];
            if (typeof v == "object")
              FORMAT = v;
            else
              throw Error(bignumberError + p + " not an object: " + v);
          }
          if (obj.hasOwnProperty(p = "ALPHABET")) {
            v = obj[p];
            if (typeof v == "string" && !/^.?$|[+\-.\s]|(.).*\1/.test(v)) {
              alphabetHasNormalDecimalDigits = v.slice(0, 10) == "0123456789";
              ALPHABET = v;
            } else {
              throw Error(bignumberError + p + " invalid: " + v);
            }
          }
        } else {
          throw Error(bignumberError + "Object expected: " + obj);
        }
      }
      return {
        DECIMAL_PLACES,
        ROUNDING_MODE,
        EXPONENTIAL_AT: [TO_EXP_NEG, TO_EXP_POS],
        RANGE: [MIN_EXP, MAX_EXP],
        CRYPTO,
        MODULO_MODE,
        POW_PRECISION,
        FORMAT,
        ALPHABET
      };
    };
    BigNumber2.isBigNumber = function(v) {
      if (!v || v._isBigNumber !== true)
        return false;
      if (!BigNumber2.DEBUG)
        return true;
      var i, n, c = v.c, e = v.e, s = v.s;
      out:
        if ({}.toString.call(c) == "[object Array]") {
          if ((s === 1 || s === -1) && e >= -MAX && e <= MAX && e === mathfloor(e)) {
            if (c[0] === 0) {
              if (e === 0 && c.length === 1)
                return true;
              break out;
            }
            i = (e + 1) % LOG_BASE;
            if (i < 1)
              i += LOG_BASE;
            if (String(c[0]).length == i) {
              for (i = 0; i < c.length; i++) {
                n = c[i];
                if (n < 0 || n >= BASE || n !== mathfloor(n))
                  break out;
              }
              if (n !== 0)
                return true;
            }
          }
        } else if (c === null && e === null && (s === null || s === 1 || s === -1)) {
          return true;
        }
      throw Error(bignumberError + "Invalid BigNumber: " + v);
    };
    BigNumber2.maximum = BigNumber2.max = function() {
      return maxOrMin(arguments, -1);
    };
    BigNumber2.minimum = BigNumber2.min = function() {
      return maxOrMin(arguments, 1);
    };
    BigNumber2.random = function() {
      var pow2_53 = 9007199254740992;
      var random53bitInt = Math.random() * pow2_53 & 2097151 ? function() {
        return mathfloor(Math.random() * pow2_53);
      } : function() {
        return (Math.random() * 1073741824 | 0) * 8388608 + (Math.random() * 8388608 | 0);
      };
      return function(dp) {
        var a, b, e, k, v, i = 0, c = [], rand = new BigNumber2(ONE);
        if (dp == null)
          dp = DECIMAL_PLACES;
        else
          intCheck(dp, 0, MAX);
        k = mathceil(dp / LOG_BASE);
        if (CRYPTO) {
          if (crypto.getRandomValues) {
            a = crypto.getRandomValues(new Uint32Array(k *= 2));
            for (; i < k; ) {
              v = a[i] * 131072 + (a[i + 1] >>> 11);
              if (v >= 9e15) {
                b = crypto.getRandomValues(new Uint32Array(2));
                a[i] = b[0];
                a[i + 1] = b[1];
              } else {
                c.push(v % 1e14);
                i += 2;
              }
            }
            i = k / 2;
          } else if (crypto.randomBytes) {
            a = crypto.randomBytes(k *= 7);
            for (; i < k; ) {
              v = (a[i] & 31) * 281474976710656 + a[i + 1] * 1099511627776 + a[i + 2] * 4294967296 + a[i + 3] * 16777216 + (a[i + 4] << 16) + (a[i + 5] << 8) + a[i + 6];
              if (v >= 9e15) {
                crypto.randomBytes(7).copy(a, i);
              } else {
                c.push(v % 1e14);
                i += 7;
              }
            }
            i = k / 7;
          } else {
            CRYPTO = false;
            throw Error(bignumberError + "crypto unavailable");
          }
        }
        if (!CRYPTO) {
          for (; i < k; ) {
            v = random53bitInt();
            if (v < 9e15)
              c[i++] = v % 1e14;
          }
        }
        k = c[--i];
        dp %= LOG_BASE;
        if (k && dp) {
          v = POWS_TEN[LOG_BASE - dp];
          c[i] = mathfloor(k / v) * v;
        }
        for (; c[i] === 0; c.pop(), i--)
          ;
        if (i < 0) {
          c = [e = 0];
        } else {
          for (e = -1; c[0] === 0; c.splice(0, 1), e -= LOG_BASE)
            ;
          for (i = 1, v = c[0]; v >= 10; v /= 10, i++)
            ;
          if (i < LOG_BASE)
            e -= LOG_BASE - i;
        }
        rand.e = e;
        rand.c = c;
        return rand;
      };
    }();
    BigNumber2.sum = function() {
      var i = 1, args = arguments, sum = new BigNumber2(args[0]);
      for (; i < args.length; )
        sum = sum.plus(args[i++]);
      return sum;
    };
    convertBase = function() {
      var decimal = "0123456789";
      function toBaseOut(str, baseIn, baseOut, alphabet) {
        var j, arr = [0], arrL, i = 0, len = str.length;
        for (; i < len; ) {
          for (arrL = arr.length; arrL--; arr[arrL] *= baseIn)
            ;
          arr[0] += alphabet.indexOf(str.charAt(i++));
          for (j = 0; j < arr.length; j++) {
            if (arr[j] > baseOut - 1) {
              if (arr[j + 1] == null)
                arr[j + 1] = 0;
              arr[j + 1] += arr[j] / baseOut | 0;
              arr[j] %= baseOut;
            }
          }
        }
        return arr.reverse();
      }
      return function(str, baseIn, baseOut, sign, callerIsToString) {
        var alphabet, d, e, k, r, x, xc, y, i = str.indexOf("."), dp = DECIMAL_PLACES, rm = ROUNDING_MODE;
        if (i >= 0) {
          k = POW_PRECISION;
          POW_PRECISION = 0;
          str = str.replace(".", "");
          y = new BigNumber2(baseIn);
          x = y.pow(str.length - i);
          POW_PRECISION = k;
          y.c = toBaseOut(
            toFixedPoint(coeffToString(x.c), x.e, "0"),
            10,
            baseOut,
            decimal
          );
          y.e = y.c.length;
        }
        xc = toBaseOut(str, baseIn, baseOut, callerIsToString ? (alphabet = ALPHABET, decimal) : (alphabet = decimal, ALPHABET));
        e = k = xc.length;
        for (; xc[--k] == 0; xc.pop())
          ;
        if (!xc[0])
          return alphabet.charAt(0);
        if (i < 0) {
          --e;
        } else {
          x.c = xc;
          x.e = e;
          x.s = sign;
          x = div(x, y, dp, rm, baseOut);
          xc = x.c;
          r = x.r;
          e = x.e;
        }
        d = e + dp + 1;
        i = xc[d];
        k = baseOut / 2;
        r = r || d < 0 || xc[d + 1] != null;
        r = rm < 4 ? (i != null || r) && (rm == 0 || rm == (x.s < 0 ? 3 : 2)) : i > k || i == k && (rm == 4 || r || rm == 6 && xc[d - 1] & 1 || rm == (x.s < 0 ? 8 : 7));
        if (d < 1 || !xc[0]) {
          str = r ? toFixedPoint(alphabet.charAt(1), -dp, alphabet.charAt(0)) : alphabet.charAt(0);
        } else {
          xc.length = d;
          if (r) {
            for (--baseOut; ++xc[--d] > baseOut; ) {
              xc[d] = 0;
              if (!d) {
                ++e;
                xc = [1].concat(xc);
              }
            }
          }
          for (k = xc.length; !xc[--k]; )
            ;
          for (i = 0, str = ""; i <= k; str += alphabet.charAt(xc[i++]))
            ;
          str = toFixedPoint(str, e, alphabet.charAt(0));
        }
        return str;
      };
    }();
    div = function() {
      function multiply(x, k, base) {
        var m, temp, xlo, xhi, carry = 0, i = x.length, klo = k % SQRT_BASE, khi = k / SQRT_BASE | 0;
        for (x = x.slice(); i--; ) {
          xlo = x[i] % SQRT_BASE;
          xhi = x[i] / SQRT_BASE | 0;
          m = khi * xlo + xhi * klo;
          temp = klo * xlo + m % SQRT_BASE * SQRT_BASE + carry;
          carry = (temp / base | 0) + (m / SQRT_BASE | 0) + khi * xhi;
          x[i] = temp % base;
        }
        if (carry)
          x = [carry].concat(x);
        return x;
      }
      function compare2(a, b, aL, bL) {
        var i, cmp;
        if (aL != bL) {
          cmp = aL > bL ? 1 : -1;
        } else {
          for (i = cmp = 0; i < aL; i++) {
            if (a[i] != b[i]) {
              cmp = a[i] > b[i] ? 1 : -1;
              break;
            }
          }
        }
        return cmp;
      }
      function subtract(a, b, aL, base) {
        var i = 0;
        for (; aL--; ) {
          a[aL] -= i;
          i = a[aL] < b[aL] ? 1 : 0;
          a[aL] = i * base + a[aL] - b[aL];
        }
        for (; !a[0] && a.length > 1; a.splice(0, 1))
          ;
      }
      return function(x, y, dp, rm, base) {
        var cmp, e, i, more, n, prod, prodL, q, qc, rem, remL, rem0, xi, xL, yc0, yL, yz, s = x.s == y.s ? 1 : -1, xc = x.c, yc = y.c;
        if (!xc || !xc[0] || !yc || !yc[0]) {
          return new BigNumber2(
            // Return NaN if either NaN, or both Infinity or 0.
            !x.s || !y.s || (xc ? yc && xc[0] == yc[0] : !yc) ? NaN : (
              // Return ±0 if x is ±0 or y is ±Infinity, or return ±Infinity as y is ±0.
              xc && xc[0] == 0 || !yc ? s * 0 : s / 0
            )
          );
        }
        q = new BigNumber2(s);
        qc = q.c = [];
        e = x.e - y.e;
        s = dp + e + 1;
        if (!base) {
          base = BASE;
          e = bitFloor(x.e / LOG_BASE) - bitFloor(y.e / LOG_BASE);
          s = s / LOG_BASE | 0;
        }
        for (i = 0; yc[i] == (xc[i] || 0); i++)
          ;
        if (yc[i] > (xc[i] || 0))
          e--;
        if (s < 0) {
          qc.push(1);
          more = true;
        } else {
          xL = xc.length;
          yL = yc.length;
          i = 0;
          s += 2;
          n = mathfloor(base / (yc[0] + 1));
          if (n > 1) {
            yc = multiply(yc, n, base);
            xc = multiply(xc, n, base);
            yL = yc.length;
            xL = xc.length;
          }
          xi = yL;
          rem = xc.slice(0, yL);
          remL = rem.length;
          for (; remL < yL; rem[remL++] = 0)
            ;
          yz = yc.slice();
          yz = [0].concat(yz);
          yc0 = yc[0];
          if (yc[1] >= base / 2)
            yc0++;
          do {
            n = 0;
            cmp = compare2(yc, rem, yL, remL);
            if (cmp < 0) {
              rem0 = rem[0];
              if (yL != remL)
                rem0 = rem0 * base + (rem[1] || 0);
              n = mathfloor(rem0 / yc0);
              if (n > 1) {
                if (n >= base)
                  n = base - 1;
                prod = multiply(yc, n, base);
                prodL = prod.length;
                remL = rem.length;
                while (compare2(prod, rem, prodL, remL) == 1) {
                  n--;
                  subtract(prod, yL < prodL ? yz : yc, prodL, base);
                  prodL = prod.length;
                  cmp = 1;
                }
              } else {
                if (n == 0) {
                  cmp = n = 1;
                }
                prod = yc.slice();
                prodL = prod.length;
              }
              if (prodL < remL)
                prod = [0].concat(prod);
              subtract(rem, prod, remL, base);
              remL = rem.length;
              if (cmp == -1) {
                while (compare2(yc, rem, yL, remL) < 1) {
                  n++;
                  subtract(rem, yL < remL ? yz : yc, remL, base);
                  remL = rem.length;
                }
              }
            } else if (cmp === 0) {
              n++;
              rem = [0];
            }
            qc[i++] = n;
            if (rem[0]) {
              rem[remL++] = xc[xi] || 0;
            } else {
              rem = [xc[xi]];
              remL = 1;
            }
          } while ((xi++ < xL || rem[0] != null) && s--);
          more = rem[0] != null;
          if (!qc[0])
            qc.splice(0, 1);
        }
        if (base == BASE) {
          for (i = 1, s = qc[0]; s >= 10; s /= 10, i++)
            ;
          round(q, dp + (q.e = i + e * LOG_BASE - 1) + 1, rm, more);
        } else {
          q.e = e;
          q.r = +more;
        }
        return q;
      };
    }();
    function format2(n, i, rm, id) {
      var c0, e, ne, len, str;
      if (rm == null)
        rm = ROUNDING_MODE;
      else
        intCheck(rm, 0, 8);
      if (!n.c)
        return n.toString();
      c0 = n.c[0];
      ne = n.e;
      if (i == null) {
        str = coeffToString(n.c);
        str = id == 1 || id == 2 && (ne <= TO_EXP_NEG || ne >= TO_EXP_POS) ? toExponential(str, ne) : toFixedPoint(str, ne, "0");
      } else {
        n = round(new BigNumber2(n), i, rm);
        e = n.e;
        str = coeffToString(n.c);
        len = str.length;
        if (id == 1 || id == 2 && (i <= e || e <= TO_EXP_NEG)) {
          for (; len < i; str += "0", len++)
            ;
          str = toExponential(str, e);
        } else {
          i -= ne;
          str = toFixedPoint(str, e, "0");
          if (e + 1 > len) {
            if (--i > 0)
              for (str += "."; i--; str += "0")
                ;
          } else {
            i += e - len;
            if (i > 0) {
              if (e + 1 == len)
                str += ".";
              for (; i--; str += "0")
                ;
            }
          }
        }
      }
      return n.s < 0 && c0 ? "-" + str : str;
    }
    function maxOrMin(args, n) {
      var k, y, i = 1, x = new BigNumber2(args[0]);
      for (; i < args.length; i++) {
        y = new BigNumber2(args[i]);
        if (!y.s || (k = compare(x, y)) === n || k === 0 && x.s === n) {
          x = y;
        }
      }
      return x;
    }
    function normalise(n, c, e) {
      var i = 1, j = c.length;
      for (; !c[--j]; c.pop())
        ;
      for (j = c[0]; j >= 10; j /= 10, i++)
        ;
      if ((e = i + e * LOG_BASE - 1) > MAX_EXP) {
        n.c = n.e = null;
      } else if (e < MIN_EXP) {
        n.c = [n.e = 0];
      } else {
        n.e = e;
        n.c = c;
      }
      return n;
    }
    parseNumeric = function() {
      var basePrefix = /^(-?)0([xbo])(?=\w[\w.]*$)/i, dotAfter = /^([^.]+)\.$/, dotBefore = /^\.([^.]+)$/, isInfinityOrNaN = /^-?(Infinity|NaN)$/, whitespaceOrPlus = /^\s*\+(?=[\w.])|^\s+|\s+$/g;
      return function(x, str, isNum, b) {
        var base, s = isNum ? str : str.replace(whitespaceOrPlus, "");
        if (isInfinityOrNaN.test(s)) {
          x.s = isNaN(s) ? null : s < 0 ? -1 : 1;
        } else {
          if (!isNum) {
            s = s.replace(basePrefix, function(m, p1, p2) {
              base = (p2 = p2.toLowerCase()) == "x" ? 16 : p2 == "b" ? 2 : 8;
              return !b || b == base ? p1 : m;
            });
            if (b) {
              base = b;
              s = s.replace(dotAfter, "$1").replace(dotBefore, "0.$1");
            }
            if (str != s)
              return new BigNumber2(s, base);
          }
          if (BigNumber2.DEBUG) {
            throw Error(bignumberError + "Not a" + (b ? " base " + b : "") + " number: " + str);
          }
          x.s = null;
        }
        x.c = x.e = null;
      };
    }();
    function round(x, sd, rm, r) {
      var d, i, j, k, n, ni, rd, xc = x.c, pows10 = POWS_TEN;
      if (xc) {
        out: {
          for (d = 1, k = xc[0]; k >= 10; k /= 10, d++)
            ;
          i = sd - d;
          if (i < 0) {
            i += LOG_BASE;
            j = sd;
            n = xc[ni = 0];
            rd = mathfloor(n / pows10[d - j - 1] % 10);
          } else {
            ni = mathceil((i + 1) / LOG_BASE);
            if (ni >= xc.length) {
              if (r) {
                for (; xc.length <= ni; xc.push(0))
                  ;
                n = rd = 0;
                d = 1;
                i %= LOG_BASE;
                j = i - LOG_BASE + 1;
              } else {
                break out;
              }
            } else {
              n = k = xc[ni];
              for (d = 1; k >= 10; k /= 10, d++)
                ;
              i %= LOG_BASE;
              j = i - LOG_BASE + d;
              rd = j < 0 ? 0 : mathfloor(n / pows10[d - j - 1] % 10);
            }
          }
          r = r || sd < 0 || // Are there any non-zero digits after the rounding digit?
          // The expression  n % pows10[d - j - 1]  returns all digits of n to the right
          // of the digit at j, e.g. if n is 908714 and j is 2, the expression gives 714.
          xc[ni + 1] != null || (j < 0 ? n : n % pows10[d - j - 1]);
          r = rm < 4 ? (rd || r) && (rm == 0 || rm == (x.s < 0 ? 3 : 2)) : rd > 5 || rd == 5 && (rm == 4 || r || rm == 6 && // Check whether the digit to the left of the rounding digit is odd.
          (i > 0 ? j > 0 ? n / pows10[d - j] : 0 : xc[ni - 1]) % 10 & 1 || rm == (x.s < 0 ? 8 : 7));
          if (sd < 1 || !xc[0]) {
            xc.length = 0;
            if (r) {
              sd -= x.e + 1;
              xc[0] = pows10[(LOG_BASE - sd % LOG_BASE) % LOG_BASE];
              x.e = -sd || 0;
            } else {
              xc[0] = x.e = 0;
            }
            return x;
          }
          if (i == 0) {
            xc.length = ni;
            k = 1;
            ni--;
          } else {
            xc.length = ni + 1;
            k = pows10[LOG_BASE - i];
            xc[ni] = j > 0 ? mathfloor(n / pows10[d - j] % pows10[j]) * k : 0;
          }
          if (r) {
            for (; ; ) {
              if (ni == 0) {
                for (i = 1, j = xc[0]; j >= 10; j /= 10, i++)
                  ;
                j = xc[0] += k;
                for (k = 1; j >= 10; j /= 10, k++)
                  ;
                if (i != k) {
                  x.e++;
                  if (xc[0] == BASE)
                    xc[0] = 1;
                }
                break;
              } else {
                xc[ni] += k;
                if (xc[ni] != BASE)
                  break;
                xc[ni--] = 0;
                k = 1;
              }
            }
          }
          for (i = xc.length; xc[--i] === 0; xc.pop())
            ;
        }
        if (x.e > MAX_EXP) {
          x.c = x.e = null;
        } else if (x.e < MIN_EXP) {
          x.c = [x.e = 0];
        }
      }
      return x;
    }
    function valueOf(n) {
      var str, e = n.e;
      if (e === null)
        return n.toString();
      str = coeffToString(n.c);
      str = e <= TO_EXP_NEG || e >= TO_EXP_POS ? toExponential(str, e) : toFixedPoint(str, e, "0");
      return n.s < 0 ? "-" + str : str;
    }
    P.absoluteValue = P.abs = function() {
      var x = new BigNumber2(this);
      if (x.s < 0)
        x.s = 1;
      return x;
    };
    P.comparedTo = function(y, b) {
      return compare(this, new BigNumber2(y, b));
    };
    P.decimalPlaces = P.dp = function(dp, rm) {
      var c, n, v, x = this;
      if (dp != null) {
        intCheck(dp, 0, MAX);
        if (rm == null)
          rm = ROUNDING_MODE;
        else
          intCheck(rm, 0, 8);
        return round(new BigNumber2(x), dp + x.e + 1, rm);
      }
      if (!(c = x.c))
        return null;
      n = ((v = c.length - 1) - bitFloor(this.e / LOG_BASE)) * LOG_BASE;
      if (v = c[v])
        for (; v % 10 == 0; v /= 10, n--)
          ;
      if (n < 0)
        n = 0;
      return n;
    };
    P.dividedBy = P.div = function(y, b) {
      return div(this, new BigNumber2(y, b), DECIMAL_PLACES, ROUNDING_MODE);
    };
    P.dividedToIntegerBy = P.idiv = function(y, b) {
      return div(this, new BigNumber2(y, b), 0, 1);
    };
    P.exponentiatedBy = P.pow = function(n, m) {
      var half, isModExp, i, k, more, nIsBig, nIsNeg, nIsOdd, y, x = this;
      n = new BigNumber2(n);
      if (n.c && !n.isInteger()) {
        throw Error(bignumberError + "Exponent not an integer: " + valueOf(n));
      }
      if (m != null)
        m = new BigNumber2(m);
      nIsBig = n.e > 14;
      if (!x.c || !x.c[0] || x.c[0] == 1 && !x.e && x.c.length == 1 || !n.c || !n.c[0]) {
        y = new BigNumber2(Math.pow(+valueOf(x), nIsBig ? n.s * (2 - isOdd(n)) : +valueOf(n)));
        return m ? y.mod(m) : y;
      }
      nIsNeg = n.s < 0;
      if (m) {
        if (m.c ? !m.c[0] : !m.s)
          return new BigNumber2(NaN);
        isModExp = !nIsNeg && x.isInteger() && m.isInteger();
        if (isModExp)
          x = x.mod(m);
      } else if (n.e > 9 && (x.e > 0 || x.e < -1 || (x.e == 0 ? x.c[0] > 1 || nIsBig && x.c[1] >= 24e7 : x.c[0] < 8e13 || nIsBig && x.c[0] <= 9999975e7))) {
        k = x.s < 0 && isOdd(n) ? -0 : 0;
        if (x.e > -1)
          k = 1 / k;
        return new BigNumber2(nIsNeg ? 1 / k : k);
      } else if (POW_PRECISION) {
        k = mathceil(POW_PRECISION / LOG_BASE + 2);
      }
      if (nIsBig) {
        half = new BigNumber2(0.5);
        if (nIsNeg)
          n.s = 1;
        nIsOdd = isOdd(n);
      } else {
        i = Math.abs(+valueOf(n));
        nIsOdd = i % 2;
      }
      y = new BigNumber2(ONE);
      for (; ; ) {
        if (nIsOdd) {
          y = y.times(x);
          if (!y.c)
            break;
          if (k) {
            if (y.c.length > k)
              y.c.length = k;
          } else if (isModExp) {
            y = y.mod(m);
          }
        }
        if (i) {
          i = mathfloor(i / 2);
          if (i === 0)
            break;
          nIsOdd = i % 2;
        } else {
          n = n.times(half);
          round(n, n.e + 1, 1);
          if (n.e > 14) {
            nIsOdd = isOdd(n);
          } else {
            i = +valueOf(n);
            if (i === 0)
              break;
            nIsOdd = i % 2;
          }
        }
        x = x.times(x);
        if (k) {
          if (x.c && x.c.length > k)
            x.c.length = k;
        } else if (isModExp) {
          x = x.mod(m);
        }
      }
      if (isModExp)
        return y;
      if (nIsNeg)
        y = ONE.div(y);
      return m ? y.mod(m) : k ? round(y, POW_PRECISION, ROUNDING_MODE, more) : y;
    };
    P.integerValue = function(rm) {
      var n = new BigNumber2(this);
      if (rm == null)
        rm = ROUNDING_MODE;
      else
        intCheck(rm, 0, 8);
      return round(n, n.e + 1, rm);
    };
    P.isEqualTo = P.eq = function(y, b) {
      return compare(this, new BigNumber2(y, b)) === 0;
    };
    P.isFinite = function() {
      return !!this.c;
    };
    P.isGreaterThan = P.gt = function(y, b) {
      return compare(this, new BigNumber2(y, b)) > 0;
    };
    P.isGreaterThanOrEqualTo = P.gte = function(y, b) {
      return (b = compare(this, new BigNumber2(y, b))) === 1 || b === 0;
    };
    P.isInteger = function() {
      return !!this.c && bitFloor(this.e / LOG_BASE) > this.c.length - 2;
    };
    P.isLessThan = P.lt = function(y, b) {
      return compare(this, new BigNumber2(y, b)) < 0;
    };
    P.isLessThanOrEqualTo = P.lte = function(y, b) {
      return (b = compare(this, new BigNumber2(y, b))) === -1 || b === 0;
    };
    P.isNaN = function() {
      return !this.s;
    };
    P.isNegative = function() {
      return this.s < 0;
    };
    P.isPositive = function() {
      return this.s > 0;
    };
    P.isZero = function() {
      return !!this.c && this.c[0] == 0;
    };
    P.minus = function(y, b) {
      var i, j, t, xLTy, x = this, a = x.s;
      y = new BigNumber2(y, b);
      b = y.s;
      if (!a || !b)
        return new BigNumber2(NaN);
      if (a != b) {
        y.s = -b;
        return x.plus(y);
      }
      var xe = x.e / LOG_BASE, ye = y.e / LOG_BASE, xc = x.c, yc = y.c;
      if (!xe || !ye) {
        if (!xc || !yc)
          return xc ? (y.s = -b, y) : new BigNumber2(yc ? x : NaN);
        if (!xc[0] || !yc[0]) {
          return yc[0] ? (y.s = -b, y) : new BigNumber2(xc[0] ? x : (
            // IEEE 754 (2008) 6.3: n - n = -0 when rounding to -Infinity
            ROUNDING_MODE == 3 ? -0 : 0
          ));
        }
      }
      xe = bitFloor(xe);
      ye = bitFloor(ye);
      xc = xc.slice();
      if (a = xe - ye) {
        if (xLTy = a < 0) {
          a = -a;
          t = xc;
        } else {
          ye = xe;
          t = yc;
        }
        t.reverse();
        for (b = a; b--; t.push(0))
          ;
        t.reverse();
      } else {
        j = (xLTy = (a = xc.length) < (b = yc.length)) ? a : b;
        for (a = b = 0; b < j; b++) {
          if (xc[b] != yc[b]) {
            xLTy = xc[b] < yc[b];
            break;
          }
        }
      }
      if (xLTy) {
        t = xc;
        xc = yc;
        yc = t;
        y.s = -y.s;
      }
      b = (j = yc.length) - (i = xc.length);
      if (b > 0)
        for (; b--; xc[i++] = 0)
          ;
      b = BASE - 1;
      for (; j > a; ) {
        if (xc[--j] < yc[j]) {
          for (i = j; i && !xc[--i]; xc[i] = b)
            ;
          --xc[i];
          xc[j] += BASE;
        }
        xc[j] -= yc[j];
      }
      for (; xc[0] == 0; xc.splice(0, 1), --ye)
        ;
      if (!xc[0]) {
        y.s = ROUNDING_MODE == 3 ? -1 : 1;
        y.c = [y.e = 0];
        return y;
      }
      return normalise(y, xc, ye);
    };
    P.modulo = P.mod = function(y, b) {
      var q, s, x = this;
      y = new BigNumber2(y, b);
      if (!x.c || !y.s || y.c && !y.c[0]) {
        return new BigNumber2(NaN);
      } else if (!y.c || x.c && !x.c[0]) {
        return new BigNumber2(x);
      }
      if (MODULO_MODE == 9) {
        s = y.s;
        y.s = 1;
        q = div(x, y, 0, 3);
        y.s = s;
        q.s *= s;
      } else {
        q = div(x, y, 0, MODULO_MODE);
      }
      y = x.minus(q.times(y));
      if (!y.c[0] && MODULO_MODE == 1)
        y.s = x.s;
      return y;
    };
    P.multipliedBy = P.times = function(y, b) {
      var c, e, i, j, k, m, xcL, xlo, xhi, ycL, ylo, yhi, zc, base, sqrtBase, x = this, xc = x.c, yc = (y = new BigNumber2(y, b)).c;
      if (!xc || !yc || !xc[0] || !yc[0]) {
        if (!x.s || !y.s || xc && !xc[0] && !yc || yc && !yc[0] && !xc) {
          y.c = y.e = y.s = null;
        } else {
          y.s *= x.s;
          if (!xc || !yc) {
            y.c = y.e = null;
          } else {
            y.c = [0];
            y.e = 0;
          }
        }
        return y;
      }
      e = bitFloor(x.e / LOG_BASE) + bitFloor(y.e / LOG_BASE);
      y.s *= x.s;
      xcL = xc.length;
      ycL = yc.length;
      if (xcL < ycL) {
        zc = xc;
        xc = yc;
        yc = zc;
        i = xcL;
        xcL = ycL;
        ycL = i;
      }
      for (i = xcL + ycL, zc = []; i--; zc.push(0))
        ;
      base = BASE;
      sqrtBase = SQRT_BASE;
      for (i = ycL; --i >= 0; ) {
        c = 0;
        ylo = yc[i] % sqrtBase;
        yhi = yc[i] / sqrtBase | 0;
        for (k = xcL, j = i + k; j > i; ) {
          xlo = xc[--k] % sqrtBase;
          xhi = xc[k] / sqrtBase | 0;
          m = yhi * xlo + xhi * ylo;
          xlo = ylo * xlo + m % sqrtBase * sqrtBase + zc[j] + c;
          c = (xlo / base | 0) + (m / sqrtBase | 0) + yhi * xhi;
          zc[j--] = xlo % base;
        }
        zc[j] = c;
      }
      if (c) {
        ++e;
      } else {
        zc.splice(0, 1);
      }
      return normalise(y, zc, e);
    };
    P.negated = function() {
      var x = new BigNumber2(this);
      x.s = -x.s || null;
      return x;
    };
    P.plus = function(y, b) {
      var t, x = this, a = x.s;
      y = new BigNumber2(y, b);
      b = y.s;
      if (!a || !b)
        return new BigNumber2(NaN);
      if (a != b) {
        y.s = -b;
        return x.minus(y);
      }
      var xe = x.e / LOG_BASE, ye = y.e / LOG_BASE, xc = x.c, yc = y.c;
      if (!xe || !ye) {
        if (!xc || !yc)
          return new BigNumber2(a / 0);
        if (!xc[0] || !yc[0])
          return yc[0] ? y : new BigNumber2(xc[0] ? x : a * 0);
      }
      xe = bitFloor(xe);
      ye = bitFloor(ye);
      xc = xc.slice();
      if (a = xe - ye) {
        if (a > 0) {
          ye = xe;
          t = yc;
        } else {
          a = -a;
          t = xc;
        }
        t.reverse();
        for (; a--; t.push(0))
          ;
        t.reverse();
      }
      a = xc.length;
      b = yc.length;
      if (a - b < 0) {
        t = yc;
        yc = xc;
        xc = t;
        b = a;
      }
      for (a = 0; b; ) {
        a = (xc[--b] = xc[b] + yc[b] + a) / BASE | 0;
        xc[b] = BASE === xc[b] ? 0 : xc[b] % BASE;
      }
      if (a) {
        xc = [a].concat(xc);
        ++ye;
      }
      return normalise(y, xc, ye);
    };
    P.precision = P.sd = function(sd, rm) {
      var c, n, v, x = this;
      if (sd != null && sd !== !!sd) {
        intCheck(sd, 1, MAX);
        if (rm == null)
          rm = ROUNDING_MODE;
        else
          intCheck(rm, 0, 8);
        return round(new BigNumber2(x), sd, rm);
      }
      if (!(c = x.c))
        return null;
      v = c.length - 1;
      n = v * LOG_BASE + 1;
      if (v = c[v]) {
        for (; v % 10 == 0; v /= 10, n--)
          ;
        for (v = c[0]; v >= 10; v /= 10, n++)
          ;
      }
      if (sd && x.e + 1 > n)
        n = x.e + 1;
      return n;
    };
    P.shiftedBy = function(k) {
      intCheck(k, -MAX_SAFE_INTEGER$2, MAX_SAFE_INTEGER$2);
      return this.times("1e" + k);
    };
    P.squareRoot = P.sqrt = function() {
      var m, n, r, rep, t, x = this, c = x.c, s = x.s, e = x.e, dp = DECIMAL_PLACES + 4, half = new BigNumber2("0.5");
      if (s !== 1 || !c || !c[0]) {
        return new BigNumber2(!s || s < 0 && (!c || c[0]) ? NaN : c ? x : 1 / 0);
      }
      s = Math.sqrt(+valueOf(x));
      if (s == 0 || s == 1 / 0) {
        n = coeffToString(c);
        if ((n.length + e) % 2 == 0)
          n += "0";
        s = Math.sqrt(+n);
        e = bitFloor((e + 1) / 2) - (e < 0 || e % 2);
        if (s == 1 / 0) {
          n = "5e" + e;
        } else {
          n = s.toExponential();
          n = n.slice(0, n.indexOf("e") + 1) + e;
        }
        r = new BigNumber2(n);
      } else {
        r = new BigNumber2(s + "");
      }
      if (r.c[0]) {
        e = r.e;
        s = e + dp;
        if (s < 3)
          s = 0;
        for (; ; ) {
          t = r;
          r = half.times(t.plus(div(x, t, dp, 1)));
          if (coeffToString(t.c).slice(0, s) === (n = coeffToString(r.c)).slice(0, s)) {
            if (r.e < e)
              --s;
            n = n.slice(s - 3, s + 1);
            if (n == "9999" || !rep && n == "4999") {
              if (!rep) {
                round(t, t.e + DECIMAL_PLACES + 2, 0);
                if (t.times(t).eq(x)) {
                  r = t;
                  break;
                }
              }
              dp += 4;
              s += 4;
              rep = 1;
            } else {
              if (!+n || !+n.slice(1) && n.charAt(0) == "5") {
                round(r, r.e + DECIMAL_PLACES + 2, 1);
                m = !r.times(r).eq(x);
              }
              break;
            }
          }
        }
      }
      return round(r, r.e + DECIMAL_PLACES + 1, ROUNDING_MODE, m);
    };
    P.toExponential = function(dp, rm) {
      if (dp != null) {
        intCheck(dp, 0, MAX);
        dp++;
      }
      return format2(this, dp, rm, 1);
    };
    P.toFixed = function(dp, rm) {
      if (dp != null) {
        intCheck(dp, 0, MAX);
        dp = dp + this.e + 1;
      }
      return format2(this, dp, rm);
    };
    P.toFormat = function(dp, rm, format3) {
      var str, x = this;
      if (format3 == null) {
        if (dp != null && rm && typeof rm == "object") {
          format3 = rm;
          rm = null;
        } else if (dp && typeof dp == "object") {
          format3 = dp;
          dp = rm = null;
        } else {
          format3 = FORMAT;
        }
      } else if (typeof format3 != "object") {
        throw Error(bignumberError + "Argument not an object: " + format3);
      }
      str = x.toFixed(dp, rm);
      if (x.c) {
        var i, arr = str.split("."), g1 = +format3.groupSize, g2 = +format3.secondaryGroupSize, groupSeparator = format3.groupSeparator || "", intPart = arr[0], fractionPart = arr[1], isNeg = x.s < 0, intDigits = isNeg ? intPart.slice(1) : intPart, len = intDigits.length;
        if (g2) {
          i = g1;
          g1 = g2;
          g2 = i;
          len -= i;
        }
        if (g1 > 0 && len > 0) {
          i = len % g1 || g1;
          intPart = intDigits.substr(0, i);
          for (; i < len; i += g1)
            intPart += groupSeparator + intDigits.substr(i, g1);
          if (g2 > 0)
            intPart += groupSeparator + intDigits.slice(i);
          if (isNeg)
            intPart = "-" + intPart;
        }
        str = fractionPart ? intPart + (format3.decimalSeparator || "") + ((g2 = +format3.fractionGroupSize) ? fractionPart.replace(
          new RegExp("\\d{" + g2 + "}\\B", "g"),
          "$&" + (format3.fractionGroupSeparator || "")
        ) : fractionPart) : intPart;
      }
      return (format3.prefix || "") + str + (format3.suffix || "");
    };
    P.toFraction = function(md) {
      var d, d0, d1, d2, e, exp, n, n0, n1, q, r, s, x = this, xc = x.c;
      if (md != null) {
        n = new BigNumber2(md);
        if (!n.isInteger() && (n.c || n.s !== 1) || n.lt(ONE)) {
          throw Error(bignumberError + "Argument " + (n.isInteger() ? "out of range: " : "not an integer: ") + valueOf(n));
        }
      }
      if (!xc)
        return new BigNumber2(x);
      d = new BigNumber2(ONE);
      n1 = d0 = new BigNumber2(ONE);
      d1 = n0 = new BigNumber2(ONE);
      s = coeffToString(xc);
      e = d.e = s.length - x.e - 1;
      d.c[0] = POWS_TEN[(exp = e % LOG_BASE) < 0 ? LOG_BASE + exp : exp];
      md = !md || n.comparedTo(d) > 0 ? e > 0 ? d : n1 : n;
      exp = MAX_EXP;
      MAX_EXP = 1 / 0;
      n = new BigNumber2(s);
      n0.c[0] = 0;
      for (; ; ) {
        q = div(n, d, 0, 1);
        d2 = d0.plus(q.times(d1));
        if (d2.comparedTo(md) == 1)
          break;
        d0 = d1;
        d1 = d2;
        n1 = n0.plus(q.times(d2 = n1));
        n0 = d2;
        d = n.minus(q.times(d2 = d));
        n = d2;
      }
      d2 = div(md.minus(d0), d1, 0, 1);
      n0 = n0.plus(d2.times(n1));
      d0 = d0.plus(d2.times(d1));
      n0.s = n1.s = x.s;
      e = e * 2;
      r = div(n1, d1, e, ROUNDING_MODE).minus(x).abs().comparedTo(
        div(n0, d0, e, ROUNDING_MODE).minus(x).abs()
      ) < 1 ? [n1, d1] : [n0, d0];
      MAX_EXP = exp;
      return r;
    };
    P.toNumber = function() {
      return +valueOf(this);
    };
    P.toPrecision = function(sd, rm) {
      if (sd != null)
        intCheck(sd, 1, MAX);
      return format2(this, sd, rm, 2);
    };
    P.toString = function(b) {
      var str, n = this, s = n.s, e = n.e;
      if (e === null) {
        if (s) {
          str = "Infinity";
          if (s < 0)
            str = "-" + str;
        } else {
          str = "NaN";
        }
      } else {
        if (b == null) {
          str = e <= TO_EXP_NEG || e >= TO_EXP_POS ? toExponential(coeffToString(n.c), e) : toFixedPoint(coeffToString(n.c), e, "0");
        } else if (b === 10 && alphabetHasNormalDecimalDigits) {
          n = round(new BigNumber2(n), DECIMAL_PLACES + e + 1, ROUNDING_MODE);
          str = toFixedPoint(coeffToString(n.c), n.e, "0");
        } else {
          intCheck(b, 2, ALPHABET.length, "Base");
          str = convertBase(toFixedPoint(coeffToString(n.c), e, "0"), 10, b, s, true);
        }
        if (s < 0 && n.c[0])
          str = "-" + str;
      }
      return str;
    };
    P.valueOf = P.toJSON = function() {
      return valueOf(this);
    };
    P._isBigNumber = true;
    P[Symbol.toStringTag] = "BigNumber";
    P[Symbol.for("nodejs.util.inspect.custom")] = P.valueOf;
    if (configObject != null)
      BigNumber2.set(configObject);
    return BigNumber2;
  }
  function bitFloor(n) {
    var i = n | 0;
    return n > 0 || n === i ? i : i - 1;
  }
  function coeffToString(a) {
    var s, z, i = 1, j = a.length, r = a[0] + "";
    for (; i < j; ) {
      s = a[i++] + "";
      z = LOG_BASE - s.length;
      for (; z--; s = "0" + s)
        ;
      r += s;
    }
    for (j = r.length; r.charCodeAt(--j) === 48; )
      ;
    return r.slice(0, j + 1 || 1);
  }
  function compare(x, y) {
    var a, b, xc = x.c, yc = y.c, i = x.s, j = y.s, k = x.e, l = y.e;
    if (!i || !j)
      return null;
    a = xc && !xc[0];
    b = yc && !yc[0];
    if (a || b)
      return a ? b ? 0 : -j : i;
    if (i != j)
      return i;
    a = i < 0;
    b = k == l;
    if (!xc || !yc)
      return b ? 0 : !xc ^ a ? 1 : -1;
    if (!b)
      return k > l ^ a ? 1 : -1;
    j = (k = xc.length) < (l = yc.length) ? k : l;
    for (i = 0; i < j; i++)
      if (xc[i] != yc[i])
        return xc[i] > yc[i] ^ a ? 1 : -1;
    return k == l ? 0 : k > l ^ a ? 1 : -1;
  }
  function intCheck(n, min, max, name) {
    if (n < min || n > max || n !== mathfloor(n)) {
      throw Error(bignumberError + (name || "Argument") + (typeof n == "number" ? n < min || n > max ? " out of range: " : " not an integer: " : " not a primitive number: ") + String(n));
    }
  }
  function isOdd(n) {
    var k = n.c.length - 1;
    return bitFloor(n.e / LOG_BASE) == k && n.c[k] % 2 != 0;
  }
  function toExponential(str, e) {
    return (str.length > 1 ? str.charAt(0) + "." + str.slice(1) : str) + (e < 0 ? "e" : "e+") + e;
  }
  function toFixedPoint(str, e, z) {
    var len, zs;
    if (e < 0) {
      for (zs = z + "."; ++e; zs += z)
        ;
      str = zs + str;
    } else {
      len = str.length;
      if (++e > len) {
        for (zs = z, e -= len; --e; zs += z)
          ;
        str += zs;
      } else if (e < len) {
        str = str.slice(0, e) + "." + str.slice(e);
      }
    }
    return str;
  }
  var BigNumber = clone();
  class ExpressionContextBuilder {
    constructor() {
    }
    buildContext(viewModel, currentRows) {
      const entitySchema = viewModel.entityStore.getEntitySchema();
      const entityContext = this.buildEntityContext(entitySchema, viewModel.entityStore, currentRows);
      const stateContext = this.buildStateContext(viewModel);
      const entityCode = viewModel.entityStore.getEntitySchema().getCode();
      return {
        // ...runtimeFrameworkContext,
        [entityCode]: entityContext,
        ...stateContext,
        BigNumber,
        CurrentLanguage: "zh-CHS"
      };
    }
    buildStateContext(viewModel) {
      var _a;
      const result = {};
      const uiState = (_a = viewModel.uiStore) == null ? void 0 : _a.getState();
      if (uiState) {
        const propertyNames = Object.getOwnPropertyNames(uiState) || [];
        propertyNames.forEach((prop) => {
          if (prop.match(/^[a-zA-Z0-9_$]+$/g) !== null) {
            result[prop] = uiState[prop];
          }
        });
      }
      return result;
    }
    buildEntityContext(entitySchema, entityStore, currentRows) {
      const traverse = (currentContext, schema, paths = []) => {
        var _a;
        const fullPath = paths.concat(schema.name).join("/");
        const bindingList = entityStore == null ? void 0 : entityStore.getEntityListByPath("/" + fullPath);
        if (!bindingList || bindingList.getEntities().length < 1) {
          currentContext[schema.name] = this.createIteratorableNode();
          return;
        }
        const currentId = bindingList == null ? void 0 : bindingList.getCurrentEntity().idValue;
        const entityPath = fullPath.split("/").filter((p) => p).filter((path, index) => {
          if (index % 2 === 0) {
            return false;
          }
          return true;
        });
        const targetId = currentRows && ((_a = currentRows.find((row2) => row2.bindingPath === entityPath.join("/"))) == null ? void 0 : _a.primaryValue) || currentId;
        const targetEntity = bindingList.getEntityById(targetId);
        const node = this.createIteratorableNode();
        currentContext[schema.name] = node;
        if (!targetEntity) {
          return;
        }
        node.__items__ = Array.from(bindingList.toJSON());
        Object.assign(node, targetEntity.toJSON());
        const entityListSchema2 = schema.entitySchema.getFieldSchemasByType(FieldType.EntityList);
        if (entityListSchema2 && entityListSchema2.length > 0) {
          entityListSchema2.forEach((subSchema) => {
            traverse(node, subSchema, paths.concat(schema.name, `[${targetEntity.idValue}]`));
          });
        }
      };
      const row = currentRows && currentRows.find((row2) => row2.bindingPath === "" || row2.bindingPath === "/") || null;
      const primaryValue = row && row.primaryValue || (entityStore == null ? void 0 : entityStore.getCurrentEntity().idValue);
      const entity = entityStore == null ? void 0 : entityStore.getEntityById(primaryValue);
      if (!entity) {
        return {};
      }
      const entityContext = entity.toJSON();
      entityContext["__type__"] = "Entity";
      const entityListSchema = entitySchema.getFieldSchemasByType(FieldType.EntityList);
      if (!entityListSchema || entityListSchema.length < 1) {
        return entityContext;
      }
      entityListSchema.forEach((fieldSchema) => {
        traverse(entityContext, fieldSchema, [`[${entity.idValue}]`]);
      });
      return entityContext;
    }
    createIteratorableNode() {
      const node = {
        __items__: [],
        __type__: "List",
        length: () => node.__items__.length
      };
      return node;
    }
  }
  class ExpressionEngineProxy {
    constructor(changeHandlers, expressionEventEmitter, expressionRegistry, expressionDependencyResolverRegistry, expressionDependencyResolver, expressionExccutor, expressionResult, viewModel) {
      this.changeHandlers = changeHandlers;
      this.expressionEventEmitter = expressionEventEmitter;
      this.expressionRegistry = expressionRegistry;
      this.expressionDependencyResolverRegistry = expressionDependencyResolverRegistry;
      this.expressionDependencyResolver = expressionDependencyResolver;
      this.expressionExccutor = expressionExccutor;
      this.expressionResult = expressionResult;
      this.viewModel = viewModel;
      const { expressions } = this.expressionRegistry;
      this.resolveDependency(expressions);
      this.attachEvent(expressions);
      this.evaluateExpressions(expressions);
    }
    attachEvent(expressions) {
      this.expressionEventEmitter.attach().subscribe((changes) => {
        if (!changes || changes.length < 1) {
          return;
        }
        changes.forEach((change) => {
          this.changeHandlers.forEach((handler) => {
            handler.handle(change, expressions);
          });
        });
      });
    }
    resolveDependency(expressionObjects) {
      if (!expressionObjects || expressionObjects.length < 1 || !this.expressionDependencyResolverRegistry.resolvers || this.expressionDependencyResolverRegistry.resolvers.length < 1) {
        return;
      }
      expressionObjects.forEach((expressionObject) => {
        const { expression } = expressionObject;
        const dependencies = this.expressionDependencyResolver.resolve(expression);
        expressionObject.deps = dependencies;
      });
    }
    evaluateExpressions(expressionObjects) {
      if (!(expressionObjects == null ? void 0 : expressionObjects.length))
        return;
      expressionObjects.forEach((expressionObject) => {
        this.evaluateExpression(expressionObject);
      });
    }
    evaluateExpression(expressionObject) {
      const expressionContextBuilder = new ExpressionContextBuilder();
      const expressionContext = expressionContextBuilder.buildContext(this.viewModel);
      try {
        const result = this.expressionExccutor.compile(expressionObject, expressionContext);
        const convertedResult = this.convertBooleanTypeExpressionResult(expressionObject, result);
        this.expressionResult.set(expressionObject.id, convertedResult);
      } catch (error) {
        console.error(error);
      }
    }
    convertBooleanTypeExpressionResult(expressionObject, result) {
      if (this.isBooleanTypeExpression(expressionObject)) {
        return result === true ? true : false;
      } else {
        return result;
      }
    }
    isBooleanTypeExpression(expressionObject) {
      return this.isReadonlyExpression(expressionObject) || this.isVisibleExpression(expressionObject) || this.isValidateExpression(expressionObject) || this.isRequiredExpression(expressionObject) || this.isDependencyExpression(expressionObject) || this.isButtonDisabledExpression(expressionObject) || this.isButtonVisibleExpression(expressionObject) || this.isContainerVisibleExpression(expressionObject);
    }
    isReadonlyExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Readonly || false;
    }
    isVisibleExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Visible;
    }
    isValidateExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Validate;
    }
    isRequiredExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Required;
    }
    isDependencyExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Dependency;
    }
    isButtonVisibleExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Visible && expressionObject.bindingType === ExpressionBindingType.Button;
    }
    isButtonDisabledExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Disabled && expressionObject.bindingType === ExpressionBindingType.Button;
    }
    isContainerVisibleExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Visible && expressionObject.bindingType === ExpressionBindingType.Container;
    }
  }
  var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
      d2.__proto__ = b2;
    } || function(d2, b2) {
      for (var p in b2)
        if (Object.prototype.hasOwnProperty.call(b2, p))
          d2[p] = b2[p];
    };
    return extendStatics(d, b);
  };
  function __extends(d, b) {
    if (typeof b !== "function" && b !== null)
      throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
    extendStatics(d, b);
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  }
  function __values(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = void 0;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  }
  function __read(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  }
  function __spreadArray(to, from, pack) {
    if (pack || arguments.length === 2)
      for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
          if (!ar)
            ar = Array.prototype.slice.call(from, 0, i);
          ar[i] = from[i];
        }
      }
    return to.concat(ar || Array.prototype.slice.call(from));
  }
  typeof SuppressedError === "function" ? SuppressedError : function(error, suppressed, message2) {
    var e = new Error(message2);
    return e.name = "SuppressedError", e.error = error, e.suppressed = suppressed, e;
  };
  function isFunction$1(value) {
    return typeof value === "function";
  }
  function createErrorClass(createImpl) {
    var _super = function(instance) {
      Error.call(instance);
      instance.stack = new Error().stack;
    };
    var ctorFunc = createImpl(_super);
    ctorFunc.prototype = Object.create(Error.prototype);
    ctorFunc.prototype.constructor = ctorFunc;
    return ctorFunc;
  }
  var UnsubscriptionError = createErrorClass(function(_super) {
    return function UnsubscriptionErrorImpl(errors) {
      _super(this);
      this.message = errors ? errors.length + " errors occurred during unsubscription:\n" + errors.map(function(err, i) {
        return i + 1 + ") " + err.toString();
      }).join("\n  ") : "";
      this.name = "UnsubscriptionError";
      this.errors = errors;
    };
  });
  function arrRemove(arr, item) {
    if (arr) {
      var index = arr.indexOf(item);
      0 <= index && arr.splice(index, 1);
    }
  }
  var Subscription = function() {
    function Subscription2(initialTeardown) {
      this.initialTeardown = initialTeardown;
      this.closed = false;
      this._parentage = null;
      this._finalizers = null;
    }
    Subscription2.prototype.unsubscribe = function() {
      var e_1, _a, e_2, _b;
      var errors;
      if (!this.closed) {
        this.closed = true;
        var _parentage = this._parentage;
        if (_parentage) {
          this._parentage = null;
          if (Array.isArray(_parentage)) {
            try {
              for (var _parentage_1 = __values(_parentage), _parentage_1_1 = _parentage_1.next(); !_parentage_1_1.done; _parentage_1_1 = _parentage_1.next()) {
                var parent_1 = _parentage_1_1.value;
                parent_1.remove(this);
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_parentage_1_1 && !_parentage_1_1.done && (_a = _parentage_1.return))
                  _a.call(_parentage_1);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
          } else {
            _parentage.remove(this);
          }
        }
        var initialFinalizer = this.initialTeardown;
        if (isFunction$1(initialFinalizer)) {
          try {
            initialFinalizer();
          } catch (e) {
            errors = e instanceof UnsubscriptionError ? e.errors : [e];
          }
        }
        var _finalizers = this._finalizers;
        if (_finalizers) {
          this._finalizers = null;
          try {
            for (var _finalizers_1 = __values(_finalizers), _finalizers_1_1 = _finalizers_1.next(); !_finalizers_1_1.done; _finalizers_1_1 = _finalizers_1.next()) {
              var finalizer = _finalizers_1_1.value;
              try {
                execFinalizer(finalizer);
              } catch (err) {
                errors = errors !== null && errors !== void 0 ? errors : [];
                if (err instanceof UnsubscriptionError) {
                  errors = __spreadArray(__spreadArray([], __read(errors)), __read(err.errors));
                } else {
                  errors.push(err);
                }
              }
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_finalizers_1_1 && !_finalizers_1_1.done && (_b = _finalizers_1.return))
                _b.call(_finalizers_1);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
        }
        if (errors) {
          throw new UnsubscriptionError(errors);
        }
      }
    };
    Subscription2.prototype.add = function(teardown) {
      var _a;
      if (teardown && teardown !== this) {
        if (this.closed) {
          execFinalizer(teardown);
        } else {
          if (teardown instanceof Subscription2) {
            if (teardown.closed || teardown._hasParent(this)) {
              return;
            }
            teardown._addParent(this);
          }
          (this._finalizers = (_a = this._finalizers) !== null && _a !== void 0 ? _a : []).push(teardown);
        }
      }
    };
    Subscription2.prototype._hasParent = function(parent) {
      var _parentage = this._parentage;
      return _parentage === parent || Array.isArray(_parentage) && _parentage.includes(parent);
    };
    Subscription2.prototype._addParent = function(parent) {
      var _parentage = this._parentage;
      this._parentage = Array.isArray(_parentage) ? (_parentage.push(parent), _parentage) : _parentage ? [_parentage, parent] : parent;
    };
    Subscription2.prototype._removeParent = function(parent) {
      var _parentage = this._parentage;
      if (_parentage === parent) {
        this._parentage = null;
      } else if (Array.isArray(_parentage)) {
        arrRemove(_parentage, parent);
      }
    };
    Subscription2.prototype.remove = function(teardown) {
      var _finalizers = this._finalizers;
      _finalizers && arrRemove(_finalizers, teardown);
      if (teardown instanceof Subscription2) {
        teardown._removeParent(this);
      }
    };
    Subscription2.EMPTY = function() {
      var empty = new Subscription2();
      empty.closed = true;
      return empty;
    }();
    return Subscription2;
  }();
  var EMPTY_SUBSCRIPTION = Subscription.EMPTY;
  function isSubscription(value) {
    return value instanceof Subscription || value && "closed" in value && isFunction$1(value.remove) && isFunction$1(value.add) && isFunction$1(value.unsubscribe);
  }
  function execFinalizer(finalizer) {
    if (isFunction$1(finalizer)) {
      finalizer();
    } else {
      finalizer.unsubscribe();
    }
  }
  var config = {
    onUnhandledError: null,
    onStoppedNotification: null,
    Promise: void 0,
    useDeprecatedSynchronousErrorHandling: false,
    useDeprecatedNextContext: false
  };
  var timeoutProvider = {
    setTimeout: function(handler, timeout) {
      var args = [];
      for (var _i = 2; _i < arguments.length; _i++) {
        args[_i - 2] = arguments[_i];
      }
      var delegate = timeoutProvider.delegate;
      if (delegate === null || delegate === void 0 ? void 0 : delegate.setTimeout) {
        return delegate.setTimeout.apply(delegate, __spreadArray([handler, timeout], __read(args)));
      }
      return setTimeout.apply(void 0, __spreadArray([handler, timeout], __read(args)));
    },
    clearTimeout: function(handle) {
      var delegate = timeoutProvider.delegate;
      return ((delegate === null || delegate === void 0 ? void 0 : delegate.clearTimeout) || clearTimeout)(handle);
    },
    delegate: void 0
  };
  function reportUnhandledError(err) {
    timeoutProvider.setTimeout(function() {
      {
        throw err;
      }
    });
  }
  function noop() {
  }
  function errorContext(cb) {
    {
      cb();
    }
  }
  var Subscriber = function(_super) {
    __extends(Subscriber2, _super);
    function Subscriber2(destination) {
      var _this = _super.call(this) || this;
      _this.isStopped = false;
      if (destination) {
        _this.destination = destination;
        if (isSubscription(destination)) {
          destination.add(_this);
        }
      } else {
        _this.destination = EMPTY_OBSERVER;
      }
      return _this;
    }
    Subscriber2.create = function(next, error, complete) {
      return new SafeSubscriber(next, error, complete);
    };
    Subscriber2.prototype.next = function(value) {
      if (this.isStopped)
        ;
      else {
        this._next(value);
      }
    };
    Subscriber2.prototype.error = function(err) {
      if (this.isStopped)
        ;
      else {
        this.isStopped = true;
        this._error(err);
      }
    };
    Subscriber2.prototype.complete = function() {
      if (this.isStopped)
        ;
      else {
        this.isStopped = true;
        this._complete();
      }
    };
    Subscriber2.prototype.unsubscribe = function() {
      if (!this.closed) {
        this.isStopped = true;
        _super.prototype.unsubscribe.call(this);
        this.destination = null;
      }
    };
    Subscriber2.prototype._next = function(value) {
      this.destination.next(value);
    };
    Subscriber2.prototype._error = function(err) {
      try {
        this.destination.error(err);
      } finally {
        this.unsubscribe();
      }
    };
    Subscriber2.prototype._complete = function() {
      try {
        this.destination.complete();
      } finally {
        this.unsubscribe();
      }
    };
    return Subscriber2;
  }(Subscription);
  var _bind = Function.prototype.bind;
  function bind(fn, thisArg) {
    return _bind.call(fn, thisArg);
  }
  var ConsumerObserver = function() {
    function ConsumerObserver2(partialObserver) {
      this.partialObserver = partialObserver;
    }
    ConsumerObserver2.prototype.next = function(value) {
      var partialObserver = this.partialObserver;
      if (partialObserver.next) {
        try {
          partialObserver.next(value);
        } catch (error) {
          handleUnhandledError(error);
        }
      }
    };
    ConsumerObserver2.prototype.error = function(err) {
      var partialObserver = this.partialObserver;
      if (partialObserver.error) {
        try {
          partialObserver.error(err);
        } catch (error) {
          handleUnhandledError(error);
        }
      } else {
        handleUnhandledError(err);
      }
    };
    ConsumerObserver2.prototype.complete = function() {
      var partialObserver = this.partialObserver;
      if (partialObserver.complete) {
        try {
          partialObserver.complete();
        } catch (error) {
          handleUnhandledError(error);
        }
      }
    };
    return ConsumerObserver2;
  }();
  var SafeSubscriber = function(_super) {
    __extends(SafeSubscriber2, _super);
    function SafeSubscriber2(observerOrNext, error, complete) {
      var _this = _super.call(this) || this;
      var partialObserver;
      if (isFunction$1(observerOrNext) || !observerOrNext) {
        partialObserver = {
          next: observerOrNext !== null && observerOrNext !== void 0 ? observerOrNext : void 0,
          error: error !== null && error !== void 0 ? error : void 0,
          complete: complete !== null && complete !== void 0 ? complete : void 0
        };
      } else {
        var context_1;
        if (_this && config.useDeprecatedNextContext) {
          context_1 = Object.create(observerOrNext);
          context_1.unsubscribe = function() {
            return _this.unsubscribe();
          };
          partialObserver = {
            next: observerOrNext.next && bind(observerOrNext.next, context_1),
            error: observerOrNext.error && bind(observerOrNext.error, context_1),
            complete: observerOrNext.complete && bind(observerOrNext.complete, context_1)
          };
        } else {
          partialObserver = observerOrNext;
        }
      }
      _this.destination = new ConsumerObserver(partialObserver);
      return _this;
    }
    return SafeSubscriber2;
  }(Subscriber);
  function handleUnhandledError(error) {
    {
      reportUnhandledError(error);
    }
  }
  function defaultErrorHandler(err) {
    throw err;
  }
  var EMPTY_OBSERVER = {
    closed: true,
    next: noop,
    error: defaultErrorHandler,
    complete: noop
  };
  var observable = function() {
    return typeof Symbol === "function" && Symbol.observable || "@@observable";
  }();
  function identity(x) {
    return x;
  }
  function pipeFromArray(fns) {
    if (fns.length === 0) {
      return identity;
    }
    if (fns.length === 1) {
      return fns[0];
    }
    return function piped(input) {
      return fns.reduce(function(prev, fn) {
        return fn(prev);
      }, input);
    };
  }
  var Observable = function() {
    function Observable2(subscribe) {
      if (subscribe) {
        this._subscribe = subscribe;
      }
    }
    Observable2.prototype.lift = function(operator) {
      var observable2 = new Observable2();
      observable2.source = this;
      observable2.operator = operator;
      return observable2;
    };
    Observable2.prototype.subscribe = function(observerOrNext, error, complete) {
      var _this = this;
      var subscriber = isSubscriber(observerOrNext) ? observerOrNext : new SafeSubscriber(observerOrNext, error, complete);
      errorContext(function() {
        var _a = _this, operator = _a.operator, source = _a.source;
        subscriber.add(operator ? operator.call(subscriber, source) : source ? _this._subscribe(subscriber) : _this._trySubscribe(subscriber));
      });
      return subscriber;
    };
    Observable2.prototype._trySubscribe = function(sink) {
      try {
        return this._subscribe(sink);
      } catch (err) {
        sink.error(err);
      }
    };
    Observable2.prototype.forEach = function(next, promiseCtor) {
      var _this = this;
      promiseCtor = getPromiseCtor(promiseCtor);
      return new promiseCtor(function(resolve, reject) {
        var subscriber = new SafeSubscriber({
          next: function(value) {
            try {
              next(value);
            } catch (err) {
              reject(err);
              subscriber.unsubscribe();
            }
          },
          error: reject,
          complete: resolve
        });
        _this.subscribe(subscriber);
      });
    };
    Observable2.prototype._subscribe = function(subscriber) {
      var _a;
      return (_a = this.source) === null || _a === void 0 ? void 0 : _a.subscribe(subscriber);
    };
    Observable2.prototype[observable] = function() {
      return this;
    };
    Observable2.prototype.pipe = function() {
      var operations = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        operations[_i] = arguments[_i];
      }
      return pipeFromArray(operations)(this);
    };
    Observable2.prototype.toPromise = function(promiseCtor) {
      var _this = this;
      promiseCtor = getPromiseCtor(promiseCtor);
      return new promiseCtor(function(resolve, reject) {
        var value;
        _this.subscribe(function(x) {
          return value = x;
        }, function(err) {
          return reject(err);
        }, function() {
          return resolve(value);
        });
      });
    };
    Observable2.create = function(subscribe) {
      return new Observable2(subscribe);
    };
    return Observable2;
  }();
  function getPromiseCtor(promiseCtor) {
    var _a;
    return (_a = promiseCtor !== null && promiseCtor !== void 0 ? promiseCtor : config.Promise) !== null && _a !== void 0 ? _a : Promise;
  }
  function isObserver(value) {
    return value && isFunction$1(value.next) && isFunction$1(value.error) && isFunction$1(value.complete);
  }
  function isSubscriber(value) {
    return value && value instanceof Subscriber || isObserver(value) && isSubscription(value);
  }
  var ObjectUnsubscribedError = createErrorClass(function(_super) {
    return function ObjectUnsubscribedErrorImpl() {
      _super(this);
      this.name = "ObjectUnsubscribedError";
      this.message = "object unsubscribed";
    };
  });
  var Subject = function(_super) {
    __extends(Subject2, _super);
    function Subject2() {
      var _this = _super.call(this) || this;
      _this.closed = false;
      _this.currentObservers = null;
      _this.observers = [];
      _this.isStopped = false;
      _this.hasError = false;
      _this.thrownError = null;
      return _this;
    }
    Subject2.prototype.lift = function(operator) {
      var subject = new AnonymousSubject(this, this);
      subject.operator = operator;
      return subject;
    };
    Subject2.prototype._throwIfClosed = function() {
      if (this.closed) {
        throw new ObjectUnsubscribedError();
      }
    };
    Subject2.prototype.next = function(value) {
      var _this = this;
      errorContext(function() {
        var e_1, _a;
        _this._throwIfClosed();
        if (!_this.isStopped) {
          if (!_this.currentObservers) {
            _this.currentObservers = Array.from(_this.observers);
          }
          try {
            for (var _b = __values(_this.currentObservers), _c = _b.next(); !_c.done; _c = _b.next()) {
              var observer = _c.value;
              observer.next(value);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        }
      });
    };
    Subject2.prototype.error = function(err) {
      var _this = this;
      errorContext(function() {
        _this._throwIfClosed();
        if (!_this.isStopped) {
          _this.hasError = _this.isStopped = true;
          _this.thrownError = err;
          var observers = _this.observers;
          while (observers.length) {
            observers.shift().error(err);
          }
        }
      });
    };
    Subject2.prototype.complete = function() {
      var _this = this;
      errorContext(function() {
        _this._throwIfClosed();
        if (!_this.isStopped) {
          _this.isStopped = true;
          var observers = _this.observers;
          while (observers.length) {
            observers.shift().complete();
          }
        }
      });
    };
    Subject2.prototype.unsubscribe = function() {
      this.isStopped = this.closed = true;
      this.observers = this.currentObservers = null;
    };
    Object.defineProperty(Subject2.prototype, "observed", {
      get: function() {
        var _a;
        return ((_a = this.observers) === null || _a === void 0 ? void 0 : _a.length) > 0;
      },
      enumerable: false,
      configurable: true
    });
    Subject2.prototype._trySubscribe = function(subscriber) {
      this._throwIfClosed();
      return _super.prototype._trySubscribe.call(this, subscriber);
    };
    Subject2.prototype._subscribe = function(subscriber) {
      this._throwIfClosed();
      this._checkFinalizedStatuses(subscriber);
      return this._innerSubscribe(subscriber);
    };
    Subject2.prototype._innerSubscribe = function(subscriber) {
      var _this = this;
      var _a = this, hasError = _a.hasError, isStopped = _a.isStopped, observers = _a.observers;
      if (hasError || isStopped) {
        return EMPTY_SUBSCRIPTION;
      }
      this.currentObservers = null;
      observers.push(subscriber);
      return new Subscription(function() {
        _this.currentObservers = null;
        arrRemove(observers, subscriber);
      });
    };
    Subject2.prototype._checkFinalizedStatuses = function(subscriber) {
      var _a = this, hasError = _a.hasError, thrownError = _a.thrownError, isStopped = _a.isStopped;
      if (hasError) {
        subscriber.error(thrownError);
      } else if (isStopped) {
        subscriber.complete();
      }
    };
    Subject2.prototype.asObservable = function() {
      var observable2 = new Observable();
      observable2.source = this;
      return observable2;
    };
    Subject2.create = function(destination, source) {
      return new AnonymousSubject(destination, source);
    };
    return Subject2;
  }(Observable);
  var AnonymousSubject = function(_super) {
    __extends(AnonymousSubject2, _super);
    function AnonymousSubject2(destination, source) {
      var _this = _super.call(this) || this;
      _this.destination = destination;
      _this.source = source;
      return _this;
    }
    AnonymousSubject2.prototype.next = function(value) {
      var _a, _b;
      (_b = (_a = this.destination) === null || _a === void 0 ? void 0 : _a.next) === null || _b === void 0 ? void 0 : _b.call(_a, value);
    };
    AnonymousSubject2.prototype.error = function(err) {
      var _a, _b;
      (_b = (_a = this.destination) === null || _a === void 0 ? void 0 : _a.error) === null || _b === void 0 ? void 0 : _b.call(_a, err);
    };
    AnonymousSubject2.prototype.complete = function() {
      var _a, _b;
      (_b = (_a = this.destination) === null || _a === void 0 ? void 0 : _a.complete) === null || _b === void 0 ? void 0 : _b.call(_a);
    };
    AnonymousSubject2.prototype._subscribe = function(subscriber) {
      var _a, _b;
      return (_b = (_a = this.source) === null || _a === void 0 ? void 0 : _a.subscribe(subscriber)) !== null && _b !== void 0 ? _b : EMPTY_SUBSCRIPTION;
    };
    return AnonymousSubject2;
  }(Subject);
  var BehaviorSubject = function(_super) {
    __extends(BehaviorSubject2, _super);
    function BehaviorSubject2(_value) {
      var _this = _super.call(this) || this;
      _this._value = _value;
      return _this;
    }
    Object.defineProperty(BehaviorSubject2.prototype, "value", {
      get: function() {
        return this.getValue();
      },
      enumerable: false,
      configurable: true
    });
    BehaviorSubject2.prototype._subscribe = function(subscriber) {
      var subscription = _super.prototype._subscribe.call(this, subscriber);
      !subscription.closed && subscriber.next(this._value);
      return subscription;
    };
    BehaviorSubject2.prototype.getValue = function() {
      var _a = this, hasError = _a.hasError, thrownError = _a.thrownError, _value = _a._value;
      if (hasError) {
        throw thrownError;
      }
      this._throwIfClosed();
      return _value;
    };
    BehaviorSubject2.prototype.next = function(value) {
      _super.prototype.next.call(this, this._value = value);
    };
    return BehaviorSubject2;
  }(Subject);
  class ExpressionEventEmitter {
    constructor(changeObserverRegistry) {
      __publicField(this, "onEvent");
      __publicField(this, "events");
      this.changeObserverRegistry = changeObserverRegistry;
      this.events = new Array();
      this.changeObserverRegistry.observers.forEach((observer) => {
        observer.observe((change) => {
          if (this.onEvent && this.onEvent.observers.length > 0) {
            let events = [];
            if (this.events.length > 0) {
              events = [...this.events];
            }
            events.push(change);
            this.events = [];
            this.onEvent.next(events);
          } else {
            this.events.push(change);
          }
        });
      });
    }
    attach() {
      if (!this.onEvent) {
        const events = Array.from(this.events);
        this.events = [];
        this.onEvent = new BehaviorSubject(events);
      }
      return this.onEvent.asObservable();
    }
  }
  class ExpressionContext {
    constructor() {
      __publicField(this, "contexts", {});
      __publicField(this, "arguments", {});
      this.contexts = {};
    }
    set(key, value) {
      this.contexts[key] = value;
    }
    setArgument(key, value) {
      this.arguments[key] = value;
    }
    clear() {
      this.arguments = {};
    }
  }
  class DefaultFunctions {
    constructor(context) {
      __publicField(this, "context");
      this.context = context;
    }
    // 根据链式属性名获取属性值
    GetChainedPropertyValue(chainedPropName) {
      return this.eval(`${chainedPropName};`)();
    }
    GetContextParameter(propertyName) {
      return this.eval(`${propertyName}`)();
    }
    GetSessionValue(propertyName) {
      return this.eval(`${propertyName}`)();
    }
    eval(expr, arg) {
      const contexts = this.context && this.context.contexts || {};
      const args = contexts.arguments || arg || {};
      let signature = "";
      if (Array.isArray(args)) {
        signature = args.join(",");
      } else {
        signature = Object.keys(args).join(",");
      }
      const hasReturnStatement = expr.match(/([\s\r\n{;}]+return)|(^return)\s+/g);
      if (!hasReturnStatement) {
        expr = `return ${expr}`;
      }
      const scopeNames = Object.getOwnPropertyNames(contexts);
      const scopeVariable = `__scope__${(/* @__PURE__ */ new Date()).valueOf()}`;
      return new Function(scopeVariable, `
        ${scopeNames.map((key) => `const ${key} = ${scopeVariable}['${key}'];`).join("\r\n")}
        return function anonymous(${signature}) {
            try{ 
${expr}
 }catch(e){console.error(e);}
        };`)(contexts);
    }
    GetComputeJsonData(chainedPropName, propName) {
      return this.eval(`${chainedPropName}.${propName}`)();
    }
    GetInjectedEntity(name) {
      console.warn(`GetInjectedEntity不支持`);
      return null;
    }
    /**
     * 聚合类函数******************************************************************************************
     */
    // 合计常量值
    Sum(paramArray) {
      let sum = 0;
      for (let i = 0; i < paramArray.length; i++) {
        sum += paramArray[i];
      }
      return sum;
    }
    IncludedInList(value, list) {
      return list.includes(value);
    }
    ExistData(chainedPropName) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        return array && array.length>0 || false;
    `)();
    }
    // 合计常量值
    SumByProp(chainedPropName, propertyName) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var result = array.reduce((total,item)=>{
        var value = DefaultFunction.getPropValue(item,"${propertyName}");
        if(Object.prototype.toString.call(value) === '[object Number]'){
            total = total + value;
        }
        return total;
        },0);
        return result;
    `)();
    }
    CountByProp(chainedPropName, propertyName) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var result = array.reduce((count,item)=>{
        var value = DefaultFunction.getPropValue(item,"${propertyName}");
        if(value!==null && value !== undefined){
            count ++;
        }
        return count;
        },0);
        return result;
    `)();
    }
    AvgByProp(chainedPropName, propertyName) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var result = array.reduce((total,item)=>{
        var value = DefaultFunction.getPropValue(item,"${propertyName}");
        if(Object.prototype.toString.call(value) === '[object Number]'){
            total = total + value;
        }
        return total;
        },0);
        return parseFloat((result/array.length).toFixed(2));
    `)();
    }
    MaxByProp(chainedPropName, propertyName) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var result = array.reduce((max,item)=>{
        var value = DefaultFunction.getPropValue(item,"${propertyName}");
        if(value!==undefined){
            if(Object.prototype.toString.apply(value)!=="[object Number]"){
            console.warn("对象"+JSON.stringify(item) + "中，属性 ${propertyName} 不是数字。");
            }
            max = max>=value?max:value;
        }
        return max;
        },0);
        return result;
    `)();
    }
    MinByProp(chainedPropName, propertyName) {
      return this.eval(`
    var list = ${chainedPropName};
    var array = DefaultFunction.getIterable(list);
    var result = array.reduce((min,item)=>{
      var value = DefaultFunction.getPropValue(item,"${propertyName}");
      if(value!==undefined && value!==null){
        if(Object.prototype.toString.apply(value)!=="[object Number]"){
          console.warn("对象"+JSON.stringify(item) + "中，属性 ${propertyName} 不是数字。");
        }
        min = min<=value?min:value;
      }
      return min;
    },undefined);
    return result;
    `)();
    }
    /**
     * 子表数据数量
     * @param chainedPropName
     */
    CountOfChild(chainedPropName) {
      return this.eval(`
    var list = ${chainedPropName};
    var array = DefaultFunction.getIterable(list);
    return array && array.length || 0;
    `)();
    }
    /**
     * 子表按属性排序
     * @param chainedPropName
     * @param propertyName
     * @param orderType
     * @returns
     */
    SortChildData(chainedPropName, propertyName, orderType) {
      orderType = orderType && (orderType.toLowerCase() === "esc" || orderType.toLowerCase() === "asc") ? "asc" : "desc";
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        if(array){
            array =array.sort(DefaultFunction.comparator(['${propertyName}'],['${orderType}']));
        }
        return array;
    `)();
    }
    /**
     * 子表有无匹配的值
     * @param chainedPropName
     * @param propertyName
     * @param propertyValue
     */
    IsContainMatch(chainedPropName, propertyName, propertyValue) {
      const compare2 = (value) => value === propertyValue;
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var index = array && array.findIndex((item)=>{
        var value = DefaultFunction.getPropValue(item,'${propertyName}');
        return compare(value);
        });
        return index!==-1;
    `, ["compare"])(compare2);
    }
    MinValueOfPeriod(chainedPropName, datePropertyName, valuePropertyName, start, end) {
      if (!this.isValidDate(start) || !this.isValidDate(end)) {
        return null;
      }
      const format2 = "yyyy-MM-dd HH:mm:ss";
      start = this.FormatDefineDate(format2, start);
      end = this.FormatDefineDate(format2, end);
      const condition = function(value, context) {
        if (context.isValidDate(value)) {
          value = context.FormatDefineDate(format2, value);
        }
        return value >= start && value <= end;
      };
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var results = array.filter(item=>{
        var value = DefaultFunction.getPropValue(item,'${datePropertyName}');
        return condition(value,DefaultFunction);
        });

        results = results.sort(DefaultFunction.comparator(['${valuePropertyName}'],['asc']));
        if(results.length){
        return DefaultFunction.getPropValue(results[0],'${valuePropertyName}');
        }else{
        return null;
        }
    `, ["condition"])(condition);
    }
    MaxValueOfPeriod(chainedPropName, datePropertyName, valuePropertyName, start, end) {
      if (!this.isValidDate(start) || !this.isValidDate(end)) {
        return null;
      }
      const format2 = "yyyy-MM-dd HH:mm:ss";
      start = this.FormatDefineDate(format2, start);
      end = this.FormatDefineDate(format2, end);
      const condition = function(value, context) {
        if (context.isValidDate(value)) {
          value = context.FormatDefineDate(format2, value);
        }
        return value >= start && value <= end;
      };
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var results = array.filter(item=>{
        var value = DefaultFunction.getPropValue(item,'${datePropertyName}');
        return condition(value,DefaultFunction);
        });
        results = results.sort(DefaultFunction.comparator(['${valuePropertyName}'],['asc']));
        if(results.length){
        return DefaultFunction.getPropValue(results.pop(),'${valuePropertyName}');
        }else{
        return null;
        }
    `, ["condition"])(condition);
    }
    AvgValueOfPeriod(chainedPropName, datePropertyName, valuePropertyName, start, end) {
      if (!this.isValidDate(start) || !this.isValidDate(end)) {
        return null;
      }
      const format2 = "yyyy-MM-dd HH:mm:ss";
      start = this.FormatDefineDate(format2, start);
      end = this.FormatDefineDate(format2, end);
      const condition = function(value, context) {
        if (context.isValidDate(value)) {
          value = context.FormatDefineDate(format2, value);
        }
        return value >= start && value <= end;
      };
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var results = array.filter(item=>{
        var value = DefaultFunction.getPropValue(item,'${datePropertyName}');
        return condition(value,DefaultFunction);
        });
        results = results.map(item=>{
        return DefaultFunction.getPropValue(item,'${valuePropertyName}');
        });
        if(results.length){
            var total = results.reduce(function(total,current){
            total = total + current;
            return total;
        },0);
        return total / results.length;
        }else{
        return null;
        }
    `, ["condition"])(condition);
    }
    isValidDate(d) {
      if (typeof d === "string") {
        d = new Date(d);
      }
      return d instanceof Date && !isNaN(d.valueOf());
    }
    getIterable(item) {
      if (item && item.hasOwnProperty("__type__") && item.__type__ === "BindingList") {
        return item.toArray() || [];
      }
      if (item && item.hasOwnProperty("__type__") && item.__type__ === "EntityList") {
        return item.items || [];
      }
      if (item && item.hasOwnProperty("__type__") && (item.__type__ === "List" || item.__type__ === "Entity")) {
        return item.__items__ || [];
      }
      if (Object.prototype.toString.apply(item) === "[object Array]") {
        return item;
      }
      return [];
    }
    comparator(props, orders) {
      return (item1, item2) => {
        return props.reduce((result, prop) => {
          if (result === 0) {
            const order = ["asc"].includes(orders[props.indexOf(prop)]) ? 1 : -1;
            let item1Value = this.getPropValue(item1, prop);
            let item2Value = this.getPropValue(item2, prop);
            if (item1Value === null || item1Value === void 0) {
              item1Value = "";
            }
            if (item2Value === null || item2Value === void 0) {
              item2Value = "";
            }
            if (typeof item1Value === "string" && typeof item2Value === "string") {
              const localeCompareResult = item1Value.localeCompare(item2Value);
              result = localeCompareResult * order;
            } else {
              if (item1Value > item2Value) {
                result = order * 1;
              }
              if (item1Value < item2Value) {
                result = order * -1;
              }
            }
          }
          return result;
        }, 0);
      };
    }
    getPropValue(target, prop) {
      const paths = prop.split(".").filter((p) => p);
      return paths && paths.reduce((result, path) => {
        if (result && result.hasOwnProperty(path)) {
          return result[path];
        }
        return void 0;
      }, target);
    }
    isEqual(v1, v2) {
      return v1 === v2;
    }
    hasProp(target, prop) {
      const paths = prop.split(".").filter((p) => p);
      let isPropExist = true;
      if (paths) {
        for (let idx = 0; idx < paths.length; idx++) {
          const path = paths[idx];
          if (!target.hasOwnProperty(path)) {
            isPropExist = false;
            break;
          }
          target = target[path];
        }
      } else {
        isPropExist = false;
      }
      return isPropExist;
    }
    /**
     * 字符串函数**********************************************************************************
     */
    // 取子字符串
    StringSubstring(originalString, startIndex, length) {
      if (!originalString) {
        return originalString;
      }
      return originalString.substr(startIndex, length);
    }
    Length(originalString) {
      return originalString && originalString.hasOwnProperty("length") && originalString.length || 0;
    }
    // 取字符数
    StringLength(originalString) {
      return originalString && originalString.hasOwnProperty("length") && originalString.length || 0;
    }
    // 字符串替换
    StringReplace(originalString, oldValue, newValue) {
      return originalString.replace(new RegExp(oldValue, "g"), newValue);
    }
    // 转为大写
    ToUpper(originalString) {
      if (!originalString) {
        return originalString;
      }
      return originalString.toUpperCase();
    }
    // 转为小写
    ToLower(originalString) {
      if (!originalString) {
        return originalString;
      }
      return originalString.toLowerCase();
    }
    // 返回字符串起始位置
    IndexOf(originalString, value) {
      if (originalString) {
        return originalString.indexOf(value);
      }
      return -1;
    }
    // 返回字符串最后位置
    LastIndexOf(originalString, value) {
      return originalString.lastIndexOf(value);
    }
    // 去除字符串前面空格
    TrimStart(originalString) {
      return originalString && originalString.trimLeft();
    }
    // 去除字符串后面空格*
    TrimEnd(originalString) {
      return originalString && originalString.trimRight();
    }
    // 去除两边的空格
    Trim(originalString) {
      return originalString.trim();
    }
    // 取子字符串
    SubString(originalString, startIndex, length) {
      return this.StringSubstring(originalString, startIndex, length);
    }
    // 取字符数
    GetStringLength(obj) {
      return this.StringLength(obj);
    }
    // 字符串替换
    Replace(originalString, oldValue, newValue) {
      return this.StringReplace(originalString, oldValue, newValue);
    }
    // 唯一标识符
    CreateGuid() {
      let d = (/* @__PURE__ */ new Date()).getTime();
      const uuid = "xxxxxxxxxxxx4xxxyxxxxxxxxxxxxxxx".replace(/[xy]/g, (c) => {
        const r = (d + Math.random() * 16) % 16 | 0;
        d = Math.floor(d / 16);
        return (c === "x" ? r : r & 3 | 8).toString(16);
      });
      return uuid.toUpperCase();
    }
    // 转换为sql..................
    CaseToSql(col) {
      if (col == null || col === "") {
        return "参数为空";
      }
      const parameter = col.split(",");
      if (parameter.length === 0 || parameter.length === 1) {
        return "函数CaseToSql,参数个数不正确";
      }
      let resultSql = " case " + parameter[0];
      let temp = "";
      for (let i = 1; i <= parameter.length; i++) {
        temp = parameter[i].replace("{", "");
        temp = temp.replace("}", "");
        const valueStr = temp.split(",");
        resultSql = resultSql + " when " + valueStr[0] + " then " + valueStr[1];
      }
      resultSql += "end ";
      return resultSql;
    }
    // 判断是否为空字符串
    IsNullEmpty(str) {
      if (str !== null && str !== "") {
        return true;
      }
      return false;
    }
    // 2---10字符串相加............
    Add(...str) {
      let strTem = "";
      for (let i = 0; i < str.length; i++) {
        strTem += str[i];
      }
      return strTem;
    }
    /**
     * 转化类函数*****************************************************************************************
     */
    // 转为8位无符号整数
    ToByte(obj) {
      return obj >> 0;
    }
    // 转为字符串
    ToStringX(obj) {
      if (obj === null || obj === void 0) {
        return obj;
      }
      if (typeof obj === "string") {
        return obj;
      }
      return JSON.stringify(obj);
    }
    // 转为日期时间
    ToDateTime(obj) {
      return new Date(obj);
    }
    // 转为布尔值
    ToBoolean(obj) {
      if (obj === null || obj === void 0) {
        return obj;
      }
      if (typeof obj === "boolean") {
        return obj;
      }
      if (typeof obj === "string") {
        return obj.toLowerCase() === "true";
      }
      return !!obj;
    }
    // 转为数值
    ToDecimal(obj) {
      return Number(obj);
    }
    ToBigDecimal(value) {
      if (value === void 0) {
        return 0;
      }
      return Number(value);
    }
    ToCustomBigDecimal(value, fractionDigits = 2) {
      if (value === void 0) {
        return 0;
      }
      return Number(value).toFixed(fractionDigits);
    }
    // 转为双精度浮点数
    ToDouble(obj) {
      return Number(obj);
    }
    // 转为单精度浮点数
    ToFloat(obj) {
      return Number(obj);
    }
    // 转为integer整数
    ToInt16(obj) {
      return parseInt(obj);
    }
    ToInt32(obj) {
      return parseInt(obj);
    }
    // 转为中文大写金额
    ToChineseMoney(money) {
      const cnNums = ["零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖"];
      const cnIntRadice = ["", "拾", "佰", "仟"];
      const cnIntUnits = ["", "万", "亿", "兆"];
      const cnDecUnits = ["角", "分", "毫", "厘"];
      const cnInteger = "整";
      const cnIntLast = "元";
      const maxNum = 1e15;
      let integerNum;
      let decimalNum;
      let chineseStr = "";
      let parts;
      if (money >= maxNum) {
        return "";
      }
      if (money == 0) {
        chineseStr = cnNums[0] + cnIntLast + cnInteger;
        return chineseStr;
      }
      const moneyStr = money.toString();
      if (moneyStr.indexOf(".") === -1) {
        integerNum = moneyStr;
        decimalNum = "";
      } else {
        parts = moneyStr.split(".");
        integerNum = parts[0];
        decimalNum = parts[1].substr(0, 4);
      }
      if (parseInt(integerNum, 10) > 0) {
        let zeroCount = 0;
        const IntLen = integerNum.length;
        for (let i = 0; i < IntLen; i++) {
          const n = integerNum.substr(i, 1);
          const p = IntLen - i - 1;
          const q = p / 4;
          const m = p % 4;
          if (n === "0") {
            zeroCount++;
          } else {
            if (zeroCount > 0) {
              chineseStr += cnNums[0];
            }
            zeroCount = 0;
            chineseStr += cnNums[parseInt(n)] + cnIntRadice[m];
          }
          if (m === 0 && zeroCount < 4) {
            chineseStr += cnIntUnits[q];
          }
        }
        chineseStr += cnIntLast;
      }
      if (decimalNum !== "") {
        const decLen = decimalNum.length;
        for (let i = 0; i < decLen; i++) {
          const n = decimalNum.substr(i, 1);
          if (n !== "0") {
            chineseStr += cnNums[Number(n)] + cnDecUnits[i];
          }
        }
      }
      if (chineseStr === "") {
        chineseStr += cnNums[0] + cnIntLast + cnInteger;
      } else if (decimalNum === "") {
        chineseStr += cnInteger;
      }
      return chineseStr;
    }
    /**
     * 判断函数****************************************************************************8
     */
    // 是空值
    IsNull(obj) {
      return obj === null;
    }
    // 是空串
    IsNullOrWhiteSpace(obj) {
      if (obj === null || obj === "" || obj && obj.trim() === "") {
        return true;
      }
      return false;
    }
    // 是非数字
    IsNaN(obj) {
      return isNaN(Number(obj));
    }
    // 是数字
    IsNumber(obj) {
      return !isNaN(Number(obj));
    }
    /**
     * 数学类函数***************************************************************************************************
     */
    // sin函数
    sin(value) {
      return Math.sin(value);
    }
    // cos函数
    cos(value) {
      return Math.cos(value);
    }
    // round函数
    random(value) {
      return Math.random();
    }
    // ceiling函数
    ceil(value) {
      return Math.ceil(value);
    }
    // abs函数
    abs(value) {
      return Math.abs(value);
    }
    floor(value) {
      return Math.floor(value);
    }
    // 四舍五入
    round(value, digits) {
      return Math.round(value * 10 ** digits) / 10 ** digits;
    }
    // 银行家算法舍入.............
    bankerRound(value, num) {
      if (typeof value !== "number") {
        return void 0;
      }
      return value.toFixed(num);
    }
    /**
     * 身份证函数**************************************************************************************************
     */
    // 根据身份证号获取生日字符串
    GetBirthday(idCard) {
      const ret = this.IsIDcard(idCard);
      if (!ret) {
        return null;
      }
      let birthdayValue = "";
      if (idCard.length === 15) {
        birthdayValue = idCard.substring(6, 8);
        if (Number(birthdayValue) < 10) {
          birthdayValue = "20" + birthdayValue;
        } else {
          birthdayValue = "19" + birthdayValue;
        }
        birthdayValue = birthdayValue + "-" + idCard.substring(8, 10) + "-" + idCard.substring(10, 12);
      } else if (idCard.length === 18) {
        return idCard.substr(6, 4) + "-" + idCard.substr(10, 2) + "-" + idCard.substr(12, 2);
      }
      return birthdayValue;
    }
    // 根据身份证号获取年龄
    GetAge(idCard) {
      if (!idCard) {
        return;
      }
      const birthDay = this.GetBirthday(idCard);
      if (birthDay == null || birthDay === "") {
        return -1;
      }
      const birthDate = new Date(birthDay.replace(/-/g, "/"));
      const nowDate = /* @__PURE__ */ new Date();
      let age = nowDate.getFullYear() - birthDate.getFullYear();
      if (nowDate.getMonth() < birthDate.getMonth() || nowDate.getMonth() === birthDate.getMonth() && nowDate.getDate() < birthDate.getDate()) {
        age--;
      }
      return age;
    }
    // 根据身份证号返回与当前语言对应的男、女字符串
    GetSex(idCard) {
      if (this.IsIDcard(idCard) === false) {
        return null;
      }
      let strSex = "";
      if (idCard.length === 18) {
        strSex = idCard.substring(14, 17);
      } else if (idCard.length === 15) {
        strSex = idCard.substring(12, 15);
      }
      if (Number(strSex) % 2 === 0) {
        strSex = "女";
      } else {
        strSex = "男";
      }
      return strSex;
    }
    // 验证身份证号.
    IsIDcard(idcard) {
      const regularExpression = /(^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$|^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$)|([1-9][0-9]{5}[0-9]{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)[0-9]{3})/;
      return regularExpression.test(idcard);
    }
    /**
     * 日期型函数******************************************************************************************************
     */
    // 增加指定的天数
    DateTimeAddDays(date, value) {
      if (!date) {
        return date;
      }
      const tempDate = new Date(date.replace(/-/g, "/"));
      tempDate.setDate(tempDate.getDate() + value);
      return tempDate;
    }
    // 增加指定的月数
    DateTimeAddMonths(date, value) {
      if (!date) {
        return date;
      }
      const tempDate = new Date(date.replace(/-/g, "/"));
      tempDate.setMonth(tempDate.getMonth() + value);
      return tempDate;
    }
    // 增加指定的年数
    DateTimeAddYears(date, value) {
      if (!date) {
        return date;
      }
      const tempDate = new Date(date.replace(/-/g, "/"));
      tempDate.setFullYear(tempDate.getFullYear() + value);
      return tempDate;
    }
    // 取指定日期时间值所在月的第一天
    GetFirstDayOfMonth(date) {
      if (!date) {
        return date;
      }
      const tempDate = new Date(date.replace(/-/g, "/"));
      tempDate.setDate(1);
      tempDate.setHours(0, 0, 0, 0);
      return this.FormatDefineDate("yyyy-MM-dd", tempDate);
    }
    // 获取指定日期时间值所在月的最后一天
    GetLastDayOfMonth(date) {
      if (!date) {
        return date;
      }
      const endDate = new Date(date.replace(/-/g, "/"));
      let month = endDate.getMonth();
      const nextMonth = ++month;
      const nextMonthFirstDay = new Date(endDate.getFullYear(), nextMonth, 1);
      const oneDay = 1e3 * 60 * 60 * 24;
      return this.FormatDefineDate("yyyy-MM-dd", new Date(Number(nextMonthFirstDay) - oneDay));
    }
    // 获取当前日期时间
    GetDateTimeNow() {
      return this.FormatDate("yyyy-MM-dd HH:mm:ss");
    }
    // 比较2个时间
    CompareDate(str1, str2) {
      if (!str1 || !str2) {
        return;
      }
      const tempDate1 = new Date(str1.replace(/-/g, "/"));
      const tempDate2 = new Date(str2.replace(/-/g, "/"));
      if (tempDate1.getTime() > tempDate2.getTime()) {
        return 1;
      }
      if (tempDate1.getTime() === tempDate2.getTime()) {
        return 0;
      }
      if (tempDate1.getTime() < tempDate2.getTime()) {
        return -1;
      }
    }
    // 格式化当前日期
    FormatDate(format2) {
      format2 = format2 || "yyyy-MM-dd";
      return this.FormatDefineDate(format2, /* @__PURE__ */ new Date());
    }
    // 格式化指定日期
    FormatDefineDate(format2, datesStr = null) {
      let dates;
      if (!datesStr) {
        dates = /* @__PURE__ */ new Date();
      } else if (typeof datesStr === "string") {
        dates = new Date(datesStr.replace(/-/g, "/"));
      } else if (Object.prototype.toString.call(datesStr) === "[object Date]") {
        dates = datesStr;
      } else {
        console.error("日期参数仅支持日期字符串或日期对象");
        return null;
      }
      const o = {
        "M+": dates.getMonth() + 1,
        // 月份
        "d+": dates.getDate(),
        // 日
        "H+": dates.getHours(),
        // 小时
        "m+": dates.getMinutes(),
        // 分
        "s+": dates.getSeconds(),
        // 秒
        "q+": Math.floor((dates.getMonth() + 3) / 3),
        // 季度
        "S": dates.getMilliseconds()
        // 毫秒
      };
      if (/(y+)/.test(format2)) {
        format2 = format2.replace(RegExp.$1, (dates.getFullYear() + "").substr(4 - RegExp.$1.length));
      }
      Object.keys(o).forEach((key) => {
        if (new RegExp("(" + key + ")").test(format2)) {
          const value = o[key];
          format2 = format2.replace(RegExp.$1, RegExp.$1.length === 1 ? value.toString() : ("00" + value).substr(("" + value).length));
        }
      });
      return format2;
    }
    // 今天
    Today(date = null) {
      if (!date) {
        const day2 = /* @__PURE__ */ new Date();
        return this.FormatDefineDate("yyyy-MM-dd", day2);
      }
      const dd = new Date(date);
      return this.FormatDefineDate("yyyy-MM-dd", dd);
    }
    // 昨天
    Yesterday(date = null) {
      if (!date) {
        const day1 = /* @__PURE__ */ new Date();
        day1.setTime(day1.getTime() - 24 * 60 * 60 * 1e3);
        return this.FormatDefineDate("yyyy-MM-dd", day1);
      }
      const dd = new Date(date);
      dd.setDate(dd.getDate() - 1);
      return this.FormatDefineDate("yyyy-MM-dd", dd);
    }
    // 明天
    Tomorrow(date = null) {
      if (!date) {
        const dd2 = /* @__PURE__ */ new Date();
        dd2.setDate(dd2.getDate() + 1);
        return this.FormatDefineDate("yyyy-MM-dd", dd2);
      }
      const dd = new Date(date);
      dd.setDate(dd.getDate() + 1);
      return this.FormatDefineDate("yyyy-MM-dd", dd);
    }
    // 本年
    ThisYear(date = null) {
      if (!date) {
        const dd2 = /* @__PURE__ */ new Date();
        dd2.setFullYear(dd2.getFullYear());
        return dd2.getFullYear() + "";
      }
      const dd = new Date(date);
      dd.setFullYear(dd.getFullYear());
      return dd.getFullYear() + "";
    }
    // 去年
    LastYear(date = null) {
      if (!date) {
        const dd2 = /* @__PURE__ */ new Date();
        dd2.setFullYear(dd2.getFullYear() - 1);
        return dd2.getFullYear() + "";
      }
      const dd = new Date(date);
      dd.setFullYear(dd.getFullYear() - 1);
      return dd.getFullYear() + "";
    }
    // 明年
    NextYear(date = null) {
      let dd = /* @__PURE__ */ new Date();
      if (date) {
        dd = new Date(date);
      }
      return dd.getFullYear() + 1 + "";
    }
    // 本月
    ThisMonth(date = null) {
      let dd = /* @__PURE__ */ new Date();
      if (date) {
        dd = new Date(date);
      }
      return dd.getMonth() + 1 + "";
    }
    // 上月
    LastMonth(date = null) {
      let dd = /* @__PURE__ */ new Date();
      if (date) {
        dd = new Date(date);
      }
      const currentMonth = dd.getMonth() + 1;
      let lastMonth = currentMonth - 1;
      if (currentMonth === 1) {
        lastMonth = 12;
      }
      return lastMonth.toString();
    }
    // 下月
    NextMonth(date = null) {
      let dd = /* @__PURE__ */ new Date();
      if (date) {
        dd = new Date(date);
      }
      const currentMonth = dd.getMonth() + 1;
      let nextMonth = currentMonth + 1;
      if (currentMonth === 12) {
        nextMonth = 1;
      }
      return nextMonth.toString();
    }
    // 星期几
    DayOfWeek(date = null) {
      let dd = /* @__PURE__ */ new Date();
      if (date) {
        dd = new Date(date);
      }
      return dd.getDay().toString();
    }
    isLeapYear(year) {
      return year % 400 === 0 || year % 4 === 0 && year % 100 !== 0;
    }
    getMonthDays(year, month) {
      if (typeof month === "string") {
        month = parseInt(month, 10);
      }
      return [31, null, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31][month] || (this.isLeapYear(year) ? 29 : 28);
    }
    // 本周是第几周
    ThisWeek(date = null) {
      let dd;
      let year;
      if (!date) {
        dd = /* @__PURE__ */ new Date();
        year = dd.getFullYear();
        dd.getMonth();
        dd.getDate();
      } else {
        dd = new Date(date);
        year = dd.getFullYear();
        dd.getMonth();
        dd.getDate();
      }
      const timestamp = dd.getTime();
      const firstDayOfYear = new Date(year, 0, 1);
      const firstDayOfWeek = firstDayOfYear.getDay();
      const firstWeekStart = firstDayOfYear.getTime() - firstDayOfWeek * 24 * 60 * 60 * 1e3;
      const daysSinceFirstWeekStart = Math.floor((timestamp - firstWeekStart) / (24 * 60 * 60 * 1e3));
      const weekNumber = Math.ceil((daysSinceFirstWeekStart + 1) / 7);
      return weekNumber;
    }
    // 上周
    LastWeek(date = null) {
      return Number(this.ThisWeek(date)) - 1 + "";
    }
    // 下周
    NextWeek(date = null) {
      return Number(this.ThisWeek(date)) + 1 + "";
    }
    // 本周第一天
    FirstDayOfWeek(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const week2 = currentDate2.getDay();
        const millisecond2 = 1e3 * 60 * 60 * 24;
        const minusDay2 = week2 !== 0 ? week2 - 1 : 6;
        const monday2 = new Date(currentDate2.getTime() - minusDay2 * millisecond2);
        return this.FormatDefineDate("yyyy-MM-dd", monday2);
      }
      const currentDate = new Date(date);
      const week = currentDate.getDay();
      const millisecond = 1e3 * 60 * 60 * 24;
      const minusDay = week !== 0 ? week - 1 : 6;
      const monday = new Date(currentDate.getTime() - minusDay * millisecond);
      return this.FormatDefineDate("yyyy-MM-dd", monday);
    }
    // 本周最后一天
    LastDayOfWeek(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const week2 = currentDate2.getDay();
        const millisecond2 = 1e3 * 60 * 60 * 24;
        const minusDay2 = week2 !== 0 ? week2 - 1 : 6;
        const monday2 = new Date(currentDate2.getTime() - minusDay2 * millisecond2);
        const sunday2 = new Date(monday2.getTime() + 6 * millisecond2);
        return this.FormatDefineDate("yyyy-MM-dd", sunday2);
      }
      const currentDate = new Date(date);
      const week = currentDate.getDay();
      const millisecond = 1e3 * 60 * 60 * 24;
      const minusDay = week !== 0 ? week - 1 : 6;
      const monday = new Date(currentDate.getTime() - minusDay * millisecond);
      const sunday = new Date(monday.getTime() + 6 * millisecond);
      return this.FormatDefineDate("yyyy-MM-dd", sunday);
    }
    // 上周第一天
    FirstDayOfLastWeek(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const week2 = currentDate2.getDay();
        const millisecond2 = 1e3 * 60 * 60 * 24;
        const minusDay2 = week2 !== 0 ? week2 - 1 : 6;
        const monday2 = new Date(currentDate2.getTime() - minusDay2 * millisecond2);
        monday2.setDate(monday2.getDate() - 7);
        return this.FormatDefineDate("yyyy-MM-dd", monday2);
      }
      const currentDate = new Date(date);
      const week = currentDate.getDay();
      const millisecond = 1e3 * 60 * 60 * 24;
      const minusDay = week !== 0 ? week - 1 : 6;
      const monday = new Date(currentDate.getTime() - minusDay * millisecond);
      monday.setDate(monday.getDate() - 7);
      return this.FormatDefineDate("yyyy-MM-dd", monday);
    }
    // 上周最后一天
    LastDayOfLastWeek(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const week2 = currentDate2.getDay();
        const millisecond2 = 1e3 * 60 * 60 * 24;
        const minusDay2 = week2 !== 0 ? week2 - 1 : 6;
        const monday2 = new Date(currentDate2.getTime() - minusDay2 * millisecond2);
        const sunday2 = new Date(monday2.getTime() + 6 * millisecond2);
        sunday2.setDate(sunday2.getDate() - 7);
        return this.FormatDefineDate("yyyy-MM-dd", sunday2);
      }
      const currentDate = new Date(date);
      const week = currentDate.getDay();
      const millisecond = 1e3 * 60 * 60 * 24;
      const minusDay = week !== 0 ? week - 1 : 6;
      const monday = new Date(currentDate.getTime() - minusDay * millisecond);
      const sunday = new Date(monday.getTime() + 6 * millisecond);
      sunday.setDate(sunday.getDate() - 7);
      return this.FormatDefineDate("yyyy-MM-dd", sunday);
    }
    // 下周第一天
    FirstDayOfNextWeek(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const week2 = currentDate2.getDay();
        const millisecond2 = 1e3 * 60 * 60 * 24;
        const minusDay2 = week2 !== 0 ? week2 - 1 : 6;
        const monday2 = new Date(currentDate2.getTime() - minusDay2 * millisecond2);
        monday2.setDate(monday2.getDate() + 7);
        return this.FormatDefineDate("yyyy-MM-dd", monday2);
      }
      const currentDate = new Date(date);
      const week = currentDate.getDay();
      const millisecond = 1e3 * 60 * 60 * 24;
      const minusDay = week !== 0 ? week - 1 : 6;
      const monday = new Date(currentDate.getTime() - minusDay * millisecond);
      monday.setDate(monday.getDate() + 7);
      return this.FormatDefineDate("yyyy-MM-dd", monday);
    }
    // 下周最后一天
    LastDayOfNextWeek(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const week2 = currentDate2.getDay();
        const millisecond2 = 1e3 * 60 * 60 * 24;
        const minusDay2 = week2 !== 0 ? week2 - 1 : 6;
        const monday2 = new Date(currentDate2.getTime() - minusDay2 * millisecond2);
        const sunday2 = new Date(monday2.getTime() + 6 * millisecond2);
        sunday2.setDate(sunday2.getDate() + 7);
        return this.FormatDefineDate("yyyy-MM-dd", sunday2);
      }
      const currentDate = new Date(date);
      const week = currentDate.getDay();
      const millisecond = 1e3 * 60 * 60 * 24;
      const minusDay = week !== 0 ? week - 1 : 6;
      const monday = new Date(currentDate.getTime() - minusDay * millisecond);
      const sunday = new Date(monday.getTime() + 6 * millisecond);
      sunday.setDate(sunday.getDate() + 7);
      return this.FormatDefineDate("yyyy-MM-dd", sunday);
    }
    // 本月第一天
    FirstDayOfMonth(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const currentMonth2 = currentDate2.getMonth();
        const currentYear2 = currentDate2.getFullYear();
        const firstDay2 = new Date(currentYear2, currentMonth2, 1, 0, 0, 0, 0);
        return this.FormatDefineDate("yyyy-MM-dd", firstDay2);
      }
      const currentDate = new Date(date);
      const currentMonth = currentDate.getMonth();
      const currentYear = currentDate.getFullYear();
      const firstDay = new Date(currentYear, currentMonth, 1, 0, 0, 0, 0);
      return this.FormatDefineDate("yyyy-MM-dd", firstDay);
    }
    // 本月最后一天
    LastDayOfMonth(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const fullYear2 = currentDate2.getFullYear();
        const month2 = currentDate2.getMonth() + 1;
        const endOfMonth2 = new Date(fullYear2, month2, 0);
        return this.FormatDefineDate("yyyy-MM-dd", endOfMonth2);
      }
      const currentDate = new Date(date);
      const fullYear = currentDate.getFullYear();
      const month = currentDate.getMonth() + 1;
      const endOfMonth = new Date(fullYear, month, 0);
      return this.FormatDefineDate("yyyy-MM-dd", endOfMonth);
    }
    // 上月第一天
    FirstDayOfLastMonth(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const currentMonth2 = currentDate2.getMonth();
        const currentYear2 = currentDate2.getFullYear();
        const firstDay2 = new Date(currentYear2, currentMonth2, 1);
        firstDay2.setMonth(firstDay2.getMonth());
        return this.FormatDefineDate("yyyy-MM-dd", firstDay2);
      }
      const currentDate = new Date(date);
      const currentMonth = currentDate.getMonth();
      const currentYear = currentDate.getFullYear();
      const firstDay = new Date(currentYear, currentMonth, 1);
      firstDay.setMonth(firstDay.getMonth());
      return this.FormatDefineDate("yyyy-MM-dd", firstDay);
    }
    // 上月最后一天
    LastDayOfLastMonth(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const fullYear2 = currentDate2.getFullYear();
        const month2 = currentDate2.getMonth() + 1;
        const endOfMonth2 = new Date(fullYear2, month2, 0);
        endOfMonth2.setMonth(endOfMonth2.getMonth());
        return this.FormatDefineDate("yyyy-MM-dd", endOfMonth2);
      }
      const currentDate = new Date(date);
      const fullYear = currentDate.getFullYear();
      const month = currentDate.getMonth() + 1;
      const endOfMonth = new Date(fullYear, month, 0);
      endOfMonth.setMonth(endOfMonth.getMonth());
      return this.FormatDefineDate("yyyy-MM-dd", endOfMonth);
    }
    // 下月第一天
    FirstDayOfNextMonth(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const currentMonth2 = currentDate2.getMonth();
        const currentYear2 = currentDate2.getFullYear();
        const firstDay2 = new Date(currentYear2, currentMonth2, 1);
        firstDay2.setMonth(firstDay2.getMonth() + 1);
        return this.FormatDefineDate("yyyy-MM-dd", firstDay2);
      }
      const currentDate = new Date(date);
      const currentMonth = currentDate.getMonth();
      const currentYear = currentDate.getFullYear();
      const firstDay = new Date(currentYear, currentMonth, 1);
      firstDay.setMonth(firstDay.getMonth() + 1);
      return this.FormatDefineDate("yyyy-MM-dd", firstDay);
    }
    // 下月最后一天
    LastDayOfNextMonth(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        const fullYear2 = currentDate2.getFullYear();
        const month2 = currentDate2.getMonth() + 2;
        const endOfMonth2 = new Date(fullYear2, month2, 0);
        return this.FormatDefineDate("yyyy-MM-dd", endOfMonth2);
      }
      const currentDate = new Date(date);
      const fullYear = currentDate.getFullYear();
      const month = currentDate.getMonth() + 2;
      const endOfMonth = new Date(fullYear, month, 0);
      return this.FormatDefineDate("yyyy-MM-dd", endOfMonth);
    }
    // 本年第一天
    FirstDayOfYear(date = null) {
      if (!date) {
        const currentDate2 = /* @__PURE__ */ new Date();
        currentDate2.setDate(1);
        currentDate2.setMonth(0);
        return this.FormatDefineDate("yyyy-MM-dd", currentDate2);
      }
      const currentDate = new Date(date);
      currentDate.setDate(1);
      currentDate.setMonth(0);
      return this.FormatDefineDate("yyyy-MM-dd", currentDate);
    }
    // 本年最后一天
    LastDayOfYear(date = null) {
      let dd = /* @__PURE__ */ new Date();
      if (date) {
        dd = new Date(date);
      }
      const currentDate = dd;
      const nextYear = currentDate.getFullYear() + 1;
      const nextDate = new Date(nextYear, 0, 1, 0, 0, 0, 0);
      const lastDay = nextDate.getTime() - 24 * 3600 * 1e3;
      return this.FormatDefineDate("yyyy-MM-dd", new Date(lastDay));
    }
    // 上年第一天
    FirstDayOfLastYear(date = null) {
      let currentDate = /* @__PURE__ */ new Date();
      if (date) {
        currentDate = new Date(date);
      }
      currentDate.setFullYear(currentDate.getFullYear() - 1);
      currentDate.setDate(1);
      currentDate.setMonth(0);
      return this.FormatDefineDate("yyyy-MM-dd", currentDate);
    }
    // 上年最后一天
    LastDayOfLastYear(date = null) {
      let currentDate = /* @__PURE__ */ new Date();
      if (date) {
        currentDate = new Date(date);
      }
      const currentYear = currentDate.getFullYear();
      const firstDayOfThisYear = new Date(currentYear, 0, 1, 0, 0, 0, 0);
      const lastDayOfLastYear = firstDayOfThisYear.getTime() - 24 * 3600 * 1e3;
      return this.FormatDefineDate("yyyy-MM-dd", new Date(lastDayOfLastYear));
    }
    // 下年第一天
    FirstDayOfNextYear(date = null) {
      let currentDate = /* @__PURE__ */ new Date();
      if (date) {
        currentDate = new Date(date);
      }
      currentDate.setFullYear(currentDate.getFullYear() + 1);
      currentDate.setDate(1);
      currentDate.setMonth(0);
      return this.FormatDefineDate("yyyy-MM-dd", currentDate);
    }
    // 下年最后一天
    LastDayOfNextYear(date = null) {
      let currentDate = /* @__PURE__ */ new Date();
      if (date) {
        currentDate = new Date(date);
      }
      const nextNextYear = new Date(currentDate.getFullYear() + 2, 0, 1, 0, 0, 0, 0);
      const lastDayOfNextYearTime = nextNextYear.getTime() - 24 * 3600 * 1e3;
      return this.FormatDefineDate("yyyy-MM-dd", new Date(lastDayOfNextYearTime));
    }
    // 根据指定日期获取格式化的内容
    GetDate(format2, date = null) {
      switch (format2) {
        case "DD":
          return this.Today(date);
        case "LD":
          return this.Yesterday(date);
        case "ND":
          return this.Tomorrow(date);
        case "YY":
          return this.ThisYear(date);
        case "LY":
          return this.LastYear(date);
        case "NY":
          return this.NextYear(date);
        case "MM":
          return this.ThisMonth(date);
        case "LM":
          return this.LastMonth(date);
        case "NM":
          return this.NextMonth(date);
        case "WD":
          return this.DayOfWeek(date);
        case "WW":
          return this.ThisWeek(date);
        case "LW":
          return this.LastWeek(date);
        case "NW":
          return this.NextWeek(date);
        case "FDW":
          return this.FirstDayOfWeek(date);
        case "LDW":
          return this.LastDayOfWeek(date);
        case "FDLW":
          return this.FirstDayOfLastWeek(date);
        case "LDLW":
          return this.LastDayOfLastWeek(date);
        case "FDNW":
          return this.FirstDayOfNextWeek(date);
        case "LDNW":
          return this.LastDayOfNextWeek(date);
        case "FDM":
          return this.FirstDayOfMonth(date);
        case "LDM":
          return this.LastDayOfMonth(date);
        case "FDLM":
          return this.FirstDayOfLastMonth(date);
        case "LDLM":
          return this.LastDayOfLastMonth(date);
        case "FDNM":
          return this.FirstDayOfNextMonth(date);
        case "LDNM":
          return this.LastDayOfNextMonth(date);
        case "FDY":
          return this.FirstDayOfYear(date);
        case "LDY":
          return this.LastDayOfYear(date);
        case "FDLY":
          return this.FirstDayOfLastYear(date);
        case "LDLY":
          return this.LastDayOfLastYear(date);
        case "FDNY":
          return this.FirstDayOfNextYear(date);
        case "LDNY":
          return this.LastDayOfNextYear(date);
        default:
          return date;
      }
    }
    /**
     * 计算日期2与日期1直接相差的天数
     * @param date1 日期1
     * @param date2 日期2
     * @description 当两个日期中有一个为空时，则不计算，返回null。
     * 该函数是时间差中的一个实现，只返回差的天数，如果差的天数不足一天，则返回0
     */
    DayDifference(date1, date2) {
      if (!date1 || !date2) {
        return null;
      }
      date1 = date1.replace(/-/g, "/");
      date2 = date2.replace(/-/g, "/");
      const dateTime1 = new Date(date1);
      const dateTime2 = new Date(date2);
      if (!this.isValidDate(dateTime1) || !this.isValidDate(dateTime2)) {
        return null;
      }
      const days = parseInt(String((dateTime2.valueOf() - dateTime1.valueOf()) / (24 * 3600 * 1e3)));
      return days;
    }
    // List中是否存在等于字符串
    IsExistRecord(chainedPropName, propertyName, matchValue) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        return array.find(item=>item["${propertyName}"] === ${matchValue})==null?false:true;
    `)();
    }
    // List中是否存在等于字符串
    ListContains(chainedPropName, propertyName, matchValue) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        return !array.find(item=> item.hasOwnProperty("${propertyName}") && item["${propertyName}"].toString().indexOf("${matchValue}")!==-1)?false:true;
    `)();
    }
    // List中是否存在大于
    ListGreaterThan(chainedPropName, propertyName, matchValue) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        return !array.find(item=> item.hasOwnProperty("${propertyName}") && item["${propertyName}"] > ${matchValue}) ? false: true;
    `)();
    }
    // List中是否存在小于
    ListLessThan(chainedPropName, propertyName, matchValue) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        return !array.find(item=> item.hasOwnProperty("${propertyName}") && item["${propertyName}"] < ${matchValue}) ? false: true;
    `)();
    }
    // List中是否存在开头是指定字符串
    ListStartWith(chainedPropName, propertyName, matchValue) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        return !array.find(item=> item.hasOwnProperty("${propertyName}") && item["${propertyName}"] && item["${propertyName}"].toString().startsWith("${matchValue}")) ? false: true;
    `)();
    }
    // List中是否存在结尾是指定字符串
    ListEndWith(chainedPropName, propertyName, matchValue) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        return !array.find(item=> item.hasOwnProperty("${propertyName}") && item["${propertyName}"] && item["${propertyName}"].toString().endsWith("${matchValue}")) ? false: true;
    `)();
    }
    // 字符串包含
    getComputeJsonData(chainedPropName, propertyName) {
      throw new Error("Method not implemented.");
    }
    // 字符串包含
    Contains(originalString, matchString) {
      if (!originalString || matchString == null) {
        return false;
      }
      return originalString.indexOf(matchString) !== -1;
    }
    // 字符串不包含
    NotContains(originalString, matchString) {
      if (originalString == null || matchString == null) {
        return false;
      }
      return !(originalString.indexOf(matchString) !== -1);
    }
    // 字符串开头是
    StartsWith(originalString, matchString) {
      if (originalString == null || matchString == null) {
        return false;
      }
      return originalString.startsWith(matchString);
    }
    // 字符串开头不是
    NotStartsWith(originalString, matchString) {
      if (originalString == null || matchString == null) {
        return false;
      }
      return !originalString.startsWith(matchString);
    }
    // 字符串结尾是
    EndsWith(originalString, matchString) {
      if (originalString == null || matchString == null) {
        return false;
      }
      return originalString.endsWith(matchString);
    }
    // 字符串结尾不是
    NotEndsWith(originalString, matchString) {
      if (originalString == null || matchString == null) {
        return false;
      }
      return !originalString.endsWith(matchString);
    }
    // 去除字符串中被字符c分隔的首字符串
    trimStart(s, c) {
      if (s == null || s === "" || s.indexOf(c) < 0) {
        return s;
      }
      const startPos = s.indexOf(c);
      s = s.substring(startPos + 1);
      return s;
    }
    // 去除字符串中被字符c分隔的尾字符串
    trimEnd(s, c) {
      if (s === null || s === "" || s === void 0 || s.indexOf(c) < 0) {
        return s;
      }
      const lastPos = s.lastIndexOf(c);
      if (lastPos >= 0) {
        s = s.substring(0, lastPos);
      }
      return s;
    }
    // 去除字符串中被字符c分隔的首、尾字符串
    trimStartEnd(s, c) {
      return this.trimEnd(this.trimStart(s, c), c);
    }
    MultiplyChildNumber(chainedPropName, prop1, prop2) {
      return this.eval(`
        var list = ${chainedPropName};
        var array = DefaultFunction.getIterable(list);
        var result = array.reduce((total,item)=>{
        var prop1Value = DefaultFunction.getPropValue(item,"${prop1}");
        var prop2Value = DefaultFunction.getPropValue(item,"${prop2}");
        if(isNaN(prop1Value) || isNaN(prop2Value)){
            return total;
        }else{
            total +=(prop1Value * prop2Value);
            return total;
        }
        },0);
        return result;
    `)();
    }
  }
  class Compiler {
    compile(expr, context) {
      const contexts = context && context.contexts || {};
      const args = contexts.arguments || {};
      const signature = Object.keys(args).join(",");
      const defaultFunction = new DefaultFunctions(context);
      contexts.DefaultFunction = defaultFunction;
      const hasReturnStatement = expr.match(/([\s\r\n{;}]+return)|(^return)\s+/g);
      if (!hasReturnStatement) {
        expr = `return ${expr}`;
      }
      const scopeNames = Object.getOwnPropertyNames(contexts);
      const scopeVariable = `__scope__${(/* @__PURE__ */ new Date()).valueOf()}`;
      return new Function(scopeVariable, `
        ${scopeNames.map((key) => `var ${key} = ${scopeVariable}['${key}'];`).join("\r\n")}
        return function anonymous(${signature}) {
            try{ 
${expr}
 }catch(e){console.error(e);}
        };`);
    }
  }
  class Evaler {
    eval(expr, context) {
      const contexts = context && context.contexts || {};
      const args = contexts.arguments || {};
      const signature = Object.keys(args).join(",");
      const defaultFunction = new DefaultFunctions(context);
      contexts.DefaultFunction = defaultFunction;
      const hasReturnStatement = expr.match(/([\s\r\n{;}]+return)|(^return)\s+/g);
      if (!hasReturnStatement) {
        expr = `return ${expr}`;
      }
      const scopeNames = Object.getOwnPropertyNames(contexts);
      const scopeVariable = `__scope__${(/* @__PURE__ */ new Date()).valueOf()}`;
      return new Function(scopeVariable, `
      ${scopeNames.map((key) => `var ${key} = ${scopeVariable}['${key}'];`).join("\r\n")}
      return function anonymous(${signature}) {
        try{ 
${expr}
 }catch(e){console.error(e);}
      };`)(contexts);
    }
  }
  class Expression {
    constructor(expr, context) {
      __publicField(this, "expr");
      __publicField(this, "factory", null);
      __publicField(this, "context");
      this.expr = expr;
      this.context = context;
    }
    /**
     * 执行表达式
     * @param context
     * @returns
     */
    eval(context) {
      context = context || this.context;
      const args = context && context.contexts && context.contexts.arguments || {};
      if (this.factory) {
        const ctx = this.buildContext(context);
        const result2 = this.factory(ctx == null ? void 0 : ctx.contexts)(args);
        return result2;
      }
      const evaler = new Evaler();
      const factory = evaler.eval(this.expr, context);
      const result = factory(...Object.values(args));
      return result;
    }
    /**
     * 编译表达式
     * @param context 上下文
     * @returns
     */
    compile(context) {
      context = context || this.context;
      const compiler = new Compiler();
      this.factory = compiler.compile(this.expr, context);
      return this;
    }
    buildContext(context) {
      const contexts = context && context.contexts || {};
      const defaultFunction = new DefaultFunctions(context);
      contexts.DefaultFunction = defaultFunction;
      return context;
    }
  }
  class AbstractExpressionEngine {
    constructor(context) {
      __publicField(this, "context");
      this.context = context;
    }
  }
  class ExpressionEngine extends AbstractExpressionEngine {
    constructor(context) {
      super(context);
    }
    /**
     * 计算表达式
     * @param expr 表达式
     * @returns
     */
    eval(expr) {
      const expression = new Expression(expr);
      return expression.eval(this.getContext());
    }
    /**
     * 获取表达式上下文
     * @returns
     */
    getContext() {
      if (!this.context) {
        this.context = new ExpressionContext();
      }
      return this.context;
    }
    /**
     * 添加自定义方法
     * @param name 方法名
     * @param func 方法体
     */
    addFun(name, func) {
      if (name && typeof func === "function") {
        this.getContext().set(name, func);
      }
    }
  }
  class ExpressionExecutor {
    /**
     * 编译执行
     * @param expression
     * @param context
     * @returns
     */
    compile(expressionObject, context) {
      if (Object.prototype.toString.call(context) !== "[object Object]") {
        throw new Error("上下文必须为对象！");
      }
      const expressionContext = this.buildContext(context);
      if (!expressionObject.factory) {
        const expression2 = new Expression(expressionObject.expression, expressionContext);
        expressionObject.factory = expression2.compile();
      }
      const expression = expressionObject.factory;
      return expression.eval(expressionContext);
    }
    /**
     * 解析
     * @param expression
     * @param context
     * @returns
     */
    eval(expression, context) {
      if (Object.prototype.toString.call(context) !== "[object Object]") {
        throw new Error("上下文必须为对象！");
      }
      const expressionContext = this.buildContext(context);
      const expressionEngine = new ExpressionEngine(expressionContext);
      return expressionEngine.eval(expression);
    }
    /**
     * 构造表达式上下文
     * @param context
     * @returns
     */
    buildContext(context) {
      const expressionContext = new ExpressionContext();
      if (context && Object.keys(context).length > 0) {
        Object.keys(context).forEach((key) => {
          expressionContext.set(key, context[key]);
        });
      }
      return expressionContext;
    }
  }
  class ExpressionResult {
    constructor() {
      __publicField(this, "changes", new Subject());
    }
    /**
     * 更新表达式的值
     * @param expressionId - 表达式id
     * @param result - 表达式结果
     */
    set(expressionId, result) {
      if (result === this[expressionId]) {
        return;
      }
      this[expressionId] = result;
      this.changes.next({ id: expressionId, result });
    }
  }
  class ExpressionEvaluator {
    constructor(viewModel, expressionExecutor, expressionRegistry) {
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.expressionRegistry = expressionRegistry;
    }
    evaluate(expressionId, currentRows) {
      const expression = this.expressionRegistry.expressions.find((e) => e.id === expressionId);
      if (!expression) {
        console.warn(`Expression ${expressionId} not found`);
        return void 0;
      }
      const expressionContextBuilder = new ExpressionContextBuilder();
      const expressionContext = expressionContextBuilder.buildContext(this.viewModel, currentRows);
      const result = this.expressionExecutor.compile(expression, expressionContext);
      return result;
    }
  }
  class ExpressionRegistry {
    constructor(expressionConfigs, viewModel) {
      __publicField(this, "expressionObjects", null);
      this.expressionConfigs = expressionConfigs;
      this.viewModel = viewModel;
    }
    get expressions() {
      const expressions = this.expressionConfigs;
      if (this.expressionObjects) {
        return this.expressionObjects;
      }
      this.expressionObjects = [];
      expressions.forEach((expressionConfig) => {
        const { rules, target, targetType } = expressionConfig;
        if (!target || !targetType || !rules || rules.length < 1) {
          return;
        }
        rules.forEach((rule) => {
          let path = rule.id;
          if (expressionConfig.targetType === "Field") {
            path = expressionConfig.target;
          }
          const expressionValue = rule.value;
          const expressionObject = {
            id: rule.id,
            ns: "",
            path,
            bindingType: expressionConfig.targetType,
            type: rule.type,
            expression: expressionValue,
            message: rule.message,
            messageType: rule.messageType || "error",
            deps: [],
            elementId: rule.elementId
          };
          if (rule.type === ExpressionType.Required || rule.type === ExpressionType.Validate || rule.type === ExpressionType.DataPicking) {
            if (!rule.message) {
              expressionObject.message = this.getExpressionMessage(rule.type);
            }
          }
          this.expressionObjects.push(expressionObject);
        });
      });
      return this.expressionObjects;
    }
    getExpression(expressionId) {
      return this.expressions.find((expression) => {
        return expression.id === expressionId;
      });
    }
    getExpressionMessage(expressionType, defaultValue) {
      if (!(expressionType === ExpressionType.Validate || expressionType === ExpressionType.Required || expressionType === ExpressionType.DataPicking)) {
        return null;
      }
      return DEFAULT_EXPRESSION_VALIDATE_MESSAGE["zh-CHS"][expressionType];
    }
  }
  const RESOLVER_TOKEN = new InjectionToken("@farris_resolver_token");
  const ENTITY_TEMPLATE = "ENTITY~";
  const STATE_TEMPLATE = "STATE~";
  const DEPENDENCY_SPLITER = "/";
  const GROUP_FUNCTIONS = ["SumByProp", "CountByProp", "AvgByProp", "MaxByProp", "MinByProp", "IsExistRecord", "ListContains", "ListGreaterThan", "ListLessThan", "ListStartWith", "ListEndWith", "MultiplyChildNumber", "SortChildData", "IsContainMatch", "MinValueOfPeriod", "MaxValueOfPeriod", "AvgValueOfPeriod", "CountOfChild", "ExistData"];
  class CommentExpressionDependencyResolver {
    resolve(expr) {
      const dependencies = [];
      if (!expr || expr.length < 1) {
        return dependencies;
      }
      const defineRegex = /\/\*\*\s*__define__\((.*)\)\s*\*\//;
      const defineMatchArray = expr.match(defineRegex);
      if (defineMatchArray && defineMatchArray.length === 2) {
        const defineString = defineMatchArray[1].trim();
        let defineObject = {};
        try {
          defineObject = JSON.parse(defineString);
        } catch (e) {
          console.warn(`自定义依赖解析失败：${defineString}`);
        }
        if (defineObject && defineObject.hasOwnProperty("deps") && Array.isArray(defineObject["deps"])) {
          dependencies.push(...defineObject["deps"]);
        }
      }
      return dependencies;
    }
  }
  class EntityExpressionDependencyResolver {
    constructor(viewModel) {
      this.viewModel = viewModel;
    }
    /**
     * 解析用户表达式中的实体依赖
     * @param expression 用户配置的完整表达式
     * @returns
     */
    resolve(expression) {
      const groupFunctionDependencies = this.getGroupFunctionDependency(expression);
      const entityDependencies = this.getEntityDependency(expression);
      if (groupFunctionDependencies && groupFunctionDependencies.length > 0 && entityDependencies && entityDependencies.length > 0) {
        groupFunctionDependencies.forEach((dep) => {
          const index = entityDependencies.findIndex((item) => dep.startsWith(item));
          if (index !== -1) {
            entityDependencies.splice(index, 1);
          }
        });
      }
      const merged = [...groupFunctionDependencies, ...entityDependencies];
      const deps = [...new Set(merged)];
      return deps;
    }
    /**
     * 获取所有实体依赖
     * @param expression 表达式字符串
     * @returns
     */
    getEntityDependency(expression) {
      var _a;
      const dependencies = [];
      const entityCode = (_a = this.viewModel.entityStore) == null ? void 0 : _a.getEntitySchema().getCode();
      const regex = new RegExp(`[\\'\\"]?\\s*(${entityCode})[\\.\\[\\]a-zA-Z0-9_]+\\s*[\\'\\"]?`, "g");
      const entityPropertyExpressions = expression.match(regex);
      if (Array.isArray(entityPropertyExpressions) && entityPropertyExpressions.length > 0) {
        entityPropertyExpressions.forEach((item) => {
          if (item.indexOf(".") === -1) {
            return;
          }
          const fullPaths = item.split(".").slice(1).map((propertyName) => propertyName.trim());
          const entityPath = this.getEntityPaths(fullPaths);
          if (entityPath && entityPath.length > 0) {
            entityPath.splice(0, 0, ENTITY_TEMPLATE);
            dependencies.push(entityPath.join(DEPENDENCY_SPLITER));
          }
        });
      }
      return dependencies;
    }
    getGroupFunctionDependency(expr) {
      const deps = [];
      const groupFunctionRegex = new RegExp(`DefaultFunction\\.(${GROUP_FUNCTIONS.join("|")})\\s*\\([^\\r\\n\\)]*\\)`, "g");
      const groupFunctions = expr.match(groupFunctionRegex);
      if (groupFunctions && groupFunctions.length > 0) {
        const argumentsRegex = /\(([^\r\n)]*)\)/;
        const methodNameRegex = /DefaultFunction\.(\S*)\(/;
        groupFunctions.forEach((groupFunction) => {
          const argumentMatchResult = groupFunction.match(argumentsRegex);
          const methodNameMatchResult = groupFunction.match(methodNameRegex);
          let methodName = null;
          if (methodNameMatchResult && methodNameMatchResult.length === 2) {
            methodName = methodNameMatchResult[1];
          }
          if (methodName && argumentMatchResult && argumentMatchResult.length === 2) {
            const argument = argumentMatchResult[1];
            const args = argument.replace(/[\\"\\']/g, "").split(",");
            if (args && args.length === 1) {
              const item = args[0];
              const fullPaths = item.split(".").slice(1).map((propertyName) => propertyName.trim());
              const entityPath = this.getEntityPaths(fullPaths);
              if (entityPath && entityPath.length > 0) {
                entityPath.splice(0, 0, ENTITY_TEMPLATE);
                deps.push(entityPath.join(DEPENDENCY_SPLITER));
              }
            } else if (args && args.length === 2) {
              const item = args.join(".");
              const fullPaths = item.split(".").slice(1).map((propertyName) => propertyName.trim());
              const entityPath = this.getEntityPaths(fullPaths);
              if (entityPath && entityPath.length > 0) {
                entityPath.splice(0, 0, ENTITY_TEMPLATE);
                deps.push(entityPath.join(DEPENDENCY_SPLITER));
              }
            } else if (args && args.length === 3) {
              if (methodName === "MultiplyChildNumber") {
                const prefix = args[0];
                const prop1FullPath = `${prefix}.${args[1]}`;
                const prop2FullPath = `${prefix}.${args[2]}`;
                [prop1FullPath, prop2FullPath].forEach((item) => {
                  const fullPaths = item.split(".").slice(1).map((propertyName) => propertyName.trim());
                  const entityPath = this.getEntityPaths(fullPaths);
                  if (entityPath && entityPath.length > 0) {
                    entityPath.splice(0, 0, ENTITY_TEMPLATE);
                    deps.push(entityPath.join(DEPENDENCY_SPLITER));
                  }
                });
              } else {
                const prefix = args[0];
                const item = `${prefix}.${args[1]}`;
                const fullPaths = item.split(".").slice(1).map((propertyName) => propertyName.trim());
                const entityPath = this.getEntityPaths(fullPaths);
                if (entityPath && entityPath.length > 0) {
                  entityPath.splice(0, 0, ENTITY_TEMPLATE);
                  deps.push(entityPath.join(DEPENDENCY_SPLITER));
                }
              }
            } else if (args && args.length === 4)
              ;
            else if (args && args.length === 5) {
              if (["MinValueOfPeriod", "MaxValueOfPeriod", "AvgValueOfPeriod"].includes(methodName)) {
                const prefix = args[0];
                const prop1FullPath = `${prefix}.${args[1]}`;
                const prop2FullPath = `${prefix}.${args[2]}`;
                [prop1FullPath, prop2FullPath].forEach((item) => {
                  const fullPaths = item.split(".").slice(1).map((propertyName) => propertyName.trim());
                  const entityPath = this.getEntityPaths(fullPaths);
                  if (entityPath && entityPath.length > 0) {
                    entityPath.splice(0, 0, ENTITY_TEMPLATE);
                    deps.push(entityPath.join(DEPENDENCY_SPLITER));
                  }
                });
              }
            } else {
              throw new Error(`无法解析参数： ${JSON.stringify(argument)}`);
            }
          }
        });
      }
      return deps;
    }
    getEntityPaths(fullPaths) {
      var _a;
      const resolvedPath = (_a = this.viewModel.entityStore) == null ? void 0 : _a.getEntitySchema().resolvePath(fullPaths);
      if (!resolvedPath) {
        return [];
      }
      const { entityPaths = [], propertyPaths = [] } = resolvedPath;
      return entityPaths.concat(propertyPaths);
    }
  }
  const CONTEXT_FUNCTIONS = ["GetContextParameter", "GetSessionValue"];
  class UIStateExpressionDependencyResolver {
    resolve(expression) {
      const dependencies = [];
      const regex = new RegExp(`DefaultFunction\\.(${CONTEXT_FUNCTIONS.join("|")})\\s*\\([^\\r\\n\\)]*\\)`, "g");
      const contextFunctions = expression.match(regex);
      if (contextFunctions && contextFunctions.length > 0) {
        const argumentsRegex = /\(([^\r\n)]*)\)/;
        contextFunctions.forEach((groupFunction) => {
          const argumentMatchResult = groupFunction.match(argumentsRegex);
          if (argumentMatchResult && argumentMatchResult.length === 2) {
            const argument = argumentMatchResult[1].trim().replace(/[\\"\\']/g, "");
            const dep = [STATE_TEMPLATE];
            dep.push(argument);
            dependencies.push(dep.join(DEPENDENCY_SPLITER));
          }
        });
      }
      return dependencies;
    }
  }
  class ExpressionDependencyResolverRegistry {
    constructor(injector) {
      __publicField(this, "resolvers");
      this.injector = injector;
      this.resolvers = this.injector.get(RESOLVER_TOKEN);
    }
  }
  class ExpressionDependencyResolver {
    constructor(expressionDependencyResolverRegistry) {
      this.expressionDependencyResolverRegistry = expressionDependencyResolverRegistry;
    }
    resolve(expression) {
      const deps = [];
      if (!this.expressionDependencyResolverRegistry || !this.expressionDependencyResolverRegistry.resolvers || this.expressionDependencyResolverRegistry.resolvers.length < 1) {
        return;
      }
      const commentDependencyResolver = this.expressionDependencyResolverRegistry.resolvers.find((resolver) => resolver instanceof CommentExpressionDependencyResolver);
      if (commentDependencyResolver) {
        const commentDependencies = commentDependencyResolver.resolve(expression);
        if (commentDependencies && Array.isArray(commentDependencies) && commentDependencies.length > 0) {
          deps.push(...commentDependencies);
        }
      }
      if (deps && deps.length > 0) {
        return deps;
      }
      this.expressionDependencyResolverRegistry.resolvers.forEach((resolver) => {
        if (resolver instanceof CommentExpressionDependencyResolver) {
          return;
        }
        const dependency = resolver.resolve(expression);
        if (dependency && dependency.length > 0) {
          deps.push(...dependency);
        }
      });
      return [...new Set(deps)];
    }
  }
  const expressionDependencyResolverProviders = [
    { provide: RESOLVER_TOKEN, useClass: UIStateExpressionDependencyResolver, deps: [], multi: true },
    { provide: RESOLVER_TOKEN, useClass: EntityExpressionDependencyResolver, deps: [forwardRef(() => ViewModel)], multi: true },
    { provide: RESOLVER_TOKEN, useClass: CommentExpressionDependencyResolver, deps: [], multi: true },
    { provide: ExpressionDependencyResolverRegistry, useClass: ExpressionDependencyResolverRegistry, deps: [Injector] },
    { provide: ExpressionDependencyResolver, useClass: ExpressionDependencyResolver, deps: [ExpressionDependencyResolverRegistry] }
  ];
  var ChangeSource = /* @__PURE__ */ ((ChangeSource2) => {
    ChangeSource2["StateMachine"] = "StateMachine";
    ChangeSource2["UIState"] = "UIState";
    ChangeSource2["EntityState"] = "EntityState";
    ChangeSource2["Expression"] = "Expression";
    return ChangeSource2;
  })(ChangeSource || {});
  var StateMachineChangeType = /* @__PURE__ */ ((StateMachineChangeType2) => {
    StateMachineChangeType2["StateMachineChange"] = "StateMachineChange";
    return StateMachineChangeType2;
  })(StateMachineChangeType || {});
  var ExpressionResultChangeType = /* @__PURE__ */ ((ExpressionResultChangeType2) => {
    ExpressionResultChangeType2["ExpressionResultChange"] = "ExpressionResultChange";
    return ExpressionResultChangeType2;
  })(ExpressionResultChangeType || {});
  const CHANGE_OBSERVER_TOKEN = new InjectionToken("@farris/change_observer_token");
  class ChangeObserver {
  }
  class StateMachineObserver extends ChangeObserver {
    constructor(viewModel) {
      super();
      this.viewModel = viewModel;
    }
    observe(callback) {
      if (!this.viewModel) {
        return;
      }
      const stateMachine = this.viewModel.stateMachine;
      if (!stateMachine) {
        return;
      }
      stateMachine.watchChange((change) => {
        const stateMachineChange = {
          // TODO: namespace应与组合表单ns一致
          ns: "",
          source: ChangeSource.StateMachine,
          detail: change,
          type: StateMachineChangeType.StateMachineChange
        };
        callback(stateMachineChange);
      });
    }
  }
  class EntityStateChangeObserver extends ChangeObserver {
    constructor(viewModel) {
      super();
      this.viewModel = viewModel;
    }
    observe(callback) {
      if (!this.viewModel) {
        return;
      }
      const entityStore = this.viewModel.entityStore;
      if (!entityStore) {
        return;
      }
      entityStore.watchChange((change) => {
        const entityChange = change;
        const entityStateChange = {
          // TODO: namespace应与组合表单ns一致
          ns: "",
          source: ChangeSource.EntityState,
          detail: change,
          type: entityChange.type
        };
        callback(entityStateChange);
      });
    }
  }
  class UIStateChangeObserver extends ChangeObserver {
    constructor(viewModel) {
      super();
      this.viewModel = viewModel;
    }
    observe(callback) {
      if (!this.viewModel) {
        return;
      }
      const module2 = this.viewModel.getModule();
      if (!module2) {
        return;
      }
      const viewModels = module2.getViewModels();
      if (!viewModels || viewModels.length < 1) {
        return;
      }
      viewModels.forEach((viewModel) => {
        viewModel.uiStore.watchChange((change) => {
          const stateChange = change;
          const uiStateChange = {
            // TODO: namespace应与组合表单ns一致
            ns: "",
            source: ChangeSource.UIState,
            detail: change,
            viewModelId: viewModel.id,
            type: stateChange.type
          };
          callback(uiStateChange);
        });
      });
    }
  }
  class ExpressionResultChangeObserver extends ChangeObserver {
    constructor(viewModel) {
      super();
      this.viewModel = viewModel;
    }
    observe(callback) {
      const injector = this.viewModel.getInjector();
      const expressionResult = injector.get(ExpressionResult);
      expressionResult.changes.subscribe((change) => {
        const expressionResultChange = {
          ns: "",
          source: ChangeSource.Expression,
          detail: change,
          type: ExpressionResultChangeType.ExpressionResultChange
        };
        callback(expressionResultChange);
      });
    }
  }
  class ChangeObserverRegistry {
    constructor(observers) {
      this.observers = observers;
    }
  }
  const changeObserverProviders = [
    { provide: CHANGE_OBSERVER_TOKEN, useClass: StateMachineObserver, deps: [forwardRef(() => ViewModel)], multi: true },
    { provide: CHANGE_OBSERVER_TOKEN, useClass: EntityStateChangeObserver, deps: [forwardRef(() => ViewModel)], multi: true },
    { provide: CHANGE_OBSERVER_TOKEN, useClass: UIStateChangeObserver, deps: [forwardRef(() => ViewModel)], multi: true },
    { provide: CHANGE_OBSERVER_TOKEN, useClass: ExpressionResultChangeObserver, deps: [forwardRef(() => ViewModel)], multi: true },
    { provide: ChangeObserverRegistry, useClass: ChangeObserverRegistry, deps: [CHANGE_OBSERVER_TOKEN] }
  ];
  const CHANGE_HANDLERS_TOKEN = new InjectionToken("@farris/change-handler");
  class AbstractChangeHandler {
    constructor(viewModel, expressionExecutor, effectorFactory) {
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.effectorFactory = effectorFactory;
    }
    getEffector(expressionObject) {
      return this.effectorFactory.getEffector(expressionObject);
    }
    /**
     * 是否为字段表达式
     * @param expressionObject 
     * @returns 
     */
    isFieldExpression(expressionObject) {
      return expressionObject.bindingType === ExpressionBindingType.Field;
    }
    isElementExpression(expressionObject) {
      return expressionObject.bindingType === ExpressionBindingType.Button || expressionObject.bindingType === ExpressionBindingType.Container;
    }
    isStateExpression(expressionObject) {
      return expressionObject.bindingType === ExpressionBindingType.State;
    }
    isValidateOrRequiredExpression(expressionObject) {
      return expressionObject && (expressionObject.type === ExpressionType.Validate || expressionObject.type === ExpressionType.Required);
    }
    convertBooleanTypeExpressionResult(expressionObject, result) {
      if (this.isBooleanTypeExpression(expressionObject)) {
        return result === true ? true : false;
      } else {
        return result;
      }
    }
    isBooleanTypeExpression(expressionObject) {
      return this.isReadonlyExpression(expressionObject) || this.isVisibleExpression(expressionObject) || this.isValidateExpression(expressionObject) || this.isRequiredExpression(expressionObject) || this.isDependencyExpression(expressionObject) || this.isButtonDisabledExpression(expressionObject) || this.isButtonVisibleExpression(expressionObject) || this.isContainerVisibleExpression(expressionObject);
    }
    resolvePath(path) {
      return this.viewModel.entityStore.getEntitySchema().resolvePath(path);
    }
    isReadonlyExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Readonly || false;
    }
    isVisibleExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Visible;
    }
    isValidateExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Validate;
    }
    isRequiredExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Required;
    }
    isDependencyExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Dependency;
    }
    isButtonVisibleExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Visible && expressionObject.bindingType === ExpressionBindingType.Button;
    }
    isButtonDisabledExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Disabled && expressionObject.bindingType === ExpressionBindingType.Button;
    }
    isContainerVisibleExpression(expressionObject) {
      return expressionObject && expressionObject.type === ExpressionType.Visible && expressionObject.bindingType === ExpressionBindingType.Container;
    }
  }
  var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
  const freeGlobal$1 = freeGlobal;
  var freeSelf = typeof self == "object" && self && self.Object === Object && self;
  var root = freeGlobal$1 || freeSelf || Function("return this")();
  const root$1 = root;
  var Symbol$1 = root$1.Symbol;
  const Symbol$2 = Symbol$1;
  var objectProto$b = Object.prototype;
  var hasOwnProperty$8 = objectProto$b.hasOwnProperty;
  var nativeObjectToString$1 = objectProto$b.toString;
  var symToStringTag$1 = Symbol$2 ? Symbol$2.toStringTag : void 0;
  function getRawTag(value) {
    var isOwn = hasOwnProperty$8.call(value, symToStringTag$1), tag = value[symToStringTag$1];
    try {
      value[symToStringTag$1] = void 0;
      var unmasked = true;
    } catch (e) {
    }
    var result = nativeObjectToString$1.call(value);
    if (unmasked) {
      if (isOwn) {
        value[symToStringTag$1] = tag;
      } else {
        delete value[symToStringTag$1];
      }
    }
    return result;
  }
  var objectProto$a = Object.prototype;
  var nativeObjectToString = objectProto$a.toString;
  function objectToString(value) {
    return nativeObjectToString.call(value);
  }
  var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
  var symToStringTag = Symbol$2 ? Symbol$2.toStringTag : void 0;
  function baseGetTag(value) {
    if (value == null) {
      return value === void 0 ? undefinedTag : nullTag;
    }
    return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
  }
  function isObjectLike(value) {
    return value != null && typeof value == "object";
  }
  var isArray = Array.isArray;
  const isArray$1 = isArray;
  function isObject(value) {
    var type = typeof value;
    return value != null && (type == "object" || type == "function");
  }
  var asyncTag = "[object AsyncFunction]", funcTag$1 = "[object Function]", genTag = "[object GeneratorFunction]", proxyTag = "[object Proxy]";
  function isFunction(value) {
    if (!isObject(value)) {
      return false;
    }
    var tag = baseGetTag(value);
    return tag == funcTag$1 || tag == genTag || tag == asyncTag || tag == proxyTag;
  }
  var coreJsData = root$1["__core-js_shared__"];
  const coreJsData$1 = coreJsData;
  var maskSrcKey = function() {
    var uid = /[^.]+$/.exec(coreJsData$1 && coreJsData$1.keys && coreJsData$1.keys.IE_PROTO || "");
    return uid ? "Symbol(src)_1." + uid : "";
  }();
  function isMasked(func) {
    return !!maskSrcKey && maskSrcKey in func;
  }
  var funcProto$1 = Function.prototype;
  var funcToString$1 = funcProto$1.toString;
  function toSource(func) {
    if (func != null) {
      try {
        return funcToString$1.call(func);
      } catch (e) {
      }
      try {
        return func + "";
      } catch (e) {
      }
    }
    return "";
  }
  var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
  var reIsHostCtor = /^\[object .+?Constructor\]$/;
  var funcProto = Function.prototype, objectProto$9 = Object.prototype;
  var funcToString = funcProto.toString;
  var hasOwnProperty$7 = objectProto$9.hasOwnProperty;
  var reIsNative = RegExp(
    "^" + funcToString.call(hasOwnProperty$7).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
  );
  function baseIsNative(value) {
    if (!isObject(value) || isMasked(value)) {
      return false;
    }
    var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
    return pattern.test(toSource(value));
  }
  function getValue(object, key) {
    return object == null ? void 0 : object[key];
  }
  function getNative(object, key) {
    var value = getValue(object, key);
    return baseIsNative(value) ? value : void 0;
  }
  var WeakMap = getNative(root$1, "WeakMap");
  const WeakMap$1 = WeakMap;
  var MAX_SAFE_INTEGER$1 = 9007199254740991;
  var reIsUint = /^(?:0|[1-9]\d*)$/;
  function isIndex(value, length) {
    var type = typeof value;
    length = length == null ? MAX_SAFE_INTEGER$1 : length;
    return !!length && (type == "number" || type != "symbol" && reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
  }
  function eq(value, other) {
    return value === other || value !== value && other !== other;
  }
  var MAX_SAFE_INTEGER = 9007199254740991;
  function isLength(value) {
    return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
  }
  function isArrayLike(value) {
    return value != null && isLength(value.length) && !isFunction(value);
  }
  var objectProto$8 = Object.prototype;
  function isPrototype(value) {
    var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto$8;
    return value === proto;
  }
  function baseTimes(n, iteratee) {
    var index = -1, result = Array(n);
    while (++index < n) {
      result[index] = iteratee(index);
    }
    return result;
  }
  var argsTag$2 = "[object Arguments]";
  function baseIsArguments(value) {
    return isObjectLike(value) && baseGetTag(value) == argsTag$2;
  }
  var objectProto$7 = Object.prototype;
  var hasOwnProperty$6 = objectProto$7.hasOwnProperty;
  var propertyIsEnumerable$1 = objectProto$7.propertyIsEnumerable;
  var isArguments = baseIsArguments(function() {
    return arguments;
  }()) ? baseIsArguments : function(value) {
    return isObjectLike(value) && hasOwnProperty$6.call(value, "callee") && !propertyIsEnumerable$1.call(value, "callee");
  };
  const isArguments$1 = isArguments;
  function stubFalse() {
    return false;
  }
  var freeExports$1 = typeof exports2 == "object" && exports2 && !exports2.nodeType && exports2;
  var freeModule$1 = freeExports$1 && typeof module == "object" && module && !module.nodeType && module;
  var moduleExports$1 = freeModule$1 && freeModule$1.exports === freeExports$1;
  var Buffer2 = moduleExports$1 ? root$1.Buffer : void 0;
  var nativeIsBuffer = Buffer2 ? Buffer2.isBuffer : void 0;
  var isBuffer = nativeIsBuffer || stubFalse;
  const isBuffer$1 = isBuffer;
  var argsTag$1 = "[object Arguments]", arrayTag$1 = "[object Array]", boolTag$1 = "[object Boolean]", dateTag$1 = "[object Date]", errorTag$1 = "[object Error]", funcTag = "[object Function]", mapTag$2 = "[object Map]", numberTag$1 = "[object Number]", objectTag$2 = "[object Object]", regexpTag$1 = "[object RegExp]", setTag$2 = "[object Set]", stringTag$1 = "[object String]", weakMapTag$1 = "[object WeakMap]";
  var arrayBufferTag$1 = "[object ArrayBuffer]", dataViewTag$2 = "[object DataView]", float32Tag = "[object Float32Array]", float64Tag = "[object Float64Array]", int8Tag = "[object Int8Array]", int16Tag = "[object Int16Array]", int32Tag = "[object Int32Array]", uint8Tag = "[object Uint8Array]", uint8ClampedTag = "[object Uint8ClampedArray]", uint16Tag = "[object Uint16Array]", uint32Tag = "[object Uint32Array]";
  var typedArrayTags = {};
  typedArrayTags[float32Tag] = typedArrayTags[float64Tag] = typedArrayTags[int8Tag] = typedArrayTags[int16Tag] = typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] = typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] = typedArrayTags[uint32Tag] = true;
  typedArrayTags[argsTag$1] = typedArrayTags[arrayTag$1] = typedArrayTags[arrayBufferTag$1] = typedArrayTags[boolTag$1] = typedArrayTags[dataViewTag$2] = typedArrayTags[dateTag$1] = typedArrayTags[errorTag$1] = typedArrayTags[funcTag] = typedArrayTags[mapTag$2] = typedArrayTags[numberTag$1] = typedArrayTags[objectTag$2] = typedArrayTags[regexpTag$1] = typedArrayTags[setTag$2] = typedArrayTags[stringTag$1] = typedArrayTags[weakMapTag$1] = false;
  function baseIsTypedArray(value) {
    return isObjectLike(value) && isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
  }
  function baseUnary(func) {
    return function(value) {
      return func(value);
    };
  }
  var freeExports = typeof exports2 == "object" && exports2 && !exports2.nodeType && exports2;
  var freeModule = freeExports && typeof module == "object" && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var freeProcess = moduleExports && freeGlobal$1.process;
  var nodeUtil = function() {
    try {
      var types = freeModule && freeModule.require && freeModule.require("util").types;
      if (types) {
        return types;
      }
      return freeProcess && freeProcess.binding && freeProcess.binding("util");
    } catch (e) {
    }
  }();
  const nodeUtil$1 = nodeUtil;
  var nodeIsTypedArray = nodeUtil$1 && nodeUtil$1.isTypedArray;
  var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;
  const isTypedArray$1 = isTypedArray;
  var objectProto$6 = Object.prototype;
  var hasOwnProperty$5 = objectProto$6.hasOwnProperty;
  function arrayLikeKeys(value, inherited) {
    var isArr = isArray$1(value), isArg = !isArr && isArguments$1(value), isBuff = !isArr && !isArg && isBuffer$1(value), isType2 = !isArr && !isArg && !isBuff && isTypedArray$1(value), skipIndexes = isArr || isArg || isBuff || isType2, result = skipIndexes ? baseTimes(value.length, String) : [], length = result.length;
    for (var key in value) {
      if ((inherited || hasOwnProperty$5.call(value, key)) && !(skipIndexes && // Safari 9 has enumerable `arguments.length` in strict mode.
      (key == "length" || // Node.js 0.10 has enumerable non-index properties on buffers.
      isBuff && (key == "offset" || key == "parent") || // PhantomJS 2 has enumerable non-index properties on typed arrays.
      isType2 && (key == "buffer" || key == "byteLength" || key == "byteOffset") || // Skip index properties.
      isIndex(key, length)))) {
        result.push(key);
      }
    }
    return result;
  }
  function overArg(func, transform) {
    return function(arg) {
      return func(transform(arg));
    };
  }
  var nativeKeys = overArg(Object.keys, Object);
  const nativeKeys$1 = nativeKeys;
  var objectProto$5 = Object.prototype;
  var hasOwnProperty$4 = objectProto$5.hasOwnProperty;
  function baseKeys(object) {
    if (!isPrototype(object)) {
      return nativeKeys$1(object);
    }
    var result = [];
    for (var key in Object(object)) {
      if (hasOwnProperty$4.call(object, key) && key != "constructor") {
        result.push(key);
      }
    }
    return result;
  }
  function keys(object) {
    return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
  }
  var nativeCreate = getNative(Object, "create");
  const nativeCreate$1 = nativeCreate;
  function hashClear() {
    this.__data__ = nativeCreate$1 ? nativeCreate$1(null) : {};
    this.size = 0;
  }
  function hashDelete(key) {
    var result = this.has(key) && delete this.__data__[key];
    this.size -= result ? 1 : 0;
    return result;
  }
  var HASH_UNDEFINED$2 = "__lodash_hash_undefined__";
  var objectProto$4 = Object.prototype;
  var hasOwnProperty$3 = objectProto$4.hasOwnProperty;
  function hashGet(key) {
    var data = this.__data__;
    if (nativeCreate$1) {
      var result = data[key];
      return result === HASH_UNDEFINED$2 ? void 0 : result;
    }
    return hasOwnProperty$3.call(data, key) ? data[key] : void 0;
  }
  var objectProto$3 = Object.prototype;
  var hasOwnProperty$2 = objectProto$3.hasOwnProperty;
  function hashHas(key) {
    var data = this.__data__;
    return nativeCreate$1 ? data[key] !== void 0 : hasOwnProperty$2.call(data, key);
  }
  var HASH_UNDEFINED$1 = "__lodash_hash_undefined__";
  function hashSet(key, value) {
    var data = this.__data__;
    this.size += this.has(key) ? 0 : 1;
    data[key] = nativeCreate$1 && value === void 0 ? HASH_UNDEFINED$1 : value;
    return this;
  }
  function Hash(entries) {
    var index = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }
  Hash.prototype.clear = hashClear;
  Hash.prototype["delete"] = hashDelete;
  Hash.prototype.get = hashGet;
  Hash.prototype.has = hashHas;
  Hash.prototype.set = hashSet;
  function listCacheClear() {
    this.__data__ = [];
    this.size = 0;
  }
  function assocIndexOf(array, key) {
    var length = array.length;
    while (length--) {
      if (eq(array[length][0], key)) {
        return length;
      }
    }
    return -1;
  }
  var arrayProto = Array.prototype;
  var splice = arrayProto.splice;
  function listCacheDelete(key) {
    var data = this.__data__, index = assocIndexOf(data, key);
    if (index < 0) {
      return false;
    }
    var lastIndex = data.length - 1;
    if (index == lastIndex) {
      data.pop();
    } else {
      splice.call(data, index, 1);
    }
    --this.size;
    return true;
  }
  function listCacheGet(key) {
    var data = this.__data__, index = assocIndexOf(data, key);
    return index < 0 ? void 0 : data[index][1];
  }
  function listCacheHas(key) {
    return assocIndexOf(this.__data__, key) > -1;
  }
  function listCacheSet(key, value) {
    var data = this.__data__, index = assocIndexOf(data, key);
    if (index < 0) {
      ++this.size;
      data.push([key, value]);
    } else {
      data[index][1] = value;
    }
    return this;
  }
  function ListCache(entries) {
    var index = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }
  ListCache.prototype.clear = listCacheClear;
  ListCache.prototype["delete"] = listCacheDelete;
  ListCache.prototype.get = listCacheGet;
  ListCache.prototype.has = listCacheHas;
  ListCache.prototype.set = listCacheSet;
  var Map$1 = getNative(root$1, "Map");
  const Map$2 = Map$1;
  function mapCacheClear() {
    this.size = 0;
    this.__data__ = {
      "hash": new Hash(),
      "map": new (Map$2 || ListCache)(),
      "string": new Hash()
    };
  }
  function isKeyable(value) {
    var type = typeof value;
    return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
  }
  function getMapData(map, key) {
    var data = map.__data__;
    return isKeyable(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
  }
  function mapCacheDelete(key) {
    var result = getMapData(this, key)["delete"](key);
    this.size -= result ? 1 : 0;
    return result;
  }
  function mapCacheGet(key) {
    return getMapData(this, key).get(key);
  }
  function mapCacheHas(key) {
    return getMapData(this, key).has(key);
  }
  function mapCacheSet(key, value) {
    var data = getMapData(this, key), size = data.size;
    data.set(key, value);
    this.size += data.size == size ? 0 : 1;
    return this;
  }
  function MapCache(entries) {
    var index = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }
  MapCache.prototype.clear = mapCacheClear;
  MapCache.prototype["delete"] = mapCacheDelete;
  MapCache.prototype.get = mapCacheGet;
  MapCache.prototype.has = mapCacheHas;
  MapCache.prototype.set = mapCacheSet;
  function arrayPush(array, values) {
    var index = -1, length = values.length, offset = array.length;
    while (++index < length) {
      array[offset + index] = values[index];
    }
    return array;
  }
  function stackClear() {
    this.__data__ = new ListCache();
    this.size = 0;
  }
  function stackDelete(key) {
    var data = this.__data__, result = data["delete"](key);
    this.size = data.size;
    return result;
  }
  function stackGet(key) {
    return this.__data__.get(key);
  }
  function stackHas(key) {
    return this.__data__.has(key);
  }
  var LARGE_ARRAY_SIZE = 200;
  function stackSet(key, value) {
    var data = this.__data__;
    if (data instanceof ListCache) {
      var pairs = data.__data__;
      if (!Map$2 || pairs.length < LARGE_ARRAY_SIZE - 1) {
        pairs.push([key, value]);
        this.size = ++data.size;
        return this;
      }
      data = this.__data__ = new MapCache(pairs);
    }
    data.set(key, value);
    this.size = data.size;
    return this;
  }
  function Stack(entries) {
    var data = this.__data__ = new ListCache(entries);
    this.size = data.size;
  }
  Stack.prototype.clear = stackClear;
  Stack.prototype["delete"] = stackDelete;
  Stack.prototype.get = stackGet;
  Stack.prototype.has = stackHas;
  Stack.prototype.set = stackSet;
  function arrayFilter(array, predicate) {
    var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
    while (++index < length) {
      var value = array[index];
      if (predicate(value, index, array)) {
        result[resIndex++] = value;
      }
    }
    return result;
  }
  function stubArray() {
    return [];
  }
  var objectProto$2 = Object.prototype;
  var propertyIsEnumerable = objectProto$2.propertyIsEnumerable;
  var nativeGetSymbols = Object.getOwnPropertySymbols;
  var getSymbols = !nativeGetSymbols ? stubArray : function(object) {
    if (object == null) {
      return [];
    }
    object = Object(object);
    return arrayFilter(nativeGetSymbols(object), function(symbol) {
      return propertyIsEnumerable.call(object, symbol);
    });
  };
  const getSymbols$1 = getSymbols;
  function baseGetAllKeys(object, keysFunc, symbolsFunc) {
    var result = keysFunc(object);
    return isArray$1(object) ? result : arrayPush(result, symbolsFunc(object));
  }
  function getAllKeys(object) {
    return baseGetAllKeys(object, keys, getSymbols$1);
  }
  var DataView = getNative(root$1, "DataView");
  const DataView$1 = DataView;
  var Promise$1 = getNative(root$1, "Promise");
  const Promise$2 = Promise$1;
  var Set$1 = getNative(root$1, "Set");
  const Set$2 = Set$1;
  var mapTag$1 = "[object Map]", objectTag$1 = "[object Object]", promiseTag = "[object Promise]", setTag$1 = "[object Set]", weakMapTag = "[object WeakMap]";
  var dataViewTag$1 = "[object DataView]";
  var dataViewCtorString = toSource(DataView$1), mapCtorString = toSource(Map$2), promiseCtorString = toSource(Promise$2), setCtorString = toSource(Set$2), weakMapCtorString = toSource(WeakMap$1);
  var getTag = baseGetTag;
  if (DataView$1 && getTag(new DataView$1(new ArrayBuffer(1))) != dataViewTag$1 || Map$2 && getTag(new Map$2()) != mapTag$1 || Promise$2 && getTag(Promise$2.resolve()) != promiseTag || Set$2 && getTag(new Set$2()) != setTag$1 || WeakMap$1 && getTag(new WeakMap$1()) != weakMapTag) {
    getTag = function(value) {
      var result = baseGetTag(value), Ctor = result == objectTag$1 ? value.constructor : void 0, ctorString = Ctor ? toSource(Ctor) : "";
      if (ctorString) {
        switch (ctorString) {
          case dataViewCtorString:
            return dataViewTag$1;
          case mapCtorString:
            return mapTag$1;
          case promiseCtorString:
            return promiseTag;
          case setCtorString:
            return setTag$1;
          case weakMapCtorString:
            return weakMapTag;
        }
      }
      return result;
    };
  }
  const getTag$1 = getTag;
  var Uint8Array2 = root$1.Uint8Array;
  const Uint8Array$1 = Uint8Array2;
  var HASH_UNDEFINED = "__lodash_hash_undefined__";
  function setCacheAdd(value) {
    this.__data__.set(value, HASH_UNDEFINED);
    return this;
  }
  function setCacheHas(value) {
    return this.__data__.has(value);
  }
  function SetCache(values) {
    var index = -1, length = values == null ? 0 : values.length;
    this.__data__ = new MapCache();
    while (++index < length) {
      this.add(values[index]);
    }
  }
  SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
  SetCache.prototype.has = setCacheHas;
  function arraySome(array, predicate) {
    var index = -1, length = array == null ? 0 : array.length;
    while (++index < length) {
      if (predicate(array[index], index, array)) {
        return true;
      }
    }
    return false;
  }
  function cacheHas(cache, key) {
    return cache.has(key);
  }
  var COMPARE_PARTIAL_FLAG$3 = 1, COMPARE_UNORDERED_FLAG$1 = 2;
  function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
    var isPartial = bitmask & COMPARE_PARTIAL_FLAG$3, arrLength = array.length, othLength = other.length;
    if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
      return false;
    }
    var arrStacked = stack.get(array);
    var othStacked = stack.get(other);
    if (arrStacked && othStacked) {
      return arrStacked == other && othStacked == array;
    }
    var index = -1, result = true, seen = bitmask & COMPARE_UNORDERED_FLAG$1 ? new SetCache() : void 0;
    stack.set(array, other);
    stack.set(other, array);
    while (++index < arrLength) {
      var arrValue = array[index], othValue = other[index];
      if (customizer) {
        var compared = isPartial ? customizer(othValue, arrValue, index, other, array, stack) : customizer(arrValue, othValue, index, array, other, stack);
      }
      if (compared !== void 0) {
        if (compared) {
          continue;
        }
        result = false;
        break;
      }
      if (seen) {
        if (!arraySome(other, function(othValue2, othIndex) {
          if (!cacheHas(seen, othIndex) && (arrValue === othValue2 || equalFunc(arrValue, othValue2, bitmask, customizer, stack))) {
            return seen.push(othIndex);
          }
        })) {
          result = false;
          break;
        }
      } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
        result = false;
        break;
      }
    }
    stack["delete"](array);
    stack["delete"](other);
    return result;
  }
  function mapToArray(map) {
    var index = -1, result = Array(map.size);
    map.forEach(function(value, key) {
      result[++index] = [key, value];
    });
    return result;
  }
  function setToArray(set) {
    var index = -1, result = Array(set.size);
    set.forEach(function(value) {
      result[++index] = value;
    });
    return result;
  }
  var COMPARE_PARTIAL_FLAG$2 = 1, COMPARE_UNORDERED_FLAG = 2;
  var boolTag = "[object Boolean]", dateTag = "[object Date]", errorTag = "[object Error]", mapTag = "[object Map]", numberTag = "[object Number]", regexpTag = "[object RegExp]", setTag = "[object Set]", stringTag = "[object String]", symbolTag = "[object Symbol]";
  var arrayBufferTag = "[object ArrayBuffer]", dataViewTag = "[object DataView]";
  var symbolProto = Symbol$2 ? Symbol$2.prototype : void 0, symbolValueOf = symbolProto ? symbolProto.valueOf : void 0;
  function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
    switch (tag) {
      case dataViewTag:
        if (object.byteLength != other.byteLength || object.byteOffset != other.byteOffset) {
          return false;
        }
        object = object.buffer;
        other = other.buffer;
      case arrayBufferTag:
        if (object.byteLength != other.byteLength || !equalFunc(new Uint8Array$1(object), new Uint8Array$1(other))) {
          return false;
        }
        return true;
      case boolTag:
      case dateTag:
      case numberTag:
        return eq(+object, +other);
      case errorTag:
        return object.name == other.name && object.message == other.message;
      case regexpTag:
      case stringTag:
        return object == other + "";
      case mapTag:
        var convert = mapToArray;
      case setTag:
        var isPartial = bitmask & COMPARE_PARTIAL_FLAG$2;
        convert || (convert = setToArray);
        if (object.size != other.size && !isPartial) {
          return false;
        }
        var stacked = stack.get(object);
        if (stacked) {
          return stacked == other;
        }
        bitmask |= COMPARE_UNORDERED_FLAG;
        stack.set(object, other);
        var result = equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
        stack["delete"](object);
        return result;
      case symbolTag:
        if (symbolValueOf) {
          return symbolValueOf.call(object) == symbolValueOf.call(other);
        }
    }
    return false;
  }
  var COMPARE_PARTIAL_FLAG$1 = 1;
  var objectProto$1 = Object.prototype;
  var hasOwnProperty$1 = objectProto$1.hasOwnProperty;
  function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
    var isPartial = bitmask & COMPARE_PARTIAL_FLAG$1, objProps = getAllKeys(object), objLength = objProps.length, othProps = getAllKeys(other), othLength = othProps.length;
    if (objLength != othLength && !isPartial) {
      return false;
    }
    var index = objLength;
    while (index--) {
      var key = objProps[index];
      if (!(isPartial ? key in other : hasOwnProperty$1.call(other, key))) {
        return false;
      }
    }
    var objStacked = stack.get(object);
    var othStacked = stack.get(other);
    if (objStacked && othStacked) {
      return objStacked == other && othStacked == object;
    }
    var result = true;
    stack.set(object, other);
    stack.set(other, object);
    var skipCtor = isPartial;
    while (++index < objLength) {
      key = objProps[index];
      var objValue = object[key], othValue = other[key];
      if (customizer) {
        var compared = isPartial ? customizer(othValue, objValue, key, other, object, stack) : customizer(objValue, othValue, key, object, other, stack);
      }
      if (!(compared === void 0 ? objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack) : compared)) {
        result = false;
        break;
      }
      skipCtor || (skipCtor = key == "constructor");
    }
    if (result && !skipCtor) {
      var objCtor = object.constructor, othCtor = other.constructor;
      if (objCtor != othCtor && ("constructor" in object && "constructor" in other) && !(typeof objCtor == "function" && objCtor instanceof objCtor && typeof othCtor == "function" && othCtor instanceof othCtor)) {
        result = false;
      }
    }
    stack["delete"](object);
    stack["delete"](other);
    return result;
  }
  var COMPARE_PARTIAL_FLAG = 1;
  var argsTag = "[object Arguments]", arrayTag = "[object Array]", objectTag = "[object Object]";
  var objectProto = Object.prototype;
  var hasOwnProperty = objectProto.hasOwnProperty;
  function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
    var objIsArr = isArray$1(object), othIsArr = isArray$1(other), objTag = objIsArr ? arrayTag : getTag$1(object), othTag = othIsArr ? arrayTag : getTag$1(other);
    objTag = objTag == argsTag ? objectTag : objTag;
    othTag = othTag == argsTag ? objectTag : othTag;
    var objIsObj = objTag == objectTag, othIsObj = othTag == objectTag, isSameTag = objTag == othTag;
    if (isSameTag && isBuffer$1(object)) {
      if (!isBuffer$1(other)) {
        return false;
      }
      objIsArr = true;
      objIsObj = false;
    }
    if (isSameTag && !objIsObj) {
      stack || (stack = new Stack());
      return objIsArr || isTypedArray$1(object) ? equalArrays(object, other, bitmask, customizer, equalFunc, stack) : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
    }
    if (!(bitmask & COMPARE_PARTIAL_FLAG)) {
      var objIsWrapped = objIsObj && hasOwnProperty.call(object, "__wrapped__"), othIsWrapped = othIsObj && hasOwnProperty.call(other, "__wrapped__");
      if (objIsWrapped || othIsWrapped) {
        var objUnwrapped = objIsWrapped ? object.value() : object, othUnwrapped = othIsWrapped ? other.value() : other;
        stack || (stack = new Stack());
        return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
      }
    }
    if (!isSameTag) {
      return false;
    }
    stack || (stack = new Stack());
    return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
  }
  function baseIsEqual(value, other, bitmask, customizer, stack) {
    if (value === other) {
      return true;
    }
    if (value == null || other == null || !isObjectLike(value) && !isObjectLike(other)) {
      return value !== value && other !== other;
    }
    return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
  }
  function isEqual(value, other) {
    return baseIsEqual(value, other);
  }
  class EntityStoreAppendEntityChangeHandler extends AbstractChangeHandler {
    constructor(viewModel, expressionExecutor, expressionResult, effectorFactory) {
      super(viewModel, expressionExecutor, effectorFactory);
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.expressionResult = expressionResult;
      this.effectorFactory = effectorFactory;
    }
    handle(change, expressionObjects) {
      if (!(change.source === ChangeSource.EntityState && change.type === EntityChangeType.Append)) {
        return;
      }
      const matches = this.filter(change, expressionObjects);
      if (!matches || matches.length < 1) {
        return;
      }
      matches.forEach((expressionObject) => {
        const expressionContextBuilder = new ExpressionContextBuilder();
        const expressionContext = expressionContextBuilder.buildContext(this.viewModel);
        const result = this.expressionExecutor.compile(expressionObject, expressionContext);
        const convertedResult = this.convertBooleanTypeExpressionResult(expressionObject, result);
        if (convertedResult === void 0 && !this.isValidateOrRequiredExpression(expressionObject)) {
          return;
        }
        expressionObject.result = convertedResult;
        if (expressionObject.id) {
          this.expressionResult.set(expressionObject.id, expressionObject.result);
        }
        if (this.isElementExpression(expressionObject) || this.isStateExpression(expressionObject)) {
          return;
        }
        if (expressionObject.type === ExpressionType.Visible || expressionObject.type === ExpressionType.Readonly) {
          return;
        }
        this.effect(change, expressionObject, convertedResult);
      });
    }
    effect(change, expressionObject, result) {
      const effector = this.getEffector(expressionObject);
      if (!effector) {
        return;
      }
      const option = { message: expressionObject.message, messageType: expressionObject.messageType };
      effector.effect(expressionObject, result, option);
    }
    filter(change, expressionObjects) {
      if (expressionObjects && expressionObjects.length > 0) {
        return expressionObjects.filter((expressionObject) => {
          if (expressionObject.ns !== change.ns) {
            return false;
          }
          if (this.isElementExpression(expressionObject)) {
            return this.filterElementExpressions(change, expressionObject);
          }
          return this.filterGroupExpressions(change, expressionObject) || this.filterChangeSourceExpressions(change, expressionObject) || this.filterRelateExpressions(change, expressionObject);
        });
      }
      return null;
    }
    filterRelateExpressions(change, expressionObject) {
      if (expressionObject.ns !== change.ns || !expressionObject.deps || expressionObject.deps.length < 1 || expressionObject.type !== ExpressionType.Visible && expressionObject.type !== ExpressionType.Readonly && expressionObject.type !== ExpressionType.Required && expressionObject.type !== ExpressionType.Validate) {
        return false;
      }
      const entityDependencies = expressionObject.deps.filter((dep) => dep.startsWith(ENTITY_TEMPLATE));
      if (!entityDependencies || entityDependencies.length < 1) {
        return false;
      }
      const { entityPaths: changePaths } = this.resolveChangePath(change);
      const index = entityDependencies.findIndex((dependency) => {
        const dependencyPath = dependency.split(DEPENDENCY_SPLITER).slice(1).join(DEPENDENCY_SPLITER);
        const { entityPaths: dependencyPaths } = this.resolvePath(dependencyPath);
        return dependencyPaths.join(DEPENDENCY_SPLITER) === changePaths.join(DEPENDENCY_SPLITER);
      });
      return index !== -1;
    }
    filterGroupExpressions(change, expressionObject) {
      if (!expressionObject.deps || expressionObject.deps.length < 1) {
        return false;
      }
      const { entityPaths: changePaths } = this.resolveChangePath(change);
      const expressionPath = expressionObject.path;
      const { entityPaths: expressionPaths } = this.resolvePath(expressionPath);
      if (changePaths.length === 0 && expressionObject.bindingType === ExpressionBindingType.Field) {
        return false;
      }
      if (changePaths.length - 1 !== expressionPaths.length) {
        return false;
      }
      if (!changePaths.join(DEPENDENCY_SPLITER).startsWith(expressionPaths.join(DEPENDENCY_SPLITER))) {
        return false;
      }
      const index = expressionObject.deps.findIndex((dependency) => {
        const fullChangePaths = Array.from(changePaths);
        fullChangePaths.splice(0, 0, ENTITY_TEMPLATE);
        if (!dependency.startsWith(fullChangePaths.join(DEPENDENCY_SPLITER))) {
          return false;
        }
        const deps = dependency.split(DEPENDENCY_SPLITER).filter((p) => p).slice(1);
        const { entityPaths: resolvedDependencyPath } = this.resolvePath(deps);
        if (resolvedDependencyPath && resolvedDependencyPath.join(DEPENDENCY_SPLITER) === changePaths.join(DEPENDENCY_SPLITER)) {
          return true;
        }
        return false;
      });
      return index === -1 ? false : true;
    }
    filterChangeSourceExpressions(change, expressionObject) {
      const { entityPaths: expressionPaths } = this.resolvePath(expressionObject.path);
      const { entityPaths: changePaths } = this.resolveChangePath(change);
      if (!isEqual(expressionPaths, changePaths)) {
        return false;
      }
      if (!expressionObject.deps || expressionObject.deps.length < 1) {
        return true;
      }
      const onlyDependOnState = expressionObject.deps.every((dependency) => dependency.startsWith(STATE_TEMPLATE));
      if (onlyDependOnState) {
        return true;
      }
      if (expressionObject.type === ExpressionType.Dependency) {
        return false;
      }
      return true;
    }
    filterElementExpressions(change, expressionObject) {
      var _a;
      if (!this.isElementExpression(expressionObject)) {
        return false;
      }
      const dependencies = (_a = expressionObject.deps) == null ? void 0 : _a.filter((dep) => dep.startsWith(ENTITY_TEMPLATE));
      if (!dependencies || dependencies.length < 1) {
        return false;
      }
      const index = dependencies.findIndex((dependency) => {
        const dependencyPath = dependency.split("/").slice(1).join("/");
        const { entityPaths: resolvedDependencyPath } = this.resolvePath(dependencyPath);
        const { entityPaths: changePaths } = this.resolveChangePath(change);
        return changePaths.join("/") === resolvedDependencyPath.join("/");
      });
      return index !== -1;
    }
    resolveChangePath(change) {
      const appendEntityChange = change.detail;
      const changePath = appendEntityChange.path.toShortPath();
      return this.viewModel.entityStore.getEntitySchema().resolvePath(changePath);
    }
  }
  class EntityStoreLoadEntityChangeHandler extends AbstractChangeHandler {
    constructor(viewModel, expressionExecutor, expressionResult, effectorFactory) {
      super(viewModel, expressionExecutor, effectorFactory);
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.expressionResult = expressionResult;
      this.effectorFactory = effectorFactory;
    }
    handle(change, expressionObjects) {
      if (!(change.source === ChangeSource.EntityState && change.type === EntityChangeType.Load)) {
        return;
      }
      const entityStoreLoadChange = change.detail;
      if (!entityStoreLoadChange.entities || entityStoreLoadChange.entities.length === 0) {
        return;
      }
      const matches = this.filter(change, expressionObjects);
      if (!matches || matches.length < 1) {
        return;
      }
      matches.forEach((expressionObject) => {
        const expressionContextBuilder = new ExpressionContextBuilder();
        const expressionContext = expressionContextBuilder.buildContext(this.viewModel);
        const result = this.expressionExecutor.compile(expressionObject, expressionContext);
        if (result === void 0 && !this.isValidateOrRequiredExpression(expressionObject)) {
          return;
        }
        expressionObject.result = this.convertBooleanTypeExpressionResult(expressionObject, result);
        if (expressionObject.id) {
          this.expressionResult.set(expressionObject.id, expressionObject.result);
        }
        if (this.isElementExpression(expressionObject) || expressionObject.type === ExpressionType.Visible || expressionObject.type === ExpressionType.Readonly) {
          return;
        }
        this.effect(change, expressionObject, expressionObject.result);
      });
    }
    effect(change, expressionObject, result) {
      const effector = this.getEffector(expressionObject);
      if (!effector) {
        return;
      }
      const option = { message: expressionObject.message, messageType: expressionObject.messageType };
      effector.effect(expressionObject, result, option);
    }
    filter(change, expressionObjects) {
      if (!expressionObjects || expressionObjects.length < 1) {
        return null;
      }
      return expressionObjects.filter((expressionObject) => {
        if (expressionObject.ns !== change.ns || expressionObject.type !== ExpressionType.Readonly && expressionObject.type !== ExpressionType.Visible && expressionObject.type !== ExpressionType.Required && expressionObject.type !== ExpressionType.Disabled) {
          return false;
        }
        const { entityPaths: changePaths } = this.resolveChangePath(change);
        if (this.isElementExpression(expressionObject)) {
          return this.filterElementExpression(change, expressionObject);
        }
        const { entityPaths: expressionPaths } = this.resolvePath(expressionObject.path);
        if (isEqual(expressionPaths, changePaths)) {
          return true;
        }
        if (!expressionObject.deps || expressionObject.deps.length === 0) {
          return true;
        }
        const deps = expressionObject.deps.filter((dep) => dep.startsWith(ENTITY_TEMPLATE));
        if (!deps || deps.length < 1) {
          return false;
        }
        const index = deps.findIndex((dep) => {
          const dependencyPath = dep.split("/").slice(1);
          const { entityPaths: dependencyPaths } = this.resolvePath(dependencyPath);
          return isEqual(dependencyPaths, changePaths);
        });
        return index !== -1;
      });
    }
    filterElementExpression(change, expressionObject) {
      var _a;
      const { entityPaths: changePaths } = this.resolveChangePath(change);
      const changePath = changePaths.join(DEPENDENCY_SPLITER);
      if (!expressionObject.deps || expressionObject.deps.length === 0) {
        return true;
      }
      const deps = (_a = expressionObject.deps) == null ? void 0 : _a.filter((dep) => dep.startsWith(ENTITY_TEMPLATE));
      if (!deps || deps.length < 1) {
        return false;
      }
      const index = deps.findIndex((dep) => {
        const depPath = dep.split("/").slice(1).join("/");
        const { entityPaths: dependencyPaths } = this.resolvePath(depPath);
        return dependencyPaths.join(DEPENDENCY_SPLITER) === changePath;
      });
      return index !== -1;
    }
    resolveChangePath(change) {
      const appendEntityChange = change.detail;
      const changePath = appendEntityChange.path.toShortPath();
      return this.resolvePath(changePath);
    }
  }
  class EntityStoreRemoveEntityChangeHandler extends AbstractChangeHandler {
    constructor(viewModel, expressionExecutor, expressionResult, effectorFactory) {
      super(viewModel, expressionExecutor, effectorFactory);
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.expressionResult = expressionResult;
      this.effectorFactory = effectorFactory;
    }
    handle(change, expressionObjects) {
      if (!(change.source === ChangeSource.EntityState && change.type === EntityChangeType.Remove)) {
        return;
      }
      if (!expressionObjects || expressionObjects.length < 1) {
        return;
      }
      const matches = this.filter(change, expressionObjects);
      if (!matches || matches.length < 1) {
        return;
      }
      matches.forEach((expressionObject) => {
        const expressionContextBuilder = new ExpressionContextBuilder();
        const expressionContext = expressionContextBuilder.buildContext(this.viewModel);
        const result = this.expressionExecutor.compile(expressionObject, expressionContext);
        const convertedResult = this.convertBooleanTypeExpressionResult(expressionObject, result);
        if (convertedResult === void 0 && !this.isValidateOrRequiredExpression(expressionObject)) {
          return;
        }
        expressionObject.result = convertedResult;
        if (expressionObject.id) {
          this.expressionResult.set(expressionObject.id, convertedResult);
        }
        if (this.isElementExpression(expressionObject) || expressionObject.type === ExpressionType.Visible || expressionObject.type === ExpressionType.Readonly) {
          return;
        }
        this.effect(change, expressionObject, convertedResult);
      });
    }
    effect(change, expressionObject, result) {
      const effector = this.getEffector(expressionObject);
      if (!effector) {
        return;
      }
      const option = { message: expressionObject.message, messageType: expressionObject.messageType };
      effector.effect(expressionObject, result, option);
    }
    filter(change, expressionObjects) {
      if (!expressionObjects || expressionObjects.length < 1) {
        return null;
      }
      return expressionObjects.filter((expressionObject) => {
        if (expressionObject.ns !== change.ns || !expressionObject.deps || expressionObject.deps.length < 1) {
          return false;
        }
        const { entityPaths: changePaths } = this.resolveChangePath(change);
        if (changePaths.length === 0 && (this.isFieldExpression(expressionObject) || this.isElementExpression(expressionObject))) {
          return false;
        }
        if (this.isElementExpression(expressionObject)) {
          return this.filterElementExpression(change, expressionObject);
        }
        const { entityPaths: expressionPaths } = this.resolvePath(expressionObject.path);
        if (isEqual(changePaths, expressionPaths)) {
          return false;
        }
        const index = expressionObject.deps.findIndex((dependency) => {
          const dependencyPaths = dependency.split(DEPENDENCY_SPLITER).filter((p) => p).slice(1);
          const { entityPaths: dependencyEntityPaths } = this.resolvePath(dependencyPaths);
          return isEqual(dependencyEntityPaths, changePaths);
        });
        return index === -1 ? false : true;
      });
    }
    filterElementExpression(change, expressionObject) {
      var _a;
      const { entityPaths: changePaths } = this.resolveChangePath(change);
      const index = (_a = expressionObject.deps) == null ? void 0 : _a.findIndex((dependency) => {
        const fullChangePaths = Array.from(changePaths);
        fullChangePaths.splice(0, 0, ENTITY_TEMPLATE);
        if (!dependency.startsWith(fullChangePaths.join(DEPENDENCY_SPLITER))) {
          return false;
        }
        const dependencyPaths = dependency.split(DEPENDENCY_SPLITER).filter((p) => p).slice(1);
        return isEqual(dependencyPaths, changePaths);
      });
      return index === -1 ? false : true;
    }
    resolveChangePath(change) {
      const appendEntityChange = change.detail;
      const changePath = appendEntityChange.path.toShortPath();
      return this.resolvePath(changePath);
    }
  }
  class EntityStoreCurrentChangeHandler extends AbstractChangeHandler {
    constructor(viewModel, expressionExecutor, expressionResult, effectorFactory) {
      super(viewModel, expressionExecutor, effectorFactory);
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.expressionResult = expressionResult;
      this.effectorFactory = effectorFactory;
    }
    handle(change, expressionObjects) {
      if (!(change.source === ChangeSource.EntityState && change.type === EntityChangeType.CurrentChange)) {
        return;
      }
      const matches = this.filter(change, expressionObjects);
      if (!matches || matches.length < 1) {
        return;
      }
      matches.forEach((expressionObject) => {
        const expressionContextBuilder = new ExpressionContextBuilder();
        const expressionContext = expressionContextBuilder.buildContext(this.viewModel);
        const result = this.expressionExecutor.compile(expressionObject, expressionContext);
        if (result === void 0 && !this.isValidateOrRequiredExpression(expressionObject)) {
          return;
        }
        expressionObject.result = this.convertBooleanTypeExpressionResult(expressionObject, result);
        if (expressionObject.id) {
          this.expressionResult.set(expressionObject.id, expressionObject.result);
        }
        if (this.isElementExpression(expressionObject)) {
          return;
        }
        this.effect(change, expressionObject, expressionObject.result);
      });
    }
    effect(change, expressionObject, result) {
      const effector = this.getEffector(expressionObject);
      if (!effector) {
        return;
      }
      const option = { message: expressionObject.message, messageType: expressionObject.messageType };
      effector.effect(expressionObject, result, option);
    }
    /**
     * 根据变更过滤表达式
     * @param change 变更
     * @param expressionObjects 表达式集合
     * @returns 过滤后的表达式
     * @description
     * 过滤出以下表达式：
     * 1、依赖实体的从从表表达式
     * 2、依赖实体的元素表达式
     */
    filter(change, expressionObjects) {
      return expressionObjects.filter((expressionObject) => {
        if (expressionObject.ns !== change.ns) {
          return false;
        }
        if (!expressionObject.deps || expressionObject.deps.length < 1) {
          return false;
        }
        let index = expressionObject.deps.findIndex((dependency) => dependency.startsWith(ENTITY_TEMPLATE));
        if (index === -1) {
          return false;
        }
        if (this.isElementExpression(expressionObject)) {
          return this.filterElementExpressions(change, expressionObject);
        }
        if (this.isFieldExpression(expressionObject) && (expressionObject.type === ExpressionType.Compute || expressionObject.type === ExpressionType.Dependency || expressionObject.type === ExpressionType.Validate)) {
          return false;
        }
        const { entityPaths: changePaths } = this.resolveChangePath(change);
        const { entityPaths: expressionPaths } = this.resolvePath(expressionObject.path);
        if (changePaths.length !== 1) {
          return false;
        }
        if (expressionPaths.length !== 2) {
          return false;
        }
        if (!expressionPaths.join("/").startsWith(changePaths.join("/"))) {
          return false;
        }
        index = expressionObject.deps.findIndex((dependency) => dependency.startsWith(`${ENTITY_TEMPLATE}/${changePaths[0]}`));
        return index === -1 ? false : true;
      });
    }
    filterElementExpressions(change, expressionObject) {
      var _a;
      const { entityPaths: changePaths } = this.resolveChangePath(change);
      const index = (_a = expressionObject.deps) == null ? void 0 : _a.findIndex((dependency) => {
        const dependencyPaths = dependency.split("/").slice(1);
        const resolvedDependencyPaths = this.resolvePath(dependencyPaths);
        if (!resolvedDependencyPaths) {
          return false;
        }
        const { entityPaths: dependencyEntityPaths } = resolvedDependencyPaths;
        return isEqual(dependencyEntityPaths, changePaths);
      });
      return index !== -1;
    }
    resolveChangePath(change) {
      const appendEntityChange = change.detail;
      const changePath = appendEntityChange.path.toShortPath();
      return this.resolvePath(changePath);
    }
  }
  class EntityStoreValueChangeHandler extends AbstractChangeHandler {
    constructor(viewModel, expressionExecutor, expressionResult, effectorFactory) {
      super(viewModel, expressionExecutor, effectorFactory);
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.expressionResult = expressionResult;
      this.effectorFactory = effectorFactory;
    }
    handle(change, expressionObjects) {
      if (!(change.source === ChangeSource.EntityState && change.type === EntityChangeType.ValueChange)) {
        return;
      }
      if (!expressionObjects || expressionObjects.length < 1) {
        return;
      }
      const matches = this.filter(change, expressionObjects);
      if (!matches || matches.length < 1) {
        return;
      }
      matches.forEach((expressionObject) => {
        if (this.isElementExpression(expressionObject) || expressionObject.type === ExpressionType.Visible || expressionObject.type === ExpressionType.Readonly) {
          const expressionContextBuilder = new ExpressionContextBuilder();
          const expressionContext = expressionContextBuilder.buildContext(this.viewModel);
          const result = this.expressionExecutor.compile(expressionObject, expressionContext);
          expressionObject.result = this.convertBooleanTypeExpressionResult(expressionObject, result);
          if (expressionObject.id) {
            this.expressionResult.set(expressionObject.id, expressionObject.result);
          }
          return;
        }
        this.effect(change, expressionObject);
      });
    }
    effect(change, expressionObject) {
      const effector = this.getEffector(expressionObject);
      if (!effector) {
        return;
      }
      const option = { message: expressionObject.message, messageType: expressionObject.messageType };
      const { entityPaths: changePaths } = this.resolveChangePath(change);
      const { entityPaths: expressionPaths, propertyPaths: expressionPropertyPaths } = this.resolvePath(expressionObject.path);
      const valueChange = change.detail;
      if (isEqual(changePaths, expressionPaths) || changePaths.length === expressionPaths.length + 1) {
        const sliceLength = expressionPaths.length === 0 ? 1 : expressionPaths.length * 2 + 1;
        const entityPaths = valueChange.path.getNodes().slice(0, sliceLength);
        const currentRows = [];
        const fullPaths = entityPaths.reduce((paths, node) => {
          const nodeValue = node.getNodeValue();
          if (node.getNodeType() === EntityPathNodeType.IdValue) {
            paths.push(`[${nodeValue}]`);
            currentRows.push({ bindingPath: paths.join("/"), primaryValue: nodeValue });
          } else {
            paths.push(nodeValue);
          }
          return paths;
        }, []);
        fullPaths.push(...expressionPropertyPaths);
        const result = this.executeExpression(expressionObject, currentRows);
        expressionObject.result = this.convertBooleanTypeExpressionResult(expressionObject, result);
        if (expressionObject.id) {
          this.expressionResult.set(expressionObject.id, expressionObject.result);
        }
        option.path = `/${fullPaths.join("/")}`;
        effector.effect(expressionObject, expressionObject.result, option);
      } else if (changePaths.length === expressionPaths.length - 1) {
        const sliceLength = changePaths.length === 0 ? 1 : 2 * changePaths.length + 1;
        const entityPaths = valueChange.path.getNodes().slice(0, sliceLength);
        const currentRows = [];
        const basePaths = entityPaths.reduce((paths, node) => {
          const nodeValue = node.getNodeValue();
          if (node.getNodeType() === EntityPathNodeType.IdValue) {
            paths.push(`[${nodeValue}]`);
            currentRows.push({ bindingPath: paths.join("/"), primaryValue: nodeValue });
          } else {
            paths.push(nodeValue);
          }
          return paths;
        }, []);
        const entityStore = this.viewModel.entityStore;
        const expressionEntityPath = expressionPaths[changePaths.length];
        basePaths.push(expressionEntityPath);
        const childrenEntities = entityStore == null ? void 0 : entityStore.getEntityListByPath(`/${basePaths.join("/")}`);
        if ((!childrenEntities || childrenEntities.getEntities().length < 1) && (expressionObject.type === ExpressionType.Compute || expressionObject.type === ExpressionType.Dependency)) {
          return;
        }
        if (childrenEntities && childrenEntities.getEntities().length) {
          childrenEntities == null ? void 0 : childrenEntities.getEntities().forEach((entity) => {
            const childrenCurrentRows = currentRows.concat({ bindingPath: `/${changePaths.concat(expressionEntityPath).join("/")}`, primaryValue: entity.idValue });
            const result = this.executeExpression(expressionObject, childrenCurrentRows);
            const convertedResult = this.convertBooleanTypeExpressionResult(expressionObject, result);
            const paths = basePaths.concat(`[${entity.idValue}]`, expressionPropertyPaths);
            const path = `/${paths.join(DEPENDENCY_SPLITER)}`;
            const option2 = { path, message: expressionObject.message, messageType: expressionObject.messageType };
            effector.effect(expressionObject, convertedResult, option2);
          });
        } else {
          const result = this.executeExpression(expressionObject);
          const convertedResult = this.convertBooleanTypeExpressionResult(expressionObject, result);
          const option2 = { message: expressionObject.message, messageType: expressionObject.messageType };
          effector.effect(expressionObject, convertedResult, option2);
        }
      } else {
        console.warn("不支持跨两级表的表达式");
      }
    }
    executeExpression(expressionObject, currentRows) {
      const expressionContextBuilder = new ExpressionContextBuilder();
      const expressionContext = expressionContextBuilder.buildContext(this.viewModel, currentRows);
      return this.expressionExecutor.compile(expressionObject, expressionContext);
    }
    filter(change, expressionObjects) {
      if (!expressionObjects || expressionObjects.length < 1) {
        return null;
      }
      return expressionObjects.filter((expressionObject) => {
        const { deps } = expressionObject;
        if (!deps || deps.length < 1 || change.ns !== expressionObject.ns) {
          return false;
        }
        const { entityPaths, propertyPaths } = this.resolveChangePath(change);
        const changePaths = entityPaths.concat(propertyPaths);
        changePaths.splice(0, 0, ENTITY_TEMPLATE);
        return deps.includes(changePaths.join("/"));
      });
    }
    resolveChangePath(change) {
      const appendEntityChange = change.detail;
      const changePath = appendEntityChange.path.toShortPath();
      return this.resolvePath(changePath);
    }
  }
  class EntityStoreUpdateChangeHandler extends AbstractChangeHandler {
    constructor(viewModel, expressionExecutor, expressionResult, effectorFactory) {
      super(viewModel, expressionExecutor, effectorFactory);
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.expressionResult = expressionResult;
      this.effectorFactory = effectorFactory;
    }
    handle(change, expressionObjects) {
      if (!(change.source === ChangeSource.EntityState && change.type === EntityChangeType.Update)) {
        return;
      }
      if (!expressionObjects || expressionObjects.length < 1) {
        return;
      }
      const matches = this.filter(change, expressionObjects);
      if (!matches || matches.length < 1) {
        return;
      }
      matches.forEach((expressionObject) => {
        const expressionContextBuilder = new ExpressionContextBuilder();
        const expressionContext = expressionContextBuilder.buildContext(this.viewModel);
        const result = this.expressionExecutor.compile(expressionObject, expressionContext);
        const convertedResult = this.convertBooleanTypeExpressionResult(expressionObject, result);
        if (convertedResult === void 0 && !this.isValidateOrRequiredExpression(expressionObject)) {
          return;
        }
        expressionObject.result = convertedResult;
        if (expressionObject.id) {
          this.expressionResult.set(expressionObject.id, expressionObject.result);
        }
        if (this.isElementExpression(expressionObject) || expressionObject.type === ExpressionType.Visible || expressionObject.type === ExpressionType.Readonly) {
          return;
        }
        this.effect(change, expressionObject, convertedResult);
      });
    }
    effect(change, expressionObject, result) {
      const effector = this.getEffector(expressionObject);
      if (!effector) {
        return;
      }
      const option = { message: expressionObject.message, messageType: expressionObject.messageType };
      effector.effect(expressionObject, result, option);
    }
    filter(change, expressionObjects) {
      return expressionObjects.filter((expressionObject) => {
        if (expressionObject.ns !== change.ns || !expressionObject.deps || expressionObject.deps.length === 0 || expressionObject.type === ExpressionType.Compute || expressionObject.type === ExpressionType.Dependency || expressionObject.type === ExpressionType.DataPicking) {
          return false;
        }
        const index = expressionObject.deps.findIndex((dependency) => {
          if (!dependency.startsWith(ENTITY_TEMPLATE)) {
            return false;
          }
          return true;
        });
        return index === -1 ? false : true;
      });
    }
  }
  class StateStoreValueChangeHandler extends AbstractChangeHandler {
    constructor(viewModel, expressionExecutor, expressionResult, effectorFactory) {
      super(viewModel, expressionExecutor, effectorFactory);
      this.viewModel = viewModel;
      this.expressionExecutor = expressionExecutor;
      this.expressionResult = expressionResult;
      this.effectorFactory = effectorFactory;
    }
    handle(change, expressionObjects) {
      if (!(change.source === ChangeSource.UIState && change.type === UIStateChangeType.ValueChange)) {
        return;
      }
      const matches = this.filter(change, expressionObjects);
      if (!matches || matches.length < 1) {
        return;
      }
      matches.forEach((expressionObject) => {
        const expressionContextBuilder = new ExpressionContextBuilder();
        const expressionContext = expressionContextBuilder.buildContext(this.viewModel);
        const result = this.expressionExecutor.compile(expressionObject, expressionContext);
        if (result === void 0 && !this.isValidateOrRequiredExpression(expressionObject)) {
          return;
        }
        expressionObject.result = this.convertBooleanTypeExpressionResult(expressionObject, result);
        if (expressionObject.id) {
          this.expressionResult.set(expressionObject.id, expressionObject.result);
        }
        if (this.isElementExpression(expressionObject)) {
          return;
        }
        if (expressionObject.type === ExpressionType.Readonly || expressionObject.type === ExpressionType.Visible) {
          return;
        }
        if (this.isStateExpression(expressionObject)) {
          return;
        }
        this.effect(change, expressionObject);
      });
    }
    effect(change, expressionObject) {
      const effector = this.getEffector(expressionObject);
      if (!effector) {
        return;
      }
      const { entityPaths: expressionPaths, propertyPaths: expressionPropertyPaths } = this.resolvePath(expressionObject.path);
      const entities = this.viewModel.entityStore.getEntities();
      const paths = this.buildPaths(this.viewModel.entityStore, entities);
      paths.forEach((path) => {
        const fullPath = path + "/" + expressionPropertyPaths.join(DEPENDENCY_SPLITER);
        const option = { path: fullPath, message: expressionObject.message, messageType: expressionObject.messageType };
        effector.effect(expressionObject, expressionObject.result, option);
      });
    }
    buildPaths(entityStore, entities, paths = []) {
      const results = [];
      function traverse(item, parentPath = "", pathIndex = 0) {
        if (!paths || !paths.length) {
          results.push(`${parentPath}/[${item.idValue}]`);
          return;
        }
        const currentPath = paths[pathIndex];
        const currentEntities = entityStore.getEntitiesByPath(`${parentPath}/[${item.idValue}]/${currentPath}`);
        if (currentEntities && currentEntities.length > 0) {
          const path = `${parentPath}/[${item.idValue}]/${currentPath}`;
          currentEntities.forEach((subItem) => {
            traverse(subItem, path, pathIndex + 1);
          });
        } else {
          results.push(`${parentPath}/[${item.idValue}]`);
        }
      }
      entities.forEach((item) => traverse(item));
      return results;
    }
    filter(change, expressionObjects) {
      if (!expressionObjects || expressionObjects.length < 1) {
        return null;
      }
      const stateChange = change.detail;
      return expressionObjects.filter((expressionObject) => {
        const { deps } = expressionObject;
        if (!deps || deps.length < 1 || change.ns !== expressionObject.ns) {
          return false;
        }
        const changePaths = stateChange.path.split("/").filter((path) => path);
        changePaths.splice(0, 0, STATE_TEMPLATE);
        const eventPath = changePaths.join("/");
        return deps.includes(eventPath);
      });
    }
  }
  var EffectMessageType = /* @__PURE__ */ ((EffectMessageType2) => {
    EffectMessageType2["error"] = "error";
    EffectMessageType2["info"] = "info";
    EffectMessageType2["warning"] = "warning";
    return EffectMessageType2;
  })(EffectMessageType || {});
  const EXPRESSION_EFFECTORS_TOKEN = new InjectionToken("@farris/expression_effectors_token");
  const REQUIRED_EFFECTOR_TOKEN = new InjectionToken("@farris/expression_required_effectors_token");
  const VALIDATE_EFFECTOR_TOKEN = new InjectionToken("@farris/expression_validate_effectors_token");
  class ComputeExpressionEffector {
    constructor(viewModel) {
      __publicField(this, "namespace");
      this.viewModel = viewModel;
      this.namespace = "";
    }
    effect(expressionObject, value, option) {
      var _a;
      const { path } = option || {};
      if (this.namespace !== expressionObject.ns) {
        return;
      }
      if (!expressionObject || expressionObject.bindingType !== ExpressionBindingType.Field) {
        return;
      }
      if (expressionObject.type !== ExpressionType.Compute) {
        return;
      }
      const realPath = path ? path : expressionObject.path;
      (_a = this.viewModel.entityStore) == null ? void 0 : _a.setValueByPath(realPath, value);
    }
  }
  class ValidateExpressionEffector {
    constructor(viewModel) {
      __publicField(this, "namespace");
      this.viewModel = viewModel;
      this.namespace = "";
    }
    /**
     * 执行验证效果器
     */
    effect(expressionObject, value, option) {
      if (!this.shouldProcessExpression(expressionObject)) {
        return;
      }
      const validateEffector = this.getEffector();
      if (!validateEffector) {
        return;
      }
      validateEffector.effect(expressionObject, value, option);
    }
    getEffector() {
      return this.viewModel.getInjector().get(VALIDATE_EFFECTOR_TOKEN, null);
    }
    /**
     * 检查是否需要处理该表达式
     */
    shouldProcessExpression(expressionObject) {
      if (this.namespace !== expressionObject.ns) {
        return false;
      }
      if (!expressionObject || expressionObject.bindingType !== ExpressionBindingType.Field) {
        return false;
      }
      if (expressionObject.type !== ExpressionType.Validate) {
        return false;
      }
      const validationState = this.viewModel.getModule().getContext().getParam("validationState");
      return validationState === ValidationState.Validating;
    }
  }
  class RequiredExpressionEffector {
    constructor(viewModel) {
      __publicField(this, "namespace");
      this.viewModel = viewModel;
      this.namespace = "";
    }
    effect(expressionObject, value, option) {
      if (!this.shouldProcessExpression(expressionObject)) {
        return;
      }
      const resolvedPath = this.resolvePath(expressionObject.path);
      if (!resolvedPath) {
        return;
      }
      const requiredEffector = this.getEffector();
      requiredEffector.effect(expressionObject, value, option);
    }
    resolvePath(path) {
      var _a;
      return (_a = this.viewModel.entityStore) == null ? void 0 : _a.getEntitySchema().resolvePath(path);
    }
    /**
     * 根据实体路径获取视图模型
     */
    getViewModelByEntityPath(entityPaths) {
      return this.viewModel.getModule().getViewModels().find(
        (viewModel) => viewModel.bindingPath === `/${entityPaths.join("/")}` && viewModel.enableValidation
      );
    }
    getEffector() {
      return this.viewModel.getInjector().get(REQUIRED_EFFECTOR_TOKEN);
    }
    resolveFullPath(expressionObject, option) {
      if (option == null ? void 0 : option.path) {
        return option.path;
      }
      const targetEntity = this.getTargetEntity(expressionObject.path);
      if (!targetEntity) {
        return null;
      }
      return this.buildPath(expressionObject.path);
    }
    getTargetEntity(path) {
      const { entityPaths } = this.viewModel.entityStore.getEntitySchema().resolvePath(path);
      const entityPath = `/${entityPaths.join("/")}`;
      const targetEntityList = this.viewModel.entityStore.getEntityListByPath(entityPath);
      if (!targetEntityList || targetEntityList.getEntities().length < 1) {
        return null;
      }
      return targetEntityList.getCurrentEntity();
    }
    buildPath(path) {
      const { entityPaths, propertyPaths } = this.viewModel.entityStore.getEntitySchema().resolvePath(path);
      const entityStore = this.viewModel.entityStore;
      const id = entityStore.getCurrentEntity().idValue;
      const entityEffectPaths = entityPaths.reduce((paths, path2, index) => {
        paths.push(path2);
        const entityList = entityStore.getEntityListByPath(`/${paths.join("/")}`);
        const currentEntity = entityList.getCurrentEntity();
        paths.push(`[${currentEntity.idValue}]`);
        return paths;
      }, [`[${id}]`]);
      return `/${entityEffectPaths.concat(propertyPaths).join("/")}`;
    }
    /**
     * 检查是否需要处理该表达式
     */
    shouldProcessExpression(expressionObject) {
      if (this.namespace !== expressionObject.ns) {
        return false;
      }
      if (!expressionObject || expressionObject.bindingType !== ExpressionBindingType.Field) {
        return false;
      }
      if (expressionObject.type !== ExpressionType.Required) {
        return false;
      }
      return true;
    }
  }
  class DependencyExpressionEffector {
    constructor(viewModel) {
      __publicField(this, "namespace");
      this.viewModel = viewModel;
      this.namespace = "";
    }
    effect(expressionObject, value, option) {
      var _a;
      const { path } = option || {};
      if (this.namespace !== expressionObject.ns) {
        return;
      }
      if (!expressionObject || expressionObject.bindingType !== ExpressionBindingType.Field) {
        return;
      }
      if (expressionObject.type !== ExpressionType.Dependency) {
        return;
      }
      const realPath = path ? path : expressionObject.path;
      if (value === true) {
        (_a = this.viewModel.entityStore) == null ? void 0 : _a.setValueByPath(realPath, null);
      }
    }
  }
  class ExpressionEffectorRegistry {
    constructor(effectors) {
      this.effectors = effectors;
    }
  }
  class ExpressionEffectorFactory {
    constructor(effectorRegistry) {
      this.effectorRegistry = effectorRegistry;
    }
    getEffector(expressionObject) {
      const namespace = expressionObject.ns;
      const { bindingType, type } = expressionObject;
      const nsEffectors = this.effectorRegistry.effectors.filter((effector) => effector.namespace === namespace);
      if (type === ExpressionType.Compute) {
        return nsEffectors.find((effector) => effector instanceof ComputeExpressionEffector);
      } else if (type === ExpressionType.Dependency) {
        return nsEffectors.find((effector) => effector instanceof DependencyExpressionEffector);
      } else if (type === ExpressionType.Validate) {
        return nsEffectors.find((effector) => effector instanceof ValidateExpressionEffector);
      } else if (type === ExpressionType.Required) {
        return nsEffectors.find((effector) => effector instanceof RequiredExpressionEffector);
      } else {
        return null;
      }
    }
  }
  const effectorProviders = [
    { provide: EXPRESSION_EFFECTORS_TOKEN, useClass: ComputeExpressionEffector, deps: [
      /*NAMESPACE_TOKEN,*/
      forwardRef(() => ViewModel)
    ], multi: true },
    { provide: EXPRESSION_EFFECTORS_TOKEN, useClass: ValidateExpressionEffector, deps: [
      /*NAMESPACE_TOKEN,*/
      forwardRef(() => ViewModel)
    ], multi: true },
    { provide: EXPRESSION_EFFECTORS_TOKEN, useClass: RequiredExpressionEffector, deps: [
      /*NAMESPACE_TOKEN,*/
      forwardRef(() => ViewModel)
    ], multi: true },
    { provide: EXPRESSION_EFFECTORS_TOKEN, useClass: DependencyExpressionEffector, deps: [
      /*NAMESPACE_TOKEN,*/
      forwardRef(() => ViewModel)
    ], multi: true },
    { provide: ExpressionEffectorRegistry, useClass: ExpressionEffectorRegistry, deps: [EXPRESSION_EFFECTORS_TOKEN] },
    { provide: ExpressionEffectorFactory, useClass: ExpressionEffectorFactory, deps: [ExpressionEffectorRegistry] }
  ];
  const changeHandlerProviders = [
    { provide: CHANGE_HANDLERS_TOKEN, useClass: EntityStoreAppendEntityChangeHandler, deps: [forwardRef(() => ViewModel), ExpressionExecutor, ExpressionResult, ExpressionEffectorFactory], multi: true },
    { provide: CHANGE_HANDLERS_TOKEN, useClass: EntityStoreLoadEntityChangeHandler, deps: [forwardRef(() => ViewModel), ExpressionExecutor, ExpressionResult, ExpressionEffectorFactory], multi: true },
    { provide: CHANGE_HANDLERS_TOKEN, useClass: EntityStoreRemoveEntityChangeHandler, deps: [forwardRef(() => ViewModel), ExpressionExecutor, ExpressionResult, ExpressionEffectorFactory], multi: true },
    { provide: CHANGE_HANDLERS_TOKEN, useClass: EntityStoreCurrentChangeHandler, deps: [forwardRef(() => ViewModel), ExpressionExecutor, ExpressionResult, ExpressionEffectorFactory], multi: true },
    { provide: CHANGE_HANDLERS_TOKEN, useClass: EntityStoreValueChangeHandler, deps: [forwardRef(() => ViewModel), ExpressionExecutor, ExpressionResult, ExpressionEffectorFactory], multi: true },
    { provide: CHANGE_HANDLERS_TOKEN, useClass: EntityStoreUpdateChangeHandler, deps: [forwardRef(() => ViewModel), ExpressionExecutor, ExpressionResult, ExpressionEffectorFactory], multi: true },
    { provide: CHANGE_HANDLERS_TOKEN, useClass: StateStoreValueChangeHandler, deps: [forwardRef(() => ViewModel), ExpressionExecutor, ExpressionResult, ExpressionEffectorFactory], multi: true }
  ];
  const expressionProviders = [
    { provide: ExpressionResult, useClass: ExpressionResult, deps: [] },
    { provide: ExpressionEventEmitter, useClass: ExpressionEventEmitter, deps: [ChangeObserverRegistry] },
    { provide: ExpressionEngineProxy, useClass: ExpressionEngineProxy, deps: [CHANGE_HANDLERS_TOKEN, ExpressionEventEmitter, ExpressionRegistry, ExpressionDependencyResolverRegistry, ExpressionDependencyResolver, ExpressionExecutor, ExpressionResult, forwardRef(() => ViewModel)] },
    { provide: ExpressionExecutor, useClass: ExpressionExecutor, deps: [] },
    { provide: ExpressionRegistry, useClass: ExpressionRegistry, deps: [EXPRESSIONS_TOKEN, forwardRef(() => ViewModel)] },
    { provide: ExpressionEvaluator, useClass: ExpressionEvaluator, deps: [forwardRef(() => ViewModel), ExpressionExecutor, ExpressionRegistry] }
  ];
  function createRepositoryProviders(repositoryConfigs) {
    if (!repositoryConfigs || !Array.isArray(repositoryConfigs)) {
      return [];
    }
    const providers = [];
    repositoryConfigs.forEach((repositoryConfig) => {
      if (!repositoryConfig) {
        throw new Error("RepositoryConfig does not exist");
      }
      if (!repositoryConfig.type) {
        throw new Error(`The type property of  RepositoryConfig(id=${repositoryConfig.id}) can not be empty`);
      }
      const type = repositoryConfig.type;
      const deps = repositoryConfig.deps || [];
      let provider;
      if (repositoryConfig.isDynamic) {
        const dynamicRepositoryToken = getDynamicRepositoryToken(repositoryConfig.id);
        provider = {
          provide: dynamicRepositoryToken,
          useClass: type,
          deps: [Module]
        };
      } else {
        provider = { provide: type, useClass: type, deps: [...deps] };
      }
      providers.push(provider);
    });
    return providers;
  }
  function createExpressionsProviders(expressions) {
    const providers = [];
    providers.push({ provide: EXPRESSIONS_TOKEN, useValue: expressions || [] });
    return providers;
  }
  function createModuleProviders(moduleConfig) {
    const extendProviders = moduleConfig.providers || [];
    const repositoryProviders = createRepositoryProviders(moduleConfig.repositories);
    const expressionsProviders = createExpressionsProviders(moduleConfig.expressions);
    const providers = [
      ...extendProviders,
      ...repositoryProviders,
      ...expressionsProviders
    ];
    if (moduleConfig.type) {
      providers.push({ provide: Module, useClass: moduleConfig.type, deps: [Injector] });
    } else {
      providers.push({ provide: Module, useClass: Module, deps: [Injector] });
    }
    return providers;
  }
  function createDynamicModule(moduleConfig) {
    const devkit2 = vue.inject(DEVKIT_INJECTION_TOKEN);
    if (!devkit2) {
      throw new Error("Devkit can not be empty");
    }
    const devkitInjector = devkit2.getInjector();
    const providers = createModuleProviders(moduleConfig);
    const moduleInjector = createInjector(providers, devkitInjector);
    const module2 = moduleInjector.get(Module);
    module2.init(moduleConfig);
    devkit2.regitsterModule(moduleConfig.id, module2);
    vue.provide(MODULE_INJECTION_TOKEN, module2);
    return module2;
  }
  function createStaticModule(moduleType) {
    const moduleConfigBuilder = new ModuleConfigBuilder();
    const moduleConfig = moduleConfigBuilder.build(moduleType);
    const module2 = createDynamicModule(moduleConfig);
    return module2;
  }
  class ViewModelNode {
    /**
     * 构造函数
     */
    constructor(injector) {
      /**
       * 注入器
       */
      __publicField(this, "injector");
      /**
       * 应用
       */
      __publicField(this, "module");
      /**
       * 根节点
       */
      __publicField(this, "root");
      /**
       * 父节点
       */
      __publicField(this, "parent");
      /**
       * 子节点集合
       */
      __publicField(this, "children");
      /**
       * 绑定路径
       */
      __publicField(this, "bindingPath");
      __publicField(this, "componentId");
      this.injector = injector;
      this.module = injector.get(Module);
      this.parent = null;
      this.children = [];
      this.registerToParent();
    }
    /**
     * 获取注入器
     */
    getInjector() {
      return this.injector;
    }
    getRoot() {
      return this.root;
    }
    getParent() {
      return this.parent;
    }
    /**
     * 获取所属Module
     */
    getModule() {
      return this.module;
    }
    /**
     * 注册到父节点
     */
    registerToParent() {
      const parent = this.injector.get(ViewModelNode, null, InjectFlags.SkipSelf) || null;
      if (parent) {
        this.parent = parent;
        this.root = this.parent.root;
        parent.registerChild(this);
      } else {
        this.parent = null;
        this.root = this;
      }
    }
    /**
     * 从父节点中注册中移除
     */
    unregisterFromParent() {
      if (!this.parent) {
        return;
      }
      this.parent.unregisterChild(this);
    }
    /**
     * 注册子节点
     */
    registerChild(childNode) {
      if (!childNode) {
        return;
      }
      this.children.push(childNode);
    }
    /**
     * 移除子节点注册
     */
    unregisterChild(childNodeToRemove) {
      const index = this.children.findIndex((childNode) => {
        return childNode === childNodeToRemove;
      });
      if (index === -1) {
        return;
      }
      this.children.splice(index, 1);
    }
    /**
     * 注销
     */
    dispose() {
      this.unregisterFromParent();
    }
  }
  class ViewModelInitializer {
    /**
     * 构造函数
     */
    constructor(viewModel) {
      /**
       * 所属模块
       */
      __publicField(this, "module");
      /**
       * 注入器
       */
      __publicField(this, "injector");
      /**
       * 视图模型
       */
      __publicField(this, "viewModel");
      /**
       * 视图模型配置
       */
      __publicField(this, "config");
      this.viewModel = viewModel;
      this.module = viewModel.getModule();
      this.injector = viewModel.getInjector();
      this.config = viewModel.configManager.getViewModelConfig();
    }
    /**
     * 初始化
     */
    init() {
      this.initState();
      this.initEntityStore();
      this.initUIStore();
      this.initStateMachine();
      this.initFormStore();
      this.initFormArrayStore();
      this.initRepository();
      this.initCommandBus();
      this.initCommandAction();
      this.initExpression();
    }
    /**
     * 初始化状态
     */
    initState() {
      this.viewModel.state = vue.reactive({
        entityState: null,
        uiState: null
      });
    }
    /**
     * 初始化命令总线
     */
    initCommandBus() {
      this.viewModel.commandBus = this.injector.get(CommandBus);
    }
    /**
     * 初始化实体仓库
     */
    initEntityStore() {
      if (!this.config.entityStore) {
        return;
      }
      const id = this.config.entityStore;
      const entityStore = this.module.createEntityStore(id);
      this.viewModel.state.entityState = entityStore.getState();
      entityStore.watchChange(() => {
        this.viewModel.state.entityState = entityStore.getState();
      });
      this.viewModel.entityStore = entityStore;
    }
    /**
     * 初始化UI仓库
     */
    initUIStore() {
      if (!this.config.uiStore) {
        return;
      }
      const id = this.config.uiStore;
      let uiStore = this.module.createUIStore(id);
      this.viewModel.state.uiState = uiStore.getState();
      uiStore.watchChange(() => {
        this.viewModel.state.uiState = uiStore.getState();
      });
      this.viewModel.uiStore = uiStore;
    }
    /**
     * 初始化状态机
     */
    initStateMachine() {
      if (!this.config.stateMachine) {
        return;
      }
      const id = this.config.stateMachine;
      const stateMachine = this.module.createStateMachine(id);
      this.viewModel.state.stateMachine = stateMachine.getState();
      stateMachine.watchChange(() => {
        this.viewModel.state.stateMachine = stateMachine.getState();
      });
      this.viewModel.stateMachine = stateMachine;
      stateMachine.transitToInitState();
    }
    /**
     * 初始化表单仓库
     */
    initFormStore() {
      if (!this.config.formStore) {
        return;
      }
      const id = this.config.formStore;
      const formStore = this.module.createFormStore(id);
      this.viewModel.state.form = formStore.getState();
      formStore.watchChange(() => {
        this.viewModel.state.form = formStore.getState();
      });
      this.viewModel.formStore = formStore;
    }
    /**
     * 初始化表单仓库集合
     */
    initFormArrayStore() {
      if (!this.config.formArrayStore) {
        return;
      }
      const id = this.config.formArrayStore;
      const formArrayStore = this.module.createFormArrayStore(id);
      this.viewModel.state.formArray = formArrayStore.getState();
      formArrayStore.watchChange(() => {
        this.viewModel.state.formArray = formArrayStore.getState();
      });
      this.viewModel.formArrayStore = formArrayStore;
    }
    /**
     * 初始化远程实体仓库
     */
    initRepository() {
      if (!this.config.repository) {
        return;
      }
      const id = this.config.repository;
      this.viewModel.repository = this.module.createRepository(id);
    }
    /**
     * 初始化命令动作
     */
    initCommandAction() {
      const commandConfigs = this.config.commands;
      if (!Array.isArray(commandConfigs)) {
        return;
      }
      commandConfigs.forEach((commandConfig) => {
        const commandAction = (eventParams) => {
          const command = {
            name: commandConfig.name,
            params: commandConfig.params,
            eventParams
          };
          return this.viewModel.dispatch(command);
        };
        Object.defineProperty(this.viewModel, commandConfig.name, {
          enumerable: true,
          configurable: true,
          get() {
            return commandAction;
          }
        });
      });
    }
    initExpression() {
      const parentViewModel = this.viewModel.getParent();
      if (!parentViewModel) {
        this.injector.get(ExpressionEngineProxy);
      }
    }
  }
  const VIEWMODEL_INJECTION_TOKEN = Symbol("VIEWMODEL");
  class ViewModelState {
    constructor() {
      /**
       * 实体状态
       */
      __publicField(this, "entityState");
      /**
       * UI状态
       */
      __publicField(this, "uiState");
      /**
       * 表单状态
       */
      __publicField(this, "form");
      /**
       * 表单数组状态
       */
      __publicField(this, "formArray");
      /**
       * 状态机状态
       */
      __publicField(this, "stateMachine");
    }
  }
  class ViewModel extends ViewModelNode {
    /**
     * 构造函数
     */
    constructor(injector) {
      super(injector);
      /**
       * ID
       */
      __publicField(this, "id");
      /**
       * 配置管理
       */
      __publicField(this, "configManager");
      /**
       * 实体曾库
       */
      __publicField(this, "entityStore", null);
      /**
       * UI仓库
       */
      __publicField(this, "uiStore", null);
      /**
       * 表单仓库
       */
      __publicField(this, "formStore", null);
      /**
       * 表单数组仓库
       */
      __publicField(this, "formArrayStore", null);
      /**
       * 状态机
       */
      __publicField(this, "stateMachine", null);
      /**
       * 远程实体仓库
       */
      __publicField(this, "repository");
      /**
       * 视图模型状态
       */
      __publicField(this, "state");
      /**
       * 命令总线
       */
      __publicField(this, "commandBus", null);
      /**
       * 是否启用验证
       */
      __publicField(this, "enableValidation");
    }
    /**
     * 初始化
     */
    init(config2) {
      this.id = config2.id;
      this.bindingPath = config2.bindingPath;
      this.componentId = config2.componentId;
      this.enableValidation = config2.enableValidation;
      this.configManager = new ViewModelConfigManager(config2);
      const initializer = new ViewModelInitializer(this);
      initializer.init();
    }
    /**
     * 初始化命令总线
     */
    dispatch(command) {
      if (!this.commandBus) {
        throw new Error("No CommandBus provided");
      }
      return this.commandBus.dispatch(command);
    }
  }
  function getCommandHandlerProviders(commandHandlerConfigs) {
    const providers = [];
    commandHandlerConfigs.forEach((config2) => {
      if (config2.type) {
        const deps = config2.deps || [];
        const provider = {
          provide: COMMAND_HANDLERS_TOKEN,
          useClass: config2.type,
          deps,
          multi: true
        };
        providers.push(provider);
      } else {
        const provider = {
          provide: COMMAND_HANDLERS_TOKEN,
          useFactory: () => {
            const instance = new DynamicCommandHandler(config2);
            return instance;
          },
          multi: true,
          deps: []
        };
        providers.push(provider);
      }
    });
    return providers;
  }
  function getRootViewModelProviders(viewModelConfig) {
    const rootProviders = viewModelConfig.rootProviders || [];
    return [
      ...rootProviders,
      ...changeObserverProviders,
      ...expressionDependencyResolverProviders,
      ...changeHandlerProviders,
      ...effectorProviders,
      ...expressionProviders
    ];
  }
  function getViewModelProviders(viewModelConfig) {
    const configProviders = viewModelConfig.providers || [];
    const commandHandlerProviders = getCommandHandlerProviders(viewModelConfig.commandHandlers);
    const providers = [
      ...configProviders,
      ...commandHandlerProviders,
      ...commandBusProviders
    ];
    if (viewModelConfig.type) {
      const deps = viewModelConfig.deps || [];
      providers.push({ provide: ViewModel, useClass: viewModelConfig.type, deps });
    } else {
      providers.push({ provide: ViewModel, useClass: ViewModel, deps: [Injector] });
    }
    providers.push({ provide: ViewModelNode, useExisting: ViewModel });
    if (!viewModelConfig.parentId) {
      providers.push(...getRootViewModelProviders(viewModelConfig));
    }
    return providers;
  }
  function createViewModel(module2, viewModelId) {
    if (!module2) {
      throw new Error("Module does not exist");
    }
    const moduleConfigManager = module2.getConfigManager();
    const viewModelConfig = moduleConfigManager.getViewModelConfig(viewModelId);
    if (!viewModelConfig) {
      throw new Error(`ViewModelConfig(id=${viewModelId}) does not exist`);
    }
    let parentViewModel;
    if (viewModelConfig.parentId) {
      parentViewModel = module2.getViewModel(viewModelConfig.parentId);
      if (!parentViewModel) {
        throw new Error(`ParentViewModel(id=${viewModelConfig.parentId}) does not exist`);
      }
    }
    const parentInjector = parentViewModel ? parentViewModel.getInjector() : module2.getInjector();
    const providers = getViewModelProviders(viewModelConfig);
    const viewModelInjector = createInjector(providers, parentInjector);
    const viewModel = viewModelInjector.get(ViewModel);
    module2.registerViewModel(viewModelConfig.id, viewModel);
    vue.provide(VIEWMODEL_INJECTION_TOKEN, viewModel);
    viewModel.init(viewModelConfig);
    return viewModel;
  }
  class CommandContext {
    /**
     * 构造方法
     */
    constructor(command, viewModel) {
      /**
       * 命令信息
       */
      __publicField(this, "command");
      /**
       * 视图模型
       */
      __publicField(this, "viewModel");
      this.command = command;
      this.viewModel = viewModel;
    }
    /**
     * 获取参数
     */
    getParam(name) {
      return null;
    }
    /**
     * 获取事件参数
     */
    getEventParam() {
      return this.command.eventParams;
    }
    /**
     * 获取视图模型
     */
    getViewModel() {
      return this.viewModel;
    }
    /**
     * 获取视图模型
     */
    getViewModelInjector() {
      return this.viewModel.getInjector();
    }
    /**
     * 获取变量解析服务
     */
    getVariableParseService() {
      const injecotr = this.viewModel.getInjector();
      const variableParseService = injecotr.get(VariableParseService);
      return variableParseService;
    }
  }
  class CommandBus {
    /**
     * 构造函数
     */
    constructor(injector, handlerFactory) {
      /**
       * 视图模型
       */
      __publicField(this, "viewModel");
      this.injector = injector;
      this.handlerFactory = handlerFactory;
      this.viewModel = this.injector.get(ViewModel);
    }
    /**
     * 派发命令
     */
    dispatch(command) {
      return this.handleCommand(command);
    }
    /**
     * 执行命令
     */
    async handleCommand(command) {
      const commandName = command.name;
      const handler = this.handlerFactory.create(commandName);
      const context = this.buildCommandContext(command);
      return handler.execute(context);
    }
    /**
     * 构造命令上下文
     */
    buildCommandContext(command) {
      const { eventParams = null } = command;
      delete command.eventParams;
      const commandToExecute = JSON.parse(JSON.stringify(command));
      commandToExecute.eventParams = eventParams;
      const variableParserService = this.injector.get(VariableParseService);
      const variableParseContext = {
        module: this.viewModel.getModule(),
        viewModel: this.viewModel,
        eventParams
      };
      const parsedParams = variableParserService.parse(commandToExecute.params, variableParseContext);
      this.transformParameters(parsedParams);
      commandToExecute.params = parsedParams;
      const conext = new CommandContext(commandToExecute, this.viewModel);
      return conext;
    }
    transformParameters(params) {
      if (!params || params.length < 1) {
        return;
      }
      params.forEach((param) => {
        if (param.type) {
          param.value = this.transformParameter(param);
        }
      });
    }
    transformParameter(param) {
      const { name, value, type } = param;
      if (!type) {
        return value;
      }
      if (value === null || value === void 0 || typeof value === type) {
        return value;
      }
      switch (type) {
        case "string":
          return value + "";
        case "int":
        case "double":
        case "number": {
          const numResult = Number(value);
          if (isNaN(numResult)) {
            console.warn(`类型转换失败，参数${name}值为${value}，无法转换为${type}类型。`);
            return value;
          }
          return numResult;
        }
        case "boolean": {
          let boolResult;
          const strValue = (value + "").toLowerCase();
          if (strValue === "true") {
            boolResult = true;
          } else if (strValue === "false") {
            boolResult = false;
          } else {
            boolResult = false;
          }
          return boolResult;
        }
        default:
          return value;
      }
    }
  }
  class CommandHandlerFactory {
    /**
     * 构造函数
     */
    constructor(injector, handlerRegistry) {
      /**
       * 视图模型
       */
      __publicField(this, "viewModel");
      this.injector = injector;
      this.handlerRegistry = handlerRegistry;
      this.viewModel = this.injector.get(ViewModel);
    }
    /**
     * 创建命令处理器
     */
    create(commandName) {
      const handler = this.handlerRegistry.get(commandName);
      return handler;
    }
  }
  class CommandHandlerRegistry {
    /**
     * 构造函数
     */
    constructor(injector) {
      /**
       * CommandHandler集合
       */
      __publicField(this, "handlerMap");
      this.injector = injector;
      this.handlerMap = /* @__PURE__ */ new Map();
      this.init();
    }
    /**
     * 初始化
     */
    init() {
      const handlers = this.injector.get(COMMAND_HANDLERS_TOKEN, null, InjectFlags.Optional);
      if (handlers) {
        handlers.forEach((handler) => {
          this.register(handler);
        });
      }
    }
    /**
     * 获取CommandHandler
     */
    get(commandName) {
      const commandHandler = this.handlerMap.get(commandName);
      if (!commandHandler) {
        throw new Error("Can not find CommandHandler for" + commandName);
      }
      return commandHandler;
    }
    /**
     * 注册CommandHandler
     */
    register(commandHandler) {
      const commandName = commandHandler.commandName;
      if (this.handlerMap.has(commandName)) {
        throw new Error(`CommandHandler(commandName=${commandName}) already exists`);
      }
      this.handlerMap.set(commandName, commandHandler);
    }
  }
  const commandBusProviders = [
    {
      provide: CommandHandlerRegistry,
      useClass: CommandHandlerRegistry,
      deps: [Injector]
    },
    {
      provide: CommandHandlerFactory,
      useClass: CommandHandlerFactory,
      deps: [Injector, CommandHandlerRegistry]
    },
    {
      provide: CommandBus,
      useClass: CommandBus,
      deps: [Injector, CommandHandlerFactory, VariableParseService]
    }
  ];
  exports2.ACTION_META_NAME = ACTION_META_NAME;
  exports2.AbstractChangeHandler = AbstractChangeHandler;
  exports2.CHANGE_HANDLERS_TOKEN = CHANGE_HANDLERS_TOKEN;
  exports2.CHANGE_OBSERVER_TOKEN = CHANGE_OBSERVER_TOKEN;
  exports2.COMMAND_ACTION_META_NAME = COMMAND_ACTION_META_NAME;
  exports2.COMMAND_HANDLERS_TOKEN = COMMAND_HANDLERS_TOKEN;
  exports2.COMMAND_HANDLER_META_NAME = COMMAND_HANDLER_META_NAME;
  exports2.ChangeObserver = ChangeObserver;
  exports2.ChangeObserverRegistry = ChangeObserverRegistry;
  exports2.ChangeSource = ChangeSource;
  exports2.CommandBus = CommandBus;
  exports2.CommandContext = CommandContext;
  exports2.CommandHandler = CommandHandler;
  exports2.CommandVariableParser = CommandVariableParser;
  exports2.CommentExpressionDependencyResolver = CommentExpressionDependencyResolver;
  exports2.ComputeExpressionEffector = ComputeExpressionEffector;
  exports2.ConditionEvaluator = ConditionEvaluator;
  exports2.Context = Context;
  exports2.DEFAULT_EXPRESSION_VALIDATE_MESSAGE = DEFAULT_EXPRESSION_VALIDATE_MESSAGE;
  exports2.DEPENDENCY_SPLITER = DEPENDENCY_SPLITER;
  exports2.DEVKIT_INJECTION_TOKEN = DEVKIT_INJECTION_TOKEN;
  exports2.DateUtil = DateUtil;
  exports2.DependencyExpressionEffector = DependencyExpressionEffector;
  exports2.Devkit = Devkit;
  exports2.DynamicCommandHandler = DynamicCommandHandler;
  exports2.ENTITY_FIELD_META_NAME = ENTITY_FIELD_META_NAME;
  exports2.ENTITY_LIST_FIELD_META_NAME = ENTITY_LIST_FIELD_META_NAME;
  exports2.ENTITY_STORE_META_NAME = ENTITY_STORE_META_NAME;
  exports2.ENTITY_STORE_SUFFIX = ENTITY_STORE_SUFFIX;
  exports2.ENTITY_TEMPLATE = ENTITY_TEMPLATE;
  exports2.EXCEPTION_HANDLER_TOKEN = EXCEPTION_HANDLER_TOKEN;
  exports2.EXPRESSIONS_TOKEN = EXPRESSIONS_TOKEN;
  exports2.EXPRESSION_EFFECTORS_TOKEN = EXPRESSION_EFFECTORS_TOKEN;
  exports2.EXPRESSION_VALIDATOR_TOKEN = EXPRESSION_VALIDATOR_TOKEN;
  exports2.Effect = Effect;
  exports2.EffectManager = EffectManager;
  exports2.EffectMessageType = EffectMessageType;
  exports2.Entity = Entity;
  exports2.EntityChangeHistory = EntityChangeHistory;
  exports2.EntityChangeStatus = EntityChangeStatus;
  exports2.EntityChangeType = EntityChangeType;
  exports2.EntityExpressionDependencyResolver = EntityExpressionDependencyResolver;
  exports2.EntityList = EntityList;
  exports2.EntityNode = EntityNode;
  exports2.EntityPath = EntityPath;
  exports2.EntityPathBuilder = EntityPathBuilder;
  exports2.EntityPathNode = EntityPathNode;
  exports2.EntityPathNodeType = EntityPathNodeType;
  exports2.EntitySchema = EntitySchema;
  exports2.EntityState = EntityState;
  exports2.EntityStateChangeObserver = EntityStateChangeObserver;
  exports2.EntityStore = EntityStore;
  exports2.EntityStoreAppendEntityChangeHandler = EntityStoreAppendEntityChangeHandler;
  exports2.EntityStoreConfigBuilder = EntityStoreConfigBuilder;
  exports2.EntityStoreCurrentChangeHandler = EntityStoreCurrentChangeHandler;
  exports2.EntityStoreLoadEntityChangeHandler = EntityStoreLoadEntityChangeHandler;
  exports2.EntityStoreRemoveEntityChangeHandler = EntityStoreRemoveEntityChangeHandler;
  exports2.EntityStoreUpdateChangeHandler = EntityStoreUpdateChangeHandler;
  exports2.EntityStoreValueChangeHandler = EntityStoreValueChangeHandler;
  exports2.EntityVariableParser = EntityVariableParser;
  exports2.EventBus = EventBus;
  exports2.EventParamVariableParser = EventParamVariableParser;
  exports2.ExpressionBindingType = ExpressionBindingType;
  exports2.ExpressionContextBuilder = ExpressionContextBuilder;
  exports2.ExpressionDependencyResolver = ExpressionDependencyResolver;
  exports2.ExpressionDependencyResolverRegistry = ExpressionDependencyResolverRegistry;
  exports2.ExpressionEffectorFactory = ExpressionEffectorFactory;
  exports2.ExpressionEffectorRegistry = ExpressionEffectorRegistry;
  exports2.ExpressionEngineProxy = ExpressionEngineProxy;
  exports2.ExpressionEvaluator = ExpressionEvaluator;
  exports2.ExpressionEventEmitter = ExpressionEventEmitter;
  exports2.ExpressionExecutor = ExpressionExecutor;
  exports2.ExpressionMessageType = ExpressionMessageType;
  exports2.ExpressionRegistry = ExpressionRegistry;
  exports2.ExpressionResult = ExpressionResult;
  exports2.ExpressionResultChangeObserver = ExpressionResultChangeObserver;
  exports2.ExpressionResultChangeType = ExpressionResultChangeType;
  exports2.ExpressionType = ExpressionType;
  exports2.FdAction = FdAction;
  exports2.FdCommandAction = FdCommandAction;
  exports2.FdCommandHandler = FdCommandHandler;
  exports2.FdEntityField = FdEntityField;
  exports2.FdEntityListField = FdEntityListField;
  exports2.FdEntityStore = FdEntityStore;
  exports2.FdField = FdField;
  exports2.FdGetter = FdGetter;
  exports2.FdModule = FdModule;
  exports2.FdPageState = FdPageState;
  exports2.FdRenderState = FdRenderState;
  exports2.FdRepository = FdRepository;
  exports2.FdStateMachine = FdStateMachine;
  exports2.FdTransitionAction = FdTransitionAction;
  exports2.FdUIState = FdUIState;
  exports2.FdUIStore = FdUIStore;
  exports2.FdViewModel = FdViewModel;
  exports2.FieldType = FieldType;
  exports2.FormArrayStore = FormArrayStore;
  exports2.FormArrayStoreConfigManager = FormArrayStoreConfigManager;
  exports2.FormControlBindingType = FormControlBindingType;
  exports2.FormErrorFormatter = FormErrorFormatter;
  exports2.FormStore = FormStore;
  exports2.FormStoreConfigManager = FormStoreConfigManager;
  exports2.FrameIdVariableParser = FrameIdVariableParser;
  exports2.GETTER_PROP_META_NAME = GETTER_PROP_META_NAME;
  exports2.GROUP_FUNCTIONS = GROUP_FUNCTIONS;
  exports2.HttpClient = HttpClient;
  exports2.HttpMethods = HttpMethods;
  exports2.HttpUtil = HttpUtil;
  exports2.INJECTOR = INJECTOR;
  exports2.INJECTOR_IMPL = INJECTOR_IMPL;
  exports2.INJECTOR_IMPL__PRE_R3__ = INJECTOR_IMPL__PRE_R3__;
  exports2.INJECTOR_SCOPE = INJECTOR_SCOPE;
  exports2.InjectFlags = InjectFlags;
  exports2.InjectionToken = InjectionToken;
  exports2.Injector = Injector;
  exports2.MODULE_CONFIG_ID_TOKEN = MODULE_CONFIG_ID_TOKEN;
  exports2.MODULE_INJECTION_TOKEN = MODULE_INJECTION_TOKEN;
  exports2.MODULE_META_NAME = MODULE_META_NAME;
  exports2.Module = Module;
  exports2.ModuleConfigBuilder = ModuleConfigBuilder;
  exports2.ModuleConfigManager = ModuleConfigManager;
  exports2.NAMESPACE_TOKEN = NAMESPACE_TOKEN;
  exports2.NumberUtil = NumberUtil;
  exports2.ObjectUtil = ObjectUtil;
  exports2.OptionFlags = OptionFlags;
  exports2.PAGE_STATE_META_NAME = PAGE_STATE_META_NAME;
  exports2.PRIMITIVE_FIELD_META_NAME = PRIMITIVE_FIELD_META_NAME;
  exports2.PageStateMetaFactory = PageStateMetaFactory;
  exports2.PropMetadataReader = PropMetadataReader;
  exports2.RENDER_ENGINE_TOKEN = RENDER_ENGINE_TOKEN;
  exports2.RENDER_STATE_META_NAME = RENDER_STATE_META_NAME;
  exports2.REPOSITORY_META_NAME = REPOSITORY_META_NAME;
  exports2.REQUIRED_EFFECTOR_TOKEN = REQUIRED_EFFECTOR_TOKEN;
  exports2.RESOLVER_TOKEN = RESOLVER_TOKEN;
  exports2.RESPONSE_REQUIRED_VALIDATOR_TOKEN = RESPONSE_REQUIRED_VALIDATOR_TOKEN;
  exports2.Repository = Repository;
  exports2.RepositoryConfigBuilder = RepositoryConfigBuilder;
  exports2.RepositoryMetaFactory = RepositoryMetaFactory;
  exports2.RequiredExpressionEffector = RequiredExpressionEffector;
  exports2.STATE_MACHINE_META_NAME = STATE_MACHINE_META_NAME;
  exports2.STATE_TEMPLATE = STATE_TEMPLATE;
  exports2.StateMachine = StateMachine;
  exports2.StateMachineChangeType = StateMachineChangeType;
  exports2.StateMachineConfigBuilder = StateMachineConfigBuilder;
  exports2.StateMachineConfigManager = StateMachineConfigManager;
  exports2.StateMachineObserver = StateMachineObserver;
  exports2.StateMachineState = StateMachineState;
  exports2.StateMachineVariableParser = StateMachineVariableParser;
  exports2.StateStoreValueChangeHandler = StateStoreValueChangeHandler;
  exports2.StateVariableUtil = StateVariableUtil;
  exports2.StaticInjector = StaticInjector;
  exports2.Store = Store;
  exports2.StringUtil = StringUtil;
  exports2.TRANSITION_ACTION_META_NAME = TRANSITION_ACTION_META_NAME;
  exports2.TaskFlow = TaskFlow;
  exports2.TaskFlowContext = TaskFlowContext;
  exports2.TaskLink = TaskLink;
  exports2.TaskNode = TaskNode;
  exports2.Token = Token;
  exports2.Type = Type;
  exports2.TypeMetadataReader = TypeMetadataReader;
  exports2.TypeUtil = TypeUtil;
  exports2.UISTATE_META_NAME = UISTATE_META_NAME;
  exports2.UIState = UIState;
  exports2.UIStateChangeObserver = UIStateChangeObserver;
  exports2.UIStateChangeType = UIStateChangeType;
  exports2.UIStateExpressionDependencyResolver = UIStateExpressionDependencyResolver;
  exports2.UIStore = UIStore;
  exports2.UIStoreConfigBuilder = UIStoreConfigBuilder;
  exports2.UIVariableParser = UIVariableParser;
  exports2.UI_STORE_META_NAME = UI_STORE_META_NAME;
  exports2.USE_VALUE = USE_VALUE;
  exports2.VALIDATE_EFFECTOR_TOKEN = VALIDATE_EFFECTOR_TOKEN;
  exports2.VARIABLE_PARSERS_TOKEN = VARIABLE_PARSERS_TOKEN;
  exports2.VIEWMODEL_INJECTION_TOKEN = VIEWMODEL_INJECTION_TOKEN;
  exports2.VIEWMODEL_META_NAME = VIEWMODEL_META_NAME;
  exports2.ValidateExpressionEffector = ValidateExpressionEffector;
  exports2.ValidationService = ValidationService;
  exports2.ValidationState = ValidationState;
  exports2.ValidatorFactory = ValidatorFactory;
  exports2.VariableParseService = VariableParseService;
  exports2.ViewModel = ViewModel;
  exports2.ViewModelConfigBuilder = ViewModelConfigBuilder;
  exports2.ViewModelConfigManager = ViewModelConfigManager;
  exports2.ViewModelState = ViewModelState;
  exports2.changeHandlerProviders = changeHandlerProviders;
  exports2.changeObserverProviders = changeObserverProviders;
  exports2.commandBusProviders = commandBusProviders;
  exports2.commandHandlerMetaFactory = commandHandlerMetaFactory;
  exports2.createDevkit = createDevkit;
  exports2.createDynamicModule = createDynamicModule;
  exports2.createEntitiesBySchema = createEntitiesBySchema;
  exports2.createEntityBySchema = createEntityBySchema;
  exports2.createEntityListBySchema = createEntityListBySchema;
  exports2.createEntitySchema = createEntitySchema;
  exports2.createInjectionToken = createInjectionToken;
  exports2.createInjector = createInjector;
  exports2.createStaticModule = createStaticModule;
  exports2.createViewModel = createViewModel;
  exports2.effectorProviders = effectorProviders;
  exports2.entityFieldMetaFactory = entityFieldMetaFactory;
  exports2.entityStoreMetaFactory = entityStoreMetaFactory;
  exports2.entitylistFieldMetaFactory = entitylistFieldMetaFactory;
  exports2.expressionDependencyResolverProviders = expressionDependencyResolverProviders;
  exports2.expressionProviders = expressionProviders;
  exports2.forwardRef = forwardRef;
  exports2.getDynamicRepositoryToken = getDynamicRepositoryToken;
  exports2.httpProviders = httpProviders;
  exports2.isForwardRef = isForwardRef;
  exports2.isType = isType;
  exports2.makePropMetadataDecorator = makePropMetadataDecorator;
  exports2.makeTypeMetadataDecorator = makeTypeMetadataDecorator;
  exports2.moduleMetaFactory = moduleMetaFactory;
  exports2.primitiveFieldMetaFactory = primitiveFieldMetaFactory;
  exports2.renderStateMetaFactory = renderStateMetaFactory;
  exports2.resolveForwardRef = resolveForwardRef;
  exports2.setCurrentInjector = setCurrentInjector;
  exports2.stateMachineMetaFactory = stateMachineMetaFactory;
  exports2.transitionActionMetaFactory = transitionActionMetaFactory;
  exports2.uiStateMetaFactory = uiStateMetaFactory;
  exports2.uiStoreMetaFactory = uiStoreMetaFactory;
  exports2.useDevkit = useDevkit;
  exports2.useModule = useModule;
  exports2.validatorTypes = validatorTypes;
  exports2.variableProviders = variableProviders;
  exports2.viewModelMetaFactory = viewModelMetaFactory;
  Object.defineProperty(exports2, Symbol.toStringTag, { value: "Module" });
});
